function [anovaTable,avgGrand,UTotal]=anova_3k(numFactors,numBlocks,numRepl,doeMatrix)
    
    a=3; b=1; c=1; d=1; e=1; % 3 levels for all factors 
    if numFactors>1
        b=3; 
        if numFactors>2
            c=3;  
            if numFactors>3
                d=3;  
                if numFactors>4
                    e=3;
                end
            end
        end
    end
    m=numBlocks; n=numRepl;
    numRuns=m*n*(3^numFactors); % Number of experiment runs
    
    A=doeMatrix(:,1); % Levels of factor A
    B=doeMatrix(:,2); % Levels of factor B
    C=doeMatrix(:,3); % Levels of factor C
    D=doeMatrix(:,4); % Levels of factor D
    E=doeMatrix(:,5); % Levels of factor E
    Block=doeMatrix(:,6); % Levels of block
    y=doeMatrix(:,7); % Measured values of response variable y
    
    sumGrand=sum(y(:,1)); % Grand sum of y's
    avgGrandSS=(sumGrand^2)/numRuns; % Grand average SS of y's
    avgGrand=sumGrand/numRuns; % Grand average of y's
    
    sumALow=0;  sumBLow=0;  sumCLow=0; sumDLow=0; sumELow=0;
    sumAMid=0;  sumBMid=0;  sumCMid=0; sumDMid=0; sumEMid=0;
    sumAHigh=0; sumBHigh=0; sumCHigh=0; sumDHigh=0; sumEHigh=0;
    
    sumALowBLow=0; sumALowBMid=0; sumALowBHigh=0; 
    sumAMidBLow=0; sumAMidBMid=0; sumAMidBHigh=0;
    sumAHighBLow=0; sumAHighBMid=0; sumAHighBHigh=0; 
    sumALowCLow=0; sumALowCMid=0; sumALowCHigh=0; 
    sumAMidCLow=0; sumAMidCMid=0; sumAMidCHigh=0;
    sumAHighCLow=0; sumAHighCMid=0; sumAHighCHigh=0;
    sumALowDLow=0; sumALowDMid=0; sumALowDHigh=0; 
    sumAMidDLow=0; sumAMidDMid=0; sumAMidDHigh=0;
    sumAHighDLow=0; sumAHighDMid=0; sumAHighDHigh=0;
    sumALowELow=0; sumALowEMid=0; sumALowEHigh=0; 
    sumAMidELow=0; sumAMidEMid=0; sumAMidEHigh=0;
    sumAHighELow=0; sumAHighEMid=0; sumAHighEHigh=0;
    sumBLowCLow=0; sumBLowCMid=0; sumBLowCHigh=0; 
    sumBMidCLow=0; sumBMidCMid=0; sumBMidCHigh=0;
    sumBHighCLow=0; sumBHighCMid=0; sumBHighCHigh=0;
    sumBLowDLow=0; sumBLowDMid=0; sumBLowDHigh=0; 
    sumBMidDLow=0; sumBMidDMid=0; sumBMidDHigh=0;
    sumBHighDLow=0; sumBHighDMid=0; sumBHighDHigh=0;
    sumBLowELow=0; sumBLowEMid=0; sumBLowEHigh=0; 
    sumBMidELow=0; sumBMidEMid=0; sumBMidEHigh=0;
    sumBHighELow=0; sumBHighEMid=0; sumBHighEHigh=0;
    sumCLowDLow=0; sumCLowDMid=0; sumCLowDHigh=0; 
    sumCMidDLow=0; sumCMidDMid=0; sumCMidDHigh=0;
    sumCHighDLow=0; sumCHighDMid=0; sumCHighDHigh=0;
    sumCLowELow=0; sumCLowEMid=0; sumCLowEHigh=0; 
    sumCMidELow=0; sumCMidEMid=0; sumCMidEHigh=0;
    sumCHighELow=0; sumCHighEMid=0; sumCHighEHigh=0;
    sumDLowELow=0; sumDLowEMid=0; sumDLowEHigh=0; 
    sumDMidELow=0; sumDMidEMid=0; sumDMidEHigh=0;
    sumDHighELow=0; sumDHighEMid=0; sumDHighEHigh=0;
    
    sumALowBlock1=0; sumALowBlock2=0; sumALowBlock3=0; sumALowBlock4=0;
    sumALowBlock5=0;
    sumAMidBlock1=0; sumAMidBlock2=0; sumAMidBlock3=0; sumAMidBlock4=0;
    sumAMidBlock5=0;
    sumAHighBlock1=0; sumAHighBlock2=0; sumAHighBlock3=0;
    sumAHighBlock4=0; sumAHighBlock5=0;
    
    sumALowBLowBlock1=0; sumALowBLowBlock2=0; sumALowBLowBlock3=0; 
    sumALowBLowBlock4=0; sumALowBLowBlock5=0;
    sumALowBMidBlock1=0; sumALowBMidBlock2=0; sumALowBMidBlock3=0; 
    sumALowBMidBlock4=0; sumALowBMidBlock5=0;
    sumALowBHighBlock1=0; sumALowBHighBlock2=0; sumALowBHighBlock3=0;
    sumALowBHighBlock4=0; sumALowBHighBlock5=0;
    sumAMidBLowBlock1=0; sumAMidBLowBlock2=0; sumAMidBLowBlock3=0; 
    sumAMidBLowBlock4=0; sumAMidBLowBlock5=0;
    sumAMidBMidBlock1=0; sumAMidBMidBlock2=0; sumAMidBMidBlock3=0; 
    sumAMidBMidBlock4=0; sumAMidBMidBlock5=0;
    sumAMidBHighBlock1=0; sumAMidBHighBlock2=0; sumAMidBHighBlock3=0;
    sumAMidBHighBlock4=0; sumAMidBHighBlock5=0;
    sumAHighBLowBlock1=0; sumAHighBLowBlock2=0; sumAHighBLowBlock3=0;
    sumAHighBLowBlock4=0; sumAHighBLowBlock5=0;
    sumAHighBMidBlock1=0; sumAHighBMidBlock2=0; sumAHighBMidBlock3=0;
    sumAHighBMidBlock4=0; sumAHighBMidBlock5=0;
    sumAHighBHighBlock1=0; sumAHighBHighBlock2=0; sumAHighBHighBlock3=0;
    sumAHighBHighBlock4=0; sumAHighBHighBlock5=0;
    
    sumALowBLowCLowBlock1=0; sumALowBLowCLowBlock2=0; 
    sumALowBLowCLowBlock3=0; sumALowBLowCLowBlock4=0;
    sumALowBLowCLowBlock5=0;
    sumALowBLowCMidBlock1=0; sumALowBLowCMidBlock2=0; 
    sumALowBLowCMidBlock3=0; sumALowBLowCMidBlock4=0;
    sumALowBLowCMidBlock5=0;
    sumALowBLowCHighBlock1=0; sumALowBLowCHighBlock2=0; 
    sumALowBLowCHighBlock3=0; sumALowBLowCHighBlock4=0;
    sumALowBLowCHighBlock5=0;
    sumALowBMidCLowBlock1=0; sumALowBMidCLowBlock2=0; 
    sumALowBMidCLowBlock3=0; sumALowBMidCLowBlock4=0;
    sumALowBMidCLowBlock5=0;
    sumALowBMidCMidBlock1=0; sumALowBMidCMidBlock2=0; 
    sumALowBMidCMidBlock3=0; sumALowBMidCMidBlock4=0;
    sumALowBMidCMidBlock5=0;
    sumALowBMidCHighBlock1=0; sumALowBMidCHighBlock2=0; 
    sumALowBMidCHighBlock3=0; sumALowBMidCHighBlock4=0;
    sumALowBMidCHighBlock5=0;
    sumALowBHighCLowBlock1=0; sumALowBHighCLowBlock2=0; 
    sumALowBHighCLowBlock3=0; sumALowBHighCLowBlock4=0;
    sumALowBHighCLowBlock5=0;
    sumALowBHighCMidBlock1=0; sumALowBHighCMidBlock2=0; 
    sumALowBHighCMidBlock3=0; sumALowBHighCMidBlock4=0;
    sumALowBHighCMidBlock5=0;
    sumALowBHighCHighBlock1=0; sumALowBHighCHighBlock2=0; 
    sumALowBHighCHighBlock3=0; sumALowBHighCHighBlock4=0;
    sumALowBHighCHighBlock5=0;
    sumAMidBLowCLowBlock1=0; sumAMidBLowCLowBlock2=0; 
    sumAMidBLowCLowBlock3=0; sumAMidBLowCLowBlock4=0;
    sumAMidBLowCLowBlock5=0;
    sumAMidBLowCMidBlock1=0; sumAMidBLowCMidBlock2=0; 
    sumAMidBLowCMidBlock3=0; sumAMidBLowCMidBlock4=0;
    sumAMidBLowCMidBlock5=0;
    sumAMidBLowCHighBlock1=0; sumAMidBLowCHighBlock2=0; 
    sumAMidBLowCHighBlock3=0; sumAMidBLowCHighBlock4=0;
    sumAMidBLowCHighBlock5=0;
    sumAMidBMidCLowBlock1=0; sumAMidBMidCLowBlock2=0; 
    sumAMidBMidCLowBlock3=0; sumAMidBMidCLowBlock4=0;
    sumAMidBMidCLowBlock5=0;
    sumAMidBMidCMidBlock1=0; sumAMidBMidCMidBlock2=0; 
    sumAMidBMidCMidBlock3=0; sumAMidBMidCMidBlock4=0;
    sumAMidBMidCMidBlock5=0;
    sumAMidBMidCHighBlock1=0; sumAMidBMidCHighBlock2=0; 
    sumAMidBMidCHighBlock3=0; sumAMidBMidCHighBlock4=0;
    sumAMidBMidCHighBlock5=0;
    sumAMidBHighCLowBlock1=0; sumAMidBHighCLowBlock2=0; 
    sumAMidBHighCLowBlock3=0; sumAMidBHighCLowBlock4=0;
    sumAMidBHighCLowBlock5=0;
    sumAMidBHighCMidBlock1=0; sumAMidBHighCMidBlock2=0; 
    sumAMidBHighCMidBlock3=0; sumAMidBHighCMidBlock4=0;
    sumAMidBHighCMidBlock5=0;
    sumAMidBHighCHighBlock1=0; sumAMidBHighCHighBlock2=0; 
    sumAMidBHighCHighBlock3=0; sumAMidBHighCHighBlock4=0;
    sumAMidBHighCHighBlock5=0;
    sumAHighBLowCLowBlock1=0; sumAHighBLowCLowBlock2=0; 
    sumAHighBLowCLowBlock3=0; sumAHighBLowCLowBlock4=0;
    sumAHighBLowCLowBlock5=0;
    sumAHighBLowCMidBlock1=0; sumAHighBLowCMidBlock2=0; 
    sumAHighBLowCMidBlock3=0; sumAHighBLowCMidBlock4=0;
    sumAHighBLowCMidBlock5=0;
    sumAHighBLowCHighBlock1=0; sumAHighBLowCHighBlock2=0; 
    sumAHighBLowCHighBlock3=0; sumAHighBLowCHighBlock4=0;
    sumAHighBLowCHighBlock5=0;
    sumAHighBMidCLowBlock1=0; sumAHighBMidCLowBlock2=0; 
    sumAHighBMidCLowBlock3=0; sumAHighBMidCLowBlock4=0;
    sumAHighBMidCLowBlock5=0;
    sumAHighBMidCMidBlock1=0; sumAHighBMidCMidBlock2=0; 
    sumAHighBMidCMidBlock3=0; sumAHighBMidCMidBlock4=0;
    sumAHighBMidCMidBlock5=0;
    sumAHighBMidCHighBlock1=0; sumAHighBMidCHighBlock2=0; 
    sumAHighBMidCHighBlock3=0; sumAHighBMidCHighBlock4=0;
    sumAHighBMidCHighBlock5=0;
    sumAHighBHighCLowBlock1=0; sumAHighBHighCLowBlock2=0; 
    sumAHighBHighCLowBlock3=0; sumAHighBHighCLowBlock4=0;
    sumAHighBHighCLowBlock5=0;
    sumAHighBHighCMidBlock1=0; sumAHighBHighCMidBlock2=0; 
    sumAHighBHighCMidBlock3=0; sumAHighBHighCMidBlock4=0;
    sumAHighBHighCMidBlock5=0;
    sumAHighBHighCHighBlock1=0; sumAHighBHighCHighBlock2=0; 
    sumAHighBHighCHighBlock3=0; sumAHighBHighCHighBlock4=0;
    sumAHighBHighCHighBlock5=0;

    sumALowBLowCLowDLowBlock1=0; sumALowBLowCLowDLowBlock2=0;
    sumALowBLowCLowDLowBlock3=0; sumALowBLowCLowDLowBlock4=0;
    sumALowBLowCLowDLowBlock5=0;
    sumALowBLowCLowDMidBlock1=0; sumALowBLowCLowDMidBlock2=0;
    sumALowBLowCLowDMidBlock3=0; sumALowBLowCLowDMidBlock4=0;
    sumALowBLowCLowDMidBlock5=0;
    sumALowBLowCLowDHighBlock1=0; sumALowBLowCLowDHighBlock2=0;
    sumALowBLowCLowDHighBlock3=0; sumALowBLowCLowDHighBlock4=0;
    sumALowBLowCLowDHighBlock5=0;
    sumALowBLowCMidDLowBlock1=0; sumALowBLowCMidDLowBlock2=0;
    sumALowBLowCMidDLowBlock3=0; sumALowBLowCMidDLowBlock4=0;
    sumALowBLowCMidDLowBlock5=0;
    sumALowBLowCMidDMidBlock1=0; sumALowBLowCMidDMidBlock2=0;
    sumALowBLowCMidDMidBlock3=0; sumALowBLowCMidDMidBlock4=0;
    sumALowBLowCMidDMidBlock5=0;
    sumALowBLowCMidDHighBlock1=0; sumALowBLowCMidDHighBlock2=0;
    sumALowBLowCMidDHighBlock3=0; sumALowBLowCMidDHighBlock4=0;
    sumALowBLowCMidDHighBlock5=0;
    sumALowBLowCHighDLowBlock1=0; sumALowBLowCHighDLowBlock2=0;
    sumALowBLowCHighDLowBlock3=0; sumALowBLowCHighDLowBlock4=0;
    sumALowBLowCHighDLowBlock5=0;
    sumALowBLowCHighDMidBlock1=0; sumALowBLowCHighDMidBlock2=0;
    sumALowBLowCHighDMidBlock3=0; sumALowBLowCHighDMidBlock4=0;
    sumALowBLowCHighDMidBlock5=0;
    sumALowBLowCHighDHighBlock1=0; sumALowBLowCHighDHighBlock2=0;
    sumALowBLowCHighDHighBlock3=0; sumALowBLowCHighDHighBlock4=0;
    sumALowBLowCHighDHighBlock5=0;
    sumALowBMidCLowDLowBlock1=0; sumALowBMidCLowDLowBlock2=0;
    sumALowBMidCLowDLowBlock3=0; sumALowBMidCLowDLowBlock4=0;
    sumALowBMidCLowDLowBlock5=0;
    sumALowBMidCLowDMidBlock1=0; sumALowBMidCLowDMidBlock2=0;
    sumALowBMidCLowDMidBlock3=0; sumALowBMidCLowDMidBlock4=0;
    sumALowBMidCLowDMidBlock5=0;
    sumALowBMidCLowDHighBlock1=0; sumALowBMidCLowDHighBlock2=0;
    sumALowBMidCLowDHighBlock3=0; sumALowBMidCLowDHighBlock4=0;
    sumALowBMidCLowDHighBlock5=0;
    sumALowBMidCMidDLowBlock1=0; sumALowBMidCMidDLowBlock2=0;
    sumALowBMidCMidDLowBlock3=0; sumALowBMidCMidDLowBlock4=0;
    sumALowBMidCMidDLowBlock5=0;
    sumALowBMidCMidDMidBlock1=0; sumALowBMidCMidDMidBlock2=0;
    sumALowBMidCMidDMidBlock3=0; sumALowBMidCMidDMidBlock4=0;
    sumALowBMidCMidDMidBlock5=0;
    sumALowBMidCMidDHighBlock1=0; sumALowBMidCMidDHighBlock2=0;
    sumALowBMidCMidDHighBlock3=0; sumALowBMidCMidDHighBlock4=0;
    sumALowBMidCMidDHighBlock5=0;
    sumALowBMidCHighDLowBlock1=0; sumALowBMidCHighDLowBlock2=0;
    sumALowBMidCHighDLowBlock3=0; sumALowBMidCHighDLowBlock4=0;
    sumALowBMidCHighDLowBlock5=0;
    sumALowBMidCHighDMidBlock1=0; sumALowBMidCHighDMidBlock2=0;
    sumALowBMidCHighDMidBlock3=0; sumALowBMidCHighDMidBlock4=0;
    sumALowBMidCHighDMidBlock5=0;
    sumALowBMidCHighDHighBlock1=0; sumALowBMidCHighDHighBlock2=0;
    sumALowBMidCHighDHighBlock3=0; sumALowBMidCHighDHighBlock4=0;
    sumALowBMidCHighDHighBlock5=0;
    sumALowBHighCLowDLowBlock1=0; sumALowBHighCLowDLowBlock2=0;
    sumALowBHighCLowDLowBlock3=0; sumALowBHighCLowDLowBlock4=0;
    sumALowBHighCLowDLowBlock5=0;
    sumALowBHighCLowDMidBlock1=0; sumALowBHighCLowDMidBlock2=0;
    sumALowBHighCLowDMidBlock3=0; sumALowBHighCLowDMidBlock4=0;
    sumALowBHighCLowDMidBlock5=0;
    sumALowBHighCLowDHighBlock1=0; sumALowBHighCLowDHighBlock2=0;
    sumALowBHighCLowDHighBlock3=0; sumALowBHighCLowDHighBlock4=0;
    sumALowBHighCLowDHighBlock5=0;
    sumALowBHighCMidDLowBlock1=0; sumALowBHighCMidDLowBlock2=0;
    sumALowBHighCMidDLowBlock3=0; sumALowBHighCMidDLowBlock4=0;
    sumALowBHighCMidDLowBlock5=0;
    sumALowBHighCMidDMidBlock1=0; sumALowBHighCMidDMidBlock2=0;
    sumALowBHighCMidDMidBlock3=0; sumALowBHighCMidDMidBlock4=0;
    sumALowBHighCMidDMidBlock5=0;
    sumALowBHighCMidDHighBlock1=0; sumALowBHighCMidDHighBlock2=0;
    sumALowBHighCMidDHighBlock3=0; sumALowBHighCMidDHighBlock4=0;
    sumALowBHighCMidDHighBlock5=0;
    sumALowBHighCHighDLowBlock1=0; sumALowBHighCHighDLowBlock2=0;
    sumALowBHighCHighDLowBlock3=0; sumALowBHighCHighDLowBlock4=0;
    sumALowBHighCHighDLowBlock5=0;
    sumALowBHighCHighDMidBlock1=0; sumALowBHighCHighDMidBlock2=0;
    sumALowBHighCHighDMidBlock3=0; sumALowBHighCHighDMidBlock4=0;
    sumALowBHighCHighDMidBlock5=0;
    sumALowBHighCHighDHighBlock1=0; sumALowBHighCHighDHighBlock2=0;
    sumALowBHighCHighDHighBlock3=0; sumALowBHighCHighDHighBlock4=0;
    sumALowBHighCHighDHighBlock5=0;
    sumAMidBLowCLowDLowBlock1=0; sumAMidBLowCLowDLowBlock2=0;
    sumAMidBLowCLowDLowBlock3=0; sumAMidBLowCLowDLowBlock4=0;
    sumAMidBLowCLowDLowBlock5=0;
    sumAMidBLowCLowDMidBlock1=0; sumAMidBLowCLowDMidBlock2=0;
    sumAMidBLowCLowDMidBlock3=0; sumAMidBLowCLowDMidBlock4=0;
    sumAMidBLowCLowDMidBlock5=0;
    sumAMidBLowCLowDHighBlock1=0; sumAMidBLowCLowDHighBlock2=0;
    sumAMidBLowCLowDHighBlock3=0; sumAMidBLowCLowDHighBlock4=0;
    sumAMidBLowCLowDHighBlock5=0;
    sumAMidBLowCMidDLowBlock1=0; sumAMidBLowCMidDLowBlock2=0;
    sumAMidBLowCMidDLowBlock3=0; sumAMidBLowCMidDLowBlock4=0;
    sumAMidBLowCMidDLowBlock5=0;
    sumAMidBLowCMidDMidBlock1=0; sumAMidBLowCMidDMidBlock2=0;
    sumAMidBLowCMidDMidBlock3=0; sumAMidBLowCMidDMidBlock4=0;
    sumAMidBLowCMidDMidBlock5=0;
    sumAMidBLowCMidDHighBlock1=0; sumAMidBLowCMidDHighBlock2=0;
    sumAMidBLowCMidDHighBlock3=0; sumAMidBLowCMidDHighBlock4=0;
    sumAMidBLowCMidDHighBlock5=0;
    sumAMidBLowCHighDLowBlock1=0; sumAMidBLowCHighDLowBlock2=0;
    sumAMidBLowCHighDLowBlock3=0; sumAMidBLowCHighDLowBlock4=0;
    sumAMidBLowCHighDLowBlock5=0;
    sumAMidBLowCHighDMidBlock1=0; sumAMidBLowCHighDMidBlock2=0;
    sumAMidBLowCHighDMidBlock3=0; sumAMidBLowCHighDMidBlock4=0;
    sumAMidBLowCHighDMidBlock5=0;
    sumAMidBLowCHighDHighBlock1=0; sumAMidBLowCHighDHighBlock2=0;
    sumAMidBLowCHighDHighBlock3=0; sumAMidBLowCHighDHighBlock4=0;
    sumAMidBLowCHighDHighBlock5=0;
    sumAMidBMidCLowDLowBlock1=0; sumAMidBMidCLowDLowBlock2=0;
    sumAMidBMidCLowDLowBlock3=0; sumAMidBMidCLowDLowBlock4=0;
    sumAMidBMidCLowDLowBlock5=0;
    sumAMidBMidCLowDMidBlock1=0; sumAMidBMidCLowDMidBlock2=0;
    sumAMidBMidCLowDMidBlock3=0; sumAMidBMidCLowDMidBlock4=0;
    sumAMidBMidCLowDMidBlock5=0;
    sumAMidBMidCLowDHighBlock1=0; sumAMidBMidCLowDHighBlock2=0;
    sumAMidBMidCLowDHighBlock3=0; sumAMidBMidCLowDHighBlock4=0;
    sumAMidBMidCLowDHighBlock5=0;
    sumAMidBMidCMidDLowBlock1=0; sumAMidBMidCMidDLowBlock2=0;
    sumAMidBMidCMidDLowBlock3=0; sumAMidBMidCMidDLowBlock4=0;
    sumAMidBMidCMidDLowBlock5=0;
    sumAMidBMidCMidDMidBlock1=0; sumAMidBMidCMidDMidBlock2=0;
    sumAMidBMidCMidDMidBlock3=0; sumAMidBMidCMidDMidBlock4=0;
    sumAMidBMidCMidDMidBlock5=0;
    sumAMidBMidCMidDHighBlock1=0; sumAMidBMidCMidDHighBlock2=0;
    sumAMidBMidCMidDHighBlock3=0; sumAMidBMidCMidDHighBlock4=0;
    sumAMidBMidCMidDHighBlock5=0;
    sumAMidBMidCHighDLowBlock1=0; sumAMidBMidCHighDLowBlock2=0;
    sumAMidBMidCHighDLowBlock3=0; sumAMidBMidCHighDLowBlock4=0;
    sumAMidBMidCHighDLowBlock5=0;
    sumAMidBMidCHighDMidBlock1=0; sumAMidBMidCHighDMidBlock2=0;
    sumAMidBMidCHighDMidBlock3=0; sumAMidBMidCHighDMidBlock4=0;
    sumAMidBMidCHighDMidBlock5=0;
    sumAMidBMidCHighDHighBlock1=0; sumAMidBMidCHighDHighBlock2=0;
    sumAMidBMidCHighDHighBlock3=0; sumAMidBMidCHighDHighBlock4=0;
    sumAMidBMidCHighDHighBlock5=0;
    sumAMidBHighCLowDLowBlock1=0; sumAMidBHighCLowDLowBlock2=0;
    sumAMidBHighCLowDLowBlock3=0; sumAMidBHighCLowDLowBlock4=0;
    sumAMidBHighCLowDLowBlock5=0;
    sumAMidBHighCLowDMidBlock1=0; sumAMidBHighCLowDMidBlock2=0;
    sumAMidBHighCLowDMidBlock3=0; sumAMidBHighCLowDMidBlock4=0;
    sumAMidBHighCLowDMidBlock5=0;
    sumAMidBHighCLowDHighBlock1=0; sumAMidBHighCLowDHighBlock2=0;
    sumAMidBHighCLowDHighBlock3=0; sumAMidBHighCLowDHighBlock4=0;
    sumAMidBHighCLowDHighBlock5=0;
    sumAMidBHighCMidDLowBlock1=0; sumAMidBHighCMidDLowBlock2=0;
    sumAMidBHighCMidDLowBlock3=0; sumAMidBHighCMidDLowBlock4=0;
    sumAMidBHighCMidDLowBlock5=0;
    sumAMidBHighCMidDMidBlock1=0; sumAMidBHighCMidDMidBlock2=0;
    sumAMidBHighCMidDMidBlock3=0; sumAMidBHighCMidDMidBlock4=0;
    sumAMidBHighCMidDMidBlock5=0;
    sumAMidBHighCMidDHighBlock1=0; sumAMidBHighCMidDHighBlock2=0;
    sumAMidBHighCMidDHighBlock3=0; sumAMidBHighCMidDHighBlock4=0;
    sumAMidBHighCMidDHighBlock5=0;
    sumAMidBHighCHighDLowBlock1=0; sumAMidBHighCHighDLowBlock2=0;
    sumAMidBHighCHighDLowBlock3=0; sumAMidBHighCHighDLowBlock4=0;
    sumAMidBHighCHighDLowBlock5=0;
    sumAMidBHighCHighDMidBlock1=0; sumAMidBHighCHighDMidBlock2=0;
    sumAMidBHighCHighDMidBlock3=0; sumAMidBHighCHighDMidBlock4=0;
    sumAMidBHighCHighDMidBlock5=0;
    sumAMidBHighCHighDHighBlock1=0; sumAMidBHighCHighDHighBlock2=0;
    sumAMidBHighCHighDHighBlock3=0; sumAMidBHighCHighDHighBlock4=0;
    sumAMidBHighCHighDHighBlock5=0;
    sumAHighBLowCLowDLowBlock1=0; sumAHighBLowCLowDLowBlock2=0;
    sumAHighBLowCLowDLowBlock3=0; sumAHighBLowCLowDLowBlock4=0;
    sumAHighBLowCLowDLowBlock5=0;
    sumAHighBLowCLowDMidBlock1=0; sumAHighBLowCLowDMidBlock2=0;
    sumAHighBLowCLowDMidBlock3=0; sumAHighBLowCLowDMidBlock4=0;
    sumAHighBLowCLowDMidBlock5=0;
    sumAHighBLowCLowDHighBlock1=0; sumAHighBLowCLowDHighBlock2=0;
    sumAHighBLowCLowDHighBlock3=0; sumAHighBLowCLowDHighBlock4=0;
    sumAHighBLowCLowDHighBlock5=0;
    sumAHighBLowCMidDLowBlock1=0; sumAHighBLowCMidDLowBlock2=0;
    sumAHighBLowCMidDLowBlock3=0; sumAHighBLowCMidDLowBlock4=0;
    sumAHighBLowCMidDLowBlock5=0;
    sumAHighBLowCMidDMidBlock1=0; sumAHighBLowCMidDMidBlock2=0;
    sumAHighBLowCMidDMidBlock3=0; sumAHighBLowCMidDMidBlock4=0;
    sumAHighBLowCMidDMidBlock5=0;
    sumAHighBLowCMidDHighBlock1=0; sumAHighBLowCMidDHighBlock2=0;
    sumAHighBLowCMidDHighBlock3=0; sumAHighBLowCMidDHighBlock4=0;
    sumAHighBLowCMidDHighBlock5=0;
    sumAHighBLowCHighDLowBlock1=0; sumAHighBLowCHighDLowBlock2=0;
    sumAHighBLowCHighDLowBlock3=0; sumAHighBLowCHighDLowBlock4=0;
    sumAHighBLowCHighDLowBlock5=0;
    sumAHighBLowCHighDMidBlock1=0; sumAHighBLowCHighDMidBlock2=0;
    sumAHighBLowCHighDMidBlock3=0; sumAHighBLowCHighDMidBlock4=0;
    sumAHighBLowCHighDMidBlock5=0;
    sumAHighBLowCHighDHighBlock1=0; sumAHighBLowCHighDHighBlock2=0;
    sumAHighBLowCHighDHighBlock3=0; sumAHighBLowCHighDHighBlock4=0;
    sumAHighBLowCHighDHighBlock5=0;
    sumAHighBMidCLowDLowBlock1=0; sumAHighBMidCLowDLowBlock2=0;
    sumAHighBMidCLowDLowBlock3=0; sumAHighBMidCLowDLowBlock4=0;
    sumAHighBMidCLowDLowBlock5=0;
    sumAHighBMidCLowDMidBlock1=0; sumAHighBMidCLowDMidBlock2=0;
    sumAHighBMidCLowDMidBlock3=0; sumAHighBMidCLowDMidBlock4=0;
    sumAHighBMidCLowDMidBlock5=0;
    sumAHighBMidCLowDHighBlock1=0; sumAHighBMidCLowDHighBlock2=0;
    sumAHighBMidCLowDHighBlock3=0; sumAHighBMidCLowDHighBlock4=0;
    sumAHighBMidCLowDHighBlock5=0;
    sumAHighBMidCMidDLowBlock1=0; sumAHighBMidCMidDLowBlock2=0;
    sumAHighBMidCMidDLowBlock3=0; sumAHighBMidCMidDLowBlock4=0;
    sumAHighBMidCMidDLowBlock5=0;
    sumAHighBMidCMidDMidBlock1=0; sumAHighBMidCMidDMidBlock2=0;
    sumAHighBMidCMidDMidBlock3=0; sumAHighBMidCMidDMidBlock4=0;
    sumAHighBMidCMidDMidBlock5=0;
    sumAHighBMidCMidDHighBlock1=0; sumAHighBMidCMidDHighBlock2=0;
    sumAHighBMidCMidDHighBlock3=0; sumAHighBMidCMidDHighBlock4=0;
    sumAHighBMidCMidDHighBlock5=0;
    sumAHighBMidCHighDLowBlock1=0; sumAHighBMidCHighDLowBlock2=0;
    sumAHighBMidCHighDLowBlock3=0; sumAHighBMidCHighDLowBlock4=0;
    sumAHighBMidCHighDLowBlock5=0;
    sumAHighBMidCHighDMidBlock1=0; sumAHighBMidCHighDMidBlock2=0;
    sumAHighBMidCHighDMidBlock3=0; sumAHighBMidCHighDMidBlock4=0;
    sumAHighBMidCHighDMidBlock5=0;
    sumAHighBMidCHighDHighBlock1=0; sumAHighBMidCHighDHighBlock2=0;
    sumAHighBMidCHighDHighBlock3=0; sumAHighBMidCHighDHighBlock4=0;
    sumAHighBMidCHighDHighBlock5=0;
    sumAHighBHighCLowDLowBlock1=0; sumAHighBHighCLowDLowBlock2=0;
    sumAHighBHighCLowDLowBlock3=0; sumAHighBHighCLowDLowBlock4=0;
    sumAHighBHighCLowDLowBlock5=0;
    sumAHighBHighCLowDMidBlock1=0; sumAHighBHighCLowDMidBlock2=0;
    sumAHighBHighCLowDMidBlock3=0; sumAHighBHighCLowDMidBlock4=0;
    sumAHighBHighCLowDMidBlock5=0;
    sumAHighBHighCLowDHighBlock1=0; sumAHighBHighCLowDHighBlock2=0;
    sumAHighBHighCLowDHighBlock3=0; sumAHighBHighCLowDHighBlock4=0;
    sumAHighBHighCLowDHighBlock5=0;
    sumAHighBHighCMidDLowBlock1=0; sumAHighBHighCMidDLowBlock2=0;
    sumAHighBHighCMidDLowBlock3=0; sumAHighBHighCMidDLowBlock4=0;
    sumAHighBHighCMidDLowBlock5=0;
    sumAHighBHighCMidDMidBlock1=0; sumAHighBHighCMidDMidBlock2=0;
    sumAHighBHighCMidDMidBlock3=0; sumAHighBHighCMidDMidBlock4=0;
    sumAHighBHighCMidDMidBlock5=0;
    sumAHighBHighCMidDHighBlock1=0; sumAHighBHighCMidDHighBlock2=0;
    sumAHighBHighCMidDHighBlock3=0; sumAHighBHighCMidDHighBlock4=0;
    sumAHighBHighCMidDHighBlock5=0;
    sumAHighBHighCHighDLowBlock1=0; sumAHighBHighCHighDLowBlock2=0;
    sumAHighBHighCHighDLowBlock3=0; sumAHighBHighCHighDLowBlock4=0;
    sumAHighBHighCHighDLowBlock5=0;
    sumAHighBHighCHighDMidBlock1=0; sumAHighBHighCHighDMidBlock2=0;
    sumAHighBHighCHighDMidBlock3=0; sumAHighBHighCHighDMidBlock4=0;
    sumAHighBHighCHighDMidBlock5=0;
    sumAHighBHighCHighDHighBlock1=0; sumAHighBHighCHighDHighBlock2=0;
    sumAHighBHighCHighDHighBlock3=0; sumAHighBHighCHighDHighBlock4=0;
    sumAHighBHighCHighDHighBlock5=0;
    
    sumALowBLowCLowDLowELowBlock1=0; sumALowBLowCLowDLowELowBlock2=0;
    sumALowBLowCLowDLowELowBlock3=0; sumALowBLowCLowDLowELowBlock4=0;
    sumALowBLowCLowDLowELowBlock5=0;
    sumALowBLowCLowDLowEMidBlock1=0; sumALowBLowCLowDLowEMidBlock2=0;
    sumALowBLowCLowDLowEMidBlock3=0; sumALowBLowCLowDLowEMidBlock4=0;
    sumALowBLowCLowDLowEMidBlock5=0;
    sumALowBLowCLowDLowEHighBlock1=0; sumALowBLowCLowDLowEHighBlock2=0;
    sumALowBLowCLowDLowEHighBlock3=0; sumALowBLowCLowDLowEHighBlock4=0;
    sumALowBLowCLowDLowEHighBlock5=0;
    sumALowBLowCLowDMidELowBlock1=0; sumALowBLowCLowDMidELowBlock2=0;
    sumALowBLowCLowDMidELowBlock3=0; sumALowBLowCLowDMidELowBlock4=0;
    sumALowBLowCLowDMidELowBlock5=0;
    sumALowBLowCLowDMidEMidBlock1=0; sumALowBLowCLowDMidEMidBlock2=0;
    sumALowBLowCLowDMidEMidBlock3=0; sumALowBLowCLowDMidEMidBlock4=0;
    sumALowBLowCLowDMidEMidBlock5=0;
    sumALowBLowCLowDMidEHighBlock1=0; sumALowBLowCLowDMidEHighBlock2=0;
    sumALowBLowCLowDMidEHighBlock3=0; sumALowBLowCLowDMidEHighBlock4=0;
    sumALowBLowCLowDMidEHighBlock5=0;
    sumALowBLowCLowDHighELowBlock1=0; sumALowBLowCLowDHighELowBlock2=0;
    sumALowBLowCLowDHighELowBlock3=0; sumALowBLowCLowDHighELowBlock4=0;
    sumALowBLowCLowDHighELowBlock5=0;
    sumALowBLowCLowDHighEMidBlock1=0; sumALowBLowCLowDHighEMidBlock2=0;
    sumALowBLowCLowDHighEMidBlock3=0; sumALowBLowCLowDHighEMidBlock4=0;
    sumALowBLowCLowDHighEMidBlock5=0;
    sumALowBLowCLowDHighEHighBlock1=0; sumALowBLowCLowDHighEHighBlock2=0;
    sumALowBLowCLowDHighEHighBlock3=0; sumALowBLowCLowDHighEHighBlock4=0;
    sumALowBLowCLowDHighEHighBlock5=0;
    sumALowBLowCMidDLowELowBlock1=0; sumALowBLowCMidDLowELowBlock2=0;
    sumALowBLowCMidDLowELowBlock3=0; sumALowBLowCMidDLowELowBlock4=0;
    sumALowBLowCMidDLowELowBlock5=0;
    sumALowBLowCMidDLowEMidBlock1=0; sumALowBLowCMidDLowEMidBlock2=0;
    sumALowBLowCMidDLowEMidBlock3=0; sumALowBLowCMidDLowEMidBlock4=0;
    sumALowBLowCMidDLowEMidBlock5=0;
    sumALowBLowCMidDLowEHighBlock1=0; sumALowBLowCMidDLowEHighBlock2=0;
    sumALowBLowCMidDLowEHighBlock3=0; sumALowBLowCMidDLowEHighBlock4=0;
    sumALowBLowCMidDLowEHighBlock5=0;
    sumALowBLowCMidDMidELowBlock1=0; sumALowBLowCMidDMidELowBlock2=0;
    sumALowBLowCMidDMidELowBlock3=0; sumALowBLowCMidDMidELowBlock4=0;
    sumALowBLowCMidDMidELowBlock5=0;
    sumALowBLowCMidDMidEMidBlock1=0; sumALowBLowCMidDMidEMidBlock2=0;
    sumALowBLowCMidDMidEMidBlock3=0; sumALowBLowCMidDMidEMidBlock4=0;
    sumALowBLowCMidDMidEMidBlock5=0;
    sumALowBLowCMidDMidEHighBlock1=0; sumALowBLowCMidDMidEHighBlock2=0;
    sumALowBLowCMidDMidEHighBlock3=0; sumALowBLowCMidDMidEHighBlock4=0;
    sumALowBLowCMidDMidEHighBlock5=0;
    sumALowBLowCMidDHighELowBlock1=0; sumALowBLowCMidDHighELowBlock2=0;
    sumALowBLowCMidDHighELowBlock3=0; sumALowBLowCMidDHighELowBlock4=0;
    sumALowBLowCMidDHighELowBlock5=0;
    sumALowBLowCMidDHighEMidBlock1=0; sumALowBLowCMidDHighEMidBlock2=0;
    sumALowBLowCMidDHighEMidBlock3=0; sumALowBLowCMidDHighEMidBlock4=0;
    sumALowBLowCMidDHighEMidBlock5=0;
    sumALowBLowCMidDHighEHighBlock1=0; sumALowBLowCMidDHighEHighBlock2=0;
    sumALowBLowCMidDHighEHighBlock3=0; sumALowBLowCMidDHighEHighBlock4=0;
    sumALowBLowCMidDHighEHighBlock5=0;
    sumALowBLowCHighDLowELowBlock1=0; sumALowBLowCHighDLowELowBlock2=0;
    sumALowBLowCHighDLowELowBlock3=0; sumALowBLowCHighDLowELowBlock4=0;
    sumALowBLowCHighDLowELowBlock5=0;
    sumALowBLowCHighDLowEMidBlock1=0; sumALowBLowCHighDLowEMidBlock2=0;
    sumALowBLowCHighDLowEMidBlock3=0; sumALowBLowCHighDLowEMidBlock4=0;
    sumALowBLowCHighDLowEMidBlock5=0;
    sumALowBLowCHighDLowEHighBlock1=0; sumALowBLowCHighDLowEHighBlock2=0;
    sumALowBLowCHighDLowEHighBlock3=0; sumALowBLowCHighDLowEHighBlock4=0;
    sumALowBLowCHighDLowEHighBlock5=0;
    sumALowBLowCHighDMidELowBlock1=0; sumALowBLowCHighDMidELowBlock2=0;
    sumALowBLowCHighDMidELowBlock3=0; sumALowBLowCHighDMidELowBlock4=0;
    sumALowBLowCHighDMidELowBlock5=0;
    sumALowBLowCHighDMidEMidBlock1=0; sumALowBLowCHighDMidEMidBlock2=0;
    sumALowBLowCHighDMidEMidBlock3=0; sumALowBLowCHighDMidEMidBlock4=0;
    sumALowBLowCHighDMidEMidBlock5=0;
    sumALowBLowCHighDMidEHighBlock1=0; sumALowBLowCHighDMidEHighBlock2=0;
    sumALowBLowCHighDMidEHighBlock3=0; sumALowBLowCHighDMidEHighBlock4=0;
    sumALowBLowCHighDMidEHighBlock5=0;
    sumALowBLowCHighDHighELowBlock1=0; sumALowBLowCHighDHighELowBlock2=0;
    sumALowBLowCHighDHighELowBlock3=0; sumALowBLowCHighDHighELowBlock4=0;
    sumALowBLowCHighDHighELowBlock5=0;
    sumALowBLowCHighDHighEMidBlock1=0; sumALowBLowCHighDHighEMidBlock2=0;
    sumALowBLowCHighDHighEMidBlock3=0; sumALowBLowCHighDHighEMidBlock4=0;
    sumALowBLowCHighDHighEMidBlock5=0;
    sumALowBLowCHighDHighEHighBlock1=0; sumALowBLowCHighDHighEHighBlock2=0;
    sumALowBLowCHighDHighEHighBlock3=0; sumALowBLowCHighDHighEHighBlock4=0;
    sumALowBLowCHighDHighEHighBlock5=0;
    sumALowBMidCLowDLowELowBlock1=0; sumALowBMidCLowDLowELowBlock2=0;
    sumALowBMidCLowDLowELowBlock3=0; sumALowBMidCLowDLowELowBlock4=0;
    sumALowBMidCLowDLowELowBlock5=0;
    sumALowBMidCLowDLowEMidBlock1=0; sumALowBMidCLowDLowEMidBlock2=0;
    sumALowBMidCLowDLowEMidBlock3=0; sumALowBMidCLowDLowEMidBlock4=0;
    sumALowBMidCLowDLowEMidBlock5=0;
    sumALowBMidCLowDLowEHighBlock1=0; sumALowBMidCLowDLowEHighBlock2=0;
    sumALowBMidCLowDLowEHighBlock3=0; sumALowBMidCLowDLowEHighBlock4=0;
    sumALowBMidCLowDLowEHighBlock5=0;
    sumALowBMidCLowDMidELowBlock1=0; sumALowBMidCLowDMidELowBlock2=0;
    sumALowBMidCLowDMidELowBlock3=0; sumALowBMidCLowDMidELowBlock4=0;
    sumALowBMidCLowDMidELowBlock5=0;
    sumALowBMidCLowDMidEMidBlock1=0; sumALowBMidCLowDMidEMidBlock2=0;
    sumALowBMidCLowDMidEMidBlock3=0; sumALowBMidCLowDMidEMidBlock4=0;
    sumALowBMidCLowDMidEMidBlock5=0;
    sumALowBMidCLowDMidEHighBlock1=0; sumALowBMidCLowDMidEHighBlock2=0;
    sumALowBMidCLowDMidEHighBlock3=0; sumALowBMidCLowDMidEHighBlock4=0;
    sumALowBMidCLowDMidEHighBlock5=0;
    sumALowBMidCLowDHighELowBlock1=0; sumALowBMidCLowDHighELowBlock2=0;
    sumALowBMidCLowDHighELowBlock3=0; sumALowBMidCLowDHighELowBlock4=0;
    sumALowBMidCLowDHighELowBlock5=0;
    sumALowBMidCLowDHighEMidBlock1=0; sumALowBMidCLowDHighEMidBlock2=0;
    sumALowBMidCLowDHighEMidBlock3=0; sumALowBMidCLowDHighEMidBlock4=0;
    sumALowBMidCLowDHighEMidBlock5=0;
    sumALowBMidCLowDHighEHighBlock1=0; sumALowBMidCLowDHighEHighBlock2=0;
    sumALowBMidCLowDHighEHighBlock3=0; sumALowBMidCLowDHighEHighBlock4=0;
    sumALowBMidCLowDHighEHighBlock5=0;
    sumALowBMidCMidDLowELowBlock1=0; sumALowBMidCMidDLowELowBlock2=0;
    sumALowBMidCMidDLowELowBlock3=0; sumALowBMidCMidDLowELowBlock4=0;
    sumALowBMidCMidDLowELowBlock5=0;
    sumALowBMidCMidDLowEMidBlock1=0; sumALowBMidCMidDLowEMidBlock2=0;
    sumALowBMidCMidDLowEMidBlock3=0; sumALowBMidCMidDLowEMidBlock4=0;
    sumALowBMidCMidDLowEMidBlock5=0;
    sumALowBMidCMidDLowEHighBlock1=0; sumALowBMidCMidDLowEHighBlock2=0;
    sumALowBMidCMidDLowEHighBlock3=0; sumALowBMidCMidDLowEHighBlock4=0;
    sumALowBMidCMidDLowEHighBlock5=0;
    sumALowBMidCMidDMidELowBlock1=0; sumALowBMidCMidDMidELowBlock2=0;
    sumALowBMidCMidDMidELowBlock3=0; sumALowBMidCMidDMidELowBlock4=0;
    sumALowBMidCMidDMidELowBlock5=0;
    sumALowBMidCMidDMidEMidBlock1=0; sumALowBMidCMidDMidEMidBlock2=0;
    sumALowBMidCMidDMidEMidBlock3=0; sumALowBMidCMidDMidEMidBlock4=0;
    sumALowBMidCMidDMidEMidBlock5=0;
    sumALowBMidCMidDMidEHighBlock1=0; sumALowBMidCMidDMidEHighBlock2=0;
    sumALowBMidCMidDMidEHighBlock3=0; sumALowBMidCMidDMidEHighBlock4=0;
    sumALowBMidCMidDMidEHighBlock5=0;
    sumALowBMidCMidDHighELowBlock1=0; sumALowBMidCMidDHighELowBlock2=0;
    sumALowBMidCMidDHighELowBlock3=0; sumALowBMidCMidDHighELowBlock4=0;
    sumALowBMidCMidDHighELowBlock5=0;
    sumALowBMidCMidDHighEMidBlock1=0; sumALowBMidCMidDHighEMidBlock2=0;
    sumALowBMidCMidDHighEMidBlock3=0; sumALowBMidCMidDHighEMidBlock4=0;
    sumALowBMidCMidDHighEMidBlock5=0;
    sumALowBMidCMidDHighEHighBlock1=0; sumALowBMidCMidDHighEHighBlock2=0;
    sumALowBMidCMidDHighEHighBlock3=0; sumALowBMidCMidDHighEHighBlock4=0;
    sumALowBMidCMidDHighEHighBlock5=0;
    sumALowBMidCHighDLowELowBlock1=0; sumALowBMidCHighDLowELowBlock2=0;
    sumALowBMidCHighDLowELowBlock3=0; sumALowBMidCHighDLowELowBlock4=0;
    sumALowBMidCHighDLowELowBlock5=0;
    sumALowBMidCHighDLowEMidBlock1=0; sumALowBMidCHighDLowEMidBlock2=0;
    sumALowBMidCHighDLowEMidBlock3=0; sumALowBMidCHighDLowEMidBlock4=0;
    sumALowBMidCHighDLowEMidBlock5=0;
    sumALowBMidCHighDLowEHighBlock1=0; sumALowBMidCHighDLowEHighBlock2=0;
    sumALowBMidCHighDLowEHighBlock3=0; sumALowBMidCHighDLowEHighBlock4=0;
    sumALowBMidCHighDLowEHighBlock5=0;
    sumALowBMidCHighDMidELowBlock1=0; sumALowBMidCHighDMidELowBlock2=0;
    sumALowBMidCHighDMidELowBlock3=0; sumALowBMidCHighDMidELowBlock4=0;
    sumALowBMidCHighDMidELowBlock5=0;
    sumALowBMidCHighDMidEMidBlock1=0; sumALowBMidCHighDMidEMidBlock2=0;
    sumALowBMidCHighDMidEMidBlock3=0; sumALowBMidCHighDMidEMidBlock4=0;
    sumALowBMidCHighDMidEMidBlock5=0;
    sumALowBMidCHighDMidEHighBlock1=0; sumALowBMidCHighDMidEHighBlock2=0;
    sumALowBMidCHighDMidEHighBlock3=0; sumALowBMidCHighDMidEHighBlock4=0;
    sumALowBMidCHighDMidEHighBlock5=0;
    sumALowBMidCHighDHighELowBlock1=0; sumALowBMidCHighDHighELowBlock2=0;
    sumALowBMidCHighDHighELowBlock3=0; sumALowBMidCHighDHighELowBlock4=0;
    sumALowBMidCHighDHighELowBlock5=0;
    sumALowBMidCHighDHighEMidBlock1=0; sumALowBMidCHighDHighEMidBlock2=0;
    sumALowBMidCHighDHighEMidBlock3=0; sumALowBMidCHighDHighEMidBlock4=0;
    sumALowBMidCHighDHighEMidBlock5=0;
    sumALowBMidCHighDHighEHighBlock1=0; sumALowBMidCHighDHighEHighBlock2=0;
    sumALowBMidCHighDHighEHighBlock3=0; sumALowBMidCHighDHighEHighBlock4=0;
    sumALowBMidCHighDHighEHighBlock5=0;
    sumALowBHighCLowDLowELowBlock1=0; sumALowBHighCLowDLowELowBlock2=0;
    sumALowBHighCLowDLowELowBlock3=0; sumALowBHighCLowDLowELowBlock4=0;
    sumALowBHighCLowDLowELowBlock5=0;
    sumALowBHighCLowDLowEMidBlock1=0; sumALowBHighCLowDLowEMidBlock2=0;
    sumALowBHighCLowDLowEMidBlock3=0; sumALowBHighCLowDLowEMidBlock4=0;
    sumALowBHighCLowDLowEMidBlock5=0;
    sumALowBHighCLowDLowEHighBlock1=0; sumALowBHighCLowDLowEHighBlock2=0;
    sumALowBHighCLowDLowEHighBlock3=0; sumALowBHighCLowDLowEHighBlock4=0;
    sumALowBHighCLowDLowEHighBlock5=0;
    sumALowBHighCLowDMidELowBlock1=0; sumALowBHighCLowDMidELowBlock2=0;
    sumALowBHighCLowDMidELowBlock3=0; sumALowBHighCLowDMidELowBlock4=0;
    sumALowBHighCLowDMidELowBlock5=0;
    sumALowBHighCLowDMidEMidBlock1=0; sumALowBHighCLowDMidEMidBlock2=0;
    sumALowBHighCLowDMidEMidBlock3=0; sumALowBHighCLowDMidEMidBlock4=0;
    sumALowBHighCLowDMidEMidBlock5=0;
    sumALowBHighCLowDMidEHighBlock1=0; sumALowBHighCLowDMidEHighBlock2=0;
    sumALowBHighCLowDMidEHighBlock3=0; sumALowBHighCLowDMidEHighBlock4=0;
    sumALowBHighCLowDMidEHighBlock5=0;
    sumALowBHighCLowDHighELowBlock1=0; sumALowBHighCLowDHighELowBlock2=0;
    sumALowBHighCLowDHighELowBlock3=0; sumALowBHighCLowDHighELowBlock4=0;
    sumALowBHighCLowDHighELowBlock5=0;
    sumALowBHighCLowDHighEMidBlock1=0; sumALowBHighCLowDHighEMidBlock2=0;
    sumALowBHighCLowDHighEMidBlock3=0; sumALowBHighCLowDHighEMidBlock4=0;
    sumALowBHighCLowDHighEMidBlock5=0;
    sumALowBHighCLowDHighEHighBlock1=0; sumALowBHighCLowDHighEHighBlock2=0;
    sumALowBHighCLowDHighEHighBlock3=0; sumALowBHighCLowDHighEHighBlock4=0;
    sumALowBHighCLowDHighEHighBlock5=0;
    sumALowBHighCMidDLowELowBlock1=0; sumALowBHighCMidDLowELowBlock2=0;
    sumALowBHighCMidDLowELowBlock3=0; sumALowBHighCMidDLowELowBlock4=0;
    sumALowBHighCMidDLowELowBlock5=0;
    sumALowBHighCMidDLowEMidBlock1=0; sumALowBHighCMidDLowEMidBlock2=0;
    sumALowBHighCMidDLowEMidBlock3=0; sumALowBHighCMidDLowEMidBlock4=0;
    sumALowBHighCMidDLowEMidBlock5=0;
    sumALowBHighCMidDLowEHighBlock1=0; sumALowBHighCMidDLowEHighBlock2=0;
    sumALowBHighCMidDLowEHighBlock3=0; sumALowBHighCMidDLowEHighBlock4=0;
    sumALowBHighCMidDLowEHighBlock5=0;
    sumALowBHighCMidDMidELowBlock1=0; sumALowBHighCMidDMidELowBlock2=0;
    sumALowBHighCMidDMidELowBlock3=0; sumALowBHighCMidDMidELowBlock4=0;
    sumALowBHighCMidDMidELowBlock5=0;
    sumALowBHighCMidDMidEMidBlock1=0; sumALowBHighCMidDMidEMidBlock2=0;
    sumALowBHighCMidDMidEMidBlock3=0; sumALowBHighCMidDMidEMidBlock4=0;
    sumALowBHighCMidDMidEMidBlock5=0;
    sumALowBHighCMidDMidEHighBlock1=0; sumALowBHighCMidDMidEHighBlock2=0;
    sumALowBHighCMidDMidEHighBlock3=0; sumALowBHighCMidDMidEHighBlock4=0;
    sumALowBHighCMidDMidEHighBlock5=0;
    sumALowBHighCMidDHighELowBlock1=0; sumALowBHighCMidDHighELowBlock2=0;
    sumALowBHighCMidDHighELowBlock3=0; sumALowBHighCMidDHighELowBlock4=0;
    sumALowBHighCMidDHighELowBlock5=0;
    sumALowBHighCMidDHighEMidBlock1=0; sumALowBHighCMidDHighEMidBlock2=0;
    sumALowBHighCMidDHighEMidBlock3=0; sumALowBHighCMidDHighEMidBlock4=0;
    sumALowBHighCMidDHighEMidBlock5=0;
    sumALowBHighCMidDHighEHighBlock1=0; sumALowBHighCMidDHighEHighBlock2=0;
    sumALowBHighCMidDHighEHighBlock3=0; sumALowBHighCMidDHighEHighBlock4=0;
    sumALowBHighCMidDHighEHighBlock5=0;
    sumALowBHighCHighDLowELowBlock1=0; sumALowBHighCHighDLowELowBlock2=0;
    sumALowBHighCHighDLowELowBlock3=0; sumALowBHighCHighDLowELowBlock4=0;
    sumALowBHighCHighDLowELowBlock5=0;
    sumALowBHighCHighDLowEMidBlock1=0; sumALowBHighCHighDLowEMidBlock2=0;
    sumALowBHighCHighDLowEMidBlock3=0; sumALowBHighCHighDLowEMidBlock4=0;
    sumALowBHighCHighDLowEMidBlock5=0;
    sumALowBHighCHighDLowEHighBlock1=0; sumALowBHighCHighDLowEHighBlock2=0;
    sumALowBHighCHighDLowEHighBlock3=0; sumALowBHighCHighDLowEHighBlock4=0;
    sumALowBHighCHighDLowEHighBlock5=0;
    sumALowBHighCHighDMidELowBlock1=0; sumALowBHighCHighDMidELowBlock2=0;
    sumALowBHighCHighDMidELowBlock3=0; sumALowBHighCHighDMidELowBlock4=0;
    sumALowBHighCHighDMidELowBlock5=0;
    sumALowBHighCHighDMidEMidBlock1=0; sumALowBHighCHighDMidEMidBlock2=0;
    sumALowBHighCHighDMidEMidBlock3=0; sumALowBHighCHighDMidEMidBlock4=0;
    sumALowBHighCHighDMidEMidBlock5=0;
    sumALowBHighCHighDMidEHighBlock1=0; sumALowBHighCHighDMidEHighBlock2=0;
    sumALowBHighCHighDMidEHighBlock3=0; sumALowBHighCHighDMidEHighBlock4=0;
    sumALowBHighCHighDMidEHighBlock5=0;
    sumALowBHighCHighDHighELowBlock1=0; sumALowBHighCHighDHighELowBlock2=0;
    sumALowBHighCHighDHighELowBlock3=0; sumALowBHighCHighDHighELowBlock4=0;
    sumALowBHighCHighDHighELowBlock5=0;
    sumALowBHighCHighDHighEMidBlock1=0; sumALowBHighCHighDHighEMidBlock2=0;
    sumALowBHighCHighDHighEMidBlock3=0; sumALowBHighCHighDHighEMidBlock4=0;
    sumALowBHighCHighDHighEMidBlock5=0;
    sumALowBHighCHighDHighEHighBlock1=0; sumALowBHighCHighDHighEHighBlock2=0;
    sumALowBHighCHighDHighEHighBlock3=0; sumALowBHighCHighDHighEHighBlock4=0;
    sumALowBHighCHighDHighEHighBlock5=0;
    sumAMidBLowCLowDLowELowBlock1=0; sumAMidBLowCLowDLowELowBlock2=0;
    sumAMidBLowCLowDLowELowBlock3=0; sumAMidBLowCLowDLowELowBlock4=0;
    sumAMidBLowCLowDLowELowBlock5=0;
    sumAMidBLowCLowDLowEMidBlock1=0; sumAMidBLowCLowDLowEMidBlock2=0;
    sumAMidBLowCLowDLowEMidBlock3=0; sumAMidBLowCLowDLowEMidBlock4=0;
    sumAMidBLowCLowDLowEMidBlock5=0;
    sumAMidBLowCLowDLowEHighBlock1=0; sumAMidBLowCLowDLowEHighBlock2=0;
    sumAMidBLowCLowDLowEHighBlock3=0; sumAMidBLowCLowDLowEHighBlock4=0;
    sumAMidBLowCLowDLowEHighBlock5=0;
    sumAMidBLowCLowDMidELowBlock1=0; sumAMidBLowCLowDMidELowBlock2=0;
    sumAMidBLowCLowDMidELowBlock3=0; sumAMidBLowCLowDMidELowBlock4=0;
    sumAMidBLowCLowDMidELowBlock5=0;
    sumAMidBLowCLowDMidEMidBlock1=0; sumAMidBLowCLowDMidEMidBlock2=0;
    sumAMidBLowCLowDMidEMidBlock3=0; sumAMidBLowCLowDMidEMidBlock4=0;
    sumAMidBLowCLowDMidEMidBlock5=0;
    sumAMidBLowCLowDMidEHighBlock1=0; sumAMidBLowCLowDMidEHighBlock2=0;
    sumAMidBLowCLowDMidEHighBlock3=0; sumAMidBLowCLowDMidEHighBlock4=0;
    sumAMidBLowCLowDMidEHighBlock5=0;
    sumAMidBLowCLowDHighELowBlock1=0; sumAMidBLowCLowDHighELowBlock2=0;
    sumAMidBLowCLowDHighELowBlock3=0; sumAMidBLowCLowDHighELowBlock4=0;
    sumAMidBLowCLowDHighELowBlock5=0;
    sumAMidBLowCLowDHighEMidBlock1=0; sumAMidBLowCLowDHighEMidBlock2=0;
    sumAMidBLowCLowDHighEMidBlock3=0; sumAMidBLowCLowDHighEMidBlock4=0;
    sumAMidBLowCLowDHighEMidBlock5=0;
    sumAMidBLowCLowDHighEHighBlock1=0; sumAMidBLowCLowDHighEHighBlock2=0;
    sumAMidBLowCLowDHighEHighBlock3=0; sumAMidBLowCLowDHighEHighBlock4=0;
    sumAMidBLowCLowDHighEHighBlock5=0;
    sumAMidBLowCMidDLowELowBlock1=0; sumAMidBLowCMidDLowELowBlock2=0;
    sumAMidBLowCMidDLowELowBlock3=0; sumAMidBLowCMidDLowELowBlock4=0;
    sumAMidBLowCMidDLowELowBlock5=0;
    sumAMidBLowCMidDLowEMidBlock1=0; sumAMidBLowCMidDLowEMidBlock2=0;
    sumAMidBLowCMidDLowEMidBlock3=0; sumAMidBLowCMidDLowEMidBlock4=0;
    sumAMidBLowCMidDLowEMidBlock5=0;
    sumAMidBLowCMidDLowEHighBlock1=0; sumAMidBLowCMidDLowEHighBlock2=0;
    sumAMidBLowCMidDLowEHighBlock3=0; sumAMidBLowCMidDLowEHighBlock4=0;
    sumAMidBLowCMidDLowEHighBlock5=0;
    sumAMidBLowCMidDMidELowBlock1=0; sumAMidBLowCMidDMidELowBlock2=0;
    sumAMidBLowCMidDMidELowBlock3=0; sumAMidBLowCMidDMidELowBlock4=0;
    sumAMidBLowCMidDMidELowBlock5=0;
    sumAMidBLowCMidDMidEMidBlock1=0; sumAMidBLowCMidDMidEMidBlock2=0;
    sumAMidBLowCMidDMidEMidBlock3=0; sumAMidBLowCMidDMidEMidBlock4=0;
    sumAMidBLowCMidDMidEMidBlock5=0;
    sumAMidBLowCMidDMidEHighBlock1=0; sumAMidBLowCMidDMidEHighBlock2=0;
    sumAMidBLowCMidDMidEHighBlock3=0; sumAMidBLowCMidDMidEHighBlock4=0;
    sumAMidBLowCMidDMidEHighBlock5=0;
    sumAMidBLowCMidDHighELowBlock1=0; sumAMidBLowCMidDHighELowBlock2=0;
    sumAMidBLowCMidDHighELowBlock3=0; sumAMidBLowCMidDHighELowBlock4=0;
    sumAMidBLowCMidDHighELowBlock5=0;
    sumAMidBLowCMidDHighEMidBlock1=0; sumAMidBLowCMidDHighEMidBlock2=0;
    sumAMidBLowCMidDHighEMidBlock3=0; sumAMidBLowCMidDHighEMidBlock4=0;
    sumAMidBLowCMidDHighEMidBlock5=0;
    sumAMidBLowCMidDHighEHighBlock1=0; sumAMidBLowCMidDHighEHighBlock2=0;
    sumAMidBLowCMidDHighEHighBlock3=0; sumAMidBLowCMidDHighEHighBlock4=0;
    sumAMidBLowCMidDHighEHighBlock5=0;
    sumAMidBLowCHighDLowELowBlock1=0; sumAMidBLowCHighDLowELowBlock2=0;
    sumAMidBLowCHighDLowELowBlock3=0; sumAMidBLowCHighDLowELowBlock4=0;
    sumAMidBLowCHighDLowELowBlock5=0;
    sumAMidBLowCHighDLowEMidBlock1=0; sumAMidBLowCHighDLowEMidBlock2=0;
    sumAMidBLowCHighDLowEMidBlock3=0; sumAMidBLowCHighDLowEMidBlock4=0;
    sumAMidBLowCHighDLowEMidBlock5=0;
    sumAMidBLowCHighDLowEHighBlock1=0; sumAMidBLowCHighDLowEHighBlock2=0;
    sumAMidBLowCHighDLowEHighBlock3=0; sumAMidBLowCHighDLowEHighBlock4=0;
    sumAMidBLowCHighDLowEHighBlock5=0;
    sumAMidBLowCHighDMidELowBlock1=0; sumAMidBLowCHighDMidELowBlock2=0;
    sumAMidBLowCHighDMidELowBlock3=0; sumAMidBLowCHighDMidELowBlock4=0;
    sumAMidBLowCHighDMidELowBlock5=0;
    sumAMidBLowCHighDMidEMidBlock1=0; sumAMidBLowCHighDMidEMidBlock2=0;
    sumAMidBLowCHighDMidEMidBlock3=0; sumAMidBLowCHighDMidEMidBlock4=0;
    sumAMidBLowCHighDMidEMidBlock5=0;
    sumAMidBLowCHighDMidEHighBlock1=0; sumAMidBLowCHighDMidEHighBlock2=0;
    sumAMidBLowCHighDMidEHighBlock3=0; sumAMidBLowCHighDMidEHighBlock4=0;
    sumAMidBLowCHighDMidEHighBlock5=0;
    sumAMidBLowCHighDHighELowBlock1=0; sumAMidBLowCHighDHighELowBlock2=0;
    sumAMidBLowCHighDHighELowBlock3=0; sumAMidBLowCHighDHighELowBlock4=0;
    sumAMidBLowCHighDHighELowBlock5=0;
    sumAMidBLowCHighDHighEMidBlock1=0; sumAMidBLowCHighDHighEMidBlock2=0;
    sumAMidBLowCHighDHighEMidBlock3=0; sumAMidBLowCHighDHighEMidBlock4=0;
    sumAMidBLowCHighDHighEMidBlock5=0;
    sumAMidBLowCHighDHighEHighBlock1=0; sumAMidBLowCHighDHighEHighBlock2=0;
    sumAMidBLowCHighDHighEHighBlock3=0; sumAMidBLowCHighDHighEHighBlock4=0;
    sumAMidBLowCHighDHighEHighBlock5=0;
    sumAMidBMidCLowDLowELowBlock1=0; sumAMidBMidCLowDLowELowBlock2=0;
    sumAMidBMidCLowDLowELowBlock3=0; sumAMidBMidCLowDLowELowBlock4=0;
    sumAMidBMidCLowDLowELowBlock5=0;
    sumAMidBMidCLowDLowEMidBlock1=0; sumAMidBMidCLowDLowEMidBlock2=0;
    sumAMidBMidCLowDLowEMidBlock3=0; sumAMidBMidCLowDLowEMidBlock4=0;
    sumAMidBMidCLowDLowEMidBlock5=0;
    sumAMidBMidCLowDLowEHighBlock1=0; sumAMidBMidCLowDLowEHighBlock2=0;
    sumAMidBMidCLowDLowEHighBlock3=0; sumAMidBMidCLowDLowEHighBlock4=0;
    sumAMidBMidCLowDLowEHighBlock5=0;
    sumAMidBMidCLowDMidELowBlock1=0; sumAMidBMidCLowDMidELowBlock2=0;
    sumAMidBMidCLowDMidELowBlock3=0; sumAMidBMidCLowDMidELowBlock4=0;
    sumAMidBMidCLowDMidELowBlock5=0;
    sumAMidBMidCLowDMidEMidBlock1=0; sumAMidBMidCLowDMidEMidBlock2=0;
    sumAMidBMidCLowDMidEMidBlock3=0; sumAMidBMidCLowDMidEMidBlock4=0;
    sumAMidBMidCLowDMidEMidBlock5=0;
    sumAMidBMidCLowDMidEHighBlock1=0; sumAMidBMidCLowDMidEHighBlock2=0;
    sumAMidBMidCLowDMidEHighBlock3=0; sumAMidBMidCLowDMidEHighBlock4=0;
    sumAMidBMidCLowDMidEHighBlock5=0;
    sumAMidBMidCLowDHighELowBlock1=0; sumAMidBMidCLowDHighELowBlock2=0;
    sumAMidBMidCLowDHighELowBlock3=0; sumAMidBMidCLowDHighELowBlock4=0;
    sumAMidBMidCLowDHighELowBlock5=0;
    sumAMidBMidCLowDHighEMidBlock1=0; sumAMidBMidCLowDHighEMidBlock2=0;
    sumAMidBMidCLowDHighEMidBlock3=0; sumAMidBMidCLowDHighEMidBlock4=0;
    sumAMidBMidCLowDHighEMidBlock5=0;
    sumAMidBMidCLowDHighEHighBlock1=0; sumAMidBMidCLowDHighEHighBlock2=0;
    sumAMidBMidCLowDHighEHighBlock3=0; sumAMidBMidCLowDHighEHighBlock4=0;
    sumAMidBMidCLowDHighEHighBlock5=0;
    sumAMidBMidCMidDLowELowBlock1=0; sumAMidBMidCMidDLowELowBlock2=0;
    sumAMidBMidCMidDLowELowBlock3=0; sumAMidBMidCMidDLowELowBlock4=0;
    sumAMidBMidCMidDLowELowBlock5=0;
    sumAMidBMidCMidDLowEMidBlock1=0; sumAMidBMidCMidDLowEMidBlock2=0;
    sumAMidBMidCMidDLowEMidBlock3=0; sumAMidBMidCMidDLowEMidBlock4=0;
    sumAMidBMidCMidDLowEMidBlock5=0;
    sumAMidBMidCMidDLowEHighBlock1=0; sumAMidBMidCMidDLowEHighBlock2=0;
    sumAMidBMidCMidDLowEHighBlock3=0; sumAMidBMidCMidDLowEHighBlock4=0;
    sumAMidBMidCMidDLowEHighBlock5=0;
    sumAMidBMidCMidDMidELowBlock1=0; sumAMidBMidCMidDMidELowBlock2=0;
    sumAMidBMidCMidDMidELowBlock3=0; sumAMidBMidCMidDMidELowBlock4=0;
    sumAMidBMidCMidDMidELowBlock5=0;
    sumAMidBMidCMidDMidEMidBlock1=0; sumAMidBMidCMidDMidEMidBlock2=0;
    sumAMidBMidCMidDMidEMidBlock3=0; sumAMidBMidCMidDMidEMidBlock4=0;
    sumAMidBMidCMidDMidEMidBlock5=0;
    sumAMidBMidCMidDMidEHighBlock1=0; sumAMidBMidCMidDMidEHighBlock2=0;
    sumAMidBMidCMidDMidEHighBlock3=0; sumAMidBMidCMidDMidEHighBlock4=0;
    sumAMidBMidCMidDMidEHighBlock5=0;
    sumAMidBMidCMidDHighELowBlock1=0; sumAMidBMidCMidDHighELowBlock2=0;
    sumAMidBMidCMidDHighELowBlock3=0; sumAMidBMidCMidDHighELowBlock4=0;
    sumAMidBMidCMidDHighELowBlock5=0;
    sumAMidBMidCMidDHighEMidBlock1=0; sumAMidBMidCMidDHighEMidBlock2=0;
    sumAMidBMidCMidDHighEMidBlock3=0; sumAMidBMidCMidDHighEMidBlock4=0;
    sumAMidBMidCMidDHighEMidBlock5=0;
    sumAMidBMidCMidDHighEHighBlock1=0; sumAMidBMidCMidDHighEHighBlock2=0;
    sumAMidBMidCMidDHighEHighBlock3=0; sumAMidBMidCMidDHighEHighBlock4=0;
    sumAMidBMidCMidDHighEHighBlock5=0;
    sumAMidBMidCHighDLowELowBlock1=0; sumAMidBMidCHighDLowELowBlock2=0;
    sumAMidBMidCHighDLowELowBlock3=0; sumAMidBMidCHighDLowELowBlock4=0;
    sumAMidBMidCHighDLowELowBlock5=0;
    sumAMidBMidCHighDLowEMidBlock1=0; sumAMidBMidCHighDLowEMidBlock2=0;
    sumAMidBMidCHighDLowEMidBlock3=0; sumAMidBMidCHighDLowEMidBlock4=0;
    sumAMidBMidCHighDLowEMidBlock5=0;
    sumAMidBMidCHighDLowEHighBlock1=0; sumAMidBMidCHighDLowEHighBlock2=0;
    sumAMidBMidCHighDLowEHighBlock3=0; sumAMidBMidCHighDLowEHighBlock4=0;
    sumAMidBMidCHighDLowEHighBlock5=0;
    sumAMidBMidCHighDMidELowBlock1=0; sumAMidBMidCHighDMidELowBlock2=0;
    sumAMidBMidCHighDMidELowBlock3=0; sumAMidBMidCHighDMidELowBlock4=0;
    sumAMidBMidCHighDMidELowBlock5=0;
    sumAMidBMidCHighDMidEMidBlock1=0; sumAMidBMidCHighDMidEMidBlock2=0;
    sumAMidBMidCHighDMidEMidBlock3=0; sumAMidBMidCHighDMidEMidBlock4=0;
    sumAMidBMidCHighDMidEMidBlock5=0;
    sumAMidBMidCHighDMidEHighBlock1=0; sumAMidBMidCHighDMidEHighBlock2=0;
    sumAMidBMidCHighDMidEHighBlock3=0; sumAMidBMidCHighDMidEHighBlock4=0;
    sumAMidBMidCHighDMidEHighBlock5=0;
    sumAMidBMidCHighDHighELowBlock1=0; sumAMidBMidCHighDHighELowBlock2=0;
    sumAMidBMidCHighDHighELowBlock3=0; sumAMidBMidCHighDHighELowBlock4=0;
    sumAMidBMidCHighDHighELowBlock5=0;
    sumAMidBMidCHighDHighEMidBlock1=0; sumAMidBMidCHighDHighEMidBlock2=0;
    sumAMidBMidCHighDHighEMidBlock3=0; sumAMidBMidCHighDHighEMidBlock4=0;
    sumAMidBMidCHighDHighEMidBlock5=0;
    sumAMidBMidCHighDHighEHighBlock1=0; sumAMidBMidCHighDHighEHighBlock2=0;
    sumAMidBMidCHighDHighEHighBlock3=0; sumAMidBMidCHighDHighEHighBlock4=0;
    sumAMidBMidCHighDHighEHighBlock5=0;
    sumAMidBHighCLowDLowELowBlock1=0; sumAMidBHighCLowDLowELowBlock2=0;
    sumAMidBHighCLowDLowELowBlock3=0; sumAMidBHighCLowDLowELowBlock4=0;
    sumAMidBHighCLowDLowELowBlock5=0;
    sumAMidBHighCLowDLowEMidBlock1=0; sumAMidBHighCLowDLowEMidBlock2=0;
    sumAMidBHighCLowDLowEMidBlock3=0; sumAMidBHighCLowDLowEMidBlock4=0;
    sumAMidBHighCLowDLowEMidBlock5=0;
    sumAMidBHighCLowDLowEHighBlock1=0; sumAMidBHighCLowDLowEHighBlock2=0;
    sumAMidBHighCLowDLowEHighBlock3=0; sumAMidBHighCLowDLowEHighBlock4=0;
    sumAMidBHighCLowDLowEHighBlock5=0;
    sumAMidBHighCLowDMidELowBlock1=0; sumAMidBHighCLowDMidELowBlock2=0;
    sumAMidBHighCLowDMidELowBlock3=0; sumAMidBHighCLowDMidELowBlock4=0;
    sumAMidBHighCLowDMidELowBlock5=0;
    sumAMidBHighCLowDMidEMidBlock1=0; sumAMidBHighCLowDMidEMidBlock2=0;
    sumAMidBHighCLowDMidEMidBlock3=0; sumAMidBHighCLowDMidEMidBlock4=0;
    sumAMidBHighCLowDMidEMidBlock5=0;
    sumAMidBHighCLowDMidEHighBlock1=0; sumAMidBHighCLowDMidEHighBlock2=0;
    sumAMidBHighCLowDMidEHighBlock3=0; sumAMidBHighCLowDMidEHighBlock4=0;
    sumAMidBHighCLowDMidEHighBlock5=0;
    sumAMidBHighCLowDHighELowBlock1=0; sumAMidBHighCLowDHighELowBlock2=0;
    sumAMidBHighCLowDHighELowBlock3=0; sumAMidBHighCLowDHighELowBlock4=0;
    sumAMidBHighCLowDHighELowBlock5=0;
    sumAMidBHighCLowDHighEMidBlock1=0; sumAMidBHighCLowDHighEMidBlock2=0;
    sumAMidBHighCLowDHighEMidBlock3=0; sumAMidBHighCLowDHighEMidBlock4=0;
    sumAMidBHighCLowDHighEMidBlock5=0;
    sumAMidBHighCLowDHighEHighBlock1=0; sumAMidBHighCLowDHighEHighBlock2=0;
    sumAMidBHighCLowDHighEHighBlock3=0; sumAMidBHighCLowDHighEHighBlock4=0;
    sumAMidBHighCLowDHighEHighBlock5=0;
    sumAMidBHighCMidDLowELowBlock1=0; sumAMidBHighCMidDLowELowBlock2=0;
    sumAMidBHighCMidDLowELowBlock3=0; sumAMidBHighCMidDLowELowBlock4=0;
    sumAMidBHighCMidDLowELowBlock5=0;
    sumAMidBHighCMidDLowEMidBlock1=0; sumAMidBHighCMidDLowEMidBlock2=0;
    sumAMidBHighCMidDLowEMidBlock3=0; sumAMidBHighCMidDLowEMidBlock4=0;
    sumAMidBHighCMidDLowEMidBlock5=0;
    sumAMidBHighCMidDLowEHighBlock1=0; sumAMidBHighCMidDLowEHighBlock2=0;
    sumAMidBHighCMidDLowEHighBlock3=0; sumAMidBHighCMidDLowEHighBlock4=0;
    sumAMidBHighCMidDLowEHighBlock5=0;
    sumAMidBHighCMidDMidELowBlock1=0; sumAMidBHighCMidDMidELowBlock2=0;
    sumAMidBHighCMidDMidELowBlock3=0; sumAMidBHighCMidDMidELowBlock4=0;
    sumAMidBHighCMidDMidELowBlock5=0;
    sumAMidBHighCMidDMidEMidBlock1=0; sumAMidBHighCMidDMidEMidBlock2=0;
    sumAMidBHighCMidDMidEMidBlock3=0; sumAMidBHighCMidDMidEMidBlock4=0;
    sumAMidBHighCMidDMidEMidBlock5=0;
    sumAMidBHighCMidDMidEHighBlock1=0; sumAMidBHighCMidDMidEHighBlock2=0;
    sumAMidBHighCMidDMidEHighBlock3=0; sumAMidBHighCMidDMidEHighBlock4=0;
    sumAMidBHighCMidDMidEHighBlock5=0;
    sumAMidBHighCMidDHighELowBlock1=0; sumAMidBHighCMidDHighELowBlock2=0;
    sumAMidBHighCMidDHighELowBlock3=0; sumAMidBHighCMidDHighELowBlock4=0;
    sumAMidBHighCMidDHighELowBlock5=0;
    sumAMidBHighCMidDHighEMidBlock1=0; sumAMidBHighCMidDHighEMidBlock2=0;
    sumAMidBHighCMidDHighEMidBlock3=0; sumAMidBHighCMidDHighEMidBlock4=0;
    sumAMidBHighCMidDHighEMidBlock5=0;
    sumAMidBHighCMidDHighEHighBlock1=0; sumAMidBHighCMidDHighEHighBlock2=0;
    sumAMidBHighCMidDHighEHighBlock3=0; sumAMidBHighCMidDHighEHighBlock4=0;
    sumAMidBHighCMidDHighEHighBlock5=0;
    sumAMidBHighCHighDLowELowBlock1=0; sumAMidBHighCHighDLowELowBlock2=0;
    sumAMidBHighCHighDLowELowBlock3=0; sumAMidBHighCHighDLowELowBlock4=0;
    sumAMidBHighCHighDLowELowBlock5=0;
    sumAMidBHighCHighDLowEMidBlock1=0; sumAMidBHighCHighDLowEMidBlock2=0;
    sumAMidBHighCHighDLowEMidBlock3=0; sumAMidBHighCHighDLowEMidBlock4=0;
    sumAMidBHighCHighDLowEMidBlock5=0;
    sumAMidBHighCHighDLowEHighBlock1=0; sumAMidBHighCHighDLowEHighBlock2=0;
    sumAMidBHighCHighDLowEHighBlock3=0; sumAMidBHighCHighDLowEHighBlock4=0;
    sumAMidBHighCHighDLowEHighBlock5=0;
    sumAMidBHighCHighDMidELowBlock1=0; sumAMidBHighCHighDMidELowBlock2=0;
    sumAMidBHighCHighDMidELowBlock3=0; sumAMidBHighCHighDMidELowBlock4=0;
    sumAMidBHighCHighDMidELowBlock5=0;
    sumAMidBHighCHighDMidEMidBlock1=0; sumAMidBHighCHighDMidEMidBlock2=0;
    sumAMidBHighCHighDMidEMidBlock3=0; sumAMidBHighCHighDMidEMidBlock4=0;
    sumAMidBHighCHighDMidEMidBlock5=0;
    sumAMidBHighCHighDMidEHighBlock1=0; sumAMidBHighCHighDMidEHighBlock2=0;
    sumAMidBHighCHighDMidEHighBlock3=0; sumAMidBHighCHighDMidEHighBlock4=0;
    sumAMidBHighCHighDMidEHighBlock5=0;
    sumAMidBHighCHighDHighELowBlock1=0; sumAMidBHighCHighDHighELowBlock2=0;
    sumAMidBHighCHighDHighELowBlock3=0; sumAMidBHighCHighDHighELowBlock4=0;
    sumAMidBHighCHighDHighELowBlock5=0;
    sumAMidBHighCHighDHighEMidBlock1=0; sumAMidBHighCHighDHighEMidBlock2=0;
    sumAMidBHighCHighDHighEMidBlock3=0; sumAMidBHighCHighDHighEMidBlock4=0;
    sumAMidBHighCHighDHighEMidBlock5=0;
    sumAMidBHighCHighDHighEHighBlock1=0; sumAMidBHighCHighDHighEHighBlock2=0;
    sumAMidBHighCHighDHighEHighBlock3=0; sumAMidBHighCHighDHighEHighBlock4=0;
    sumAMidBHighCHighDHighEHighBlock5=0;
    sumAHighBLowCLowDLowELowBlock1=0; sumAHighBLowCLowDLowELowBlock2=0;
    sumAHighBLowCLowDLowELowBlock3=0; sumAHighBLowCLowDLowELowBlock4=0;
    sumAHighBLowCLowDLowELowBlock5=0;
    sumAHighBLowCLowDLowEMidBlock1=0; sumAHighBLowCLowDLowEMidBlock2=0;
    sumAHighBLowCLowDLowEMidBlock3=0; sumAHighBLowCLowDLowEMidBlock4=0;
    sumAHighBLowCLowDLowEMidBlock5=0;
    sumAHighBLowCLowDLowEHighBlock1=0; sumAHighBLowCLowDLowEHighBlock2=0;
    sumAHighBLowCLowDLowEHighBlock3=0; sumAHighBLowCLowDLowEHighBlock4=0;
    sumAHighBLowCLowDLowEHighBlock5=0;
    sumAHighBLowCLowDMidELowBlock1=0; sumAHighBLowCLowDMidELowBlock2=0;
    sumAHighBLowCLowDMidELowBlock3=0; sumAHighBLowCLowDMidELowBlock4=0;
    sumAHighBLowCLowDMidELowBlock5=0;
    sumAHighBLowCLowDMidEMidBlock1=0; sumAHighBLowCLowDMidEMidBlock2=0;
    sumAHighBLowCLowDMidEMidBlock3=0; sumAHighBLowCLowDMidEMidBlock4=0;
    sumAHighBLowCLowDMidEMidBlock5=0;
    sumAHighBLowCLowDMidEHighBlock1=0; sumAHighBLowCLowDMidEHighBlock2=0;
    sumAHighBLowCLowDMidEHighBlock3=0; sumAHighBLowCLowDMidEHighBlock4=0;
    sumAHighBLowCLowDMidEHighBlock5=0;
    sumAHighBLowCLowDHighELowBlock1=0; sumAHighBLowCLowDHighELowBlock2=0;
    sumAHighBLowCLowDHighELowBlock3=0; sumAHighBLowCLowDHighELowBlock4=0;
    sumAHighBLowCLowDHighELowBlock5=0;
    sumAHighBLowCLowDHighEMidBlock1=0; sumAHighBLowCLowDHighEMidBlock2=0;
    sumAHighBLowCLowDHighEMidBlock3=0; sumAHighBLowCLowDHighEMidBlock4=0;
    sumAHighBLowCLowDHighEMidBlock5=0;
    sumAHighBLowCLowDHighEHighBlock1=0; sumAHighBLowCLowDHighEHighBlock2=0;
    sumAHighBLowCLowDHighEHighBlock3=0; sumAHighBLowCLowDHighEHighBlock4=0;
    sumAHighBLowCLowDHighEHighBlock5=0;
    sumAHighBLowCMidDLowELowBlock1=0; sumAHighBLowCMidDLowELowBlock2=0;
    sumAHighBLowCMidDLowELowBlock3=0; sumAHighBLowCMidDLowELowBlock4=0;
    sumAHighBLowCMidDLowELowBlock5=0;
    sumAHighBLowCMidDLowEMidBlock1=0; sumAHighBLowCMidDLowEMidBlock2=0;
    sumAHighBLowCMidDLowEMidBlock3=0; sumAHighBLowCMidDLowEMidBlock4=0;
    sumAHighBLowCMidDLowEMidBlock5=0;
    sumAHighBLowCMidDLowEHighBlock1=0; sumAHighBLowCMidDLowEHighBlock2=0;
    sumAHighBLowCMidDLowEHighBlock3=0; sumAHighBLowCMidDLowEHighBlock4=0;
    sumAHighBLowCMidDLowEHighBlock5=0;
    sumAHighBLowCMidDMidELowBlock1=0; sumAHighBLowCMidDMidELowBlock2=0;
    sumAHighBLowCMidDMidELowBlock3=0; sumAHighBLowCMidDMidELowBlock4=0;
    sumAHighBLowCMidDMidELowBlock5=0;
    sumAHighBLowCMidDMidEMidBlock1=0; sumAHighBLowCMidDMidEMidBlock2=0;
    sumAHighBLowCMidDMidEMidBlock3=0; sumAHighBLowCMidDMidEMidBlock4=0;
    sumAHighBLowCMidDMidEMidBlock5=0;
    sumAHighBLowCMidDMidEHighBlock1=0; sumAHighBLowCMidDMidEHighBlock2=0;
    sumAHighBLowCMidDMidEHighBlock3=0; sumAHighBLowCMidDMidEHighBlock4=0;
    sumAHighBLowCMidDMidEHighBlock5=0;
    sumAHighBLowCMidDHighELowBlock1=0; sumAHighBLowCMidDHighELowBlock2=0;
    sumAHighBLowCMidDHighELowBlock3=0; sumAHighBLowCMidDHighELowBlock4=0;
    sumAHighBLowCMidDHighELowBlock5=0;
    sumAHighBLowCMidDHighEMidBlock1=0; sumAHighBLowCMidDHighEMidBlock2=0;
    sumAHighBLowCMidDHighEMidBlock3=0; sumAHighBLowCMidDHighEMidBlock4=0;
    sumAHighBLowCMidDHighEMidBlock5=0;
    sumAHighBLowCMidDHighEHighBlock1=0; sumAHighBLowCMidDHighEHighBlock2=0;
    sumAHighBLowCMidDHighEHighBlock3=0; sumAHighBLowCMidDHighEHighBlock4=0;
    sumAHighBLowCMidDHighEHighBlock5=0;
    sumAHighBLowCHighDLowELowBlock1=0; sumAHighBLowCHighDLowELowBlock2=0;
    sumAHighBLowCHighDLowELowBlock3=0; sumAHighBLowCHighDLowELowBlock4=0;
    sumAHighBLowCHighDLowELowBlock5=0;
    sumAHighBLowCHighDLowEMidBlock1=0; sumAHighBLowCHighDLowEMidBlock2=0;
    sumAHighBLowCHighDLowEMidBlock3=0; sumAHighBLowCHighDLowEMidBlock4=0;
    sumAHighBLowCHighDLowEMidBlock5=0;
    sumAHighBLowCHighDLowEHighBlock1=0; sumAHighBLowCHighDLowEHighBlock2=0;
    sumAHighBLowCHighDLowEHighBlock3=0; sumAHighBLowCHighDLowEHighBlock4=0;
    sumAHighBLowCHighDLowEHighBlock5=0;
    sumAHighBLowCHighDMidELowBlock1=0; sumAHighBLowCHighDMidELowBlock2=0;
    sumAHighBLowCHighDMidELowBlock3=0; sumAHighBLowCHighDMidELowBlock4=0;
    sumAHighBLowCHighDMidELowBlock5=0;
    sumAHighBLowCHighDMidEMidBlock1=0; sumAHighBLowCHighDMidEMidBlock2=0;
    sumAHighBLowCHighDMidEMidBlock3=0; sumAHighBLowCHighDMidEMidBlock4=0;
    sumAHighBLowCHighDMidEMidBlock5=0;
    sumAHighBLowCHighDMidEHighBlock1=0; sumAHighBLowCHighDMidEHighBlock2=0;
    sumAHighBLowCHighDMidEHighBlock3=0; sumAHighBLowCHighDMidEHighBlock4=0;
    sumAHighBLowCHighDMidEHighBlock5=0;
    sumAHighBLowCHighDHighELowBlock1=0; sumAHighBLowCHighDHighELowBlock2=0;
    sumAHighBLowCHighDHighELowBlock3=0; sumAHighBLowCHighDHighELowBlock4=0;
    sumAHighBLowCHighDHighELowBlock5=0;
    sumAHighBLowCHighDHighEMidBlock1=0; sumAHighBLowCHighDHighEMidBlock2=0;
    sumAHighBLowCHighDHighEMidBlock3=0; sumAHighBLowCHighDHighEMidBlock4=0;
    sumAHighBLowCHighDHighEMidBlock5=0;
    sumAHighBLowCHighDHighEHighBlock1=0; sumAHighBLowCHighDHighEHighBlock2=0;
    sumAHighBLowCHighDHighEHighBlock3=0; sumAHighBLowCHighDHighEHighBlock4=0;
    sumAHighBLowCHighDHighEHighBlock5=0;
    sumAHighBMidCLowDLowELowBlock1=0; sumAHighBMidCLowDLowELowBlock2=0;
    sumAHighBMidCLowDLowELowBlock3=0; sumAHighBMidCLowDLowELowBlock4=0;
    sumAHighBMidCLowDLowELowBlock5=0;
    sumAHighBMidCLowDLowEMidBlock1=0; sumAHighBMidCLowDLowEMidBlock2=0;
    sumAHighBMidCLowDLowEMidBlock3=0; sumAHighBMidCLowDLowEMidBlock4=0;
    sumAHighBMidCLowDLowEMidBlock5=0;
    sumAHighBMidCLowDLowEHighBlock1=0; sumAHighBMidCLowDLowEHighBlock2=0;
    sumAHighBMidCLowDLowEHighBlock3=0; sumAHighBMidCLowDLowEHighBlock4=0;
    sumAHighBMidCLowDLowEHighBlock5=0;
    sumAHighBMidCLowDMidELowBlock1=0; sumAHighBMidCLowDMidELowBlock2=0;
    sumAHighBMidCLowDMidELowBlock3=0; sumAHighBMidCLowDMidELowBlock4=0;
    sumAHighBMidCLowDMidELowBlock5=0;
    sumAHighBMidCLowDMidEMidBlock1=0; sumAHighBMidCLowDMidEMidBlock2=0;
    sumAHighBMidCLowDMidEMidBlock3=0; sumAHighBMidCLowDMidEMidBlock4=0;
    sumAHighBMidCLowDMidEMidBlock5=0;
    sumAHighBMidCLowDMidEHighBlock1=0; sumAHighBMidCLowDMidEHighBlock2=0;
    sumAHighBMidCLowDMidEHighBlock3=0; sumAHighBMidCLowDMidEHighBlock4=0;
    sumAHighBMidCLowDMidEHighBlock5=0;
    sumAHighBMidCLowDHighELowBlock1=0; sumAHighBMidCLowDHighELowBlock2=0;
    sumAHighBMidCLowDHighELowBlock3=0; sumAHighBMidCLowDHighELowBlock4=0;
    sumAHighBMidCLowDHighELowBlock5=0;
    sumAHighBMidCLowDHighEMidBlock1=0; sumAHighBMidCLowDHighEMidBlock2=0;
    sumAHighBMidCLowDHighEMidBlock3=0; sumAHighBMidCLowDHighEMidBlock4=0;
    sumAHighBMidCLowDHighEMidBlock5=0;
    sumAHighBMidCLowDHighEHighBlock1=0; sumAHighBMidCLowDHighEHighBlock2=0;
    sumAHighBMidCLowDHighEHighBlock3=0; sumAHighBMidCLowDHighEHighBlock4=0;
    sumAHighBMidCLowDHighEHighBlock5=0;
    sumAHighBMidCMidDLowELowBlock1=0; sumAHighBMidCMidDLowELowBlock2=0;
    sumAHighBMidCMidDLowELowBlock3=0; sumAHighBMidCMidDLowELowBlock4=0;
    sumAHighBMidCMidDLowELowBlock5=0;
    sumAHighBMidCMidDLowEMidBlock1=0; sumAHighBMidCMidDLowEMidBlock2=0;
    sumAHighBMidCMidDLowEMidBlock3=0; sumAHighBMidCMidDLowEMidBlock4=0;
    sumAHighBMidCMidDLowEMidBlock5=0;
    sumAHighBMidCMidDLowEHighBlock1=0; sumAHighBMidCMidDLowEHighBlock2=0;
    sumAHighBMidCMidDLowEHighBlock3=0; sumAHighBMidCMidDLowEHighBlock4=0;
    sumAHighBMidCMidDLowEHighBlock5=0;
    sumAHighBMidCMidDMidELowBlock1=0; sumAHighBMidCMidDMidELowBlock2=0;
    sumAHighBMidCMidDMidELowBlock3=0; sumAHighBMidCMidDMidELowBlock4=0;
    sumAHighBMidCMidDMidELowBlock5=0;
    sumAHighBMidCMidDMidEMidBlock1=0; sumAHighBMidCMidDMidEMidBlock2=0;
    sumAHighBMidCMidDMidEMidBlock3=0; sumAHighBMidCMidDMidEMidBlock4=0;
    sumAHighBMidCMidDMidEMidBlock5=0;
    sumAHighBMidCMidDMidEHighBlock1=0; sumAHighBMidCMidDMidEHighBlock2=0;
    sumAHighBMidCMidDMidEHighBlock3=0; sumAHighBMidCMidDMidEHighBlock4=0;
    sumAHighBMidCMidDMidEHighBlock5=0;
    sumAHighBMidCMidDHighELowBlock1=0; sumAHighBMidCMidDHighELowBlock2=0;
    sumAHighBMidCMidDHighELowBlock3=0; sumAHighBMidCMidDHighELowBlock4=0;
    sumAHighBMidCMidDHighELowBlock5=0;
    sumAHighBMidCMidDHighEMidBlock1=0; sumAHighBMidCMidDHighEMidBlock2=0;
    sumAHighBMidCMidDHighEMidBlock3=0; sumAHighBMidCMidDHighEMidBlock4=0;
    sumAHighBMidCMidDHighEMidBlock5=0;
    sumAHighBMidCMidDHighEHighBlock1=0; sumAHighBMidCMidDHighEHighBlock2=0;
    sumAHighBMidCMidDHighEHighBlock3=0; sumAHighBMidCMidDHighEHighBlock4=0;
    sumAHighBMidCMidDHighEHighBlock5=0;
    sumAHighBMidCHighDLowELowBlock1=0; sumAHighBMidCHighDLowELowBlock2=0;
    sumAHighBMidCHighDLowELowBlock3=0; sumAHighBMidCHighDLowELowBlock4=0;
    sumAHighBMidCHighDLowELowBlock5=0;
    sumAHighBMidCHighDLowEMidBlock1=0; sumAHighBMidCHighDLowEMidBlock2=0;
    sumAHighBMidCHighDLowEMidBlock3=0; sumAHighBMidCHighDLowEMidBlock4=0;
    sumAHighBMidCHighDLowEMidBlock5=0;
    sumAHighBMidCHighDLowEHighBlock1=0; sumAHighBMidCHighDLowEHighBlock2=0;
    sumAHighBMidCHighDLowEHighBlock3=0; sumAHighBMidCHighDLowEHighBlock4=0;
    sumAHighBMidCHighDLowEHighBlock5=0;
    sumAHighBMidCHighDMidELowBlock1=0; sumAHighBMidCHighDMidELowBlock2=0;
    sumAHighBMidCHighDMidELowBlock3=0; sumAHighBMidCHighDMidELowBlock4=0;
    sumAHighBMidCHighDMidELowBlock5=0;
    sumAHighBMidCHighDMidEMidBlock1=0; sumAHighBMidCHighDMidEMidBlock2=0;
    sumAHighBMidCHighDMidEMidBlock3=0; sumAHighBMidCHighDMidEMidBlock4=0;
    sumAHighBMidCHighDMidEMidBlock5=0;
    sumAHighBMidCHighDMidEHighBlock1=0; sumAHighBMidCHighDMidEHighBlock2=0;
    sumAHighBMidCHighDMidEHighBlock3=0; sumAHighBMidCHighDMidEHighBlock4=0;
    sumAHighBMidCHighDMidEHighBlock5=0;
    sumAHighBMidCHighDHighELowBlock1=0; sumAHighBMidCHighDHighELowBlock2=0;
    sumAHighBMidCHighDHighELowBlock3=0; sumAHighBMidCHighDHighELowBlock4=0;
    sumAHighBMidCHighDHighELowBlock5=0;
    sumAHighBMidCHighDHighEMidBlock1=0; sumAHighBMidCHighDHighEMidBlock2=0;
    sumAHighBMidCHighDHighEMidBlock3=0; sumAHighBMidCHighDHighEMidBlock4=0;
    sumAHighBMidCHighDHighEMidBlock5=0;
    sumAHighBMidCHighDHighEHighBlock1=0; sumAHighBMidCHighDHighEHighBlock2=0;
    sumAHighBMidCHighDHighEHighBlock3=0; sumAHighBMidCHighDHighEHighBlock4=0;
    sumAHighBMidCHighDHighEHighBlock5=0;
    sumAHighBHighCLowDLowELowBlock1=0; sumAHighBHighCLowDLowELowBlock2=0;
    sumAHighBHighCLowDLowELowBlock3=0; sumAHighBHighCLowDLowELowBlock4=0;
    sumAHighBHighCLowDLowELowBlock5=0;
    sumAHighBHighCLowDLowEMidBlock1=0; sumAHighBHighCLowDLowEMidBlock2=0;
    sumAHighBHighCLowDLowEMidBlock3=0; sumAHighBHighCLowDLowEMidBlock4=0;
    sumAHighBHighCLowDLowEMidBlock5=0;
    sumAHighBHighCLowDLowEHighBlock1=0; sumAHighBHighCLowDLowEHighBlock2=0;
    sumAHighBHighCLowDLowEHighBlock3=0; sumAHighBHighCLowDLowEHighBlock4=0;
    sumAHighBHighCLowDLowEHighBlock5=0;
    sumAHighBHighCLowDMidELowBlock1=0; sumAHighBHighCLowDMidELowBlock2=0;
    sumAHighBHighCLowDMidELowBlock3=0; sumAHighBHighCLowDMidELowBlock4=0;
    sumAHighBHighCLowDMidELowBlock5=0;
    sumAHighBHighCLowDMidEMidBlock1=0; sumAHighBHighCLowDMidEMidBlock2=0;
    sumAHighBHighCLowDMidEMidBlock3=0; sumAHighBHighCLowDMidEMidBlock4=0;
    sumAHighBHighCLowDMidEMidBlock5=0;
    sumAHighBHighCLowDMidEHighBlock1=0; sumAHighBHighCLowDMidEHighBlock2=0;
    sumAHighBHighCLowDMidEHighBlock3=0; sumAHighBHighCLowDMidEHighBlock4=0;
    sumAHighBHighCLowDMidEHighBlock5=0;
    sumAHighBHighCLowDHighELowBlock1=0; sumAHighBHighCLowDHighELowBlock2=0;
    sumAHighBHighCLowDHighELowBlock3=0; sumAHighBHighCLowDHighELowBlock4=0;
    sumAHighBHighCLowDHighELowBlock5=0;
    sumAHighBHighCLowDHighEMidBlock1=0; sumAHighBHighCLowDHighEMidBlock2=0;
    sumAHighBHighCLowDHighEMidBlock3=0; sumAHighBHighCLowDHighEMidBlock4=0;
    sumAHighBHighCLowDHighEMidBlock5=0;
    sumAHighBHighCLowDHighEHighBlock1=0; sumAHighBHighCLowDHighEHighBlock2=0;
    sumAHighBHighCLowDHighEHighBlock3=0; sumAHighBHighCLowDHighEHighBlock4=0;
    sumAHighBHighCLowDHighEHighBlock5=0;
    sumAHighBHighCMidDLowELowBlock1=0; sumAHighBHighCMidDLowELowBlock2=0;
    sumAHighBHighCMidDLowELowBlock3=0; sumAHighBHighCMidDLowELowBlock4=0;
    sumAHighBHighCMidDLowELowBlock5=0;
    sumAHighBHighCMidDLowEMidBlock1=0; sumAHighBHighCMidDLowEMidBlock2=0;
    sumAHighBHighCMidDLowEMidBlock3=0; sumAHighBHighCMidDLowEMidBlock4=0;
    sumAHighBHighCMidDLowEMidBlock5=0;
    sumAHighBHighCMidDLowEHighBlock1=0; sumAHighBHighCMidDLowEHighBlock2=0;
    sumAHighBHighCMidDLowEHighBlock3=0; sumAHighBHighCMidDLowEHighBlock4=0;
    sumAHighBHighCMidDLowEHighBlock5=0;
    sumAHighBHighCMidDMidELowBlock1=0; sumAHighBHighCMidDMidELowBlock2=0;
    sumAHighBHighCMidDMidELowBlock3=0; sumAHighBHighCMidDMidELowBlock4=0;
    sumAHighBHighCMidDMidELowBlock5=0;
    sumAHighBHighCMidDMidEMidBlock1=0; sumAHighBHighCMidDMidEMidBlock2=0;
    sumAHighBHighCMidDMidEMidBlock3=0; sumAHighBHighCMidDMidEMidBlock4=0;
    sumAHighBHighCMidDMidEMidBlock5=0;
    sumAHighBHighCMidDMidEHighBlock1=0; sumAHighBHighCMidDMidEHighBlock2=0;
    sumAHighBHighCMidDMidEHighBlock3=0; sumAHighBHighCMidDMidEHighBlock4=0;
    sumAHighBHighCMidDMidEHighBlock5=0;
    sumAHighBHighCMidDHighELowBlock1=0; sumAHighBHighCMidDHighELowBlock2=0;
    sumAHighBHighCMidDHighELowBlock3=0; sumAHighBHighCMidDHighELowBlock4=0;
    sumAHighBHighCMidDHighELowBlock5=0;
    sumAHighBHighCMidDHighEMidBlock1=0; sumAHighBHighCMidDHighEMidBlock2=0;
    sumAHighBHighCMidDHighEMidBlock3=0; sumAHighBHighCMidDHighEMidBlock4=0;
    sumAHighBHighCMidDHighEMidBlock5=0;
    sumAHighBHighCMidDHighEHighBlock1=0; sumAHighBHighCMidDHighEHighBlock2=0;
    sumAHighBHighCMidDHighEHighBlock3=0; sumAHighBHighCMidDHighEHighBlock4=0;
    sumAHighBHighCMidDHighEHighBlock5=0;
    sumAHighBHighCHighDLowELowBlock1=0; sumAHighBHighCHighDLowELowBlock2=0;
    sumAHighBHighCHighDLowELowBlock3=0; sumAHighBHighCHighDLowELowBlock4=0;
    sumAHighBHighCHighDLowELowBlock5=0;
    sumAHighBHighCHighDLowEMidBlock1=0; sumAHighBHighCHighDLowEMidBlock2=0;
    sumAHighBHighCHighDLowEMidBlock3=0; sumAHighBHighCHighDLowEMidBlock4=0;
    sumAHighBHighCHighDLowEMidBlock5=0;
    sumAHighBHighCHighDLowEHighBlock1=0; sumAHighBHighCHighDLowEHighBlock2=0;
    sumAHighBHighCHighDLowEHighBlock3=0; sumAHighBHighCHighDLowEHighBlock4=0;
    sumAHighBHighCHighDLowEHighBlock5=0;
    sumAHighBHighCHighDMidELowBlock1=0; sumAHighBHighCHighDMidELowBlock2=0;
    sumAHighBHighCHighDMidELowBlock3=0; sumAHighBHighCHighDMidELowBlock4=0;
    sumAHighBHighCHighDMidELowBlock5=0;
    sumAHighBHighCHighDMidEMidBlock1=0; sumAHighBHighCHighDMidEMidBlock2=0;
    sumAHighBHighCHighDMidEMidBlock3=0; sumAHighBHighCHighDMidEMidBlock4=0;
    sumAHighBHighCHighDMidEMidBlock5=0;
    sumAHighBHighCHighDMidEHighBlock1=0; sumAHighBHighCHighDMidEHighBlock2=0;
    sumAHighBHighCHighDMidEHighBlock3=0; sumAHighBHighCHighDMidEHighBlock4=0;
    sumAHighBHighCHighDMidEHighBlock5=0;
    sumAHighBHighCHighDHighELowBlock1=0; sumAHighBHighCHighDHighELowBlock2=0;
    sumAHighBHighCHighDHighELowBlock3=0; sumAHighBHighCHighDHighELowBlock4=0;
    sumAHighBHighCHighDHighELowBlock5=0;
    sumAHighBHighCHighDHighEMidBlock1=0; sumAHighBHighCHighDHighEMidBlock2=0;
    sumAHighBHighCHighDHighEMidBlock3=0; sumAHighBHighCHighDHighEMidBlock4=0;
    sumAHighBHighCHighDHighEMidBlock5=0;
    sumAHighBHighCHighDHighEHighBlock1=0; sumAHighBHighCHighDHighEHighBlock2=0;
    sumAHighBHighCHighDHighEHighBlock3=0; sumAHighBHighCHighDHighEHighBlock4=0;
    sumAHighBHighCHighDHighEHighBlock5=0;
    
    sumBlock1=0; sumBlock2=0; sumBlock3=0; sumBlock4=0; sumBlock5=0;
    
    for i=1:numRuns
        if A(i)==-1
            sumALow=sumALow+y(i); % Sum of y's for low A
            if numFactors==1
                if Block(i)==1
                    sumALowBlock1=sumALowBlock1+y(i); % Sum of y's for low A in Block 1
                elseif Block(i)==2
                    sumALowBlock2=sumALowBlock2+y(i); % Sum of y's for low A in Block 2
                elseif Block(i)==3
                    sumALowBlock3=sumALowBlock3+y(i); % Sum of y's for low A in Block 3
                elseif Block(i)==4
                    sumALowBlock4=sumALowBlock4+y(i); % Sum of y's for low A in Block 4
                elseif Block(i)==5
                    sumALowBlock5=sumALowBlock5+y(i); % Sum of y's for low A in Block 5
                end
            end
            if numFactors>1
                if B(i)==-1
                    sumALowBLow=sumALowBLow+y(i); % Sum of y's for low A and low B
                    if numFactors==2
                        if Block(i)==1
                            sumALowBLowBlock1=sumALowBLowBlock1+y(i); % Sum of y's for low A and low B in Block 1
                        elseif Block(i)==2
                            sumALowBLowBlock2=sumALowBLowBlock2+y(i); % Sum of y's for low A and low B in Block 2
                        elseif Block(i)==3
                            sumALowBLowBlock3=sumALowBLowBlock3+y(i); % Sum of y's for low A and low B in Block 3
                        elseif Block(i)==4
                            sumALowBLowBlock4=sumALowBLowBlock4+y(i); % Sum of y's for low A and low B in Block 4
                        elseif Block(i)==5
                            sumALowBLowBlock5=sumALowBLowBlock5+y(i); % Sum of y's for low A and low B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBLowCLowBlock1=sumALowBLowCLowBlock1+y(i); % Sum of y's for low A, low B and low C in Block 1
                                elseif Block(i)==2
                                    sumALowBLowCLowBlock2=sumALowBLowCLowBlock2+y(i); % Sum of y's for low A, low B and low C in Block 2
                                elseif Block(i)==3
                                    sumALowBLowCLowBlock3=sumALowBLowCLowBlock3+y(i); % Sum of y's for low A, low B and low C in Block 3
                                elseif Block(i)==4
                                    sumALowBLowCLowBlock4=sumALowBLowCLowBlock4+y(i); % Sum of y's for low A, low B and low C in Block 4
                                elseif Block(i)==5
                                    sumALowBLowCLowBlock5=sumALowBLowCLowBlock5+y(i); % Sum of y's for low A, low B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCLowDLowBlock1=sumALowBLowCLowDLowBlock1+y(i); % Sum of y's for low A, low B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCLowDLowBlock2=sumALowBLowCLowDLowBlock2+y(i); % Sum of y's for low A, low B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCLowDLowBlock3=sumALowBLowCLowDLowBlock3+y(i); % Sum of y's for low A, low B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCLowDLowBlock4=sumALowBLowCLowDLowBlock4+y(i); % Sum of y's for low A, low B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCLowDLowBlock5=sumALowBLowCLowDLowBlock5+y(i); % Sum of y's for low A, low B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCLowDLowELowBlock1=sumALowBLowCLowDLowELowBlock1+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCLowDLowELowBlock2=sumALowBLowCLowDLowELowBlock2+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCLowDLowELowBlock3=sumALowBLowCLowDLowELowBlock3+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCLowDLowELowBlock4=sumALowBLowCLowDLowELowBlock4+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCLowDLowELowBlock5=sumALowBLowCLowDLowELowBlock5+y(i); % Sum of y's for low A, low B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCLowDLowEMidBlock1=sumALowBLowCLowDLowEMidBlock1+y(i); % Sum of y's for low A, low B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCLowDLowEMidBlock2=sumALowBLowCLowDLowEMidBlock2+y(i); % Sum of y's for low A, low B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCLowDLowEMidBlock3=sumALowBLowCLowDLowEMidBlock3+y(i); % Sum of y's for low A, low B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCLowDLowEMidBlock4=sumALowBLowCLowDLowEMidBlock4+y(i); % Sum of y's for low A, low B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCLowDLowEMidBlock5=sumALowBLowCLowDLowEMidBlock5+y(i); % Sum of y's for low A, low B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCLowDLowEHighBlock1=sumALowBLowCLowDLowEHighBlock1+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCLowDLowEHighBlock2=sumALowBLowCLowDLowEHighBlock2+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCLowDLowEHighBlock3=sumALowBLowCLowDLowEHighBlock3+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCLowDLowEHighBlock4=sumALowBLowCLowDLowEHighBlock4+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCLowDLowEHighBlock5=sumALowBLowCLowDLowEHighBlock5+y(i); % Sum of y's for low A, low B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCLowDMidBlock1=sumALowBLowCLowDMidBlock1+y(i); % Sum of y's for low A, low B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCLowDMidBlock2=sumALowBLowCLowDMidBlock2+y(i); % Sum of y's for low A, low B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCLowDMidBlock3=sumALowBLowCLowDMidBlock3+y(i); % Sum of y's for low A, low B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCLowDMidBlock4=sumALowBLowCLowDMidBlock4+y(i); % Sum of y's for low A, low B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCLowDMidBlock5=sumALowBLowCLowDMidBlock5+y(i); % Sum of y's for low A, low B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDMidELowBlock1=sumALowBLowCLowDMidELowBlock1+y(i); % Sum of y's for low A, low B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDMidELowBlock2=sumALowBLowCLowDMidELowBlock2+y(i); % Sum of y's for low A, low B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDMidELowBlock3=sumALowBLowCLowDMidELowBlock3+y(i); % Sum of y's for low A, low B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDMidELowBlock4=sumALowBLowCLowDMidELowBlock4+y(i); % Sum of y's for low A, low B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDMidELowBlock5=sumALowBLowCLowDMidELowBlock5+y(i); % Sum of y's for low A, low B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDMidEMidBlock1=sumALowBLowCLowDMidEMidBlock1+y(i); % Sum of y's for low A, low B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDMidEMidBlock2=sumALowBLowCLowDMidEMidBlock2+y(i); % Sum of y's for low A, low B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDMidEMidBlock3=sumALowBLowCLowDMidEMidBlock3+y(i); % Sum of y's for low A, low B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDMidEMidBlock4=sumALowBLowCLowDMidEMidBlock4+y(i); % Sum of y's for low A, low B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDMidEMidBlock5=sumALowBLowCLowDMidEMidBlock5+y(i); % Sum of y's for low A, low B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDMidEHighBlock1=sumALowBLowCLowDMidEHighBlock1+y(i); % Sum of y's for low A, low B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDMidEHighBlock2=sumALowBLowCLowDMidEHighBlock2+y(i); % Sum of y's for low A, low B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDMidEHighBlock3=sumALowBLowCLowDMidEHighBlock3+y(i); % Sum of y's for low A, low B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDMidEHighBlock4=sumALowBLowCLowDMidEHighBlock4+y(i); % Sum of y's for low A, low B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDMidEHighBlock5=sumALowBLowCLowDMidEHighBlock5+y(i); % Sum of y's for low A, low B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCLowDHighBlock1=sumALowBLowCLowDHighBlock1+y(i); % Sum of y's for low A, low B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCLowDHighBlock2=sumALowBLowCLowDHighBlock2+y(i); % Sum of y's for low A, low B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCLowDHighBlock3=sumALowBLowCLowDHighBlock3+y(i); % Sum of y's for low A, low B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCLowDHighBlock4=sumALowBLowCLowDHighBlock4+y(i); % Sum of y's for low A, low B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCLowDHighBlock5=sumALowBLowCLowDHighBlock5+y(i); % Sum of y's for low A, low B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDHighELowBlock1=sumALowBLowCLowDHighELowBlock1+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDHighELowBlock2=sumALowBLowCLowDHighELowBlock2+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDHighELowBlock3=sumALowBLowCLowDHighELowBlock3+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDHighELowBlock4=sumALowBLowCLowDHighELowBlock4+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDHighELowBlock5=sumALowBLowCLowDHighELowBlock5+y(i); % Sum of y's for low A, low B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDHighEMidBlock1=sumALowBLowCLowDHighEMidBlock1+y(i); % Sum of y's for low A, low B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDHighEMidBlock2=sumALowBLowCLowDHighEMidBlock2+y(i); % Sum of y's for low A, low B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDHighEMidBlock3=sumALowBLowCLowDHighEMidBlock3+y(i); % Sum of y's for low A, low B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDHighEMidBlock4=sumALowBLowCLowDHighEMidBlock4+y(i); % Sum of y's for low A, low B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDHighEMidBlock5=sumALowBLowCLowDHighEMidBlock5+y(i); % Sum of y's for low A, low B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCLowDHighEHighBlock1=sumALowBLowCLowDHighEHighBlock1+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCLowDHighEHighBlock2=sumALowBLowCLowDHighEHighBlock2+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCLowDHighEHighBlock3=sumALowBLowCLowDHighEHighBlock3+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCLowDHighEHighBlock4=sumALowBLowCLowDHighEHighBlock4+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCLowDHighEHighBlock5=sumALowBLowCLowDHighEHighBlock5+y(i); % Sum of y's for low A, low B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBLowCMidBlock1=sumALowBLowCMidBlock1+y(i); % Sum of y's for low A, low B and mid C in Block 1
                                elseif Block(i)==2
                                    sumALowBLowCMidBlock2=sumALowBLowCMidBlock2+y(i); % Sum of y's for low A, low B and mid C in Block 2
                                elseif Block(i)==3
                                    sumALowBLowCMidBlock3=sumALowBLowCMidBlock3+y(i); % Sum of y's for low A, low B and mid C in Block 3
                                elseif Block(i)==4
                                    sumALowBLowCMidBlock4=sumALowBLowCMidBlock4+y(i); % Sum of y's for low A, low B and mid C in Block 4
                                elseif Block(i)==5
                                    sumALowBLowCMidBlock5=sumALowBLowCMidBlock5+y(i); % Sum of y's for low A, low B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCMidDLowBlock1=sumALowBLowCMidDLowBlock1+y(i); % Sum of y's for low A, low B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCMidDLowBlock2=sumALowBLowCMidDLowBlock2+y(i); % Sum of y's for low A, low B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCMidDLowBlock3=sumALowBLowCMidDLowBlock3+y(i); % Sum of y's for low A, low B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCMidDLowBlock4=sumALowBLowCMidDLowBlock4+y(i); % Sum of y's for low A, low B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCMidDLowBlock5=sumALowBLowCMidDLowBlock5+y(i); % Sum of y's for low A, low B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCMidDLowELowBlock1=sumALowBLowCMidDLowELowBlock1+y(i); % Sum of y's for low A, low B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCMidDLowELowBlock2=sumALowBLowCMidDLowELowBlock2+y(i); % Sum of y's for low A, low B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCMidDLowELowBlock3=sumALowBLowCMidDLowELowBlock3+y(i); % Sum of y's for low A, low B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCMidDLowELowBlock4=sumALowBLowCMidDLowELowBlock4+y(i); % Sum of y's for low A, low B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCMidDLowELowBlock5=sumALowBLowCMidDLowELowBlock5+y(i); % Sum of y's for low A, low B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCMidDLowEMidBlock1=sumALowBLowCMidDLowEMidBlock1+y(i); % Sum of y's for low A, low B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCMidDLowEMidBlock2=sumALowBLowCMidDLowEMidBlock2+y(i); % Sum of y's for low A, low B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCMidDLowEMidBlock3=sumALowBLowCMidDLowEMidBlock3+y(i); % Sum of y's for low A, low B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCMidDLowEMidBlock4=sumALowBLowCMidDLowEMidBlock4+y(i); % Sum of y's for low A, low B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCMidDLowEMidBlock5=sumALowBLowCMidDLowEMidBlock5+y(i); % Sum of y's for low A, low B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCMidDLowEHighBlock1=sumALowBLowCMidDLowEHighBlock1+y(i); % Sum of y's for low A, low B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCMidDLowEHighBlock2=sumALowBLowCMidDLowEHighBlock2+y(i); % Sum of y's for low A, low B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCMidDLowEHighBlock3=sumALowBLowCMidDLowEHighBlock3+y(i); % Sum of y's for low A, low B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCMidDLowEHighBlock4=sumALowBLowCMidDLowEHighBlock4+y(i); % Sum of y's for low A, low B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCMidDLowEHighBlock5=sumALowBLowCMidDLowEHighBlock5+y(i); % Sum of y's for low A, low B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCMidDMidBlock1=sumALowBLowCMidDMidBlock1+y(i); % Sum of y's for low A, low B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCMidDMidBlock2=sumALowBLowCMidDMidBlock2+y(i); % Sum of y's for low A, low B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCMidDMidBlock3=sumALowBLowCMidDMidBlock3+y(i); % Sum of y's for low A, low B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCMidDMidBlock4=sumALowBLowCMidDMidBlock4+y(i); % Sum of y's for low A, low B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCMidDMidBlock5=sumALowBLowCMidDMidBlock5+y(i); % Sum of y's for low A, low B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDMidELowBlock1=sumALowBLowCMidDMidELowBlock1+y(i); % Sum of y's for low A, low B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDMidELowBlock2=sumALowBLowCMidDMidELowBlock2+y(i); % Sum of y's for low A, low B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDMidELowBlock3=sumALowBLowCMidDMidELowBlock3+y(i); % Sum of y's for low A, low B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDMidELowBlock4=sumALowBLowCMidDMidELowBlock4+y(i); % Sum of y's for low A, low B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDMidELowBlock5=sumALowBLowCMidDMidELowBlock5+y(i); % Sum of y's for low A, low B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDMidEMidBlock1=sumALowBLowCMidDMidEMidBlock1+y(i); % Sum of y's for low A, low B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDMidEMidBlock2=sumALowBLowCMidDMidEMidBlock2+y(i); % Sum of y's for low A, low B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDMidEMidBlock3=sumALowBLowCMidDMidEMidBlock3+y(i); % Sum of y's for low A, low B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDMidEMidBlock4=sumALowBLowCMidDMidEMidBlock4+y(i); % Sum of y's for low A, low B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDMidEMidBlock5=sumALowBLowCMidDMidEMidBlock5+y(i); % Sum of y's for low A, low B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDMidEHighBlock1=sumALowBLowCMidDMidEHighBlock1+y(i); % Sum of y's for low A, low B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDMidEHighBlock2=sumALowBLowCMidDMidEHighBlock2+y(i); % Sum of y's for low A, low B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDMidEHighBlock3=sumALowBLowCMidDMidEHighBlock3+y(i); % Sum of y's for low A, low B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDMidEHighBlock4=sumALowBLowCMidDMidEHighBlock4+y(i); % Sum of y's for low A, low B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDMidEHighBlock5=sumALowBLowCMidDMidEHighBlock5+y(i); % Sum of y's for low A, low B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCMidDHighBlock1=sumALowBLowCMidDHighBlock1+y(i); % Sum of y's for low A, low B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCMidDHighBlock2=sumALowBLowCMidDHighBlock2+y(i); % Sum of y's for low A, low B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCMidDHighBlock3=sumALowBLowCMidDHighBlock3+y(i); % Sum of y's for low A, low B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCMidDHighBlock4=sumALowBLowCMidDHighBlock4+y(i); % Sum of y's for low A, low B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCMidDHighBlock5=sumALowBLowCMidDHighBlock5+y(i); % Sum of y's for low A, low B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDHighELowBlock1=sumALowBLowCMidDHighELowBlock1+y(i); % Sum of y's for low A, low B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDHighELowBlock2=sumALowBLowCMidDHighELowBlock2+y(i); % Sum of y's for low A, low B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDHighELowBlock3=sumALowBLowCMidDHighELowBlock3+y(i); % Sum of y's for low A, low B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDHighELowBlock4=sumALowBLowCMidDHighELowBlock4+y(i); % Sum of y's for low A, low B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDHighELowBlock5=sumALowBLowCMidDHighELowBlock5+y(i); % Sum of y's for low A, low B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDHighEMidBlock1=sumALowBLowCMidDHighEMidBlock1+y(i); % Sum of y's for low A, low B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDHighEMidBlock2=sumALowBLowCMidDHighEMidBlock2+y(i); % Sum of y's for low A, low B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDHighEMidBlock3=sumALowBLowCMidDHighEMidBlock3+y(i); % Sum of y's for low A, low B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDHighEMidBlock4=sumALowBLowCMidDHighEMidBlock4+y(i); % Sum of y's for low A, low B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDHighEMidBlock5=sumALowBLowCMidDHighEMidBlock5+y(i); % Sum of y's for low A, low B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCMidDHighEHighBlock1=sumALowBLowCMidDHighEHighBlock1+y(i); % Sum of y's for low A, low B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCMidDHighEHighBlock2=sumALowBLowCMidDHighEHighBlock2+y(i); % Sum of y's for low A, low B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCMidDHighEHighBlock3=sumALowBLowCMidDHighEHighBlock3+y(i); % Sum of y's for low A, low B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCMidDHighEHighBlock4=sumALowBLowCMidDHighEHighBlock4+y(i); % Sum of y's for low A, low B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCMidDHighEHighBlock5=sumALowBLowCMidDHighEHighBlock5+y(i); % Sum of y's for low A, low B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBLowCHighBlock1=sumALowBLowCHighBlock1+y(i); % Sum of y's for low A, low B and high C in Block 1
                                elseif Block(i)==2
                                    sumALowBLowCHighBlock2=sumALowBLowCHighBlock2+y(i); % Sum of y's for low A, low B and high C in Block 2
                                elseif Block(i)==3
                                    sumALowBLowCHighBlock3=sumALowBLowCHighBlock3+y(i); % Sum of y's for low A, low B and high C in Block 3
                                elseif Block(i)==4
                                    sumALowBLowCHighBlock4=sumALowBLowCHighBlock4+y(i); % Sum of y's for low A, low B and high C in Block 4
                                elseif Block(i)==5
                                    sumALowBLowCHighBlock5=sumALowBLowCHighBlock5+y(i); % Sum of y's for low A, low B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCHighDLowBlock1=sumALowBLowCHighDLowBlock1+y(i); % Sum of y's for low A, low B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDLowBlock2=sumALowBLowCHighDLowBlock2+y(i); % Sum of y's for low A, low B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDLowBlock3=sumALowBLowCHighDLowBlock3+y(i); % Sum of y's for low A, low B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDLowBlock4=sumALowBLowCHighDLowBlock4+y(i); % Sum of y's for low A, low B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDLowBlock5=sumALowBLowCHighDLowBlock5+y(i); % Sum of y's for low A, low B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCHighDLowELowBlock1=sumALowBLowCHighDLowELowBlock1+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCHighDLowELowBlock2=sumALowBLowCHighDLowELowBlock2+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCHighDLowELowBlock3=sumALowBLowCHighDLowELowBlock3+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCHighDLowELowBlock4=sumALowBLowCHighDLowELowBlock4+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCHighDLowELowBlock5=sumALowBLowCHighDLowELowBlock5+y(i); % Sum of y's for low A, low B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCHighDLowEMidBlock1=sumALowBLowCHighDLowEMidBlock1+y(i); % Sum of y's for low A, low B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCHighDLowEMidBlock2=sumALowBLowCHighDLowEMidBlock2+y(i); % Sum of y's for low A, low B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCHighDLowEMidBlock3=sumALowBLowCHighDLowEMidBlock3+y(i); % Sum of y's for low A, low B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCHighDLowEMidBlock4=sumALowBLowCHighDLowEMidBlock4+y(i); % Sum of y's for low A, low B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCHighDLowEMidBlock5=sumALowBLowCHighDLowEMidBlock5+y(i); % Sum of y's for low A, low B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBLowCHighDLowEHighBlock1=sumALowBLowCHighDLowEHighBlock1+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBLowCHighDLowEHighBlock2=sumALowBLowCHighDLowEHighBlock2+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBLowCHighDLowEHighBlock3=sumALowBLowCHighDLowEHighBlock3+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBLowCHighDLowEHighBlock4=sumALowBLowCHighDLowEHighBlock4+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBLowCHighDLowEHighBlock5=sumALowBLowCHighDLowEHighBlock5+y(i); % Sum of y's for low A, low B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCHighDMidBlock1=sumALowBLowCHighDMidBlock1+y(i); % Sum of y's for low A, low B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDMidBlock2=sumALowBLowCHighDMidBlock2+y(i); % Sum of y's for low A, low B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDMidBlock3=sumALowBLowCHighDMidBlock3+y(i); % Sum of y's for low A, low B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDMidBlock4=sumALowBLowCHighDMidBlock4+y(i); % Sum of y's for low A, low B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDMidBlock5=sumALowBLowCHighDMidBlock5+y(i); % Sum of y's for low A, low B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDMidELowBlock1=sumALowBLowCHighDMidELowBlock1+y(i); % Sum of y's for low A, low B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDMidELowBlock2=sumALowBLowCHighDMidELowBlock2+y(i); % Sum of y's for low A, low B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDMidELowBlock3=sumALowBLowCHighDMidELowBlock3+y(i); % Sum of y's for low A, low B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDMidELowBlock4=sumALowBLowCHighDMidELowBlock4+y(i); % Sum of y's for low A, low B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDMidELowBlock5=sumALowBLowCHighDMidELowBlock5+y(i); % Sum of y's for low A, low B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDMidEMidBlock1=sumALowBLowCHighDMidEMidBlock1+y(i); % Sum of y's for low A, low B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDMidEMidBlock2=sumALowBLowCHighDMidEMidBlock2+y(i); % Sum of y's for low A, low B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDMidEMidBlock3=sumALowBLowCHighDMidEMidBlock3+y(i); % Sum of y's for low A, low B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDMidEMidBlock4=sumALowBLowCHighDMidEMidBlock4+y(i); % Sum of y's for low A, low B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDMidEMidBlock5=sumALowBLowCHighDMidEMidBlock5+y(i); % Sum of y's for low A, low B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDMidEHighBlock1=sumALowBLowCHighDMidEHighBlock1+y(i); % Sum of y's for low A, low B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDMidEHighBlock2=sumALowBLowCHighDMidEHighBlock2+y(i); % Sum of y's for low A, low B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDMidEHighBlock3=sumALowBLowCHighDMidEHighBlock3+y(i); % Sum of y's for low A, low B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDMidEHighBlock4=sumALowBLowCHighDMidEHighBlock4+y(i); % Sum of y's for low A, low B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDMidEHighBlock5=sumALowBLowCHighDMidEHighBlock5+y(i); % Sum of y's for low A, low B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBLowCHighDHighBlock1=sumALowBLowCHighDHighBlock1+y(i); % Sum of y's for low A, low B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBLowCHighDHighBlock2=sumALowBLowCHighDHighBlock2+y(i); % Sum of y's for low A, low B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBLowCHighDHighBlock3=sumALowBLowCHighDHighBlock3+y(i); % Sum of y's for low A, low B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBLowCHighDHighBlock4=sumALowBLowCHighDHighBlock4+y(i); % Sum of y's for low A, low B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBLowCHighDHighBlock5=sumALowBLowCHighDHighBlock5+y(i); % Sum of y's for low A, low B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDHighELowBlock1=sumALowBLowCHighDHighELowBlock1+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDHighELowBlock2=sumALowBLowCHighDHighELowBlock2+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDHighELowBlock3=sumALowBLowCHighDHighELowBlock3+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDHighELowBlock4=sumALowBLowCHighDHighELowBlock4+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDHighELowBlock5=sumALowBLowCHighDHighELowBlock5+y(i); % Sum of y's for low A, low B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDHighEMidBlock1=sumALowBLowCHighDHighEMidBlock1+y(i); % Sum of y's for low A, low B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDHighEMidBlock2=sumALowBLowCHighDHighEMidBlock2+y(i); % Sum of y's for low A, low B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDHighEMidBlock3=sumALowBLowCHighDHighEMidBlock3+y(i); % Sum of y's for low A, low B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDHighEMidBlock4=sumALowBLowCHighDHighEMidBlock4+y(i); % Sum of y's for low A, low B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDHighEMidBlock5=sumALowBLowCHighDHighEMidBlock5+y(i); % Sum of y's for low A, low B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBLowCHighDHighEHighBlock1=sumALowBLowCHighDHighEHighBlock1+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBLowCHighDHighEHighBlock2=sumALowBLowCHighDHighEHighBlock2+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBLowCHighDHighEHighBlock3=sumALowBLowCHighDHighEHighBlock3+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBLowCHighDHighEHighBlock4=sumALowBLowCHighDHighEHighBlock4+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBLowCHighDHighEHighBlock5=sumALowBLowCHighDHighEHighBlock5+y(i); % Sum of y's for low A, low B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==0
                    sumALowBMid=sumALowBMid+y(i); % Sum of y's for low A and mid B
                    if numFactors==2
                        if Block(i)==1
                            sumALowBMidBlock1=sumALowBMidBlock1+y(i); % Sum of y's for low A and mid B in Block 1
                        elseif Block(i)==2
                            sumALowBMidBlock2=sumALowBMidBlock2+y(i); % Sum of y's for low A and mid B in Block 2
                        elseif Block(i)==3
                            sumALowBMidBlock3=sumALowBMidBlock3+y(i); % Sum of y's for low A and mid B in Block 3
                        elseif Block(i)==4
                            sumALowBMidBlock4=sumALowBMidBlock4+y(i); % Sum of y's for low A and mid B in Block 4
                        elseif Block(i)==5
                            sumALowBMidBlock5=sumALowBMidBlock5+y(i); % Sum of y's for low A and mid B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBMidCLowBlock1=sumALowBMidCLowBlock1+y(i); % Sum of y's for low A, mid B and low C in Block 1
                                elseif Block(i)==2
                                    sumALowBMidCLowBlock2=sumALowBMidCLowBlock2+y(i); % Sum of y's for low A, mid B and low C in Block 2
                                elseif Block(i)==3
                                    sumALowBMidCLowBlock3=sumALowBMidCLowBlock3+y(i); % Sum of y's for low A, mid B and low C in Block 3
                                elseif Block(i)==4
                                    sumALowBMidCLowBlock4=sumALowBMidCLowBlock4+y(i); % Sum of y's for low A, mid B and low C in Block 4
                                elseif Block(i)==5
                                    sumALowBMidCLowBlock5=sumALowBMidCLowBlock5+y(i); % Sum of y's for low A, mid B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCLowDLowBlock1=sumALowBMidCLowDLowBlock1+y(i); % Sum of y's for low A, mid B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCLowDLowBlock2=sumALowBMidCLowDLowBlock2+y(i); % Sum of y's for low A, mid B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCLowDLowBlock3=sumALowBMidCLowDLowBlock3+y(i); % Sum of y's for low A, mid B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCLowDLowBlock4=sumALowBMidCLowDLowBlock4+y(i); % Sum of y's for low A, mid B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCLowDLowBlock5=sumALowBMidCLowDLowBlock5+y(i); % Sum of y's for low A, mid B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCLowDLowELowBlock1=sumALowBMidCLowDLowELowBlock1+y(i); % Sum of y's for low A, mid B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCLowDLowELowBlock2=sumALowBMidCLowDLowELowBlock2+y(i); % Sum of y's for low A, mid B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCLowDLowELowBlock3=sumALowBMidCLowDLowELowBlock3+y(i); % Sum of y's for low A, mid B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCLowDLowELowBlock4=sumALowBMidCLowDLowELowBlock4+y(i); % Sum of y's for low A, mid B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCLowDLowELowBlock5=sumALowBMidCLowDLowELowBlock5+y(i); % Sum of y's for low A, mid B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCLowDLowEMidBlock1=sumALowBMidCLowDLowEMidBlock1+y(i); % Sum of y's for low A, mid B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCLowDLowEMidBlock2=sumALowBMidCLowDLowEMidBlock2+y(i); % Sum of y's for low A, mid B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCLowDLowEMidBlock3=sumALowBMidCLowDLowEMidBlock3+y(i); % Sum of y's for low A, mid B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCLowDLowEMidBlock4=sumALowBMidCLowDLowEMidBlock4+y(i); % Sum of y's for low A, mid B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCLowDLowEMidBlock5=sumALowBMidCLowDLowEMidBlock5+y(i); % Sum of y's for low A, mid B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCLowDLowEHighBlock1=sumALowBMidCLowDLowEHighBlock1+y(i); % Sum of y's for low A, mid B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCLowDLowEHighBlock2=sumALowBMidCLowDLowEHighBlock2+y(i); % Sum of y's for low A, mid B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCLowDLowEHighBlock3=sumALowBMidCLowDLowEHighBlock3+y(i); % Sum of y's for low A, mid B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCLowDLowEHighBlock4=sumALowBMidCLowDLowEHighBlock4+y(i); % Sum of y's for low A, mid B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCLowDLowEHighBlock5=sumALowBMidCLowDLowEHighBlock5+y(i); % Sum of y's for low A, mid B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCLowDMidBlock1=sumALowBMidCLowDMidBlock1+y(i); % Sum of y's for low A, mid B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCLowDMidBlock2=sumALowBMidCLowDMidBlock2+y(i); % Sum of y's for low A, mid B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCLowDMidBlock3=sumALowBMidCLowDMidBlock3+y(i); % Sum of y's for low A, mid B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCLowDMidBlock4=sumALowBMidCLowDMidBlock4+y(i); % Sum of y's for low A, mid B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCLowDMidBlock5=sumALowBMidCLowDMidBlock5+y(i); % Sum of y's for low A, mid B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDMidELowBlock1=sumALowBMidCLowDMidELowBlock1+y(i); % Sum of y's for low A, mid B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDMidELowBlock2=sumALowBMidCLowDMidELowBlock2+y(i); % Sum of y's for low A, mid B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDMidELowBlock3=sumALowBMidCLowDMidELowBlock3+y(i); % Sum of y's for low A, mid B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDMidELowBlock4=sumALowBMidCLowDMidELowBlock4+y(i); % Sum of y's for low A, mid B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDMidELowBlock5=sumALowBMidCLowDMidELowBlock5+y(i); % Sum of y's for low A, mid B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDMidEMidBlock1=sumALowBMidCLowDMidEMidBlock1+y(i); % Sum of y's for low A, mid B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDMidEMidBlock2=sumALowBMidCLowDMidEMidBlock2+y(i); % Sum of y's for low A, mid B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDMidEMidBlock3=sumALowBMidCLowDMidEMidBlock3+y(i); % Sum of y's for low A, mid B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDMidEMidBlock4=sumALowBMidCLowDMidEMidBlock4+y(i); % Sum of y's for low A, mid B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDMidEMidBlock5=sumALowBMidCLowDMidEMidBlock5+y(i); % Sum of y's for low A, mid B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDMidEHighBlock1=sumALowBMidCLowDMidEHighBlock1+y(i); % Sum of y's for low A, mid B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDMidEHighBlock2=sumALowBMidCLowDMidEHighBlock2+y(i); % Sum of y's for low A, mid B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDMidEHighBlock3=sumALowBMidCLowDMidEHighBlock3+y(i); % Sum of y's for low A, mid B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDMidEHighBlock4=sumALowBMidCLowDMidEHighBlock4+y(i); % Sum of y's for low A, mid B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDMidEHighBlock5=sumALowBMidCLowDMidEHighBlock5+y(i); % Sum of y's for low A, mid B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCLowDHighBlock1=sumALowBMidCLowDHighBlock1+y(i); % Sum of y's for low A, mid B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCLowDHighBlock2=sumALowBMidCLowDHighBlock2+y(i); % Sum of y's for low A, mid B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCLowDHighBlock3=sumALowBMidCLowDHighBlock3+y(i); % Sum of y's for low A, mid B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCLowDHighBlock4=sumALowBMidCLowDHighBlock4+y(i); % Sum of y's for low A, mid B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCLowDHighBlock5=sumALowBMidCLowDHighBlock5+y(i); % Sum of y's for low A, mid B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDHighELowBlock1=sumALowBMidCLowDHighELowBlock1+y(i); % Sum of y's for low A, mid B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDHighELowBlock2=sumALowBMidCLowDHighELowBlock2+y(i); % Sum of y's for low A, mid B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDHighELowBlock3=sumALowBMidCLowDHighELowBlock3+y(i); % Sum of y's for low A, mid B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDHighELowBlock4=sumALowBMidCLowDHighELowBlock4+y(i); % Sum of y's for low A, mid B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDHighELowBlock5=sumALowBMidCLowDHighELowBlock5+y(i); % Sum of y's for low A, mid B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDHighEMidBlock1=sumALowBMidCLowDHighEMidBlock1+y(i); % Sum of y's for low A, mid B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDHighEMidBlock2=sumALowBMidCLowDHighEMidBlock2+y(i); % Sum of y's for low A, mid B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDHighEMidBlock3=sumALowBMidCLowDHighEMidBlock3+y(i); % Sum of y's for low A, mid B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDHighEMidBlock4=sumALowBMidCLowDHighEMidBlock4+y(i); % Sum of y's for low A, mid B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDHighEMidBlock5=sumALowBMidCLowDHighEMidBlock5+y(i); % Sum of y's for low A, mid B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCLowDHighEHighBlock1=sumALowBMidCLowDHighEHighBlock1+y(i); % Sum of y's for low A, mid B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCLowDHighEHighBlock2=sumALowBMidCLowDHighEHighBlock2+y(i); % Sum of y's for low A, mid B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCLowDHighEHighBlock3=sumALowBMidCLowDHighEHighBlock3+y(i); % Sum of y's for low A, mid B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCLowDHighEHighBlock4=sumALowBMidCLowDHighEHighBlock4+y(i); % Sum of y's for low A, mid B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCLowDHighEHighBlock5=sumALowBMidCLowDHighEHighBlock5+y(i); % Sum of y's for low A, mid B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBMidCMidBlock1=sumALowBMidCMidBlock1+y(i); % Sum of y's for low A, mid B and mid C in Block 1
                                elseif Block(i)==2
                                    sumALowBMidCMidBlock2=sumALowBMidCMidBlock2+y(i); % Sum of y's for low A, mid B and mid C in Block 2
                                elseif Block(i)==3
                                    sumALowBMidCMidBlock3=sumALowBMidCMidBlock3+y(i); % Sum of y's for low A, mid B and mid C in Block 3
                                elseif Block(i)==4
                                    sumALowBMidCMidBlock4=sumALowBMidCMidBlock4+y(i); % Sum of y's for low A, mid B and mid C in Block 4
                                elseif Block(i)==5
                                    sumALowBMidCMidBlock5=sumALowBMidCMidBlock5+y(i); % Sum of y's for low A, mid B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCMidDLowBlock1=sumALowBMidCMidDLowBlock1+y(i); % Sum of y's for low A, mid B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCMidDLowBlock2=sumALowBMidCMidDLowBlock2+y(i); % Sum of y's for low A, mid B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCMidDLowBlock3=sumALowBMidCMidDLowBlock3+y(i); % Sum of y's for low A, mid B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCMidDLowBlock4=sumALowBMidCMidDLowBlock4+y(i); % Sum of y's for low A, mid B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCMidDLowBlock5=sumALowBMidCMidDLowBlock5+y(i); % Sum of y's for low A, mid B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCMidDLowELowBlock1=sumALowBMidCMidDLowELowBlock1+y(i); % Sum of y's for low A, mid B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCMidDLowELowBlock2=sumALowBMidCMidDLowELowBlock2+y(i); % Sum of y's for low A, mid B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCMidDLowELowBlock3=sumALowBMidCMidDLowELowBlock3+y(i); % Sum of y's for low A, mid B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCMidDLowELowBlock4=sumALowBMidCMidDLowELowBlock4+y(i); % Sum of y's for low A, mid B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCMidDLowELowBlock5=sumALowBMidCMidDLowELowBlock5+y(i); % Sum of y's for low A, mid B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCMidDLowEMidBlock1=sumALowBMidCMidDLowEMidBlock1+y(i); % Sum of y's for low A, mid B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCMidDLowEMidBlock2=sumALowBMidCMidDLowEMidBlock2+y(i); % Sum of y's for low A, mid B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCMidDLowEMidBlock3=sumALowBMidCMidDLowEMidBlock3+y(i); % Sum of y's for low A, mid B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCMidDLowEMidBlock4=sumALowBMidCMidDLowEMidBlock4+y(i); % Sum of y's for low A, mid B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCMidDLowEMidBlock5=sumALowBMidCMidDLowEMidBlock5+y(i); % Sum of y's for low A, mid B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCMidDLowEHighBlock1=sumALowBMidCMidDLowEHighBlock1+y(i); % Sum of y's for low A, mid B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCMidDLowEHighBlock2=sumALowBMidCMidDLowEHighBlock2+y(i); % Sum of y's for low A, mid B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCMidDLowEHighBlock3=sumALowBMidCMidDLowEHighBlock3+y(i); % Sum of y's for low A, mid B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCMidDLowEHighBlock4=sumALowBMidCMidDLowEHighBlock4+y(i); % Sum of y's for low A, mid B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCMidDLowEHighBlock5=sumALowBMidCMidDLowEHighBlock5+y(i); % Sum of y's for low A, mid B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCMidDMidBlock1=sumALowBMidCMidDMidBlock1+y(i); % Sum of y's for low A, mid B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCMidDMidBlock2=sumALowBMidCMidDMidBlock2+y(i); % Sum of y's for low A, mid B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCMidDMidBlock3=sumALowBMidCMidDMidBlock3+y(i); % Sum of y's for low A, mid B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCMidDMidBlock4=sumALowBMidCMidDMidBlock4+y(i); % Sum of y's for low A, mid B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCMidDMidBlock5=sumALowBMidCMidDMidBlock5+y(i); % Sum of y's for low A, mid B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDMidELowBlock1=sumALowBMidCMidDMidELowBlock1+y(i); % Sum of y's for low A, mid B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDMidELowBlock2=sumALowBMidCMidDMidELowBlock2+y(i); % Sum of y's for low A, mid B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDMidELowBlock3=sumALowBMidCMidDMidELowBlock3+y(i); % Sum of y's for low A, mid B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDMidELowBlock4=sumALowBMidCMidDMidELowBlock4+y(i); % Sum of y's for low A, mid B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDMidELowBlock5=sumALowBMidCMidDMidELowBlock5+y(i); % Sum of y's for low A, mid B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDMidEMidBlock1=sumALowBMidCMidDMidEMidBlock1+y(i); % Sum of y's for low A, mid B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDMidEMidBlock2=sumALowBMidCMidDMidEMidBlock2+y(i); % Sum of y's for low A, mid B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDMidEMidBlock3=sumALowBMidCMidDMidEMidBlock3+y(i); % Sum of y's for low A, mid B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDMidEMidBlock4=sumALowBMidCMidDMidEMidBlock4+y(i); % Sum of y's for low A, mid B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDMidEMidBlock5=sumALowBMidCMidDMidEMidBlock5+y(i); % Sum of y's for low A, mid B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDMidEHighBlock1=sumALowBMidCMidDMidEHighBlock1+y(i); % Sum of y's for low A, mid B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDMidEHighBlock2=sumALowBMidCMidDMidEHighBlock2+y(i); % Sum of y's for low A, mid B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDMidEHighBlock3=sumALowBMidCMidDMidEHighBlock3+y(i); % Sum of y's for low A, mid B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDMidEHighBlock4=sumALowBMidCMidDMidEHighBlock4+y(i); % Sum of y's for low A, mid B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDMidEHighBlock5=sumALowBMidCMidDMidEHighBlock5+y(i); % Sum of y's for low A, mid B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCMidDHighBlock1=sumALowBMidCMidDHighBlock1+y(i); % Sum of y's for low A, mid B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCMidDHighBlock2=sumALowBMidCMidDHighBlock2+y(i); % Sum of y's for low A, mid B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCMidDHighBlock3=sumALowBMidCMidDHighBlock3+y(i); % Sum of y's for low A, mid B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCMidDHighBlock4=sumALowBMidCMidDHighBlock4+y(i); % Sum of y's for low A, mid B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCMidDHighBlock5=sumALowBMidCMidDHighBlock5+y(i); % Sum of y's for low A, mid B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDHighELowBlock1=sumALowBMidCMidDHighELowBlock1+y(i); % Sum of y's for low A, mid B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDHighELowBlock2=sumALowBMidCMidDHighELowBlock2+y(i); % Sum of y's for low A, mid B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDHighELowBlock3=sumALowBMidCMidDHighELowBlock3+y(i); % Sum of y's for low A, mid B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDHighELowBlock4=sumALowBMidCMidDHighELowBlock4+y(i); % Sum of y's for low A, mid B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDHighELowBlock5=sumALowBMidCMidDHighELowBlock5+y(i); % Sum of y's for low A, mid B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDHighEMidBlock1=sumALowBMidCMidDHighEMidBlock1+y(i); % Sum of y's for low A, mid B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDHighEMidBlock2=sumALowBMidCMidDHighEMidBlock2+y(i); % Sum of y's for low A, mid B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDHighEMidBlock3=sumALowBMidCMidDHighEMidBlock3+y(i); % Sum of y's for low A, mid B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDHighEMidBlock4=sumALowBMidCMidDHighEMidBlock4+y(i); % Sum of y's for low A, mid B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDHighEMidBlock5=sumALowBMidCMidDHighEMidBlock5+y(i); % Sum of y's for low A, mid B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCMidDHighEHighBlock1=sumALowBMidCMidDHighEHighBlock1+y(i); % Sum of y's for low A, mid B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCMidDHighEHighBlock2=sumALowBMidCMidDHighEHighBlock2+y(i); % Sum of y's for low A, mid B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCMidDHighEHighBlock3=sumALowBMidCMidDHighEHighBlock3+y(i); % Sum of y's for low A, mid B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCMidDHighEHighBlock4=sumALowBMidCMidDHighEHighBlock4+y(i); % Sum of y's for low A, mid B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCMidDHighEHighBlock5=sumALowBMidCMidDHighEHighBlock5+y(i); % Sum of y's for low A, mid B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBMidCHighBlock1=sumALowBMidCHighBlock1+y(i); % Sum of y's for low A, mid B and high C in Block 1
                                elseif Block(i)==2
                                    sumALowBMidCHighBlock2=sumALowBMidCHighBlock2+y(i); % Sum of y's for low A, mid B and high C in Block 2
                                elseif Block(i)==3
                                    sumALowBMidCHighBlock3=sumALowBMidCHighBlock3+y(i); % Sum of y's for low A, mid B and high C in Block 3
                                elseif Block(i)==4
                                    sumALowBMidCHighBlock4=sumALowBMidCHighBlock4+y(i); % Sum of y's for low A, mid B and high C in Block 4
                                elseif Block(i)==5
                                    sumALowBMidCHighBlock5=sumALowBMidCHighBlock5+y(i); % Sum of y's for low A, mid B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCHighDLowBlock1=sumALowBMidCHighDLowBlock1+y(i); % Sum of y's for low A, mid B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCHighDLowBlock2=sumALowBMidCHighDLowBlock2+y(i); % Sum of y's for low A, mid B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCHighDLowBlock3=sumALowBMidCHighDLowBlock3+y(i); % Sum of y's for low A, mid B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCHighDLowBlock4=sumALowBMidCHighDLowBlock4+y(i); % Sum of y's for low A, mid B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCHighDLowBlock5=sumALowBMidCHighDLowBlock5+y(i); % Sum of y's for low A, mid B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCHighDLowELowBlock1=sumALowBMidCHighDLowELowBlock1+y(i); % Sum of y's for low A, mid B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCHighDLowELowBlock2=sumALowBMidCHighDLowELowBlock2+y(i); % Sum of y's for low A, mid B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCHighDLowELowBlock3=sumALowBMidCHighDLowELowBlock3+y(i); % Sum of y's for low A, mid B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCHighDLowELowBlock4=sumALowBMidCHighDLowELowBlock4+y(i); % Sum of y's for low A, mid B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCHighDLowELowBlock5=sumALowBMidCHighDLowELowBlock5+y(i); % Sum of y's for low A, mid B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCHighDLowEMidBlock1=sumALowBMidCHighDLowEMidBlock1+y(i); % Sum of y's for low A, mid B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCHighDLowEMidBlock2=sumALowBMidCHighDLowEMidBlock2+y(i); % Sum of y's for low A, mid B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCHighDLowEMidBlock3=sumALowBMidCHighDLowEMidBlock3+y(i); % Sum of y's for low A, mid B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCHighDLowEMidBlock4=sumALowBMidCHighDLowEMidBlock4+y(i); % Sum of y's for low A, mid B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCHighDLowEMidBlock5=sumALowBMidCHighDLowEMidBlock5+y(i); % Sum of y's for low A, mid B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBMidCHighDLowEHighBlock1=sumALowBMidCHighDLowEHighBlock1+y(i); % Sum of y's for low A, mid B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBMidCHighDLowEHighBlock2=sumALowBMidCHighDLowEHighBlock2+y(i); % Sum of y's for low A, mid B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBMidCHighDLowEHighBlock3=sumALowBMidCHighDLowEHighBlock3+y(i); % Sum of y's for low A, mid B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBMidCHighDLowEHighBlock4=sumALowBMidCHighDLowEHighBlock4+y(i); % Sum of y's for low A, mid B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBMidCHighDLowEHighBlock5=sumALowBMidCHighDLowEHighBlock5+y(i); % Sum of y's for low A, mid B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCHighDMidBlock1=sumALowBMidCHighDMidBlock1+y(i); % Sum of y's for low A, mid B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCHighDMidBlock2=sumALowBMidCHighDMidBlock2+y(i); % Sum of y's for low A, mid B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCHighDMidBlock3=sumALowBMidCHighDMidBlock3+y(i); % Sum of y's for low A, mid B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCHighDMidBlock4=sumALowBMidCHighDMidBlock4+y(i); % Sum of y's for low A, mid B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCHighDMidBlock5=sumALowBMidCHighDMidBlock5+y(i); % Sum of y's for low A, mid B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDMidELowBlock1=sumALowBMidCHighDMidELowBlock1+y(i); % Sum of y's for low A, mid B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDMidELowBlock2=sumALowBMidCHighDMidELowBlock2+y(i); % Sum of y's for low A, mid B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDMidELowBlock3=sumALowBMidCHighDMidELowBlock3+y(i); % Sum of y's for low A, mid B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDMidELowBlock4=sumALowBMidCHighDMidELowBlock4+y(i); % Sum of y's for low A, mid B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDMidELowBlock5=sumALowBMidCHighDMidELowBlock5+y(i); % Sum of y's for low A, mid B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDMidEMidBlock1=sumALowBMidCHighDMidEMidBlock1+y(i); % Sum of y's for low A, mid B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDMidEMidBlock2=sumALowBMidCHighDMidEMidBlock2+y(i); % Sum of y's for low A, mid B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDMidEMidBlock3=sumALowBMidCHighDMidEMidBlock3+y(i); % Sum of y's for low A, mid B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDMidEMidBlock4=sumALowBMidCHighDMidEMidBlock4+y(i); % Sum of y's for low A, mid B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDMidEMidBlock5=sumALowBMidCHighDMidEMidBlock5+y(i); % Sum of y's for low A, mid B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDMidEHighBlock1=sumALowBMidCHighDMidEHighBlock1+y(i); % Sum of y's for low A, mid B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDMidEHighBlock2=sumALowBMidCHighDMidEHighBlock2+y(i); % Sum of y's for low A, mid B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDMidEHighBlock3=sumALowBMidCHighDMidEHighBlock3+y(i); % Sum of y's for low A, mid B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDMidEHighBlock4=sumALowBMidCHighDMidEHighBlock4+y(i); % Sum of y's for low A, mid B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDMidEHighBlock5=sumALowBMidCHighDMidEHighBlock5+y(i); % Sum of y's for low A, mid B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBMidCHighDHighBlock1=sumALowBMidCHighDHighBlock1+y(i); % Sum of y's for low A, mid B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBMidCHighDHighBlock2=sumALowBMidCHighDHighBlock2+y(i); % Sum of y's for low A, mid B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBMidCHighDHighBlock3=sumALowBMidCHighDHighBlock3+y(i); % Sum of y's for low A, mid B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBMidCHighDHighBlock4=sumALowBMidCHighDHighBlock4+y(i); % Sum of y's for low A, mid B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBMidCHighDHighBlock5=sumALowBMidCHighDHighBlock5+y(i); % Sum of y's for low A, mid B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDHighELowBlock1=sumALowBMidCHighDHighELowBlock1+y(i); % Sum of y's for low A, mid B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDHighELowBlock2=sumALowBMidCHighDHighELowBlock2+y(i); % Sum of y's for low A, mid B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDHighELowBlock3=sumALowBMidCHighDHighELowBlock3+y(i); % Sum of y's for low A, mid B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDHighELowBlock4=sumALowBMidCHighDHighELowBlock4+y(i); % Sum of y's for low A, mid B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDHighELowBlock5=sumALowBMidCHighDHighELowBlock5+y(i); % Sum of y's for low A, mid B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDHighEMidBlock1=sumALowBMidCHighDHighEMidBlock1+y(i); % Sum of y's for low A, mid B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDHighEMidBlock2=sumALowBMidCHighDHighEMidBlock2+y(i); % Sum of y's for low A, mid B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDHighEMidBlock3=sumALowBMidCHighDHighEMidBlock3+y(i); % Sum of y's for low A, mid B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDHighEMidBlock4=sumALowBMidCHighDHighEMidBlock4+y(i); % Sum of y's for low A, mid B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDHighEMidBlock5=sumALowBMidCHighDHighEMidBlock5+y(i); % Sum of y's for low A, mid B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBMidCHighDHighEHighBlock1=sumALowBMidCHighDHighEHighBlock1+y(i); % Sum of y's for low A, mid B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBMidCHighDHighEHighBlock2=sumALowBMidCHighDHighEHighBlock2+y(i); % Sum of y's for low A, mid B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBMidCHighDHighEHighBlock3=sumALowBMidCHighDHighEHighBlock3+y(i); % Sum of y's for low A, mid B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBMidCHighDHighEHighBlock4=sumALowBMidCHighDHighEHighBlock4+y(i); % Sum of y's for low A, mid B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBMidCHighDHighEHighBlock5=sumALowBMidCHighDHighEHighBlock5+y(i); % Sum of y's for low A, mid B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==1
                    sumALowBHigh=sumALowBHigh+y(i); % Sum of y's for low A and high B
                    if numFactors==2
                        if Block(i)==1
                            sumALowBHighBlock1=sumALowBHighBlock1+y(i); % Sum of y's for low A and high B in Block 1
                        elseif Block(i)==2
                            sumALowBHighBlock2=sumALowBHighBlock2+y(i); % Sum of y's for low A and high B in Block 2
                        elseif Block(i)==3
                            sumALowBHighBlock3=sumALowBHighBlock3+y(i); % Sum of y's for low A and high B in Block 3
                        elseif Block(i)==4
                            sumALowBHighBlock4=sumALowBHighBlock4+y(i); % Sum of y's for low A and high B in Block 4
                        elseif Block(i)==5
                            sumALowBHighBlock5=sumALowBHighBlock5+y(i); % Sum of y's for low A and high B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBHighCLowBlock1=sumALowBHighCLowBlock1+y(i); % Sum of y's for low A, high B and low C in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCLowBlock2=sumALowBHighCLowBlock2+y(i); % Sum of y's for low A, high B and low C in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCLowBlock3=sumALowBHighCLowBlock3+y(i); % Sum of y's for low A, high B and low C in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCLowBlock4=sumALowBHighCLowBlock4+y(i); % Sum of y's for low A, high B and low C in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCLowBlock5=sumALowBHighCLowBlock5+y(i); % Sum of y's for low A, high B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCLowDLowBlock1=sumALowBHighCLowDLowBlock1+y(i); % Sum of y's for low A, high B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCLowDLowBlock2=sumALowBHighCLowDLowBlock2+y(i); % Sum of y's for low A, high B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCLowDLowBlock3=sumALowBHighCLowDLowBlock3+y(i); % Sum of y's for low A, high B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCLowDLowBlock4=sumALowBHighCLowDLowBlock4+y(i); % Sum of y's for low A, high B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCLowDLowBlock5=sumALowBHighCLowDLowBlock5+y(i); % Sum of y's for low A, high B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCLowDLowELowBlock1=sumALowBHighCLowDLowELowBlock1+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCLowDLowELowBlock2=sumALowBHighCLowDLowELowBlock2+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCLowDLowELowBlock3=sumALowBHighCLowDLowELowBlock3+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCLowDLowELowBlock4=sumALowBHighCLowDLowELowBlock4+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCLowDLowELowBlock5=sumALowBHighCLowDLowELowBlock5+y(i); % Sum of y's for low A, high B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCLowDLowEMidBlock1=sumALowBHighCLowDLowEMidBlock1+y(i); % Sum of y's for low A, high B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCLowDLowEMidBlock2=sumALowBHighCLowDLowEMidBlock2+y(i); % Sum of y's for low A, high B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCLowDLowEMidBlock3=sumALowBHighCLowDLowEMidBlock3+y(i); % Sum of y's for low A, high B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCLowDLowEMidBlock4=sumALowBHighCLowDLowEMidBlock4+y(i); % Sum of y's for low A, high B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCLowDLowEMidBlock5=sumALowBHighCLowDLowEMidBlock5+y(i); % Sum of y's for low A, high B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCLowDLowEHighBlock1=sumALowBHighCLowDLowEHighBlock1+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCLowDLowEHighBlock2=sumALowBHighCLowDLowEHighBlock2+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCLowDLowEHighBlock3=sumALowBHighCLowDLowEHighBlock3+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCLowDLowEHighBlock4=sumALowBHighCLowDLowEHighBlock4+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCLowDLowEHighBlock5=sumALowBHighCLowDLowEHighBlock5+y(i); % Sum of y's for low A, high B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCLowDMidBlock1=sumALowBHighCLowDMidBlock1+y(i); % Sum of y's for low A, high B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCLowDMidBlock2=sumALowBHighCLowDMidBlock2+y(i); % Sum of y's for low A, high B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCLowDMidBlock3=sumALowBHighCLowDMidBlock3+y(i); % Sum of y's for low A, high B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCLowDMidBlock4=sumALowBHighCLowDMidBlock4+y(i); % Sum of y's for low A, high B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCLowDMidBlock5=sumALowBHighCLowDMidBlock5+y(i); % Sum of y's for low A, high B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDMidELowBlock1=sumALowBHighCLowDMidELowBlock1+y(i); % Sum of y's for low A, high B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDMidELowBlock2=sumALowBHighCLowDMidELowBlock2+y(i); % Sum of y's for low A, high B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDMidELowBlock3=sumALowBHighCLowDMidELowBlock3+y(i); % Sum of y's for low A, high B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDMidELowBlock4=sumALowBHighCLowDMidELowBlock4+y(i); % Sum of y's for low A, high B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDMidELowBlock5=sumALowBHighCLowDMidELowBlock5+y(i); % Sum of y's for low A, high B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDMidEMidBlock1=sumALowBHighCLowDMidEMidBlock1+y(i); % Sum of y's for low A, high B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDMidEMidBlock2=sumALowBHighCLowDMidEMidBlock2+y(i); % Sum of y's for low A, high B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDMidEMidBlock3=sumALowBHighCLowDMidEMidBlock3+y(i); % Sum of y's for low A, high B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDMidEMidBlock4=sumALowBHighCLowDMidEMidBlock4+y(i); % Sum of y's for low A, high B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDMidEMidBlock5=sumALowBHighCLowDMidEMidBlock5+y(i); % Sum of y's for low A, high B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDMidEHighBlock1=sumALowBHighCLowDMidEHighBlock1+y(i); % Sum of y's for low A, high B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDMidEHighBlock2=sumALowBHighCLowDMidEHighBlock2+y(i); % Sum of y's for low A, high B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDMidEHighBlock3=sumALowBHighCLowDMidEHighBlock3+y(i); % Sum of y's for low A, high B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDMidEHighBlock4=sumALowBHighCLowDMidEHighBlock4+y(i); % Sum of y's for low A, high B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDMidEHighBlock5=sumALowBHighCLowDMidEHighBlock5+y(i); % Sum of y's for low A, high B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCLowDHighBlock1=sumALowBHighCLowDHighBlock1+y(i); % Sum of y's for low A, high B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCLowDHighBlock2=sumALowBHighCLowDHighBlock2+y(i); % Sum of y's for low A, high B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCLowDHighBlock3=sumALowBHighCLowDHighBlock3+y(i); % Sum of y's for low A, high B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCLowDHighBlock4=sumALowBHighCLowDHighBlock4+y(i); % Sum of y's for low A, high B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCLowDHighBlock5=sumALowBHighCLowDHighBlock5+y(i); % Sum of y's for low A, high B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDHighELowBlock1=sumALowBHighCLowDHighELowBlock1+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDHighELowBlock2=sumALowBHighCLowDHighELowBlock2+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDHighELowBlock3=sumALowBHighCLowDHighELowBlock3+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDHighELowBlock4=sumALowBHighCLowDHighELowBlock4+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDHighELowBlock5=sumALowBHighCLowDHighELowBlock5+y(i); % Sum of y's for low A, high B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDHighEMidBlock1=sumALowBHighCLowDHighEMidBlock1+y(i); % Sum of y's for low A, high B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDHighEMidBlock2=sumALowBHighCLowDHighEMidBlock2+y(i); % Sum of y's for low A, high B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDHighEMidBlock3=sumALowBHighCLowDHighEMidBlock3+y(i); % Sum of y's for low A, high B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDHighEMidBlock4=sumALowBHighCLowDHighEMidBlock4+y(i); % Sum of y's for low A, high B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDHighEMidBlock5=sumALowBHighCLowDHighEMidBlock5+y(i); % Sum of y's for low A, high B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCLowDHighEHighBlock1=sumALowBHighCLowDHighEHighBlock1+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCLowDHighEHighBlock2=sumALowBHighCLowDHighEHighBlock2+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCLowDHighEHighBlock3=sumALowBHighCLowDHighEHighBlock3+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCLowDHighEHighBlock4=sumALowBHighCLowDHighEHighBlock4+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCLowDHighEHighBlock5=sumALowBHighCLowDHighEHighBlock5+y(i); % Sum of y's for low A, high B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBHighCMidBlock1=sumALowBHighCMidBlock1+y(i); % Sum of y's for low A, high B and mid C in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCMidBlock2=sumALowBHighCMidBlock2+y(i); % Sum of y's for low A, high B and mid C in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCMidBlock3=sumALowBHighCMidBlock3+y(i); % Sum of y's for low A, high B and mid C in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCMidBlock4=sumALowBHighCMidBlock4+y(i); % Sum of y's for low A, high B and mid C in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCMidBlock5=sumALowBHighCMidBlock5+y(i); % Sum of y's for low A, high B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCMidDLowBlock1=sumALowBHighCMidDLowBlock1+y(i); % Sum of y's for low A, high B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCMidDLowBlock2=sumALowBHighCMidDLowBlock2+y(i); % Sum of y's for low A, high B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCMidDLowBlock3=sumALowBHighCMidDLowBlock3+y(i); % Sum of y's for low A, high B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCMidDLowBlock4=sumALowBHighCMidDLowBlock4+y(i); % Sum of y's for low A, high B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCMidDLowBlock5=sumALowBHighCMidDLowBlock5+y(i); % Sum of y's for low A, high B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCMidDLowELowBlock1=sumALowBHighCMidDLowELowBlock1+y(i); % Sum of y's for low A, high B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCMidDLowELowBlock2=sumALowBHighCMidDLowELowBlock2+y(i); % Sum of y's for low A, high B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCMidDLowELowBlock3=sumALowBHighCMidDLowELowBlock3+y(i); % Sum of y's for low A, high B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCMidDLowELowBlock4=sumALowBHighCMidDLowELowBlock4+y(i); % Sum of y's for low A, high B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCMidDLowELowBlock5=sumALowBHighCMidDLowELowBlock5+y(i); % Sum of y's for low A, high B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCMidDLowEMidBlock1=sumALowBHighCMidDLowEMidBlock1+y(i); % Sum of y's for low A, high B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCMidDLowEMidBlock2=sumALowBHighCMidDLowEMidBlock2+y(i); % Sum of y's for low A, high B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCMidDLowEMidBlock3=sumALowBHighCMidDLowEMidBlock3+y(i); % Sum of y's for low A, high B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCMidDLowEMidBlock4=sumALowBHighCMidDLowEMidBlock4+y(i); % Sum of y's for low A, high B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCMidDLowEMidBlock5=sumALowBHighCMidDLowEMidBlock5+y(i); % Sum of y's for low A, high B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCMidDLowEHighBlock1=sumALowBHighCMidDLowEHighBlock1+y(i); % Sum of y's for low A, high B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCMidDLowEHighBlock2=sumALowBHighCMidDLowEHighBlock2+y(i); % Sum of y's for low A, high B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCMidDLowEHighBlock3=sumALowBHighCMidDLowEHighBlock3+y(i); % Sum of y's for low A, high B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCMidDLowEHighBlock4=sumALowBHighCMidDLowEHighBlock4+y(i); % Sum of y's for low A, high B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCMidDLowEHighBlock5=sumALowBHighCMidDLowEHighBlock5+y(i); % Sum of y's for low A, high B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCMidDMidBlock1=sumALowBHighCMidDMidBlock1+y(i); % Sum of y's for low A, high B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCMidDMidBlock2=sumALowBHighCMidDMidBlock2+y(i); % Sum of y's for low A, high B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCMidDMidBlock3=sumALowBHighCMidDMidBlock3+y(i); % Sum of y's for low A, high B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCMidDMidBlock4=sumALowBHighCMidDMidBlock4+y(i); % Sum of y's for low A, high B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCMidDMidBlock5=sumALowBHighCMidDMidBlock5+y(i); % Sum of y's for low A, high B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDMidELowBlock1=sumALowBHighCMidDMidELowBlock1+y(i); % Sum of y's for low A, high B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDMidELowBlock2=sumALowBHighCMidDMidELowBlock2+y(i); % Sum of y's for low A, high B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDMidELowBlock3=sumALowBHighCMidDMidELowBlock3+y(i); % Sum of y's for low A, high B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDMidELowBlock4=sumALowBHighCMidDMidELowBlock4+y(i); % Sum of y's for low A, high B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDMidELowBlock5=sumALowBHighCMidDMidELowBlock5+y(i); % Sum of y's for low A, high B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDMidEMidBlock1=sumALowBHighCMidDMidEMidBlock1+y(i); % Sum of y's for low A, high B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDMidEMidBlock2=sumALowBHighCMidDMidEMidBlock2+y(i); % Sum of y's for low A, high B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDMidEMidBlock3=sumALowBHighCMidDMidEMidBlock3+y(i); % Sum of y's for low A, high B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDMidEMidBlock4=sumALowBHighCMidDMidEMidBlock4+y(i); % Sum of y's for low A, high B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDMidEMidBlock5=sumALowBHighCMidDMidEMidBlock5+y(i); % Sum of y's for low A, high B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDMidEHighBlock1=sumALowBHighCMidDMidEHighBlock1+y(i); % Sum of y's for low A, high B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDMidEHighBlock2=sumALowBHighCMidDMidEHighBlock2+y(i); % Sum of y's for low A, high B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDMidEHighBlock3=sumALowBHighCMidDMidEHighBlock3+y(i); % Sum of y's for low A, high B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDMidEHighBlock4=sumALowBHighCMidDMidEHighBlock4+y(i); % Sum of y's for low A, high B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDMidEHighBlock5=sumALowBHighCMidDMidEHighBlock5+y(i); % Sum of y's for low A, high B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCMidDHighBlock1=sumALowBHighCMidDHighBlock1+y(i); % Sum of y's for low A, high B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCMidDHighBlock2=sumALowBHighCMidDHighBlock2+y(i); % Sum of y's for low A, high B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCMidDHighBlock3=sumALowBHighCMidDHighBlock3+y(i); % Sum of y's for low A, high B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCMidDHighBlock4=sumALowBHighCMidDHighBlock4+y(i); % Sum of y's for low A, high B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCMidDHighBlock5=sumALowBHighCMidDHighBlock5+y(i); % Sum of y's for low A, high B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDHighELowBlock1=sumALowBHighCMidDHighELowBlock1+y(i); % Sum of y's for low A, high B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDHighELowBlock2=sumALowBHighCMidDHighELowBlock2+y(i); % Sum of y's for low A, high B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDHighELowBlock3=sumALowBHighCMidDHighELowBlock3+y(i); % Sum of y's for low A, high B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDHighELowBlock4=sumALowBHighCMidDHighELowBlock4+y(i); % Sum of y's for low A, high B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDHighELowBlock5=sumALowBHighCMidDHighELowBlock5+y(i); % Sum of y's for low A, high B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDHighEMidBlock1=sumALowBHighCMidDHighEMidBlock1+y(i); % Sum of y's for low A, high B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDHighEMidBlock2=sumALowBHighCMidDHighEMidBlock2+y(i); % Sum of y's for low A, high B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDHighEMidBlock3=sumALowBHighCMidDHighEMidBlock3+y(i); % Sum of y's for low A, high B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDHighEMidBlock4=sumALowBHighCMidDHighEMidBlock4+y(i); % Sum of y's for low A, high B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDHighEMidBlock5=sumALowBHighCMidDHighEMidBlock5+y(i); % Sum of y's for low A, high B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCMidDHighEHighBlock1=sumALowBHighCMidDHighEHighBlock1+y(i); % Sum of y's for low A, high B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCMidDHighEHighBlock2=sumALowBHighCMidDHighEHighBlock2+y(i); % Sum of y's for low A, high B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCMidDHighEHighBlock3=sumALowBHighCMidDHighEHighBlock3+y(i); % Sum of y's for low A, high B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCMidDHighEHighBlock4=sumALowBHighCMidDHighEHighBlock4+y(i); % Sum of y's for low A, high B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCMidDHighEHighBlock5=sumALowBHighCMidDHighEHighBlock5+y(i); % Sum of y's for low A, high B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumALowBHighCHighBlock1=sumALowBHighCHighBlock1+y(i); % Sum of y's for low A, high B and high C in Block 1
                                elseif Block(i)==2
                                    sumALowBHighCHighBlock2=sumALowBHighCHighBlock2+y(i); % Sum of y's for low A, high B and high C in Block 2
                                elseif Block(i)==3
                                    sumALowBHighCHighBlock3=sumALowBHighCHighBlock3+y(i); % Sum of y's for low A, high B and high C in Block 3
                                elseif Block(i)==4
                                    sumALowBHighCHighBlock4=sumALowBHighCHighBlock4+y(i); % Sum of y's for low A, high B and high C in Block 4
                                elseif Block(i)==5
                                    sumALowBHighCHighBlock5=sumALowBHighCHighBlock5+y(i); % Sum of y's for low A, high B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCHighDLowBlock1=sumALowBHighCHighDLowBlock1+y(i); % Sum of y's for low A, high B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCHighDLowBlock2=sumALowBHighCHighDLowBlock2+y(i); % Sum of y's for low A, high B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCHighDLowBlock3=sumALowBHighCHighDLowBlock3+y(i); % Sum of y's for low A, high B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCHighDLowBlock4=sumALowBHighCHighDLowBlock4+y(i); % Sum of y's for low A, high B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCHighDLowBlock5=sumALowBHighCHighDLowBlock5+y(i); % Sum of y's for low A, high B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCHighDLowELowBlock1=sumALowBHighCHighDLowELowBlock1+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCHighDLowELowBlock2=sumALowBHighCHighDLowELowBlock2+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCHighDLowELowBlock3=sumALowBHighCHighDLowELowBlock3+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCHighDLowELowBlock4=sumALowBHighCHighDLowELowBlock4+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCHighDLowELowBlock5=sumALowBHighCHighDLowELowBlock5+y(i); % Sum of y's for low A, high B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCHighDLowEMidBlock1=sumALowBHighCHighDLowEMidBlock1+y(i); % Sum of y's for low A, high B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCHighDLowEMidBlock2=sumALowBHighCHighDLowEMidBlock2+y(i); % Sum of y's for low A, high B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCHighDLowEMidBlock3=sumALowBHighCHighDLowEMidBlock3+y(i); % Sum of y's for low A, high B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCHighDLowEMidBlock4=sumALowBHighCHighDLowEMidBlock4+y(i); % Sum of y's for low A, high B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCHighDLowEMidBlock5=sumALowBHighCHighDLowEMidBlock5+y(i); % Sum of y's for low A, high B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumALowBHighCHighDLowEHighBlock1=sumALowBHighCHighDLowEHighBlock1+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumALowBHighCHighDLowEHighBlock2=sumALowBHighCHighDLowEHighBlock2+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumALowBHighCHighDLowEHighBlock3=sumALowBHighCHighDLowEHighBlock3+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumALowBHighCHighDLowEHighBlock4=sumALowBHighCHighDLowEHighBlock4+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumALowBHighCHighDLowEHighBlock5=sumALowBHighCHighDLowEHighBlock5+y(i); % Sum of y's for low A, high B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCHighDMidBlock1=sumALowBHighCHighDMidBlock1+y(i); % Sum of y's for low A, high B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCHighDMidBlock2=sumALowBHighCHighDMidBlock2+y(i); % Sum of y's for low A, high B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCHighDMidBlock3=sumALowBHighCHighDMidBlock3+y(i); % Sum of y's for low A, high B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCHighDMidBlock4=sumALowBHighCHighDMidBlock4+y(i); % Sum of y's for low A, high B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCHighDMidBlock5=sumALowBHighCHighDMidBlock5+y(i); % Sum of y's for low A, high B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDMidELowBlock1=sumALowBHighCHighDMidELowBlock1+y(i); % Sum of y's for low A, high B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDMidELowBlock2=sumALowBHighCHighDMidELowBlock2+y(i); % Sum of y's for low A, high B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDMidELowBlock3=sumALowBHighCHighDMidELowBlock3+y(i); % Sum of y's for low A, high B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDMidELowBlock4=sumALowBHighCHighDMidELowBlock4+y(i); % Sum of y's for low A, high B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDMidELowBlock5=sumALowBHighCHighDMidELowBlock5+y(i); % Sum of y's for low A, high B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDMidEMidBlock1=sumALowBHighCHighDMidEMidBlock1+y(i); % Sum of y's for low A, high B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDMidEMidBlock2=sumALowBHighCHighDMidEMidBlock2+y(i); % Sum of y's for low A, high B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDMidEMidBlock3=sumALowBHighCHighDMidEMidBlock3+y(i); % Sum of y's for low A, high B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDMidEMidBlock4=sumALowBHighCHighDMidEMidBlock4+y(i); % Sum of y's for low A, high B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDMidEMidBlock5=sumALowBHighCHighDMidEMidBlock5+y(i); % Sum of y's for low A, high B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDMidEHighBlock1=sumALowBHighCHighDMidEHighBlock1+y(i); % Sum of y's for low A, high B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDMidEHighBlock2=sumALowBHighCHighDMidEHighBlock2+y(i); % Sum of y's for low A, high B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDMidEHighBlock3=sumALowBHighCHighDMidEHighBlock3+y(i); % Sum of y's for low A, high B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDMidEHighBlock4=sumALowBHighCHighDMidEHighBlock4+y(i); % Sum of y's for low A, high B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDMidEHighBlock5=sumALowBHighCHighDMidEHighBlock5+y(i); % Sum of y's for low A, high B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumALowBHighCHighDHighBlock1=sumALowBHighCHighDHighBlock1+y(i); % Sum of y's for low A, high B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumALowBHighCHighDHighBlock2=sumALowBHighCHighDHighBlock2+y(i); % Sum of y's for low A, high B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumALowBHighCHighDHighBlock3=sumALowBHighCHighDHighBlock3+y(i); % Sum of y's for low A, high B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumALowBHighCHighDHighBlock4=sumALowBHighCHighDHighBlock4+y(i); % Sum of y's for low A, high B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumALowBHighCHighDHighBlock5=sumALowBHighCHighDHighBlock5+y(i); % Sum of y's for low A, high B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDHighELowBlock1=sumALowBHighCHighDHighELowBlock1+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDHighELowBlock2=sumALowBHighCHighDHighELowBlock2+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDHighELowBlock3=sumALowBHighCHighDHighELowBlock3+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDHighELowBlock4=sumALowBHighCHighDHighELowBlock4+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDHighELowBlock5=sumALowBHighCHighDHighELowBlock5+y(i); % Sum of y's for low A, high B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDHighEMidBlock1=sumALowBHighCHighDHighEMidBlock1+y(i); % Sum of y's for low A, high B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDHighEMidBlock2=sumALowBHighCHighDHighEMidBlock2+y(i); % Sum of y's for low A, high B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDHighEMidBlock3=sumALowBHighCHighDHighEMidBlock3+y(i); % Sum of y's for low A, high B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDHighEMidBlock4=sumALowBHighCHighDHighEMidBlock4+y(i); % Sum of y's for low A, high B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDHighEMidBlock5=sumALowBHighCHighDHighEMidBlock5+y(i); % Sum of y's for low A, high B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumALowBHighCHighDHighEHighBlock1=sumALowBHighCHighDHighEHighBlock1+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumALowBHighCHighDHighEHighBlock2=sumALowBHighCHighDHighEHighBlock2+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumALowBHighCHighDHighEHighBlock3=sumALowBHighCHighDHighEHighBlock3+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumALowBHighCHighDHighEHighBlock4=sumALowBHighCHighDHighEHighBlock4+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumALowBHighCHighDHighEHighBlock5=sumALowBHighCHighDHighEHighBlock5+y(i); % Sum of y's for low A, high B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                end
            end
            if numFactors>2
                if C(i)==-1
                    sumALowCLow=sumALowCLow+y(i); % Sum of y's for low A and low C
                elseif C(i)==0
                    sumALowCMid=sumALowCMid+y(i); % Sum of y's for low A and mid C
                elseif C(i)==1
                    sumALowCHigh=sumALowCHigh+y(i); % Sum of y's for low A and high C
                end
            end
            if numFactors>3
                if D(i)==-1
                    sumALowDLow=sumALowDLow+y(i); % Sum of y's for low A and low D
                elseif D(i)==0
                    sumALowDMid=sumALowDMid+y(i); % Sum of y's for low A and mid D
                elseif D(i)==1
                    sumALowDHigh=sumALowDHigh+y(i); % Sum of y's for low A and high D
                end
            end
            if numFactors>4
                if E(i)==-1
                    sumALowELow=sumALowELow+y(i); % Sum of y's for low A and low E
                elseif E(i)==0
                    sumALowEMid=sumALowEMid+y(i); % Sum of y's for low A and mid E
                elseif E(i)==1
                    sumALowEHigh=sumALowEHigh+y(i); % Sum of y's for low A and high E
                end
            end
        elseif A(i)==0
            sumAMid=sumAMid+y(i); % Sum of y's for mid A
            if numFactors==1
                if Block(i)==1
                    sumAMidBlock1=sumAMidBlock1+y(i); % Sum of y's for mid A in Block 1
                elseif Block(i)==2
                    sumAMidBlock2=sumAMidBlock2+y(i); % Sum of y's for mid A in Block 2
                elseif Block(i)==3
                    sumAMidBlock3=sumAMidBlock3+y(i); % Sum of y's for mid A in Block 3
                elseif Block(i)==4
                    sumAMidBlock4=sumAMidBlock4+y(i); % Sum of y's for mid A in Block 4
                elseif Block(i)==5
                    sumAMidBlock5=sumAMidBlock5+y(i); % Sum of y's for mid A in Block 5
                end
            end
            if numFactors>1
                if B(i)==-1
                    sumAMidBLow=sumAMidBLow+y(i); % Sum of y's for mid A and low B
                    if numFactors==2
                        if Block(i)==1
                            sumAMidBLowBlock1=sumAMidBLowBlock1+y(i); % Sum of y's for mid A and low B in Block 1
                        elseif Block(i)==2
                            sumAMidBLowBlock2=sumAMidBLowBlock2+y(i); % Sum of y's for mid A and low B in Block 2
                        elseif Block(i)==3
                            sumAMidBLowBlock3=sumAMidBLowBlock3+y(i); % Sum of y's for mid A and low B in Block 3
                        elseif Block(i)==4
                            sumAMidBLowBlock4=sumAMidBLowBlock4+y(i); % Sum of y's for mid A and low B in Block 4
                        elseif Block(i)==5
                            sumAMidBLowBlock5=sumAMidBLowBlock5+y(i); % Sum of y's for mid A and low B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBLowCLowBlock1=sumAMidBLowCLowBlock1+y(i); % Sum of y's for mid A, low B and low C in Block 1
                                elseif Block(i)==2
                                    sumAMidBLowCLowBlock2=sumAMidBLowCLowBlock2+y(i); % Sum of y's for mid A, low B and low C in Block 2
                                elseif Block(i)==3
                                    sumAMidBLowCLowBlock3=sumAMidBLowCLowBlock3+y(i); % Sum of y's for mid A, low B and low C in Block 3
                                elseif Block(i)==4
                                    sumAMidBLowCLowBlock4=sumAMidBLowCLowBlock4+y(i); % Sum of y's for mid A, low B and low C in Block 4
                                elseif Block(i)==5
                                    sumAMidBLowCLowBlock5=sumAMidBLowCLowBlock5+y(i); % Sum of y's for mid A, low B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCLowDLowBlock1=sumAMidBLowCLowDLowBlock1+y(i); % Sum of y's for mid A, low B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCLowDLowBlock2=sumAMidBLowCLowDLowBlock2+y(i); % Sum of y's for mid A, low B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCLowDLowBlock3=sumAMidBLowCLowDLowBlock3+y(i); % Sum of y's for mid A, low B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCLowDLowBlock4=sumAMidBLowCLowDLowBlock4+y(i); % Sum of y's for mid A, low B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCLowDLowBlock5=sumAMidBLowCLowDLowBlock5+y(i); % Sum of y's for mid A, low B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCLowDLowELowBlock1=sumAMidBLowCLowDLowELowBlock1+y(i); % Sum of y's for mid A, low B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCLowDLowELowBlock2=sumAMidBLowCLowDLowELowBlock2+y(i); % Sum of y's for mid A, low B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCLowDLowELowBlock3=sumAMidBLowCLowDLowELowBlock3+y(i); % Sum of y's for mid A, low B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCLowDLowELowBlock4=sumAMidBLowCLowDLowELowBlock4+y(i); % Sum of y's for mid A, low B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCLowDLowELowBlock5=sumAMidBLowCLowDLowELowBlock5+y(i); % Sum of y's for mid A, low B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCLowDLowEMidBlock1=sumAMidBLowCLowDLowEMidBlock1+y(i); % Sum of y's for mid A, low B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCLowDLowEMidBlock2=sumAMidBLowCLowDLowEMidBlock2+y(i); % Sum of y's for mid A, low B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCLowDLowEMidBlock3=sumAMidBLowCLowDLowEMidBlock3+y(i); % Sum of y's for mid A, low B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCLowDLowEMidBlock4=sumAMidBLowCLowDLowEMidBlock4+y(i); % Sum of y's for mid A, low B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCLowDLowEMidBlock5=sumAMidBLowCLowDLowEMidBlock5+y(i); % Sum of y's for mid A, low B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCLowDLowEHighBlock1=sumAMidBLowCLowDLowEHighBlock1+y(i); % Sum of y's for mid A, low B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCLowDLowEHighBlock2=sumAMidBLowCLowDLowEHighBlock2+y(i); % Sum of y's for mid A, low B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCLowDLowEHighBlock3=sumAMidBLowCLowDLowEHighBlock3+y(i); % Sum of y's for mid A, low B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCLowDLowEHighBlock4=sumAMidBLowCLowDLowEHighBlock4+y(i); % Sum of y's for mid A, low B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCLowDLowEHighBlock5=sumAMidBLowCLowDLowEHighBlock5+y(i); % Sum of y's for mid A, low B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCLowDMidBlock1=sumAMidBLowCLowDMidBlock1+y(i); % Sum of y's for mid A, low B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCLowDMidBlock2=sumAMidBLowCLowDMidBlock2+y(i); % Sum of y's for mid A, low B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCLowDMidBlock3=sumAMidBLowCLowDMidBlock3+y(i); % Sum of y's for mid A, low B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCLowDMidBlock4=sumAMidBLowCLowDMidBlock4+y(i); % Sum of y's for mid A, low B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCLowDMidBlock5=sumAMidBLowCLowDMidBlock5+y(i); % Sum of y's for mid A, low B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDMidELowBlock1=sumAMidBLowCLowDMidELowBlock1+y(i); % Sum of y's for mid A, low B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDMidELowBlock2=sumAMidBLowCLowDMidELowBlock2+y(i); % Sum of y's for mid A, low B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDMidELowBlock3=sumAMidBLowCLowDMidELowBlock3+y(i); % Sum of y's for mid A, low B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDMidELowBlock4=sumAMidBLowCLowDMidELowBlock4+y(i); % Sum of y's for mid A, low B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDMidELowBlock5=sumAMidBLowCLowDMidELowBlock5+y(i); % Sum of y's for mid A, low B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDMidEMidBlock1=sumAMidBLowCLowDMidEMidBlock1+y(i); % Sum of y's for mid A, low B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDMidEMidBlock2=sumAMidBLowCLowDMidEMidBlock2+y(i); % Sum of y's for mid A, low B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDMidEMidBlock3=sumAMidBLowCLowDMidEMidBlock3+y(i); % Sum of y's for mid A, low B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDMidEMidBlock4=sumAMidBLowCLowDMidEMidBlock4+y(i); % Sum of y's for mid A, low B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDMidEMidBlock5=sumAMidBLowCLowDMidEMidBlock5+y(i); % Sum of y's for mid A, low B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDMidEHighBlock1=sumAMidBLowCLowDMidEHighBlock1+y(i); % Sum of y's for mid A, low B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDMidEHighBlock2=sumAMidBLowCLowDMidEHighBlock2+y(i); % Sum of y's for mid A, low B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDMidEHighBlock3=sumAMidBLowCLowDMidEHighBlock3+y(i); % Sum of y's for mid A, low B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDMidEHighBlock4=sumAMidBLowCLowDMidEHighBlock4+y(i); % Sum of y's for mid A, low B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDMidEHighBlock5=sumAMidBLowCLowDMidEHighBlock5+y(i); % Sum of y's for mid A, low B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCLowDHighBlock1=sumAMidBLowCLowDHighBlock1+y(i); % Sum of y's for mid A, low B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCLowDHighBlock2=sumAMidBLowCLowDHighBlock2+y(i); % Sum of y's for mid A, low B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCLowDHighBlock3=sumAMidBLowCLowDHighBlock3+y(i); % Sum of y's for mid A, low B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCLowDHighBlock4=sumAMidBLowCLowDHighBlock4+y(i); % Sum of y's for mid A, low B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCLowDHighBlock5=sumAMidBLowCLowDHighBlock5+y(i); % Sum of y's for mid A, low B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDHighELowBlock1=sumAMidBLowCLowDHighELowBlock1+y(i); % Sum of y's for mid A, low B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDHighELowBlock2=sumAMidBLowCLowDHighELowBlock2+y(i); % Sum of y's for mid A, low B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDHighELowBlock3=sumAMidBLowCLowDHighELowBlock3+y(i); % Sum of y's for mid A, low B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDHighELowBlock4=sumAMidBLowCLowDHighELowBlock4+y(i); % Sum of y's for mid A, low B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDHighELowBlock5=sumAMidBLowCLowDHighELowBlock5+y(i); % Sum of y's for mid A, low B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDHighEMidBlock1=sumAMidBLowCLowDHighEMidBlock1+y(i); % Sum of y's for mid A, low B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDHighEMidBlock2=sumAMidBLowCLowDHighEMidBlock2+y(i); % Sum of y's for mid A, low B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDHighEMidBlock3=sumAMidBLowCLowDHighEMidBlock3+y(i); % Sum of y's for mid A, low B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDHighEMidBlock4=sumAMidBLowCLowDHighEMidBlock4+y(i); % Sum of y's for mid A, low B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDHighEMidBlock5=sumAMidBLowCLowDHighEMidBlock5+y(i); % Sum of y's for mid A, low B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCLowDHighEHighBlock1=sumAMidBLowCLowDHighEHighBlock1+y(i); % Sum of y's for mid A, low B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCLowDHighEHighBlock2=sumAMidBLowCLowDHighEHighBlock2+y(i); % Sum of y's for mid A, low B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCLowDHighEHighBlock3=sumAMidBLowCLowDHighEHighBlock3+y(i); % Sum of y's for mid A, low B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCLowDHighEHighBlock4=sumAMidBLowCLowDHighEHighBlock4+y(i); % Sum of y's for mid A, low B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCLowDHighEHighBlock5=sumAMidBLowCLowDHighEHighBlock5+y(i); % Sum of y's for mid A, low B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBLowCMidBlock1=sumAMidBLowCMidBlock1+y(i); % Sum of y's for mid A, low B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAMidBLowCMidBlock2=sumAMidBLowCMidBlock2+y(i); % Sum of y's for mid A, low B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAMidBLowCMidBlock3=sumAMidBLowCMidBlock3+y(i); % Sum of y's for mid A, low B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAMidBLowCMidBlock4=sumAMidBLowCMidBlock4+y(i); % Sum of y's for mid A, low B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAMidBLowCMidBlock5=sumAMidBLowCMidBlock5+y(i); % Sum of y's for mid A, low B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCMidDLowBlock1=sumAMidBLowCMidDLowBlock1+y(i); % Sum of y's for mid A, low B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCMidDLowBlock2=sumAMidBLowCMidDLowBlock2+y(i); % Sum of y's for mid A, low B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCMidDLowBlock3=sumAMidBLowCMidDLowBlock3+y(i); % Sum of y's for mid A, low B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCMidDLowBlock4=sumAMidBLowCMidDLowBlock4+y(i); % Sum of y's for mid A, low B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCMidDLowBlock5=sumAMidBLowCMidDLowBlock5+y(i); % Sum of y's for mid A, low B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCMidDLowELowBlock1=sumAMidBLowCMidDLowELowBlock1+y(i); % Sum of y's for mid A, low B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCMidDLowELowBlock2=sumAMidBLowCMidDLowELowBlock2+y(i); % Sum of y's for mid A, low B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCMidDLowELowBlock3=sumAMidBLowCMidDLowELowBlock3+y(i); % Sum of y's for mid A, low B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCMidDLowELowBlock4=sumAMidBLowCMidDLowELowBlock4+y(i); % Sum of y's for mid A, low B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCMidDLowELowBlock5=sumAMidBLowCMidDLowELowBlock5+y(i); % Sum of y's for mid A, low B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCMidDLowEMidBlock1=sumAMidBLowCMidDLowEMidBlock1+y(i); % Sum of y's for mid A, low B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCMidDLowEMidBlock2=sumAMidBLowCMidDLowEMidBlock2+y(i); % Sum of y's for mid A, low B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCMidDLowEMidBlock3=sumAMidBLowCMidDLowEMidBlock3+y(i); % Sum of y's for mid A, low B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCMidDLowEMidBlock4=sumAMidBLowCMidDLowEMidBlock4+y(i); % Sum of y's for mid A, low B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCMidDLowEMidBlock5=sumAMidBLowCMidDLowEMidBlock5+y(i); % Sum of y's for mid A, low B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCMidDLowEHighBlock1=sumAMidBLowCMidDLowEHighBlock1+y(i); % Sum of y's for mid A, low B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCMidDLowEHighBlock2=sumAMidBLowCMidDLowEHighBlock2+y(i); % Sum of y's for mid A, low B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCMidDLowEHighBlock3=sumAMidBLowCMidDLowEHighBlock3+y(i); % Sum of y's for mid A, low B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCMidDLowEHighBlock4=sumAMidBLowCMidDLowEHighBlock4+y(i); % Sum of y's for mid A, low B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCMidDLowEHighBlock5=sumAMidBLowCMidDLowEHighBlock5+y(i); % Sum of y's for mid A, low B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCMidDMidBlock1=sumAMidBLowCMidDMidBlock1+y(i); % Sum of y's for mid A, low B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCMidDMidBlock2=sumAMidBLowCMidDMidBlock2+y(i); % Sum of y's for mid A, low B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCMidDMidBlock3=sumAMidBLowCMidDMidBlock3+y(i); % Sum of y's for mid A, low B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCMidDMidBlock4=sumAMidBLowCMidDMidBlock4+y(i); % Sum of y's for mid A, low B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCMidDMidBlock5=sumAMidBLowCMidDMidBlock5+y(i); % Sum of y's for mid A, low B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDMidELowBlock1=sumAMidBLowCMidDMidELowBlock1+y(i); % Sum of y's for mid A, low B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDMidELowBlock2=sumAMidBLowCMidDMidELowBlock2+y(i); % Sum of y's for mid A, low B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDMidELowBlock3=sumAMidBLowCMidDMidELowBlock3+y(i); % Sum of y's for mid A, low B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDMidELowBlock4=sumAMidBLowCMidDMidELowBlock4+y(i); % Sum of y's for mid A, low B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDMidELowBlock5=sumAMidBLowCMidDMidELowBlock5+y(i); % Sum of y's for mid A, low B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDMidEMidBlock1=sumAMidBLowCMidDMidEMidBlock1+y(i); % Sum of y's for mid A, low B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDMidEMidBlock2=sumAMidBLowCMidDMidEMidBlock2+y(i); % Sum of y's for mid A, low B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDMidEMidBlock3=sumAMidBLowCMidDMidEMidBlock3+y(i); % Sum of y's for mid A, low B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDMidEMidBlock4=sumAMidBLowCMidDMidEMidBlock4+y(i); % Sum of y's for mid A, low B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDMidEMidBlock5=sumAMidBLowCMidDMidEMidBlock5+y(i); % Sum of y's for mid A, low B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDMidEHighBlock1=sumAMidBLowCMidDMidEHighBlock1+y(i); % Sum of y's for mid A, low B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDMidEHighBlock2=sumAMidBLowCMidDMidEHighBlock2+y(i); % Sum of y's for mid A, low B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDMidEHighBlock3=sumAMidBLowCMidDMidEHighBlock3+y(i); % Sum of y's for mid A, low B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDMidEHighBlock4=sumAMidBLowCMidDMidEHighBlock4+y(i); % Sum of y's for mid A, low B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDMidEHighBlock5=sumAMidBLowCMidDMidEHighBlock5+y(i); % Sum of y's for mid A, low B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCMidDHighBlock1=sumAMidBLowCMidDHighBlock1+y(i); % Sum of y's for mid A, low B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCMidDHighBlock2=sumAMidBLowCMidDHighBlock2+y(i); % Sum of y's for mid A, low B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCMidDHighBlock3=sumAMidBLowCMidDHighBlock3+y(i); % Sum of y's for mid A, low B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCMidDHighBlock4=sumAMidBLowCMidDHighBlock4+y(i); % Sum of y's for mid A, low B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCMidDHighBlock5=sumAMidBLowCMidDHighBlock5+y(i); % Sum of y's for mid A, low B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDHighELowBlock1=sumAMidBLowCMidDHighELowBlock1+y(i); % Sum of y's for mid A, low B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDHighELowBlock2=sumAMidBLowCMidDHighELowBlock2+y(i); % Sum of y's for mid A, low B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDHighELowBlock3=sumAMidBLowCMidDHighELowBlock3+y(i); % Sum of y's for mid A, low B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDHighELowBlock4=sumAMidBLowCMidDHighELowBlock4+y(i); % Sum of y's for mid A, low B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDHighELowBlock5=sumAMidBLowCMidDHighELowBlock5+y(i); % Sum of y's for mid A, low B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDHighEMidBlock1=sumAMidBLowCMidDHighEMidBlock1+y(i); % Sum of y's for mid A, low B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDHighEMidBlock2=sumAMidBLowCMidDHighEMidBlock2+y(i); % Sum of y's for mid A, low B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDHighEMidBlock3=sumAMidBLowCMidDHighEMidBlock3+y(i); % Sum of y's for mid A, low B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDHighEMidBlock4=sumAMidBLowCMidDHighEMidBlock4+y(i); % Sum of y's for mid A, low B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDHighEMidBlock5=sumAMidBLowCMidDHighEMidBlock5+y(i); % Sum of y's for mid A, low B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCMidDHighEHighBlock1=sumAMidBLowCMidDHighEHighBlock1+y(i); % Sum of y's for mid A, low B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCMidDHighEHighBlock2=sumAMidBLowCMidDHighEHighBlock2+y(i); % Sum of y's for mid A, low B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCMidDHighEHighBlock3=sumAMidBLowCMidDHighEHighBlock3+y(i); % Sum of y's for mid A, low B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCMidDHighEHighBlock4=sumAMidBLowCMidDHighEHighBlock4+y(i); % Sum of y's for mid A, low B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCMidDHighEHighBlock5=sumAMidBLowCMidDHighEHighBlock5+y(i); % Sum of y's for mid A, low B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBLowCHighBlock1=sumAMidBLowCHighBlock1+y(i); % Sum of y's for mid A, low B and high C in Block 1
                                elseif Block(i)==2
                                    sumAMidBLowCHighBlock2=sumAMidBLowCHighBlock2+y(i); % Sum of y's for mid A, low B and high C in Block 2
                                elseif Block(i)==3
                                    sumAMidBLowCHighBlock3=sumAMidBLowCHighBlock3+y(i); % Sum of y's for mid A, low B and high C in Block 3
                                elseif Block(i)==4
                                    sumAMidBLowCHighBlock4=sumAMidBLowCHighBlock4+y(i); % Sum of y's for mid A, low B and high C in Block 4
                                elseif Block(i)==5
                                    sumAMidBLowCHighBlock5=sumAMidBLowCHighBlock5+y(i); % Sum of y's for mid A, low B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCHighDLowBlock1=sumAMidBLowCHighDLowBlock1+y(i); % Sum of y's for mid A, low B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCHighDLowBlock2=sumAMidBLowCHighDLowBlock2+y(i); % Sum of y's for mid A, low B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCHighDLowBlock3=sumAMidBLowCHighDLowBlock3+y(i); % Sum of y's for mid A, low B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCHighDLowBlock4=sumAMidBLowCHighDLowBlock4+y(i); % Sum of y's for mid A, low B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCHighDLowBlock5=sumAMidBLowCHighDLowBlock5+y(i); % Sum of y's for mid A, low B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCHighDLowELowBlock1=sumAMidBLowCHighDLowELowBlock1+y(i); % Sum of y's for mid A, low B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCHighDLowELowBlock2=sumAMidBLowCHighDLowELowBlock2+y(i); % Sum of y's for mid A, low B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCHighDLowELowBlock3=sumAMidBLowCHighDLowELowBlock3+y(i); % Sum of y's for mid A, low B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCHighDLowELowBlock4=sumAMidBLowCHighDLowELowBlock4+y(i); % Sum of y's for mid A, low B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCHighDLowELowBlock5=sumAMidBLowCHighDLowELowBlock5+y(i); % Sum of y's for mid A, low B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCHighDLowEMidBlock1=sumAMidBLowCHighDLowEMidBlock1+y(i); % Sum of y's for mid A, low B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCHighDLowEMidBlock2=sumAMidBLowCHighDLowEMidBlock2+y(i); % Sum of y's for mid A, low B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCHighDLowEMidBlock3=sumAMidBLowCHighDLowEMidBlock3+y(i); % Sum of y's for mid A, low B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCHighDLowEMidBlock4=sumAMidBLowCHighDLowEMidBlock4+y(i); % Sum of y's for mid A, low B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCHighDLowEMidBlock5=sumAMidBLowCHighDLowEMidBlock5+y(i); % Sum of y's for mid A, low B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBLowCHighDLowEHighBlock1=sumAMidBLowCHighDLowEHighBlock1+y(i); % Sum of y's for mid A, low B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBLowCHighDLowEHighBlock2=sumAMidBLowCHighDLowEHighBlock2+y(i); % Sum of y's for mid A, low B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBLowCHighDLowEHighBlock3=sumAMidBLowCHighDLowEHighBlock3+y(i); % Sum of y's for mid A, low B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBLowCHighDLowEHighBlock4=sumAMidBLowCHighDLowEHighBlock4+y(i); % Sum of y's for mid A, low B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBLowCHighDLowEHighBlock5=sumAMidBLowCHighDLowEHighBlock5+y(i); % Sum of y's for mid A, low B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCHighDMidBlock1=sumAMidBLowCHighDMidBlock1+y(i); % Sum of y's for mid A, low B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCHighDMidBlock2=sumAMidBLowCHighDMidBlock2+y(i); % Sum of y's for mid A, low B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCHighDMidBlock3=sumAMidBLowCHighDMidBlock3+y(i); % Sum of y's for mid A, low B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCHighDMidBlock4=sumAMidBLowCHighDMidBlock4+y(i); % Sum of y's for mid A, low B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCHighDMidBlock5=sumAMidBLowCHighDMidBlock5+y(i); % Sum of y's for mid A, low B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDMidELowBlock1=sumAMidBLowCHighDMidELowBlock1+y(i); % Sum of y's for mid A, low B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDMidELowBlock2=sumAMidBLowCHighDMidELowBlock2+y(i); % Sum of y's for mid A, low B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDMidELowBlock3=sumAMidBLowCHighDMidELowBlock3+y(i); % Sum of y's for mid A, low B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDMidELowBlock4=sumAMidBLowCHighDMidELowBlock4+y(i); % Sum of y's for mid A, low B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDMidELowBlock5=sumAMidBLowCHighDMidELowBlock5+y(i); % Sum of y's for mid A, low B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDMidEMidBlock1=sumAMidBLowCHighDMidEMidBlock1+y(i); % Sum of y's for mid A, low B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDMidEMidBlock2=sumAMidBLowCHighDMidEMidBlock2+y(i); % Sum of y's for mid A, low B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDMidEMidBlock3=sumAMidBLowCHighDMidEMidBlock3+y(i); % Sum of y's for mid A, low B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDMidEMidBlock4=sumAMidBLowCHighDMidEMidBlock4+y(i); % Sum of y's for mid A, low B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDMidEMidBlock5=sumAMidBLowCHighDMidEMidBlock5+y(i); % Sum of y's for mid A, low B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDMidEHighBlock1=sumAMidBLowCHighDMidEHighBlock1+y(i); % Sum of y's for mid A, low B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDMidEHighBlock2=sumAMidBLowCHighDMidEHighBlock2+y(i); % Sum of y's for mid A, low B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDMidEHighBlock3=sumAMidBLowCHighDMidEHighBlock3+y(i); % Sum of y's for mid A, low B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDMidEHighBlock4=sumAMidBLowCHighDMidEHighBlock4+y(i); % Sum of y's for mid A, low B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDMidEHighBlock5=sumAMidBLowCHighDMidEHighBlock5+y(i); % Sum of y's for mid A, low B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBLowCHighDHighBlock1=sumAMidBLowCHighDHighBlock1+y(i); % Sum of y's for mid A, low B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBLowCHighDHighBlock2=sumAMidBLowCHighDHighBlock2+y(i); % Sum of y's for mid A, low B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBLowCHighDHighBlock3=sumAMidBLowCHighDHighBlock3+y(i); % Sum of y's for mid A, low B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBLowCHighDHighBlock4=sumAMidBLowCHighDHighBlock4+y(i); % Sum of y's for mid A, low B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBLowCHighDHighBlock5=sumAMidBLowCHighDHighBlock5+y(i); % Sum of y's for mid A, low B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDHighELowBlock1=sumAMidBLowCHighDHighELowBlock1+y(i); % Sum of y's for mid A, low B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDHighELowBlock2=sumAMidBLowCHighDHighELowBlock2+y(i); % Sum of y's for mid A, low B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDHighELowBlock3=sumAMidBLowCHighDHighELowBlock3+y(i); % Sum of y's for mid A, low B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDHighELowBlock4=sumAMidBLowCHighDHighELowBlock4+y(i); % Sum of y's for mid A, low B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDHighELowBlock5=sumAMidBLowCHighDHighELowBlock5+y(i); % Sum of y's for mid A, low B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDHighEMidBlock1=sumAMidBLowCHighDHighEMidBlock1+y(i); % Sum of y's for mid A, low B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDHighEMidBlock2=sumAMidBLowCHighDHighEMidBlock2+y(i); % Sum of y's for mid A, low B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDHighEMidBlock3=sumAMidBLowCHighDHighEMidBlock3+y(i); % Sum of y's for mid A, low B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDHighEMidBlock4=sumAMidBLowCHighDHighEMidBlock4+y(i); % Sum of y's for mid A, low B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDHighEMidBlock5=sumAMidBLowCHighDHighEMidBlock5+y(i); % Sum of y's for mid A, low B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBLowCHighDHighEHighBlock1=sumAMidBLowCHighDHighEHighBlock1+y(i); % Sum of y's for mid A, low B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBLowCHighDHighEHighBlock2=sumAMidBLowCHighDHighEHighBlock2+y(i); % Sum of y's for mid A, low B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBLowCHighDHighEHighBlock3=sumAMidBLowCHighDHighEHighBlock3+y(i); % Sum of y's for mid A, low B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBLowCHighDHighEHighBlock4=sumAMidBLowCHighDHighEHighBlock4+y(i); % Sum of y's for mid A, low B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBLowCHighDHighEHighBlock5=sumAMidBLowCHighDHighEHighBlock5+y(i); % Sum of y's for mid A, low B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==0
                    sumAMidBMid=sumAMidBMid+y(i); % Sum of y's for mid A and mid B
                    if numFactors==2
                        if Block(i)==1
                            sumAMidBMidBlock1=sumAMidBMidBlock1+y(i); % Sum of y's for mid A and mid B in Block 1
                        elseif Block(i)==2
                            sumAMidBMidBlock2=sumAMidBMidBlock2+y(i); % Sum of y's for mid A and mid B in Block 2
                        elseif Block(i)==3
                            sumAMidBMidBlock3=sumAMidBMidBlock3+y(i); % Sum of y's for mid A and mid B in Block 3
                        elseif Block(i)==4
                            sumAMidBMidBlock4=sumAMidBMidBlock4+y(i); % Sum of y's for mid A and mid B in Block 4
                        elseif Block(i)==5
                            sumAMidBMidBlock5=sumAMidBMidBlock5+y(i); % Sum of y's for mid A and mid B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBMidCLowBlock1=sumAMidBMidCLowBlock1+y(i); % Sum of y's for mid A, mid B and low C in Block 1
                                elseif Block(i)==2
                                    sumAMidBMidCLowBlock2=sumAMidBMidCLowBlock2+y(i); % Sum of y's for mid A, mid B and low C in Block 2
                                elseif Block(i)==3
                                    sumAMidBMidCLowBlock3=sumAMidBMidCLowBlock3+y(i); % Sum of y's for mid A, mid B and low C in Block 3
                                elseif Block(i)==4
                                    sumAMidBMidCLowBlock4=sumAMidBMidCLowBlock4+y(i); % Sum of y's for mid A, mid B and low C in Block 4
                                elseif Block(i)==5
                                    sumAMidBMidCLowBlock5=sumAMidBMidCLowBlock5+y(i); % Sum of y's for mid A, mid B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCLowDLowBlock1=sumAMidBMidCLowDLowBlock1+y(i); % Sum of y's for mid A, mid B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCLowDLowBlock2=sumAMidBMidCLowDLowBlock2+y(i); % Sum of y's for mid A, mid B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCLowDLowBlock3=sumAMidBMidCLowDLowBlock3+y(i); % Sum of y's for mid A, mid B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCLowDLowBlock4=sumAMidBMidCLowDLowBlock4+y(i); % Sum of y's for mid A, mid B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCLowDLowBlock5=sumAMidBMidCLowDLowBlock5+y(i); % Sum of y's for mid A, mid B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCLowDLowELowBlock1=sumAMidBMidCLowDLowELowBlock1+y(i); % Sum of y's for mid A, mid B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCLowDLowELowBlock2=sumAMidBMidCLowDLowELowBlock2+y(i); % Sum of y's for mid A, mid B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCLowDLowELowBlock3=sumAMidBMidCLowDLowELowBlock3+y(i); % Sum of y's for mid A, mid B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCLowDLowELowBlock4=sumAMidBMidCLowDLowELowBlock4+y(i); % Sum of y's for mid A, mid B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCLowDLowELowBlock5=sumAMidBMidCLowDLowELowBlock5+y(i); % Sum of y's for mid A, mid B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCLowDLowEMidBlock1=sumAMidBMidCLowDLowEMidBlock1+y(i); % Sum of y's for mid A, mid B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCLowDLowEMidBlock2=sumAMidBMidCLowDLowEMidBlock2+y(i); % Sum of y's for mid A, mid B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCLowDLowEMidBlock3=sumAMidBMidCLowDLowEMidBlock3+y(i); % Sum of y's for mid A, mid B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCLowDLowEMidBlock4=sumAMidBMidCLowDLowEMidBlock4+y(i); % Sum of y's for mid A, mid B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCLowDLowEMidBlock5=sumAMidBMidCLowDLowEMidBlock5+y(i); % Sum of y's for mid A, mid B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCLowDLowEHighBlock1=sumAMidBMidCLowDLowEHighBlock1+y(i); % Sum of y's for mid A, mid B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCLowDLowEHighBlock2=sumAMidBMidCLowDLowEHighBlock2+y(i); % Sum of y's for mid A, mid B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCLowDLowEHighBlock3=sumAMidBMidCLowDLowEHighBlock3+y(i); % Sum of y's for mid A, mid B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCLowDLowEHighBlock4=sumAMidBMidCLowDLowEHighBlock4+y(i); % Sum of y's for mid A, mid B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCLowDLowEHighBlock5=sumAMidBMidCLowDLowEHighBlock5+y(i); % Sum of y's for mid A, mid B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCLowDMidBlock1=sumAMidBMidCLowDMidBlock1+y(i); % Sum of y's for mid A, mid B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCLowDMidBlock2=sumAMidBMidCLowDMidBlock2+y(i); % Sum of y's for mid A, mid B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCLowDMidBlock3=sumAMidBMidCLowDMidBlock3+y(i); % Sum of y's for mid A, mid B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCLowDMidBlock4=sumAMidBMidCLowDMidBlock4+y(i); % Sum of y's for mid A, mid B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCLowDMidBlock5=sumAMidBMidCLowDMidBlock5+y(i); % Sum of y's for mid A, mid B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDMidELowBlock1=sumAMidBMidCLowDMidELowBlock1+y(i); % Sum of y's for mid A, mid B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDMidELowBlock2=sumAMidBMidCLowDMidELowBlock2+y(i); % Sum of y's for mid A, mid B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDMidELowBlock3=sumAMidBMidCLowDMidELowBlock3+y(i); % Sum of y's for mid A, mid B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDMidELowBlock4=sumAMidBMidCLowDMidELowBlock4+y(i); % Sum of y's for mid A, mid B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDMidELowBlock5=sumAMidBMidCLowDMidELowBlock5+y(i); % Sum of y's for mid A, mid B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDMidEMidBlock1=sumAMidBMidCLowDMidEMidBlock1+y(i); % Sum of y's for mid A, mid B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDMidEMidBlock2=sumAMidBMidCLowDMidEMidBlock2+y(i); % Sum of y's for mid A, mid B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDMidEMidBlock3=sumAMidBMidCLowDMidEMidBlock3+y(i); % Sum of y's for mid A, mid B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDMidEMidBlock4=sumAMidBMidCLowDMidEMidBlock4+y(i); % Sum of y's for mid A, mid B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDMidEMidBlock5=sumAMidBMidCLowDMidEMidBlock5+y(i); % Sum of y's for mid A, mid B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDMidEHighBlock1=sumAMidBMidCLowDMidEHighBlock1+y(i); % Sum of y's for mid A, mid B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDMidEHighBlock2=sumAMidBMidCLowDMidEHighBlock2+y(i); % Sum of y's for mid A, mid B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDMidEHighBlock3=sumAMidBMidCLowDMidEHighBlock3+y(i); % Sum of y's for mid A, mid B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDMidEHighBlock4=sumAMidBMidCLowDMidEHighBlock4+y(i); % Sum of y's for mid A, mid B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDMidEHighBlock5=sumAMidBMidCLowDMidEHighBlock5+y(i); % Sum of y's for mid A, mid B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCLowDHighBlock1=sumAMidBMidCLowDHighBlock1+y(i); % Sum of y's for mid A, mid B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCLowDHighBlock2=sumAMidBMidCLowDHighBlock2+y(i); % Sum of y's for mid A, mid B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCLowDHighBlock3=sumAMidBMidCLowDHighBlock3+y(i); % Sum of y's for mid A, mid B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCLowDHighBlock4=sumAMidBMidCLowDHighBlock4+y(i); % Sum of y's for mid A, mid B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCLowDHighBlock5=sumAMidBMidCLowDHighBlock5+y(i); % Sum of y's for mid A, mid B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDHighELowBlock1=sumAMidBMidCLowDHighELowBlock1+y(i); % Sum of y's for mid A, mid B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDHighELowBlock2=sumAMidBMidCLowDHighELowBlock2+y(i); % Sum of y's for mid A, mid B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDHighELowBlock3=sumAMidBMidCLowDHighELowBlock3+y(i); % Sum of y's for mid A, mid B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDHighELowBlock4=sumAMidBMidCLowDHighELowBlock4+y(i); % Sum of y's for mid A, mid B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDHighELowBlock5=sumAMidBMidCLowDHighELowBlock5+y(i); % Sum of y's for mid A, mid B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDHighEMidBlock1=sumAMidBMidCLowDHighEMidBlock1+y(i); % Sum of y's for mid A, mid B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDHighEMidBlock2=sumAMidBMidCLowDHighEMidBlock2+y(i); % Sum of y's for mid A, mid B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDHighEMidBlock3=sumAMidBMidCLowDHighEMidBlock3+y(i); % Sum of y's for mid A, mid B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDHighEMidBlock4=sumAMidBMidCLowDHighEMidBlock4+y(i); % Sum of y's for mid A, mid B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDHighEMidBlock5=sumAMidBMidCLowDHighEMidBlock5+y(i); % Sum of y's for mid A, mid B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCLowDHighEHighBlock1=sumAMidBMidCLowDHighEHighBlock1+y(i); % Sum of y's for mid A, mid B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCLowDHighEHighBlock2=sumAMidBMidCLowDHighEHighBlock2+y(i); % Sum of y's for mid A, mid B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCLowDHighEHighBlock3=sumAMidBMidCLowDHighEHighBlock3+y(i); % Sum of y's for mid A, mid B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCLowDHighEHighBlock4=sumAMidBMidCLowDHighEHighBlock4+y(i); % Sum of y's for mid A, mid B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCLowDHighEHighBlock5=sumAMidBMidCLowDHighEHighBlock5+y(i); % Sum of y's for mid A, mid B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBMidCMidBlock1=sumAMidBMidCMidBlock1+y(i); % Sum of y's for mid A, mid B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAMidBMidCMidBlock2=sumAMidBMidCMidBlock2+y(i); % Sum of y's for mid A, mid B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAMidBMidCMidBlock3=sumAMidBMidCMidBlock3+y(i); % Sum of y's for mid A, mid B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAMidBMidCMidBlock4=sumAMidBMidCMidBlock4+y(i); % Sum of y's for mid A, mid B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAMidBMidCMidBlock5=sumAMidBMidCMidBlock5+y(i); % Sum of y's for mid A, mid B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCMidDLowBlock1=sumAMidBMidCMidDLowBlock1+y(i); % Sum of y's for mid A, mid B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCMidDLowBlock2=sumAMidBMidCMidDLowBlock2+y(i); % Sum of y's for mid A, mid B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCMidDLowBlock3=sumAMidBMidCMidDLowBlock3+y(i); % Sum of y's for mid A, mid B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCMidDLowBlock4=sumAMidBMidCMidDLowBlock4+y(i); % Sum of y's for mid A, mid B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCMidDLowBlock5=sumAMidBMidCMidDLowBlock5+y(i); % Sum of y's for mid A, mid B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCMidDLowELowBlock1=sumAMidBMidCMidDLowELowBlock1+y(i); % Sum of y's for mid A, mid B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCMidDLowELowBlock2=sumAMidBMidCMidDLowELowBlock2+y(i); % Sum of y's for mid A, mid B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCMidDLowELowBlock3=sumAMidBMidCMidDLowELowBlock3+y(i); % Sum of y's for mid A, mid B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCMidDLowELowBlock4=sumAMidBMidCMidDLowELowBlock4+y(i); % Sum of y's for mid A, mid B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCMidDLowELowBlock5=sumAMidBMidCMidDLowELowBlock5+y(i); % Sum of y's for mid A, mid B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCMidDLowEMidBlock1=sumAMidBMidCMidDLowEMidBlock1+y(i); % Sum of y's for mid A, mid B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCMidDLowEMidBlock2=sumAMidBMidCMidDLowEMidBlock2+y(i); % Sum of y's for mid A, mid B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCMidDLowEMidBlock3=sumAMidBMidCMidDLowEMidBlock3+y(i); % Sum of y's for mid A, mid B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCMidDLowEMidBlock4=sumAMidBMidCMidDLowEMidBlock4+y(i); % Sum of y's for mid A, mid B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCMidDLowEMidBlock5=sumAMidBMidCMidDLowEMidBlock5+y(i); % Sum of y's for mid A, mid B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCMidDLowEHighBlock1=sumAMidBMidCMidDLowEHighBlock1+y(i); % Sum of y's for mid A, mid B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCMidDLowEHighBlock2=sumAMidBMidCMidDLowEHighBlock2+y(i); % Sum of y's for mid A, mid B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCMidDLowEHighBlock3=sumAMidBMidCMidDLowEHighBlock3+y(i); % Sum of y's for mid A, mid B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCMidDLowEHighBlock4=sumAMidBMidCMidDLowEHighBlock4+y(i); % Sum of y's for mid A, mid B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCMidDLowEHighBlock5=sumAMidBMidCMidDLowEHighBlock5+y(i); % Sum of y's for mid A, mid B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCMidDMidBlock1=sumAMidBMidCMidDMidBlock1+y(i); % Sum of y's for mid A, mid B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCMidDMidBlock2=sumAMidBMidCMidDMidBlock2+y(i); % Sum of y's for mid A, mid B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCMidDMidBlock3=sumAMidBMidCMidDMidBlock3+y(i); % Sum of y's for mid A, mid B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCMidDMidBlock4=sumAMidBMidCMidDMidBlock4+y(i); % Sum of y's for mid A, mid B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCMidDMidBlock5=sumAMidBMidCMidDMidBlock5+y(i); % Sum of y's for mid A, mid B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDMidELowBlock1=sumAMidBMidCMidDMidELowBlock1+y(i); % Sum of y's for mid A, mid B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDMidELowBlock2=sumAMidBMidCMidDMidELowBlock2+y(i); % Sum of y's for mid A, mid B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDMidELowBlock3=sumAMidBMidCMidDMidELowBlock3+y(i); % Sum of y's for mid A, mid B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDMidELowBlock4=sumAMidBMidCMidDMidELowBlock4+y(i); % Sum of y's for mid A, mid B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDMidELowBlock5=sumAMidBMidCMidDMidELowBlock5+y(i); % Sum of y's for mid A, mid B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDMidEMidBlock1=sumAMidBMidCMidDMidEMidBlock1+y(i); % Sum of y's for mid A, mid B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDMidEMidBlock2=sumAMidBMidCMidDMidEMidBlock2+y(i); % Sum of y's for mid A, mid B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDMidEMidBlock3=sumAMidBMidCMidDMidEMidBlock3+y(i); % Sum of y's for mid A, mid B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDMidEMidBlock4=sumAMidBMidCMidDMidEMidBlock4+y(i); % Sum of y's for mid A, mid B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDMidEMidBlock5=sumAMidBMidCMidDMidEMidBlock5+y(i); % Sum of y's for mid A, mid B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDMidEHighBlock1=sumAMidBMidCMidDMidEHighBlock1+y(i); % Sum of y's for mid A, mid B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDMidEHighBlock2=sumAMidBMidCMidDMidEHighBlock2+y(i); % Sum of y's for mid A, mid B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDMidEHighBlock3=sumAMidBMidCMidDMidEHighBlock3+y(i); % Sum of y's for mid A, mid B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDMidEHighBlock4=sumAMidBMidCMidDMidEHighBlock4+y(i); % Sum of y's for mid A, mid B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDMidEHighBlock5=sumAMidBMidCMidDMidEHighBlock5+y(i); % Sum of y's for mid A, mid B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCMidDHighBlock1=sumAMidBMidCMidDHighBlock1+y(i); % Sum of y's for mid A, mid B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCMidDHighBlock2=sumAMidBMidCMidDHighBlock2+y(i); % Sum of y's for mid A, mid B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCMidDHighBlock3=sumAMidBMidCMidDHighBlock3+y(i); % Sum of y's for mid A, mid B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCMidDHighBlock4=sumAMidBMidCMidDHighBlock4+y(i); % Sum of y's for mid A, mid B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCMidDHighBlock5=sumAMidBMidCMidDHighBlock5+y(i); % Sum of y's for mid A, mid B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDHighELowBlock1=sumAMidBMidCMidDHighELowBlock1+y(i); % Sum of y's for mid A, mid B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDHighELowBlock2=sumAMidBMidCMidDHighELowBlock2+y(i); % Sum of y's for mid A, mid B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDHighELowBlock3=sumAMidBMidCMidDHighELowBlock3+y(i); % Sum of y's for mid A, mid B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDHighELowBlock4=sumAMidBMidCMidDHighELowBlock4+y(i); % Sum of y's for mid A, mid B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDHighELowBlock5=sumAMidBMidCMidDHighELowBlock5+y(i); % Sum of y's for mid A, mid B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDHighEMidBlock1=sumAMidBMidCMidDHighEMidBlock1+y(i); % Sum of y's for mid A, mid B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDHighEMidBlock2=sumAMidBMidCMidDHighEMidBlock2+y(i); % Sum of y's for mid A, mid B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDHighEMidBlock3=sumAMidBMidCMidDHighEMidBlock3+y(i); % Sum of y's for mid A, mid B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDHighEMidBlock4=sumAMidBMidCMidDHighEMidBlock4+y(i); % Sum of y's for mid A, mid B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDHighEMidBlock5=sumAMidBMidCMidDHighEMidBlock5+y(i); % Sum of y's for mid A, mid B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCMidDHighEHighBlock1=sumAMidBMidCMidDHighEHighBlock1+y(i); % Sum of y's for mid A, mid B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCMidDHighEHighBlock2=sumAMidBMidCMidDHighEHighBlock2+y(i); % Sum of y's for mid A, mid B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCMidDHighEHighBlock3=sumAMidBMidCMidDHighEHighBlock3+y(i); % Sum of y's for mid A, mid B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCMidDHighEHighBlock4=sumAMidBMidCMidDHighEHighBlock4+y(i); % Sum of y's for mid A, mid B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCMidDHighEHighBlock5=sumAMidBMidCMidDHighEHighBlock5+y(i); % Sum of y's for mid A, mid B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBMidCHighBlock1=sumAMidBMidCHighBlock1+y(i); % Sum of y's for mid A, mid B and high C in Block 1
                                elseif Block(i)==2
                                    sumAMidBMidCHighBlock2=sumAMidBMidCHighBlock2+y(i); % Sum of y's for mid A, mid B and high C in Block 2
                                elseif Block(i)==3
                                    sumAMidBMidCHighBlock3=sumAMidBMidCHighBlock3+y(i); % Sum of y's for mid A, mid B and high C in Block 3
                                elseif Block(i)==4
                                    sumAMidBMidCHighBlock4=sumAMidBMidCHighBlock4+y(i); % Sum of y's for mid A, mid B and high C in Block 4
                                elseif Block(i)==5
                                    sumAMidBMidCHighBlock5=sumAMidBMidCHighBlock5+y(i); % Sum of y's for mid A, mid B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCHighDLowBlock1=sumAMidBMidCHighDLowBlock1+y(i); % Sum of y's for mid A, mid B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCHighDLowBlock2=sumAMidBMidCHighDLowBlock2+y(i); % Sum of y's for mid A, mid B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCHighDLowBlock3=sumAMidBMidCHighDLowBlock3+y(i); % Sum of y's for mid A, mid B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCHighDLowBlock4=sumAMidBMidCHighDLowBlock4+y(i); % Sum of y's for mid A, mid B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCHighDLowBlock5=sumAMidBMidCHighDLowBlock5+y(i); % Sum of y's for mid A, mid B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCHighDLowELowBlock1=sumAMidBMidCHighDLowELowBlock1+y(i); % Sum of y's for mid A, mid B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCHighDLowELowBlock2=sumAMidBMidCHighDLowELowBlock2+y(i); % Sum of y's for mid A, mid B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCHighDLowELowBlock3=sumAMidBMidCHighDLowELowBlock3+y(i); % Sum of y's for mid A, mid B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCHighDLowELowBlock4=sumAMidBMidCHighDLowELowBlock4+y(i); % Sum of y's for mid A, mid B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCHighDLowELowBlock5=sumAMidBMidCHighDLowELowBlock5+y(i); % Sum of y's for mid A, mid B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCHighDLowEMidBlock1=sumAMidBMidCHighDLowEMidBlock1+y(i); % Sum of y's for mid A, mid B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCHighDLowEMidBlock2=sumAMidBMidCHighDLowEMidBlock2+y(i); % Sum of y's for mid A, mid B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCHighDLowEMidBlock3=sumAMidBMidCHighDLowEMidBlock3+y(i); % Sum of y's for mid A, mid B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCHighDLowEMidBlock4=sumAMidBMidCHighDLowEMidBlock4+y(i); % Sum of y's for mid A, mid B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCHighDLowEMidBlock5=sumAMidBMidCHighDLowEMidBlock5+y(i); % Sum of y's for mid A, mid B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBMidCHighDLowEHighBlock1=sumAMidBMidCHighDLowEHighBlock1+y(i); % Sum of y's for mid A, mid B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBMidCHighDLowEHighBlock2=sumAMidBMidCHighDLowEHighBlock2+y(i); % Sum of y's for mid A, mid B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBMidCHighDLowEHighBlock3=sumAMidBMidCHighDLowEHighBlock3+y(i); % Sum of y's for mid A, mid B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBMidCHighDLowEHighBlock4=sumAMidBMidCHighDLowEHighBlock4+y(i); % Sum of y's for mid A, mid B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBMidCHighDLowEHighBlock5=sumAMidBMidCHighDLowEHighBlock5+y(i); % Sum of y's for mid A, mid B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCHighDMidBlock1=sumAMidBMidCHighDMidBlock1+y(i); % Sum of y's for mid A, mid B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCHighDMidBlock2=sumAMidBMidCHighDMidBlock2+y(i); % Sum of y's for mid A, mid B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCHighDMidBlock3=sumAMidBMidCHighDMidBlock3+y(i); % Sum of y's for mid A, mid B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCHighDMidBlock4=sumAMidBMidCHighDMidBlock4+y(i); % Sum of y's for mid A, mid B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCHighDMidBlock5=sumAMidBMidCHighDMidBlock5+y(i); % Sum of y's for mid A, mid B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDMidELowBlock1=sumAMidBMidCHighDMidELowBlock1+y(i); % Sum of y's for mid A, mid B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDMidELowBlock2=sumAMidBMidCHighDMidELowBlock2+y(i); % Sum of y's for mid A, mid B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDMidELowBlock3=sumAMidBMidCHighDMidELowBlock3+y(i); % Sum of y's for mid A, mid B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDMidELowBlock4=sumAMidBMidCHighDMidELowBlock4+y(i); % Sum of y's for mid A, mid B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDMidELowBlock5=sumAMidBMidCHighDMidELowBlock5+y(i); % Sum of y's for mid A, mid B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDMidEMidBlock1=sumAMidBMidCHighDMidEMidBlock1+y(i); % Sum of y's for mid A, mid B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDMidEMidBlock2=sumAMidBMidCHighDMidEMidBlock2+y(i); % Sum of y's for mid A, mid B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDMidEMidBlock3=sumAMidBMidCHighDMidEMidBlock3+y(i); % Sum of y's for mid A, mid B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDMidEMidBlock4=sumAMidBMidCHighDMidEMidBlock4+y(i); % Sum of y's for mid A, mid B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDMidEMidBlock5=sumAMidBMidCHighDMidEMidBlock5+y(i); % Sum of y's for mid A, mid B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDMidEHighBlock1=sumAMidBMidCHighDMidEHighBlock1+y(i); % Sum of y's for mid A, mid B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDMidEHighBlock2=sumAMidBMidCHighDMidEHighBlock2+y(i); % Sum of y's for mid A, mid B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDMidEHighBlock3=sumAMidBMidCHighDMidEHighBlock3+y(i); % Sum of y's for mid A, mid B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDMidEHighBlock4=sumAMidBMidCHighDMidEHighBlock4+y(i); % Sum of y's for mid A, mid B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDMidEHighBlock5=sumAMidBMidCHighDMidEHighBlock5+y(i); % Sum of y's for mid A, mid B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBMidCHighDHighBlock1=sumAMidBMidCHighDHighBlock1+y(i); % Sum of y's for mid A, mid B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBMidCHighDHighBlock2=sumAMidBMidCHighDHighBlock2+y(i); % Sum of y's for mid A, mid B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBMidCHighDHighBlock3=sumAMidBMidCHighDHighBlock3+y(i); % Sum of y's for mid A, mid B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBMidCHighDHighBlock4=sumAMidBMidCHighDHighBlock4+y(i); % Sum of y's for mid A, mid B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBMidCHighDHighBlock5=sumAMidBMidCHighDHighBlock5+y(i); % Sum of y's for mid A, mid B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDHighELowBlock1=sumAMidBMidCHighDHighELowBlock1+y(i); % Sum of y's for mid A, mid B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDHighELowBlock2=sumAMidBMidCHighDHighELowBlock2+y(i); % Sum of y's for mid A, mid B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDHighELowBlock3=sumAMidBMidCHighDHighELowBlock3+y(i); % Sum of y's for mid A, mid B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDHighELowBlock4=sumAMidBMidCHighDHighELowBlock4+y(i); % Sum of y's for mid A, mid B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDHighELowBlock5=sumAMidBMidCHighDHighELowBlock5+y(i); % Sum of y's for mid A, mid B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDHighEMidBlock1=sumAMidBMidCHighDHighEMidBlock1+y(i); % Sum of y's for mid A, mid B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDHighEMidBlock2=sumAMidBMidCHighDHighEMidBlock2+y(i); % Sum of y's for mid A, mid B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDHighEMidBlock3=sumAMidBMidCHighDHighEMidBlock3+y(i); % Sum of y's for mid A, mid B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDHighEMidBlock4=sumAMidBMidCHighDHighEMidBlock4+y(i); % Sum of y's for mid A, mid B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDHighEMidBlock5=sumAMidBMidCHighDHighEMidBlock5+y(i); % Sum of y's for mid A, mid B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBMidCHighDHighEHighBlock1=sumAMidBMidCHighDHighEHighBlock1+y(i); % Sum of y's for mid A, mid B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBMidCHighDHighEHighBlock2=sumAMidBMidCHighDHighEHighBlock2+y(i); % Sum of y's for mid A, mid B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBMidCHighDHighEHighBlock3=sumAMidBMidCHighDHighEHighBlock3+y(i); % Sum of y's for mid A, mid B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBMidCHighDHighEHighBlock4=sumAMidBMidCHighDHighEHighBlock4+y(i); % Sum of y's for mid A, mid B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBMidCHighDHighEHighBlock5=sumAMidBMidCHighDHighEHighBlock5+y(i); % Sum of y's for mid A, mid B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==1
                    sumAMidBHigh=sumAMidBHigh+y(i); % Sum of y's for mid A and high B
                    if numFactors==2
                        if Block(i)==1
                            sumAMidBHighBlock1=sumAMidBHighBlock1+y(i); % Sum of y's for mid A and high B in Block 1
                        elseif Block(i)==2
                            sumAMidBHighBlock2=sumAMidBHighBlock2+y(i); % Sum of y's for mid A and high B in Block 2
                        elseif Block(i)==3
                            sumAMidBHighBlock3=sumAMidBHighBlock3+y(i); % Sum of y's for mid A and high B in Block 3
                        elseif Block(i)==4
                            sumAMidBHighBlock4=sumAMidBHighBlock4+y(i); % Sum of y's for mid A and high B in Block 4
                        elseif Block(i)==5
                            sumAMidBHighBlock5=sumAMidBHighBlock5+y(i); % Sum of y's for mid A and high B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBHighCLowBlock1=sumAMidBHighCLowBlock1+y(i); % Sum of y's for mid A, high B and low C in Block 1
                                elseif Block(i)==2
                                    sumAMidBHighCLowBlock2=sumAMidBHighCLowBlock2+y(i); % Sum of y's for mid A, high B and low C in Block 2
                                elseif Block(i)==3
                                    sumAMidBHighCLowBlock3=sumAMidBHighCLowBlock3+y(i); % Sum of y's for mid A, high B and low C in Block 3
                                elseif Block(i)==4
                                    sumAMidBHighCLowBlock4=sumAMidBHighCLowBlock4+y(i); % Sum of y's for mid A, high B and low C in Block 4
                                elseif Block(i)==5
                                    sumAMidBHighCLowBlock5=sumAMidBHighCLowBlock5+y(i); % Sum of y's for mid A, high B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCLowDLowBlock1=sumAMidBHighCLowDLowBlock1+y(i); % Sum of y's for mid A, high B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCLowDLowBlock2=sumAMidBHighCLowDLowBlock2+y(i); % Sum of y's for mid A, high B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCLowDLowBlock3=sumAMidBHighCLowDLowBlock3+y(i); % Sum of y's for mid A, high B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCLowDLowBlock4=sumAMidBHighCLowDLowBlock4+y(i); % Sum of y's for mid A, high B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCLowDLowBlock5=sumAMidBHighCLowDLowBlock5+y(i); % Sum of y's for mid A, high B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCLowDLowELowBlock1=sumAMidBHighCLowDLowELowBlock1+y(i); % Sum of y's for mid A, high B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCLowDLowELowBlock2=sumAMidBHighCLowDLowELowBlock2+y(i); % Sum of y's for mid A, high B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCLowDLowELowBlock3=sumAMidBHighCLowDLowELowBlock3+y(i); % Sum of y's for mid A, high B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCLowDLowELowBlock4=sumAMidBHighCLowDLowELowBlock4+y(i); % Sum of y's for mid A, high B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCLowDLowELowBlock5=sumAMidBHighCLowDLowELowBlock5+y(i); % Sum of y's for mid A, high B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCLowDLowEMidBlock1=sumAMidBHighCLowDLowEMidBlock1+y(i); % Sum of y's for mid A, high B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCLowDLowEMidBlock2=sumAMidBHighCLowDLowEMidBlock2+y(i); % Sum of y's for mid A, high B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCLowDLowEMidBlock3=sumAMidBHighCLowDLowEMidBlock3+y(i); % Sum of y's for mid A, high B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCLowDLowEMidBlock4=sumAMidBHighCLowDLowEMidBlock4+y(i); % Sum of y's for mid A, high B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCLowDLowEMidBlock5=sumAMidBHighCLowDLowEMidBlock5+y(i); % Sum of y's for mid A, high B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCLowDLowEHighBlock1=sumAMidBHighCLowDLowEHighBlock1+y(i); % Sum of y's for mid A, high B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCLowDLowEHighBlock2=sumAMidBHighCLowDLowEHighBlock2+y(i); % Sum of y's for mid A, high B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCLowDLowEHighBlock3=sumAMidBHighCLowDLowEHighBlock3+y(i); % Sum of y's for mid A, high B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCLowDLowEHighBlock4=sumAMidBHighCLowDLowEHighBlock4+y(i); % Sum of y's for mid A, high B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCLowDLowEHighBlock5=sumAMidBHighCLowDLowEHighBlock5+y(i); % Sum of y's for mid A, high B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCLowDMidBlock1=sumAMidBHighCLowDMidBlock1+y(i); % Sum of y's for mid A, high B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCLowDMidBlock2=sumAMidBHighCLowDMidBlock2+y(i); % Sum of y's for mid A, high B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCLowDMidBlock3=sumAMidBHighCLowDMidBlock3+y(i); % Sum of y's for mid A, high B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCLowDMidBlock4=sumAMidBHighCLowDMidBlock4+y(i); % Sum of y's for mid A, high B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCLowDMidBlock5=sumAMidBHighCLowDMidBlock5+y(i); % Sum of y's for mid A, high B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDMidELowBlock1=sumAMidBHighCLowDMidELowBlock1+y(i); % Sum of y's for mid A, high B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDMidELowBlock2=sumAMidBHighCLowDMidELowBlock2+y(i); % Sum of y's for mid A, high B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDMidELowBlock3=sumAMidBHighCLowDMidELowBlock3+y(i); % Sum of y's for mid A, high B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDMidELowBlock4=sumAMidBHighCLowDMidELowBlock4+y(i); % Sum of y's for mid A, high B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDMidELowBlock5=sumAMidBHighCLowDMidELowBlock5+y(i); % Sum of y's for mid A, high B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDMidEMidBlock1=sumAMidBHighCLowDMidEMidBlock1+y(i); % Sum of y's for mid A, high B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDMidEMidBlock2=sumAMidBHighCLowDMidEMidBlock2+y(i); % Sum of y's for mid A, high B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDMidEMidBlock3=sumAMidBHighCLowDMidEMidBlock3+y(i); % Sum of y's for mid A, high B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDMidEMidBlock4=sumAMidBHighCLowDMidEMidBlock4+y(i); % Sum of y's for mid A, high B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDMidEMidBlock5=sumAMidBHighCLowDMidEMidBlock5+y(i); % Sum of y's for mid A, high B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDMidEHighBlock1=sumAMidBHighCLowDMidEHighBlock1+y(i); % Sum of y's for mid A, high B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDMidEHighBlock2=sumAMidBHighCLowDMidEHighBlock2+y(i); % Sum of y's for mid A, high B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDMidEHighBlock3=sumAMidBHighCLowDMidEHighBlock3+y(i); % Sum of y's for mid A, high B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDMidEHighBlock4=sumAMidBHighCLowDMidEHighBlock4+y(i); % Sum of y's for mid A, high B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDMidEHighBlock5=sumAMidBHighCLowDMidEHighBlock5+y(i); % Sum of y's for mid A, high B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCLowDHighBlock1=sumAMidBHighCLowDHighBlock1+y(i); % Sum of y's for mid A, high B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCLowDHighBlock2=sumAMidBHighCLowDHighBlock2+y(i); % Sum of y's for mid A, high B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCLowDHighBlock3=sumAMidBHighCLowDHighBlock3+y(i); % Sum of y's for mid A, high B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCLowDHighBlock4=sumAMidBHighCLowDHighBlock4+y(i); % Sum of y's for mid A, high B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCLowDHighBlock5=sumAMidBHighCLowDHighBlock5+y(i); % Sum of y's for mid A, high B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDHighELowBlock1=sumAMidBHighCLowDHighELowBlock1+y(i); % Sum of y's for mid A, high B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDHighELowBlock2=sumAMidBHighCLowDHighELowBlock2+y(i); % Sum of y's for mid A, high B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDHighELowBlock3=sumAMidBHighCLowDHighELowBlock3+y(i); % Sum of y's for mid A, high B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDHighELowBlock4=sumAMidBHighCLowDHighELowBlock4+y(i); % Sum of y's for mid A, high B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDHighELowBlock5=sumAMidBHighCLowDHighELowBlock5+y(i); % Sum of y's for mid A, high B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDHighEMidBlock1=sumAMidBHighCLowDHighEMidBlock1+y(i); % Sum of y's for mid A, high B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDHighEMidBlock2=sumAMidBHighCLowDHighEMidBlock2+y(i); % Sum of y's for mid A, high B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDHighEMidBlock3=sumAMidBHighCLowDHighEMidBlock3+y(i); % Sum of y's for mid A, high B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDHighEMidBlock4=sumAMidBHighCLowDHighEMidBlock4+y(i); % Sum of y's for mid A, high B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDHighEMidBlock5=sumAMidBHighCLowDHighEMidBlock5+y(i); % Sum of y's for mid A, high B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCLowDHighEHighBlock1=sumAMidBHighCLowDHighEHighBlock1+y(i); % Sum of y's for mid A, high B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCLowDHighEHighBlock2=sumAMidBHighCLowDHighEHighBlock2+y(i); % Sum of y's for mid A, high B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCLowDHighEHighBlock3=sumAMidBHighCLowDHighEHighBlock3+y(i); % Sum of y's for mid A, high B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCLowDHighEHighBlock4=sumAMidBHighCLowDHighEHighBlock4+y(i); % Sum of y's for mid A, high B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCLowDHighEHighBlock5=sumAMidBHighCLowDHighEHighBlock5+y(i); % Sum of y's for mid A, high B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBHighCMidBlock1=sumAMidBHighCMidBlock1+y(i); % Sum of y's for mid A, high B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAMidBHighCMidBlock2=sumAMidBHighCMidBlock2+y(i); % Sum of y's for mid A, high B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAMidBHighCMidBlock3=sumAMidBHighCMidBlock3+y(i); % Sum of y's for mid A, high B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAMidBHighCMidBlock4=sumAMidBHighCMidBlock4+y(i); % Sum of y's for mid A, high B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAMidBHighCMidBlock5=sumAMidBHighCMidBlock5+y(i); % Sum of y's for mid A, high B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCMidDLowBlock1=sumAMidBHighCMidDLowBlock1+y(i); % Sum of y's for mid A, high B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCMidDLowBlock2=sumAMidBHighCMidDLowBlock2+y(i); % Sum of y's for mid A, high B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCMidDLowBlock3=sumAMidBHighCMidDLowBlock3+y(i); % Sum of y's for mid A, high B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCMidDLowBlock4=sumAMidBHighCMidDLowBlock4+y(i); % Sum of y's for mid A, high B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCMidDLowBlock5=sumAMidBHighCMidDLowBlock5+y(i); % Sum of y's for mid A, high B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCMidDLowELowBlock1=sumAMidBHighCMidDLowELowBlock1+y(i); % Sum of y's for mid A, high B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCMidDLowELowBlock2=sumAMidBHighCMidDLowELowBlock2+y(i); % Sum of y's for mid A, high B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCMidDLowELowBlock3=sumAMidBHighCMidDLowELowBlock3+y(i); % Sum of y's for mid A, high B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCMidDLowELowBlock4=sumAMidBHighCMidDLowELowBlock4+y(i); % Sum of y's for mid A, high B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCMidDLowELowBlock5=sumAMidBHighCMidDLowELowBlock5+y(i); % Sum of y's for mid A, high B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCMidDLowEMidBlock1=sumAMidBHighCMidDLowEMidBlock1+y(i); % Sum of y's for mid A, high B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCMidDLowEMidBlock2=sumAMidBHighCMidDLowEMidBlock2+y(i); % Sum of y's for mid A, high B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCMidDLowEMidBlock3=sumAMidBHighCMidDLowEMidBlock3+y(i); % Sum of y's for mid A, high B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCMidDLowEMidBlock4=sumAMidBHighCMidDLowEMidBlock4+y(i); % Sum of y's for mid A, high B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCMidDLowEMidBlock5=sumAMidBHighCMidDLowEMidBlock5+y(i); % Sum of y's for mid A, high B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCMidDLowEHighBlock1=sumAMidBHighCMidDLowEHighBlock1+y(i); % Sum of y's for mid A, high B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCMidDLowEHighBlock2=sumAMidBHighCMidDLowEHighBlock2+y(i); % Sum of y's for mid A, high B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCMidDLowEHighBlock3=sumAMidBHighCMidDLowEHighBlock3+y(i); % Sum of y's for mid A, high B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCMidDLowEHighBlock4=sumAMidBHighCMidDLowEHighBlock4+y(i); % Sum of y's for mid A, high B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCMidDLowEHighBlock5=sumAMidBHighCMidDLowEHighBlock5+y(i); % Sum of y's for mid A, high B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCMidDMidBlock1=sumAMidBHighCMidDMidBlock1+y(i); % Sum of y's for mid A, high B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCMidDMidBlock2=sumAMidBHighCMidDMidBlock2+y(i); % Sum of y's for mid A, high B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCMidDMidBlock3=sumAMidBHighCMidDMidBlock3+y(i); % Sum of y's for mid A, high B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCMidDMidBlock4=sumAMidBHighCMidDMidBlock4+y(i); % Sum of y's for mid A, high B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCMidDMidBlock5=sumAMidBHighCMidDMidBlock5+y(i); % Sum of y's for mid A, high B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDMidELowBlock1=sumAMidBHighCMidDMidELowBlock1+y(i); % Sum of y's for mid A, high B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDMidELowBlock2=sumAMidBHighCMidDMidELowBlock2+y(i); % Sum of y's for mid A, high B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDMidELowBlock3=sumAMidBHighCMidDMidELowBlock3+y(i); % Sum of y's for mid A, high B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDMidELowBlock4=sumAMidBHighCMidDMidELowBlock4+y(i); % Sum of y's for mid A, high B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDMidELowBlock5=sumAMidBHighCMidDMidELowBlock5+y(i); % Sum of y's for mid A, high B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDMidEMidBlock1=sumAMidBHighCMidDMidEMidBlock1+y(i); % Sum of y's for mid A, high B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDMidEMidBlock2=sumAMidBHighCMidDMidEMidBlock2+y(i); % Sum of y's for mid A, high B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDMidEMidBlock3=sumAMidBHighCMidDMidEMidBlock3+y(i); % Sum of y's for mid A, high B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDMidEMidBlock4=sumAMidBHighCMidDMidEMidBlock4+y(i); % Sum of y's for mid A, high B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDMidEMidBlock5=sumAMidBHighCMidDMidEMidBlock5+y(i); % Sum of y's for mid A, high B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDMidEHighBlock1=sumAMidBHighCMidDMidEHighBlock1+y(i); % Sum of y's for mid A, high B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDMidEHighBlock2=sumAMidBHighCMidDMidEHighBlock2+y(i); % Sum of y's for mid A, high B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDMidEHighBlock3=sumAMidBHighCMidDMidEHighBlock3+y(i); % Sum of y's for mid A, high B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDMidEHighBlock4=sumAMidBHighCMidDMidEHighBlock4+y(i); % Sum of y's for mid A, high B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDMidEHighBlock5=sumAMidBHighCMidDMidEHighBlock5+y(i); % Sum of y's for mid A, high B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCMidDHighBlock1=sumAMidBHighCMidDHighBlock1+y(i); % Sum of y's for mid A, high B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCMidDHighBlock2=sumAMidBHighCMidDHighBlock2+y(i); % Sum of y's for mid A, high B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCMidDHighBlock3=sumAMidBHighCMidDHighBlock3+y(i); % Sum of y's for mid A, high B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCMidDHighBlock4=sumAMidBHighCMidDHighBlock4+y(i); % Sum of y's for mid A, high B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCMidDHighBlock5=sumAMidBHighCMidDHighBlock5+y(i); % Sum of y's for mid A, high B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDHighELowBlock1=sumAMidBHighCMidDHighELowBlock1+y(i); % Sum of y's for mid A, high B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDHighELowBlock2=sumAMidBHighCMidDHighELowBlock2+y(i); % Sum of y's for mid A, high B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDHighELowBlock3=sumAMidBHighCMidDHighELowBlock3+y(i); % Sum of y's for mid A, high B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDHighELowBlock4=sumAMidBHighCMidDHighELowBlock4+y(i); % Sum of y's for mid A, high B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDHighELowBlock5=sumAMidBHighCMidDHighELowBlock5+y(i); % Sum of y's for mid A, high B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDHighEMidBlock1=sumAMidBHighCMidDHighEMidBlock1+y(i); % Sum of y's for mid A, high B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDHighEMidBlock2=sumAMidBHighCMidDHighEMidBlock2+y(i); % Sum of y's for mid A, high B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDHighEMidBlock3=sumAMidBHighCMidDHighEMidBlock3+y(i); % Sum of y's for mid A, high B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDHighEMidBlock4=sumAMidBHighCMidDHighEMidBlock4+y(i); % Sum of y's for mid A, high B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDHighEMidBlock5=sumAMidBHighCMidDHighEMidBlock5+y(i); % Sum of y's for mid A, high B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCMidDHighEHighBlock1=sumAMidBHighCMidDHighEHighBlock1+y(i); % Sum of y's for mid A, high B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCMidDHighEHighBlock2=sumAMidBHighCMidDHighEHighBlock2+y(i); % Sum of y's for mid A, high B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCMidDHighEHighBlock3=sumAMidBHighCMidDHighEHighBlock3+y(i); % Sum of y's for mid A, high B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCMidDHighEHighBlock4=sumAMidBHighCMidDHighEHighBlock4+y(i); % Sum of y's for mid A, high B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCMidDHighEHighBlock5=sumAMidBHighCMidDHighEHighBlock5+y(i); % Sum of y's for mid A, high B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAMidBHighCHighBlock1=sumAMidBHighCHighBlock1+y(i); % Sum of y's for mid A, high B and high C in Block 1
                                elseif Block(i)==2
                                    sumAMidBHighCHighBlock2=sumAMidBHighCHighBlock2+y(i); % Sum of y's for mid A, high B and high C in Block 2
                                elseif Block(i)==3
                                    sumAMidBHighCHighBlock3=sumAMidBHighCHighBlock3+y(i); % Sum of y's for mid A, high B and high C in Block 3
                                elseif Block(i)==4
                                    sumAMidBHighCHighBlock4=sumAMidBHighCHighBlock4+y(i); % Sum of y's for mid A, high B and high C in Block 4
                                elseif Block(i)==5
                                    sumAMidBHighCHighBlock5=sumAMidBHighCHighBlock5+y(i); % Sum of y's for mid A, high B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCHighDLowBlock1=sumAMidBHighCHighDLowBlock1+y(i); % Sum of y's for mid A, high B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCHighDLowBlock2=sumAMidBHighCHighDLowBlock2+y(i); % Sum of y's for mid A, high B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCHighDLowBlock3=sumAMidBHighCHighDLowBlock3+y(i); % Sum of y's for mid A, high B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCHighDLowBlock4=sumAMidBHighCHighDLowBlock4+y(i); % Sum of y's for mid A, high B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCHighDLowBlock5=sumAMidBHighCHighDLowBlock5+y(i); % Sum of y's for mid A, high B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCHighDLowELowBlock1=sumAMidBHighCHighDLowELowBlock1+y(i); % Sum of y's for mid A, high B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCHighDLowELowBlock2=sumAMidBHighCHighDLowELowBlock2+y(i); % Sum of y's for mid A, high B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCHighDLowELowBlock3=sumAMidBHighCHighDLowELowBlock3+y(i); % Sum of y's for mid A, high B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCHighDLowELowBlock4=sumAMidBHighCHighDLowELowBlock4+y(i); % Sum of y's for mid A, high B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCHighDLowELowBlock5=sumAMidBHighCHighDLowELowBlock5+y(i); % Sum of y's for mid A, high B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCHighDLowEMidBlock1=sumAMidBHighCHighDLowEMidBlock1+y(i); % Sum of y's for mid A, high B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCHighDLowEMidBlock2=sumAMidBHighCHighDLowEMidBlock2+y(i); % Sum of y's for mid A, high B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCHighDLowEMidBlock3=sumAMidBHighCHighDLowEMidBlock3+y(i); % Sum of y's for mid A, high B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCHighDLowEMidBlock4=sumAMidBHighCHighDLowEMidBlock4+y(i); % Sum of y's for mid A, high B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCHighDLowEMidBlock5=sumAMidBHighCHighDLowEMidBlock5+y(i); % Sum of y's for mid A, high B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAMidBHighCHighDLowEHighBlock1=sumAMidBHighCHighDLowEHighBlock1+y(i); % Sum of y's for mid A, high B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAMidBHighCHighDLowEHighBlock2=sumAMidBHighCHighDLowEHighBlock2+y(i); % Sum of y's for mid A, high B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAMidBHighCHighDLowEHighBlock3=sumAMidBHighCHighDLowEHighBlock3+y(i); % Sum of y's for mid A, high B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAMidBHighCHighDLowEHighBlock4=sumAMidBHighCHighDLowEHighBlock4+y(i); % Sum of y's for mid A, high B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAMidBHighCHighDLowEHighBlock5=sumAMidBHighCHighDLowEHighBlock5+y(i); % Sum of y's for mid A, high B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCHighDMidBlock1=sumAMidBHighCHighDMidBlock1+y(i); % Sum of y's for mid A, high B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCHighDMidBlock2=sumAMidBHighCHighDMidBlock2+y(i); % Sum of y's for mid A, high B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCHighDMidBlock3=sumAMidBHighCHighDMidBlock3+y(i); % Sum of y's for mid A, high B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCHighDMidBlock4=sumAMidBHighCHighDMidBlock4+y(i); % Sum of y's for mid A, high B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCHighDMidBlock5=sumAMidBHighCHighDMidBlock5+y(i); % Sum of y's for mid A, high B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDMidELowBlock1=sumAMidBHighCHighDMidELowBlock1+y(i); % Sum of y's for mid A, high B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDMidELowBlock2=sumAMidBHighCHighDMidELowBlock2+y(i); % Sum of y's for mid A, high B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDMidELowBlock3=sumAMidBHighCHighDMidELowBlock3+y(i); % Sum of y's for mid A, high B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDMidELowBlock4=sumAMidBHighCHighDMidELowBlock4+y(i); % Sum of y's for mid A, high B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDMidELowBlock5=sumAMidBHighCHighDMidELowBlock5+y(i); % Sum of y's for mid A, high B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDMidEMidBlock1=sumAMidBHighCHighDMidEMidBlock1+y(i); % Sum of y's for mid A, high B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDMidEMidBlock2=sumAMidBHighCHighDMidEMidBlock2+y(i); % Sum of y's for mid A, high B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDMidEMidBlock3=sumAMidBHighCHighDMidEMidBlock3+y(i); % Sum of y's for mid A, high B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDMidEMidBlock4=sumAMidBHighCHighDMidEMidBlock4+y(i); % Sum of y's for mid A, high B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDMidEMidBlock5=sumAMidBHighCHighDMidEMidBlock5+y(i); % Sum of y's for mid A, high B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDMidEHighBlock1=sumAMidBHighCHighDMidEHighBlock1+y(i); % Sum of y's for mid A, high B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDMidEHighBlock2=sumAMidBHighCHighDMidEHighBlock2+y(i); % Sum of y's for mid A, high B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDMidEHighBlock3=sumAMidBHighCHighDMidEHighBlock3+y(i); % Sum of y's for mid A, high B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDMidEHighBlock4=sumAMidBHighCHighDMidEHighBlock4+y(i); % Sum of y's for mid A, high B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDMidEHighBlock5=sumAMidBHighCHighDMidEHighBlock5+y(i); % Sum of y's for mid A, high B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAMidBHighCHighDHighBlock1=sumAMidBHighCHighDHighBlock1+y(i); % Sum of y's for mid A, high B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAMidBHighCHighDHighBlock2=sumAMidBHighCHighDHighBlock2+y(i); % Sum of y's for mid A, high B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAMidBHighCHighDHighBlock3=sumAMidBHighCHighDHighBlock3+y(i); % Sum of y's for mid A, high B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAMidBHighCHighDHighBlock4=sumAMidBHighCHighDHighBlock4+y(i); % Sum of y's for mid A, high B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAMidBHighCHighDHighBlock5=sumAMidBHighCHighDHighBlock5+y(i); % Sum of y's for mid A, high B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDHighELowBlock1=sumAMidBHighCHighDHighELowBlock1+y(i); % Sum of y's for mid A, high B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDHighELowBlock2=sumAMidBHighCHighDHighELowBlock2+y(i); % Sum of y's for mid A, high B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDHighELowBlock3=sumAMidBHighCHighDHighELowBlock3+y(i); % Sum of y's for mid A, high B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDHighELowBlock4=sumAMidBHighCHighDHighELowBlock4+y(i); % Sum of y's for mid A, high B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDHighELowBlock5=sumAMidBHighCHighDHighELowBlock5+y(i); % Sum of y's for mid A, high B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDHighEMidBlock1=sumAMidBHighCHighDHighEMidBlock1+y(i); % Sum of y's for mid A, high B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDHighEMidBlock2=sumAMidBHighCHighDHighEMidBlock2+y(i); % Sum of y's for mid A, high B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDHighEMidBlock3=sumAMidBHighCHighDHighEMidBlock3+y(i); % Sum of y's for mid A, high B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDHighEMidBlock4=sumAMidBHighCHighDHighEMidBlock4+y(i); % Sum of y's for mid A, high B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDHighEMidBlock5=sumAMidBHighCHighDHighEMidBlock5+y(i); % Sum of y's for mid A, high B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAMidBHighCHighDHighEHighBlock1=sumAMidBHighCHighDHighEHighBlock1+y(i); % Sum of y's for mid A, high B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAMidBHighCHighDHighEHighBlock2=sumAMidBHighCHighDHighEHighBlock2+y(i); % Sum of y's for mid A, high B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAMidBHighCHighDHighEHighBlock3=sumAMidBHighCHighDHighEHighBlock3+y(i); % Sum of y's for mid A, high B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAMidBHighCHighDHighEHighBlock4=sumAMidBHighCHighDHighEHighBlock4+y(i); % Sum of y's for mid A, high B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAMidBHighCHighDHighEHighBlock5=sumAMidBHighCHighDHighEHighBlock5+y(i); % Sum of y's for mid A, high B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                end
            end
            if numFactors>2
                if C(i)==-1
                    sumAMidCLow=sumAMidCLow+y(i); % Sum of y's for mid A and low C
                elseif C(i)==0
                    sumAMidCMid=sumAMidCMid+y(i); % Sum of y's for mid A and mid C
                elseif C(i)==1
                    sumAMidCHigh=sumAMidCHigh+y(i); % Sum of y's for mid A and high C
                end
            end
            if numFactors>3
                if D(i)==-1
                    sumAMidDLow=sumAMidDLow+y(i); % Sum of y's for mid A and low D
                elseif D(i)==0
                    sumAMidDMid=sumAMidDMid+y(i); % Sum of y's for mid A and mid D
                elseif D(i)==1
                    sumAMidDHigh=sumAMidDHigh+y(i); % Sum of y's for mid A and high D
                end
            end
            if numFactors>4
                if E(i)==-1
                    sumAMidELow=sumAMidELow+y(i); % Sum of y's for mid A and low E
                elseif E(i)==0
                    sumAMidEMid=sumAMidEMid+y(i); % Sum of y's for mid A and mid E
                elseif E(i)==1
                    sumAMidEHigh=sumAMidEHigh+y(i); % Sum of y's for mid A and high E
                end
            end
            
        elseif A(i)==1
            sumAHigh=sumAHigh+y(i); % Sum of y's for high A
            if numFactors==1
                if Block(i)==1
                    sumAHighBlock1=sumAHighBlock1+y(i); % Sum of y's for high A in Block 1
                elseif Block(i)==2
                    sumAHighBlock2=sumAHighBlock2+y(i); % Sum of y's for high A in Block 2
                elseif Block(i)==3
                    sumAHighBlock3=sumAHighBlock3+y(i); % Sum of y's for high A in Block 3
                elseif Block(i)==4
                    sumAHighBlock4=sumAHighBlock4+y(i); % Sum of y's for high A in Block 4
                elseif Block(i)==5
                    sumAHighBlock5=sumAHighBlock5+y(i); % Sum of y's for high A in Block 5
                end
            end
            if numFactors>1
                if B(i)==-1
                    sumAHighBLow=sumAHighBLow+y(i); % Sum of y's for high A and low B
                    if numFactors==2
                        if Block(i)==1
                            sumAHighBLowBlock1=sumAHighBLowBlock1+y(i); % Sum of y's for high A and low B in Block 1
                        elseif Block(i)==2
                            sumAHighBLowBlock2=sumAHighBLowBlock2+y(i); % Sum of y's for high A and low B in Block 2
                        elseif Block(i)==3
                            sumAHighBLowBlock3=sumAHighBLowBlock3+y(i); % Sum of y's for high A and low B in Block 3
                        elseif Block(i)==4
                            sumAHighBLowBlock4=sumAHighBLowBlock4+y(i); % Sum of y's for high A and low B in Block 4
                        elseif Block(i)==5
                            sumAHighBLowBlock5=sumAHighBLowBlock5+y(i); % Sum of y's for high A and low B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBLowCLowBlock1=sumAHighBLowCLowBlock1+y(i); % Sum of y's for high A, low B and low C in Block 1
                                elseif Block(i)==2
                                    sumAHighBLowCLowBlock2=sumAHighBLowCLowBlock2+y(i); % Sum of y's for high A, low B and low C in Block 2
                                elseif Block(i)==3
                                    sumAHighBLowCLowBlock3=sumAHighBLowCLowBlock3+y(i); % Sum of y's for high A, low B and low C in Block 3
                                elseif Block(i)==4
                                    sumAHighBLowCLowBlock4=sumAHighBLowCLowBlock4+y(i); % Sum of y's for high A, low B and low C in Block 4
                                elseif Block(i)==5
                                    sumAHighBLowCLowBlock5=sumAHighBLowCLowBlock5+y(i); % Sum of y's for high A, low B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCLowDLowBlock1=sumAHighBLowCLowDLowBlock1+y(i); % Sum of y's for high A, low B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCLowDLowBlock2=sumAHighBLowCLowDLowBlock2+y(i); % Sum of y's for high A, low B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCLowDLowBlock3=sumAHighBLowCLowDLowBlock3+y(i); % Sum of y's for high A, low B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCLowDLowBlock4=sumAHighBLowCLowDLowBlock4+y(i); % Sum of y's for high A, low B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCLowDLowBlock5=sumAHighBLowCLowDLowBlock5+y(i); % Sum of y's for high A, low B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCLowDLowELowBlock1=sumAHighBLowCLowDLowELowBlock1+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCLowDLowELowBlock2=sumAHighBLowCLowDLowELowBlock2+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCLowDLowELowBlock3=sumAHighBLowCLowDLowELowBlock3+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCLowDLowELowBlock4=sumAHighBLowCLowDLowELowBlock4+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCLowDLowELowBlock5=sumAHighBLowCLowDLowELowBlock5+y(i); % Sum of y's for high A, low B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCLowDLowEMidBlock1=sumAHighBLowCLowDLowEMidBlock1+y(i); % Sum of y's for high A, low B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCLowDLowEMidBlock2=sumAHighBLowCLowDLowEMidBlock2+y(i); % Sum of y's for high A, low B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCLowDLowEMidBlock3=sumAHighBLowCLowDLowEMidBlock3+y(i); % Sum of y's for high A, low B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCLowDLowEMidBlock4=sumAHighBLowCLowDLowEMidBlock4+y(i); % Sum of y's for high A, low B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCLowDLowEMidBlock5=sumAHighBLowCLowDLowEMidBlock5+y(i); % Sum of y's for high A, low B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCLowDLowEHighBlock1=sumAHighBLowCLowDLowEHighBlock1+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCLowDLowEHighBlock2=sumAHighBLowCLowDLowEHighBlock2+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCLowDLowEHighBlock3=sumAHighBLowCLowDLowEHighBlock3+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCLowDLowEHighBlock4=sumAHighBLowCLowDLowEHighBlock4+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCLowDLowEHighBlock5=sumAHighBLowCLowDLowEHighBlock5+y(i); % Sum of y's for high A, low B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCLowDMidBlock1=sumAHighBLowCLowDMidBlock1+y(i); % Sum of y's for high A, low B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCLowDMidBlock2=sumAHighBLowCLowDMidBlock2+y(i); % Sum of y's for high A, low B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCLowDMidBlock3=sumAHighBLowCLowDMidBlock3+y(i); % Sum of y's for high A, low B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCLowDMidBlock4=sumAHighBLowCLowDMidBlock4+y(i); % Sum of y's for high A, low B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCLowDMidBlock5=sumAHighBLowCLowDMidBlock5+y(i); % Sum of y's for high A, low B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDMidELowBlock1=sumAHighBLowCLowDMidELowBlock1+y(i); % Sum of y's for high A, low B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDMidELowBlock2=sumAHighBLowCLowDMidELowBlock2+y(i); % Sum of y's for high A, low B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDMidELowBlock3=sumAHighBLowCLowDMidELowBlock3+y(i); % Sum of y's for high A, low B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDMidELowBlock4=sumAHighBLowCLowDMidELowBlock4+y(i); % Sum of y's for high A, low B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDMidELowBlock5=sumAHighBLowCLowDMidELowBlock5+y(i); % Sum of y's for high A, low B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDMidEMidBlock1=sumAHighBLowCLowDMidEMidBlock1+y(i); % Sum of y's for high A, low B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDMidEMidBlock2=sumAHighBLowCLowDMidEMidBlock2+y(i); % Sum of y's for high A, low B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDMidEMidBlock3=sumAHighBLowCLowDMidEMidBlock3+y(i); % Sum of y's for high A, low B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDMidEMidBlock4=sumAHighBLowCLowDMidEMidBlock4+y(i); % Sum of y's for high A, low B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDMidEMidBlock5=sumAHighBLowCLowDMidEMidBlock5+y(i); % Sum of y's for high A, low B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDMidEHighBlock1=sumAHighBLowCLowDMidEHighBlock1+y(i); % Sum of y's for high A, low B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDMidEHighBlock2=sumAHighBLowCLowDMidEHighBlock2+y(i); % Sum of y's for high A, low B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDMidEHighBlock3=sumAHighBLowCLowDMidEHighBlock3+y(i); % Sum of y's for high A, low B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDMidEHighBlock4=sumAHighBLowCLowDMidEHighBlock4+y(i); % Sum of y's for high A, low B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDMidEHighBlock5=sumAHighBLowCLowDMidEHighBlock5+y(i); % Sum of y's for high A, low B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCLowDHighBlock1=sumAHighBLowCLowDHighBlock1+y(i); % Sum of y's for high A, low B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCLowDHighBlock2=sumAHighBLowCLowDHighBlock2+y(i); % Sum of y's for high A, low B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCLowDHighBlock3=sumAHighBLowCLowDHighBlock3+y(i); % Sum of y's for high A, low B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCLowDHighBlock4=sumAHighBLowCLowDHighBlock4+y(i); % Sum of y's for high A, low B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCLowDHighBlock5=sumAHighBLowCLowDHighBlock5+y(i); % Sum of y's for high A, low B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDHighELowBlock1=sumAHighBLowCLowDHighELowBlock1+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDHighELowBlock2=sumAHighBLowCLowDHighELowBlock2+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDHighELowBlock3=sumAHighBLowCLowDHighELowBlock3+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDHighELowBlock4=sumAHighBLowCLowDHighELowBlock4+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDHighELowBlock5=sumAHighBLowCLowDHighELowBlock5+y(i); % Sum of y's for high A, low B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDHighEMidBlock1=sumAHighBLowCLowDHighEMidBlock1+y(i); % Sum of y's for high A, low B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDHighEMidBlock2=sumAHighBLowCLowDHighEMidBlock2+y(i); % Sum of y's for high A, low B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDHighEMidBlock3=sumAHighBLowCLowDHighEMidBlock3+y(i); % Sum of y's for high A, low B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDHighEMidBlock4=sumAHighBLowCLowDHighEMidBlock4+y(i); % Sum of y's for high A, low B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDHighEMidBlock5=sumAHighBLowCLowDHighEMidBlock5+y(i); % Sum of y's for high A, low B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCLowDHighEHighBlock1=sumAHighBLowCLowDHighEHighBlock1+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCLowDHighEHighBlock2=sumAHighBLowCLowDHighEHighBlock2+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCLowDHighEHighBlock3=sumAHighBLowCLowDHighEHighBlock3+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCLowDHighEHighBlock4=sumAHighBLowCLowDHighEHighBlock4+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCLowDHighEHighBlock5=sumAHighBLowCLowDHighEHighBlock5+y(i); % Sum of y's for high A, low B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBLowCMidBlock1=sumAHighBLowCMidBlock1+y(i); % Sum of y's for high A, low B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAHighBLowCMidBlock2=sumAHighBLowCMidBlock2+y(i); % Sum of y's for high A, low B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAHighBLowCMidBlock3=sumAHighBLowCMidBlock3+y(i); % Sum of y's for high A, low B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAHighBLowCMidBlock4=sumAHighBLowCMidBlock4+y(i); % Sum of y's for high A, low B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAHighBLowCMidBlock5=sumAHighBLowCMidBlock5+y(i); % Sum of y's for high A, low B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCMidDLowBlock1=sumAHighBLowCMidDLowBlock1+y(i); % Sum of y's for high A, low B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCMidDLowBlock2=sumAHighBLowCMidDLowBlock2+y(i); % Sum of y's for high A, low B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCMidDLowBlock3=sumAHighBLowCMidDLowBlock3+y(i); % Sum of y's for high A, low B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCMidDLowBlock4=sumAHighBLowCMidDLowBlock4+y(i); % Sum of y's for high A, low B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCMidDLowBlock5=sumAHighBLowCMidDLowBlock5+y(i); % Sum of y's for high A, low B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCMidDLowELowBlock1=sumAHighBLowCMidDLowELowBlock1+y(i); % Sum of y's for high A, low B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCMidDLowELowBlock2=sumAHighBLowCMidDLowELowBlock2+y(i); % Sum of y's for high A, low B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCMidDLowELowBlock3=sumAHighBLowCMidDLowELowBlock3+y(i); % Sum of y's for high A, low B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCMidDLowELowBlock4=sumAHighBLowCMidDLowELowBlock4+y(i); % Sum of y's for high A, low B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCMidDLowELowBlock5=sumAHighBLowCMidDLowELowBlock5+y(i); % Sum of y's for high A, low B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCMidDLowEMidBlock1=sumAHighBLowCMidDLowEMidBlock1+y(i); % Sum of y's for high A, low B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCMidDLowEMidBlock2=sumAHighBLowCMidDLowEMidBlock2+y(i); % Sum of y's for high A, low B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCMidDLowEMidBlock3=sumAHighBLowCMidDLowEMidBlock3+y(i); % Sum of y's for high A, low B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCMidDLowEMidBlock4=sumAHighBLowCMidDLowEMidBlock4+y(i); % Sum of y's for high A, low B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCMidDLowEMidBlock5=sumAHighBLowCMidDLowEMidBlock5+y(i); % Sum of y's for high A, low B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCMidDLowEHighBlock1=sumAHighBLowCMidDLowEHighBlock1+y(i); % Sum of y's for high A, low B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCMidDLowEHighBlock2=sumAHighBLowCMidDLowEHighBlock2+y(i); % Sum of y's for high A, low B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCMidDLowEHighBlock3=sumAHighBLowCMidDLowEHighBlock3+y(i); % Sum of y's for high A, low B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCMidDLowEHighBlock4=sumAHighBLowCMidDLowEHighBlock4+y(i); % Sum of y's for high A, low B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCMidDLowEHighBlock5=sumAHighBLowCMidDLowEHighBlock5+y(i); % Sum of y's for high A, low B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCMidDMidBlock1=sumAHighBLowCMidDMidBlock1+y(i); % Sum of y's for high A, low B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCMidDMidBlock2=sumAHighBLowCMidDMidBlock2+y(i); % Sum of y's for high A, low B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCMidDMidBlock3=sumAHighBLowCMidDMidBlock3+y(i); % Sum of y's for high A, low B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCMidDMidBlock4=sumAHighBLowCMidDMidBlock4+y(i); % Sum of y's for high A, low B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCMidDMidBlock5=sumAHighBLowCMidDMidBlock5+y(i); % Sum of y's for high A, low B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDMidELowBlock1=sumAHighBLowCMidDMidELowBlock1+y(i); % Sum of y's for high A, low B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDMidELowBlock2=sumAHighBLowCMidDMidELowBlock2+y(i); % Sum of y's for high A, low B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDMidELowBlock3=sumAHighBLowCMidDMidELowBlock3+y(i); % Sum of y's for high A, low B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDMidELowBlock4=sumAHighBLowCMidDMidELowBlock4+y(i); % Sum of y's for high A, low B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDMidELowBlock5=sumAHighBLowCMidDMidELowBlock5+y(i); % Sum of y's for high A, low B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDMidEMidBlock1=sumAHighBLowCMidDMidEMidBlock1+y(i); % Sum of y's for high A, low B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDMidEMidBlock2=sumAHighBLowCMidDMidEMidBlock2+y(i); % Sum of y's for high A, low B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDMidEMidBlock3=sumAHighBLowCMidDMidEMidBlock3+y(i); % Sum of y's for high A, low B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDMidEMidBlock4=sumAHighBLowCMidDMidEMidBlock4+y(i); % Sum of y's for high A, low B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDMidEMidBlock5=sumAHighBLowCMidDMidEMidBlock5+y(i); % Sum of y's for high A, low B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDMidEHighBlock1=sumAHighBLowCMidDMidEHighBlock1+y(i); % Sum of y's for high A, low B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDMidEHighBlock2=sumAHighBLowCMidDMidEHighBlock2+y(i); % Sum of y's for high A, low B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDMidEHighBlock3=sumAHighBLowCMidDMidEHighBlock3+y(i); % Sum of y's for high A, low B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDMidEHighBlock4=sumAHighBLowCMidDMidEHighBlock4+y(i); % Sum of y's for high A, low B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDMidEHighBlock5=sumAHighBLowCMidDMidEHighBlock5+y(i); % Sum of y's for high A, low B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCMidDHighBlock1=sumAHighBLowCMidDHighBlock1+y(i); % Sum of y's for high A, low B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCMidDHighBlock2=sumAHighBLowCMidDHighBlock2+y(i); % Sum of y's for high A, low B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCMidDHighBlock3=sumAHighBLowCMidDHighBlock3+y(i); % Sum of y's for high A, low B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCMidDHighBlock4=sumAHighBLowCMidDHighBlock4+y(i); % Sum of y's for high A, low B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCMidDHighBlock5=sumAHighBLowCMidDHighBlock5+y(i); % Sum of y's for high A, low B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDHighELowBlock1=sumAHighBLowCMidDHighELowBlock1+y(i); % Sum of y's for high A, low B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDHighELowBlock2=sumAHighBLowCMidDHighELowBlock2+y(i); % Sum of y's for high A, low B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDHighELowBlock3=sumAHighBLowCMidDHighELowBlock3+y(i); % Sum of y's for high A, low B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDHighELowBlock4=sumAHighBLowCMidDHighELowBlock4+y(i); % Sum of y's for high A, low B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDHighELowBlock5=sumAHighBLowCMidDHighELowBlock5+y(i); % Sum of y's for high A, low B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDHighEMidBlock1=sumAHighBLowCMidDHighEMidBlock1+y(i); % Sum of y's for high A, low B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDHighEMidBlock2=sumAHighBLowCMidDHighEMidBlock2+y(i); % Sum of y's for high A, low B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDHighEMidBlock3=sumAHighBLowCMidDHighEMidBlock3+y(i); % Sum of y's for high A, low B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDHighEMidBlock4=sumAHighBLowCMidDHighEMidBlock4+y(i); % Sum of y's for high A, low B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDHighEMidBlock5=sumAHighBLowCMidDHighEMidBlock5+y(i); % Sum of y's for high A, low B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCMidDHighEHighBlock1=sumAHighBLowCMidDHighEHighBlock1+y(i); % Sum of y's for high A, low B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCMidDHighEHighBlock2=sumAHighBLowCMidDHighEHighBlock2+y(i); % Sum of y's for high A, low B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCMidDHighEHighBlock3=sumAHighBLowCMidDHighEHighBlock3+y(i); % Sum of y's for high A, low B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCMidDHighEHighBlock4=sumAHighBLowCMidDHighEHighBlock4+y(i); % Sum of y's for high A, low B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCMidDHighEHighBlock5=sumAHighBLowCMidDHighEHighBlock5+y(i); % Sum of y's for high A, low B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBLowCHighBlock1=sumAHighBLowCHighBlock1+y(i); % Sum of y's for high A, low B and high C in Block 1
                                elseif Block(i)==2
                                    sumAHighBLowCHighBlock2=sumAHighBLowCHighBlock2+y(i); % Sum of y's for high A, low B and high C in Block 2
                                elseif Block(i)==3
                                    sumAHighBLowCHighBlock3=sumAHighBLowCHighBlock3+y(i); % Sum of y's for high A, low B and high C in Block 3
                                elseif Block(i)==4
                                    sumAHighBLowCHighBlock4=sumAHighBLowCHighBlock4+y(i); % Sum of y's for high A, low B and high C in Block 4
                                elseif Block(i)==5
                                    sumAHighBLowCHighBlock5=sumAHighBLowCHighBlock5+y(i); % Sum of y's for high A, low B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCHighDLowBlock1=sumAHighBLowCHighDLowBlock1+y(i); % Sum of y's for high A, low B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDLowBlock2=sumAHighBLowCHighDLowBlock2+y(i); % Sum of y's for high A, low B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDLowBlock3=sumAHighBLowCHighDLowBlock3+y(i); % Sum of y's for high A, low B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDLowBlock4=sumAHighBLowCHighDLowBlock4+y(i); % Sum of y's for high A, low B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDLowBlock5=sumAHighBLowCHighDLowBlock5+y(i); % Sum of y's for high A, low B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCHighDLowELowBlock1=sumAHighBLowCHighDLowELowBlock1+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCHighDLowELowBlock2=sumAHighBLowCHighDLowELowBlock2+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCHighDLowELowBlock3=sumAHighBLowCHighDLowELowBlock3+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCHighDLowELowBlock4=sumAHighBLowCHighDLowELowBlock4+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCHighDLowELowBlock5=sumAHighBLowCHighDLowELowBlock5+y(i); % Sum of y's for high A, low B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCHighDLowEMidBlock1=sumAHighBLowCHighDLowEMidBlock1+y(i); % Sum of y's for high A, low B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCHighDLowEMidBlock2=sumAHighBLowCHighDLowEMidBlock2+y(i); % Sum of y's for high A, low B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCHighDLowEMidBlock3=sumAHighBLowCHighDLowEMidBlock3+y(i); % Sum of y's for high A, low B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCHighDLowEMidBlock4=sumAHighBLowCHighDLowEMidBlock4+y(i); % Sum of y's for high A, low B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCHighDLowEMidBlock5=sumAHighBLowCHighDLowEMidBlock5+y(i); % Sum of y's for high A, low B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBLowCHighDLowEHighBlock1=sumAHighBLowCHighDLowEHighBlock1+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBLowCHighDLowEHighBlock2=sumAHighBLowCHighDLowEHighBlock2+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBLowCHighDLowEHighBlock3=sumAHighBLowCHighDLowEHighBlock3+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBLowCHighDLowEHighBlock4=sumAHighBLowCHighDLowEHighBlock4+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBLowCHighDLowEHighBlock5=sumAHighBLowCHighDLowEHighBlock5+y(i); % Sum of y's for high A, low B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCHighDMidBlock1=sumAHighBLowCHighDMidBlock1+y(i); % Sum of y's for high A, low B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDMidBlock2=sumAHighBLowCHighDMidBlock2+y(i); % Sum of y's for high A, low B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDMidBlock3=sumAHighBLowCHighDMidBlock3+y(i); % Sum of y's for high A, low B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDMidBlock4=sumAHighBLowCHighDMidBlock4+y(i); % Sum of y's for high A, low B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDMidBlock5=sumAHighBLowCHighDMidBlock5+y(i); % Sum of y's for high A, low B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDMidELowBlock1=sumAHighBLowCHighDMidELowBlock1+y(i); % Sum of y's for high A, low B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDMidELowBlock2=sumAHighBLowCHighDMidELowBlock2+y(i); % Sum of y's for high A, low B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDMidELowBlock3=sumAHighBLowCHighDMidELowBlock3+y(i); % Sum of y's for high A, low B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDMidELowBlock4=sumAHighBLowCHighDMidELowBlock4+y(i); % Sum of y's for high A, low B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDMidELowBlock5=sumAHighBLowCHighDMidELowBlock5+y(i); % Sum of y's for high A, low B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDMidEMidBlock1=sumAHighBLowCHighDMidEMidBlock1+y(i); % Sum of y's for high A, low B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDMidEMidBlock2=sumAHighBLowCHighDMidEMidBlock2+y(i); % Sum of y's for high A, low B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDMidEMidBlock3=sumAHighBLowCHighDMidEMidBlock3+y(i); % Sum of y's for high A, low B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDMidEMidBlock4=sumAHighBLowCHighDMidEMidBlock4+y(i); % Sum of y's for high A, low B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDMidEMidBlock5=sumAHighBLowCHighDMidEMidBlock5+y(i); % Sum of y's for high A, low B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDMidEHighBlock1=sumAHighBLowCHighDMidEHighBlock1+y(i); % Sum of y's for high A, low B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDMidEHighBlock2=sumAHighBLowCHighDMidEHighBlock2+y(i); % Sum of y's for high A, low B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDMidEHighBlock3=sumAHighBLowCHighDMidEHighBlock3+y(i); % Sum of y's for high A, low B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDMidEHighBlock4=sumAHighBLowCHighDMidEHighBlock4+y(i); % Sum of y's for high A, low B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDMidEHighBlock5=sumAHighBLowCHighDMidEHighBlock5+y(i); % Sum of y's for high A, low B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBLowCHighDHighBlock1=sumAHighBLowCHighDHighBlock1+y(i); % Sum of y's for high A, low B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBLowCHighDHighBlock2=sumAHighBLowCHighDHighBlock2+y(i); % Sum of y's for high A, low B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBLowCHighDHighBlock3=sumAHighBLowCHighDHighBlock3+y(i); % Sum of y's for high A, low B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBLowCHighDHighBlock4=sumAHighBLowCHighDHighBlock4+y(i); % Sum of y's for high A, low B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBLowCHighDHighBlock5=sumAHighBLowCHighDHighBlock5+y(i); % Sum of y's for high A, low B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDHighELowBlock1=sumAHighBLowCHighDHighELowBlock1+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDHighELowBlock2=sumAHighBLowCHighDHighELowBlock2+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDHighELowBlock3=sumAHighBLowCHighDHighELowBlock3+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDHighELowBlock4=sumAHighBLowCHighDHighELowBlock4+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDHighELowBlock5=sumAHighBLowCHighDHighELowBlock5+y(i); % Sum of y's for high A, low B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDHighEMidBlock1=sumAHighBLowCHighDHighEMidBlock1+y(i); % Sum of y's for high A, low B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDHighEMidBlock2=sumAHighBLowCHighDHighEMidBlock2+y(i); % Sum of y's for high A, low B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDHighEMidBlock3=sumAHighBLowCHighDHighEMidBlock3+y(i); % Sum of y's for high A, low B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDHighEMidBlock4=sumAHighBLowCHighDHighEMidBlock4+y(i); % Sum of y's for high A, low B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDHighEMidBlock5=sumAHighBLowCHighDHighEMidBlock5+y(i); % Sum of y's for high A, low B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBLowCHighDHighEHighBlock1=sumAHighBLowCHighDHighEHighBlock1+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBLowCHighDHighEHighBlock2=sumAHighBLowCHighDHighEHighBlock2+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBLowCHighDHighEHighBlock3=sumAHighBLowCHighDHighEHighBlock3+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBLowCHighDHighEHighBlock4=sumAHighBLowCHighDHighEHighBlock4+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBLowCHighDHighEHighBlock5=sumAHighBLowCHighDHighEHighBlock5+y(i); % Sum of y's for high A, low B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==0
                    sumAHighBMid=sumAHighBMid+y(i); % Sum of y's for high A and mid B
                    if numFactors==2
                        if Block(i)==1
                            sumAHighBMidBlock1=sumAHighBMidBlock1+y(i); % Sum of y's for high A and mid B in Block 1
                        elseif Block(i)==2
                            sumAHighBMidBlock2=sumAHighBMidBlock2+y(i); % Sum of y's for high A and mid B in Block 2
                        elseif Block(i)==3
                            sumAHighBMidBlock3=sumAHighBMidBlock3+y(i); % Sum of y's for high A and mid B in Block 3
                        elseif Block(i)==4
                            sumAHighBMidBlock4=sumAHighBMidBlock4+y(i); % Sum of y's for high A and mid B in Block 4
                        elseif Block(i)==5
                            sumAHighBMidBlock5=sumAHighBMidBlock5+y(i); % Sum of y's for high A and mid B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBMidCLowBlock1=sumAHighBMidCLowBlock1+y(i); % Sum of y's for high A, mid B and low C in Block 1
                                elseif Block(i)==2
                                    sumAHighBMidCLowBlock2=sumAHighBMidCLowBlock2+y(i); % Sum of y's for high A, mid B and low C in Block 2
                                elseif Block(i)==3
                                    sumAHighBMidCLowBlock3=sumAHighBMidCLowBlock3+y(i); % Sum of y's for high A, mid B and low C in Block 3
                                elseif Block(i)==4
                                    sumAHighBMidCLowBlock4=sumAHighBMidCLowBlock4+y(i); % Sum of y's for high A, mid B and low C in Block 4
                                elseif Block(i)==5
                                    sumAHighBMidCLowBlock5=sumAHighBMidCLowBlock5+y(i); % Sum of y's for high A, mid B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCLowDLowBlock1=sumAHighBMidCLowDLowBlock1+y(i); % Sum of y's for high A, mid B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCLowDLowBlock2=sumAHighBMidCLowDLowBlock2+y(i); % Sum of y's for high A, mid B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCLowDLowBlock3=sumAHighBMidCLowDLowBlock3+y(i); % Sum of y's for high A, mid B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCLowDLowBlock4=sumAHighBMidCLowDLowBlock4+y(i); % Sum of y's for high A, mid B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCLowDLowBlock5=sumAHighBMidCLowDLowBlock5+y(i); % Sum of y's for high A, mid B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCLowDLowELowBlock1=sumAHighBMidCLowDLowELowBlock1+y(i); % Sum of y's for high A, mid B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCLowDLowELowBlock2=sumAHighBMidCLowDLowELowBlock2+y(i); % Sum of y's for high A, mid B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCLowDLowELowBlock3=sumAHighBMidCLowDLowELowBlock3+y(i); % Sum of y's for high A, mid B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCLowDLowELowBlock4=sumAHighBMidCLowDLowELowBlock4+y(i); % Sum of y's for high A, mid B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCLowDLowELowBlock5=sumAHighBMidCLowDLowELowBlock5+y(i); % Sum of y's for high A, mid B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCLowDLowEMidBlock1=sumAHighBMidCLowDLowEMidBlock1+y(i); % Sum of y's for high A, mid B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCLowDLowEMidBlock2=sumAHighBMidCLowDLowEMidBlock2+y(i); % Sum of y's for high A, mid B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCLowDLowEMidBlock3=sumAHighBMidCLowDLowEMidBlock3+y(i); % Sum of y's for high A, mid B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCLowDLowEMidBlock4=sumAHighBMidCLowDLowEMidBlock4+y(i); % Sum of y's for high A, mid B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCLowDLowEMidBlock5=sumAHighBMidCLowDLowEMidBlock5+y(i); % Sum of y's for high A, mid B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCLowDLowEHighBlock1=sumAHighBMidCLowDLowEHighBlock1+y(i); % Sum of y's for high A, mid B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCLowDLowEHighBlock2=sumAHighBMidCLowDLowEHighBlock2+y(i); % Sum of y's for high A, mid B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCLowDLowEHighBlock3=sumAHighBMidCLowDLowEHighBlock3+y(i); % Sum of y's for high A, mid B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCLowDLowEHighBlock4=sumAHighBMidCLowDLowEHighBlock4+y(i); % Sum of y's for high A, mid B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCLowDLowEHighBlock5=sumAHighBMidCLowDLowEHighBlock5+y(i); % Sum of y's for high A, mid B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCLowDMidBlock1=sumAHighBMidCLowDMidBlock1+y(i); % Sum of y's for high A, mid B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCLowDMidBlock2=sumAHighBMidCLowDMidBlock2+y(i); % Sum of y's for high A, mid B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCLowDMidBlock3=sumAHighBMidCLowDMidBlock3+y(i); % Sum of y's for high A, mid B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCLowDMidBlock4=sumAHighBMidCLowDMidBlock4+y(i); % Sum of y's for high A, mid B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCLowDMidBlock5=sumAHighBMidCLowDMidBlock5+y(i); % Sum of y's for high A, mid B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDMidELowBlock1=sumAHighBMidCLowDMidELowBlock1+y(i); % Sum of y's for high A, mid B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDMidELowBlock2=sumAHighBMidCLowDMidELowBlock2+y(i); % Sum of y's for high A, mid B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDMidELowBlock3=sumAHighBMidCLowDMidELowBlock3+y(i); % Sum of y's for high A, mid B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDMidELowBlock4=sumAHighBMidCLowDMidELowBlock4+y(i); % Sum of y's for high A, mid B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDMidELowBlock5=sumAHighBMidCLowDMidELowBlock5+y(i); % Sum of y's for high A, mid B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDMidEMidBlock1=sumAHighBMidCLowDMidEMidBlock1+y(i); % Sum of y's for high A, mid B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDMidEMidBlock2=sumAHighBMidCLowDMidEMidBlock2+y(i); % Sum of y's for high A, mid B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDMidEMidBlock3=sumAHighBMidCLowDMidEMidBlock3+y(i); % Sum of y's for high A, mid B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDMidEMidBlock4=sumAHighBMidCLowDMidEMidBlock4+y(i); % Sum of y's for high A, mid B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDMidEMidBlock5=sumAHighBMidCLowDMidEMidBlock5+y(i); % Sum of y's for high A, mid B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDMidEHighBlock1=sumAHighBMidCLowDMidEHighBlock1+y(i); % Sum of y's for high A, mid B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDMidEHighBlock2=sumAHighBMidCLowDMidEHighBlock2+y(i); % Sum of y's for high A, mid B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDMidEHighBlock3=sumAHighBMidCLowDMidEHighBlock3+y(i); % Sum of y's for high A, mid B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDMidEHighBlock4=sumAHighBMidCLowDMidEHighBlock4+y(i); % Sum of y's for high A, mid B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDMidEHighBlock5=sumAHighBMidCLowDMidEHighBlock5+y(i); % Sum of y's for high A, mid B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCLowDHighBlock1=sumAHighBMidCLowDHighBlock1+y(i); % Sum of y's for high A, mid B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCLowDHighBlock2=sumAHighBMidCLowDHighBlock2+y(i); % Sum of y's for high A, mid B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCLowDHighBlock3=sumAHighBMidCLowDHighBlock3+y(i); % Sum of y's for high A, mid B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCLowDHighBlock4=sumAHighBMidCLowDHighBlock4+y(i); % Sum of y's for high A, mid B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCLowDHighBlock5=sumAHighBMidCLowDHighBlock5+y(i); % Sum of y's for high A, mid B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDHighELowBlock1=sumAHighBMidCLowDHighELowBlock1+y(i); % Sum of y's for high A, mid B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDHighELowBlock2=sumAHighBMidCLowDHighELowBlock2+y(i); % Sum of y's for high A, mid B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDHighELowBlock3=sumAHighBMidCLowDHighELowBlock3+y(i); % Sum of y's for high A, mid B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDHighELowBlock4=sumAHighBMidCLowDHighELowBlock4+y(i); % Sum of y's for high A, mid B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDHighELowBlock5=sumAHighBMidCLowDHighELowBlock5+y(i); % Sum of y's for high A, mid B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDHighEMidBlock1=sumAHighBMidCLowDHighEMidBlock1+y(i); % Sum of y's for high A, mid B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDHighEMidBlock2=sumAHighBMidCLowDHighEMidBlock2+y(i); % Sum of y's for high A, mid B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDHighEMidBlock3=sumAHighBMidCLowDHighEMidBlock3+y(i); % Sum of y's for high A, mid B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDHighEMidBlock4=sumAHighBMidCLowDHighEMidBlock4+y(i); % Sum of y's for high A, mid B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDHighEMidBlock5=sumAHighBMidCLowDHighEMidBlock5+y(i); % Sum of y's for high A, mid B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCLowDHighEHighBlock1=sumAHighBMidCLowDHighEHighBlock1+y(i); % Sum of y's for high A, mid B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCLowDHighEHighBlock2=sumAHighBMidCLowDHighEHighBlock2+y(i); % Sum of y's for high A, mid B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCLowDHighEHighBlock3=sumAHighBMidCLowDHighEHighBlock3+y(i); % Sum of y's for high A, mid B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCLowDHighEHighBlock4=sumAHighBMidCLowDHighEHighBlock4+y(i); % Sum of y's for high A, mid B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCLowDHighEHighBlock5=sumAHighBMidCLowDHighEHighBlock5+y(i); % Sum of y's for high A, mid B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBMidCMidBlock1=sumAHighBMidCMidBlock1+y(i); % Sum of y's for high A, mid B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAHighBMidCMidBlock2=sumAHighBMidCMidBlock2+y(i); % Sum of y's for high A, mid B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAHighBMidCMidBlock3=sumAHighBMidCMidBlock3+y(i); % Sum of y's for high A, mid B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAHighBMidCMidBlock4=sumAHighBMidCMidBlock4+y(i); % Sum of y's for high A, mid B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAHighBMidCMidBlock5=sumAHighBMidCMidBlock5+y(i); % Sum of y's for high A, mid B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCMidDLowBlock1=sumAHighBMidCMidDLowBlock1+y(i); % Sum of y's for high A, mid B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCMidDLowBlock2=sumAHighBMidCMidDLowBlock2+y(i); % Sum of y's for high A, mid B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCMidDLowBlock3=sumAHighBMidCMidDLowBlock3+y(i); % Sum of y's for high A, mid B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCMidDLowBlock4=sumAHighBMidCMidDLowBlock4+y(i); % Sum of y's for high A, mid B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCMidDLowBlock5=sumAHighBMidCMidDLowBlock5+y(i); % Sum of y's for high A, mid B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCMidDLowELowBlock1=sumAHighBMidCMidDLowELowBlock1+y(i); % Sum of y's for high A, mid B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCMidDLowELowBlock2=sumAHighBMidCMidDLowELowBlock2+y(i); % Sum of y's for high A, mid B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCMidDLowELowBlock3=sumAHighBMidCMidDLowELowBlock3+y(i); % Sum of y's for high A, mid B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCMidDLowELowBlock4=sumAHighBMidCMidDLowELowBlock4+y(i); % Sum of y's for high A, mid B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCMidDLowELowBlock5=sumAHighBMidCMidDLowELowBlock5+y(i); % Sum of y's for high A, mid B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCMidDLowEMidBlock1=sumAHighBMidCMidDLowEMidBlock1+y(i); % Sum of y's for high A, mid B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCMidDLowEMidBlock2=sumAHighBMidCMidDLowEMidBlock2+y(i); % Sum of y's for high A, mid B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCMidDLowEMidBlock3=sumAHighBMidCMidDLowEMidBlock3+y(i); % Sum of y's for high A, mid B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCMidDLowEMidBlock4=sumAHighBMidCMidDLowEMidBlock4+y(i); % Sum of y's for high A, mid B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCMidDLowEMidBlock5=sumAHighBMidCMidDLowEMidBlock5+y(i); % Sum of y's for high A, mid B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCMidDLowEHighBlock1=sumAHighBMidCMidDLowEHighBlock1+y(i); % Sum of y's for high A, mid B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCMidDLowEHighBlock2=sumAHighBMidCMidDLowEHighBlock2+y(i); % Sum of y's for high A, mid B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCMidDLowEHighBlock3=sumAHighBMidCMidDLowEHighBlock3+y(i); % Sum of y's for high A, mid B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCMidDLowEHighBlock4=sumAHighBMidCMidDLowEHighBlock4+y(i); % Sum of y's for high A, mid B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCMidDLowEHighBlock5=sumAHighBMidCMidDLowEHighBlock5+y(i); % Sum of y's for high A, mid B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCMidDMidBlock1=sumAHighBMidCMidDMidBlock1+y(i); % Sum of y's for high A, mid B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCMidDMidBlock2=sumAHighBMidCMidDMidBlock2+y(i); % Sum of y's for high A, mid B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCMidDMidBlock3=sumAHighBMidCMidDMidBlock3+y(i); % Sum of y's for high A, mid B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCMidDMidBlock4=sumAHighBMidCMidDMidBlock4+y(i); % Sum of y's for high A, mid B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCMidDMidBlock5=sumAHighBMidCMidDMidBlock5+y(i); % Sum of y's for high A, mid B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDMidELowBlock1=sumAHighBMidCMidDMidELowBlock1+y(i); % Sum of y's for high A, mid B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDMidELowBlock2=sumAHighBMidCMidDMidELowBlock2+y(i); % Sum of y's for high A, mid B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDMidELowBlock3=sumAHighBMidCMidDMidELowBlock3+y(i); % Sum of y's for high A, mid B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDMidELowBlock4=sumAHighBMidCMidDMidELowBlock4+y(i); % Sum of y's for high A, mid B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDMidELowBlock5=sumAHighBMidCMidDMidELowBlock5+y(i); % Sum of y's for high A, mid B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDMidEMidBlock1=sumAHighBMidCMidDMidEMidBlock1+y(i); % Sum of y's for high A, mid B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDMidEMidBlock2=sumAHighBMidCMidDMidEMidBlock2+y(i); % Sum of y's for high A, mid B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDMidEMidBlock3=sumAHighBMidCMidDMidEMidBlock3+y(i); % Sum of y's for high A, mid B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDMidEMidBlock4=sumAHighBMidCMidDMidEMidBlock4+y(i); % Sum of y's for high A, mid B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDMidEMidBlock5=sumAHighBMidCMidDMidEMidBlock5+y(i); % Sum of y's for high A, mid B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDMidEHighBlock1=sumAHighBMidCMidDMidEHighBlock1+y(i); % Sum of y's for high A, mid B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDMidEHighBlock2=sumAHighBMidCMidDMidEHighBlock2+y(i); % Sum of y's for high A, mid B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDMidEHighBlock3=sumAHighBMidCMidDMidEHighBlock3+y(i); % Sum of y's for high A, mid B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDMidEHighBlock4=sumAHighBMidCMidDMidEHighBlock4+y(i); % Sum of y's for high A, mid B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDMidEHighBlock5=sumAHighBMidCMidDMidEHighBlock5+y(i); % Sum of y's for high A, mid B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCMidDHighBlock1=sumAHighBMidCMidDHighBlock1+y(i); % Sum of y's for high A, mid B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCMidDHighBlock2=sumAHighBMidCMidDHighBlock2+y(i); % Sum of y's for high A, mid B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCMidDHighBlock3=sumAHighBMidCMidDHighBlock3+y(i); % Sum of y's for high A, mid B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCMidDHighBlock4=sumAHighBMidCMidDHighBlock4+y(i); % Sum of y's for high A, mid B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCMidDHighBlock5=sumAHighBMidCMidDHighBlock5+y(i); % Sum of y's for high A, mid B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDHighELowBlock1=sumAHighBMidCMidDHighELowBlock1+y(i); % Sum of y's for high A, mid B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDHighELowBlock2=sumAHighBMidCMidDHighELowBlock2+y(i); % Sum of y's for high A, mid B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDHighELowBlock3=sumAHighBMidCMidDHighELowBlock3+y(i); % Sum of y's for high A, mid B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDHighELowBlock4=sumAHighBMidCMidDHighELowBlock4+y(i); % Sum of y's for high A, mid B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDHighELowBlock5=sumAHighBMidCMidDHighELowBlock5+y(i); % Sum of y's for high A, mid B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDHighEMidBlock1=sumAHighBMidCMidDHighEMidBlock1+y(i); % Sum of y's for high A, mid B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDHighEMidBlock2=sumAHighBMidCMidDHighEMidBlock2+y(i); % Sum of y's for high A, mid B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDHighEMidBlock3=sumAHighBMidCMidDHighEMidBlock3+y(i); % Sum of y's for high A, mid B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDHighEMidBlock4=sumAHighBMidCMidDHighEMidBlock4+y(i); % Sum of y's for high A, mid B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDHighEMidBlock5=sumAHighBMidCMidDHighEMidBlock5+y(i); % Sum of y's for high A, mid B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCMidDHighEHighBlock1=sumAHighBMidCMidDHighEHighBlock1+y(i); % Sum of y's for high A, mid B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCMidDHighEHighBlock2=sumAHighBMidCMidDHighEHighBlock2+y(i); % Sum of y's for high A, mid B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCMidDHighEHighBlock3=sumAHighBMidCMidDHighEHighBlock3+y(i); % Sum of y's for high A, mid B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCMidDHighEHighBlock4=sumAHighBMidCMidDHighEHighBlock4+y(i); % Sum of y's for high A, mid B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCMidDHighEHighBlock5=sumAHighBMidCMidDHighEHighBlock5+y(i); % Sum of y's for high A, mid B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBMidCHighBlock1=sumAHighBMidCHighBlock1+y(i); % Sum of y's for high A, mid B and high C in Block 1
                                elseif Block(i)==2
                                    sumAHighBMidCHighBlock2=sumAHighBMidCHighBlock2+y(i); % Sum of y's for high A, mid B and high C in Block 2
                                elseif Block(i)==3
                                    sumAHighBMidCHighBlock3=sumAHighBMidCHighBlock3+y(i); % Sum of y's for high A, mid B and high C in Block 3
                                elseif Block(i)==4
                                    sumAHighBMidCHighBlock4=sumAHighBMidCHighBlock4+y(i); % Sum of y's for high A, mid B and high C in Block 4
                                elseif Block(i)==5
                                    sumAHighBMidCHighBlock5=sumAHighBMidCHighBlock5+y(i); % Sum of y's for high A, mid B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCHighDLowBlock1=sumAHighBMidCHighDLowBlock1+y(i); % Sum of y's for high A, mid B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCHighDLowBlock2=sumAHighBMidCHighDLowBlock2+y(i); % Sum of y's for high A, mid B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCHighDLowBlock3=sumAHighBMidCHighDLowBlock3+y(i); % Sum of y's for high A, mid B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCHighDLowBlock4=sumAHighBMidCHighDLowBlock4+y(i); % Sum of y's for high A, mid B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCHighDLowBlock5=sumAHighBMidCHighDLowBlock5+y(i); % Sum of y's for high A, mid B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCHighDLowELowBlock1=sumAHighBMidCHighDLowELowBlock1+y(i); % Sum of y's for high A, mid B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCHighDLowELowBlock2=sumAHighBMidCHighDLowELowBlock2+y(i); % Sum of y's for high A, mid B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCHighDLowELowBlock3=sumAHighBMidCHighDLowELowBlock3+y(i); % Sum of y's for high A, mid B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCHighDLowELowBlock4=sumAHighBMidCHighDLowELowBlock4+y(i); % Sum of y's for high A, mid B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCHighDLowELowBlock5=sumAHighBMidCHighDLowELowBlock5+y(i); % Sum of y's for high A, mid B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCHighDLowEMidBlock1=sumAHighBMidCHighDLowEMidBlock1+y(i); % Sum of y's for high A, mid B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCHighDLowEMidBlock2=sumAHighBMidCHighDLowEMidBlock2+y(i); % Sum of y's for high A, mid B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCHighDLowEMidBlock3=sumAHighBMidCHighDLowEMidBlock3+y(i); % Sum of y's for high A, mid B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCHighDLowEMidBlock4=sumAHighBMidCHighDLowEMidBlock4+y(i); % Sum of y's for high A, mid B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCHighDLowEMidBlock5=sumAHighBMidCHighDLowEMidBlock5+y(i); % Sum of y's for high A, mid B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBMidCHighDLowEHighBlock1=sumAHighBMidCHighDLowEHighBlock1+y(i); % Sum of y's for high A, mid B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBMidCHighDLowEHighBlock2=sumAHighBMidCHighDLowEHighBlock2+y(i); % Sum of y's for high A, mid B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBMidCHighDLowEHighBlock3=sumAHighBMidCHighDLowEHighBlock3+y(i); % Sum of y's for high A, mid B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBMidCHighDLowEHighBlock4=sumAHighBMidCHighDLowEHighBlock4+y(i); % Sum of y's for high A, mid B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBMidCHighDLowEHighBlock5=sumAHighBMidCHighDLowEHighBlock5+y(i); % Sum of y's for high A, mid B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCHighDMidBlock1=sumAHighBMidCHighDMidBlock1+y(i); % Sum of y's for high A, mid B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCHighDMidBlock2=sumAHighBMidCHighDMidBlock2+y(i); % Sum of y's for high A, mid B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCHighDMidBlock3=sumAHighBMidCHighDMidBlock3+y(i); % Sum of y's for high A, mid B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCHighDMidBlock4=sumAHighBMidCHighDMidBlock4+y(i); % Sum of y's for high A, mid B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCHighDMidBlock5=sumAHighBMidCHighDMidBlock5+y(i); % Sum of y's for high A, mid B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDMidELowBlock1=sumAHighBMidCHighDMidELowBlock1+y(i); % Sum of y's for high A, mid B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDMidELowBlock2=sumAHighBMidCHighDMidELowBlock2+y(i); % Sum of y's for high A, mid B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDMidELowBlock3=sumAHighBMidCHighDMidELowBlock3+y(i); % Sum of y's for high A, mid B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDMidELowBlock4=sumAHighBMidCHighDMidELowBlock4+y(i); % Sum of y's for high A, mid B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDMidELowBlock5=sumAHighBMidCHighDMidELowBlock5+y(i); % Sum of y's for high A, mid B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDMidEMidBlock1=sumAHighBMidCHighDMidEMidBlock1+y(i); % Sum of y's for high A, mid B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDMidEMidBlock2=sumAHighBMidCHighDMidEMidBlock2+y(i); % Sum of y's for high A, mid B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDMidEMidBlock3=sumAHighBMidCHighDMidEMidBlock3+y(i); % Sum of y's for high A, mid B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDMidEMidBlock4=sumAHighBMidCHighDMidEMidBlock4+y(i); % Sum of y's for high A, mid B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDMidEMidBlock5=sumAHighBMidCHighDMidEMidBlock5+y(i); % Sum of y's for high A, mid B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDMidEHighBlock1=sumAHighBMidCHighDMidEHighBlock1+y(i); % Sum of y's for high A, mid B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDMidEHighBlock2=sumAHighBMidCHighDMidEHighBlock2+y(i); % Sum of y's for high A, mid B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDMidEHighBlock3=sumAHighBMidCHighDMidEHighBlock3+y(i); % Sum of y's for high A, mid B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDMidEHighBlock4=sumAHighBMidCHighDMidEHighBlock4+y(i); % Sum of y's for high A, mid B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDMidEHighBlock5=sumAHighBMidCHighDMidEHighBlock5+y(i); % Sum of y's for high A, mid B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBMidCHighDHighBlock1=sumAHighBMidCHighDHighBlock1+y(i); % Sum of y's for high A, mid B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBMidCHighDHighBlock2=sumAHighBMidCHighDHighBlock2+y(i); % Sum of y's for high A, mid B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBMidCHighDHighBlock3=sumAHighBMidCHighDHighBlock3+y(i); % Sum of y's for high A, mid B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBMidCHighDHighBlock4=sumAHighBMidCHighDHighBlock4+y(i); % Sum of y's for high A, mid B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBMidCHighDHighBlock5=sumAHighBMidCHighDHighBlock5+y(i); % Sum of y's for high A, mid B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDHighELowBlock1=sumAHighBMidCHighDHighELowBlock1+y(i); % Sum of y's for high A, mid B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDHighELowBlock2=sumAHighBMidCHighDHighELowBlock2+y(i); % Sum of y's for high A, mid B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDHighELowBlock3=sumAHighBMidCHighDHighELowBlock3+y(i); % Sum of y's for high A, mid B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDHighELowBlock4=sumAHighBMidCHighDHighELowBlock4+y(i); % Sum of y's for high A, mid B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDHighELowBlock5=sumAHighBMidCHighDHighELowBlock5+y(i); % Sum of y's for high A, mid B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDHighEMidBlock1=sumAHighBMidCHighDHighEMidBlock1+y(i); % Sum of y's for high A, mid B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDHighEMidBlock2=sumAHighBMidCHighDHighEMidBlock2+y(i); % Sum of y's for high A, mid B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDHighEMidBlock3=sumAHighBMidCHighDHighEMidBlock3+y(i); % Sum of y's for high A, mid B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDHighEMidBlock4=sumAHighBMidCHighDHighEMidBlock4+y(i); % Sum of y's for high A, mid B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDHighEMidBlock5=sumAHighBMidCHighDHighEMidBlock5+y(i); % Sum of y's for high A, mid B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBMidCHighDHighEHighBlock1=sumAHighBMidCHighDHighEHighBlock1+y(i); % Sum of y's for high A, mid B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBMidCHighDHighEHighBlock2=sumAHighBMidCHighDHighEHighBlock2+y(i); % Sum of y's for high A, mid B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBMidCHighDHighEHighBlock3=sumAHighBMidCHighDHighEHighBlock3+y(i); % Sum of y's for high A, mid B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBMidCHighDHighEHighBlock4=sumAHighBMidCHighDHighEHighBlock4+y(i); % Sum of y's for high A, mid B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBMidCHighDHighEHighBlock5=sumAHighBMidCHighDHighEHighBlock5+y(i); % Sum of y's for high A, mid B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                elseif B(i)==1
                    sumAHighBHigh=sumAHighBHigh+y(i); % Sum of y's for high A and high B
                    if numFactors==2
                        if Block(i)==1
                            sumAHighBHighBlock1=sumAHighBHighBlock1+y(i); % Sum of y's for high A and high B in Block 1
                        elseif Block(i)==2
                            sumAHighBHighBlock2=sumAHighBHighBlock2+y(i); % Sum of y's for high A and high B in Block 2
                        elseif Block(i)==3
                            sumAHighBHighBlock3=sumAHighBHighBlock3+y(i); % Sum of y's for high A and high B in Block 3
                        elseif Block(i)==4
                            sumAHighBHighBlock4=sumAHighBHighBlock4+y(i); % Sum of y's for high A and high B in Block 4
                        elseif Block(i)==5
                            sumAHighBHighBlock5=sumAHighBHighBlock5+y(i); % Sum of y's for high A and high B in Block 5
                        end
                    end
                    if numFactors>2
                        if C(i)==-1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBHighCLowBlock1=sumAHighBHighCLowBlock1+y(i); % Sum of y's for high A, high B and low C in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCLowBlock2=sumAHighBHighCLowBlock2+y(i); % Sum of y's for high A, high B and low C in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCLowBlock3=sumAHighBHighCLowBlock3+y(i); % Sum of y's for high A, high B and low C in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCLowBlock4=sumAHighBHighCLowBlock4+y(i); % Sum of y's for high A, high B and low C in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCLowBlock5=sumAHighBHighCLowBlock5+y(i); % Sum of y's for high A, high B and low C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCLowDLowBlock1=sumAHighBHighCLowDLowBlock1+y(i); % Sum of y's for high A, high B, low C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCLowDLowBlock2=sumAHighBHighCLowDLowBlock2+y(i); % Sum of y's for high A, high B, low C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCLowDLowBlock3=sumAHighBHighCLowDLowBlock3+y(i); % Sum of y's for high A, high B, low C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCLowDLowBlock4=sumAHighBHighCLowDLowBlock4+y(i); % Sum of y's for high A, high B, low C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCLowDLowBlock5=sumAHighBHighCLowDLowBlock5+y(i); % Sum of y's for high A, high B, low C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCLowDLowELowBlock1=sumAHighBHighCLowDLowELowBlock1+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCLowDLowELowBlock2=sumAHighBHighCLowDLowELowBlock2+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCLowDLowELowBlock3=sumAHighBHighCLowDLowELowBlock3+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCLowDLowELowBlock4=sumAHighBHighCLowDLowELowBlock4+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCLowDLowELowBlock5=sumAHighBHighCLowDLowELowBlock5+y(i); % Sum of y's for high A, high B, low C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCLowDLowEMidBlock1=sumAHighBHighCLowDLowEMidBlock1+y(i); % Sum of y's for high A, high B, low C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCLowDLowEMidBlock2=sumAHighBHighCLowDLowEMidBlock2+y(i); % Sum of y's for high A, high B, low C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCLowDLowEMidBlock3=sumAHighBHighCLowDLowEMidBlock3+y(i); % Sum of y's for high A, high B, low C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCLowDLowEMidBlock4=sumAHighBHighCLowDLowEMidBlock4+y(i); % Sum of y's for high A, high B, low C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCLowDLowEMidBlock5=sumAHighBHighCLowDLowEMidBlock5+y(i); % Sum of y's for high A, high B, low C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCLowDLowEHighBlock1=sumAHighBHighCLowDLowEHighBlock1+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCLowDLowEHighBlock2=sumAHighBHighCLowDLowEHighBlock2+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCLowDLowEHighBlock3=sumAHighBHighCLowDLowEHighBlock3+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCLowDLowEHighBlock4=sumAHighBHighCLowDLowEHighBlock4+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCLowDLowEHighBlock5=sumAHighBHighCLowDLowEHighBlock5+y(i); % Sum of y's for high A, high B, low C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCLowDMidBlock1=sumAHighBHighCLowDMidBlock1+y(i); % Sum of y's for high A, high B, low C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCLowDMidBlock2=sumAHighBHighCLowDMidBlock2+y(i); % Sum of y's for high A, high B, low C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCLowDMidBlock3=sumAHighBHighCLowDMidBlock3+y(i); % Sum of y's for high A, high B, low C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCLowDMidBlock4=sumAHighBHighCLowDMidBlock4+y(i); % Sum of y's for high A, high B, low C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCLowDMidBlock5=sumAHighBHighCLowDMidBlock5+y(i); % Sum of y's for high A, high B, low C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDMidELowBlock1=sumAHighBHighCLowDMidELowBlock1+y(i); % Sum of y's for high A, high B, low C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDMidELowBlock2=sumAHighBHighCLowDMidELowBlock2+y(i); % Sum of y's for high A, high B, low C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDMidELowBlock3=sumAHighBHighCLowDMidELowBlock3+y(i); % Sum of y's for high A, high B, low C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDMidELowBlock4=sumAHighBHighCLowDMidELowBlock4+y(i); % Sum of y's for high A, high B, low C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDMidELowBlock5=sumAHighBHighCLowDMidELowBlock5+y(i); % Sum of y's for high A, high B, low C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDMidEMidBlock1=sumAHighBHighCLowDMidEMidBlock1+y(i); % Sum of y's for high A, high B, low C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDMidEMidBlock2=sumAHighBHighCLowDMidEMidBlock2+y(i); % Sum of y's for high A, high B, low C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDMidEMidBlock3=sumAHighBHighCLowDMidEMidBlock3+y(i); % Sum of y's for high A, high B, low C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDMidEMidBlock4=sumAHighBHighCLowDMidEMidBlock4+y(i); % Sum of y's for high A, high B, low C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDMidEMidBlock5=sumAHighBHighCLowDMidEMidBlock5+y(i); % Sum of y's for high A, high B, low C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDMidEHighBlock1=sumAHighBHighCLowDMidEHighBlock1+y(i); % Sum of y's for high A, high B, low C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDMidEHighBlock2=sumAHighBHighCLowDMidEHighBlock2+y(i); % Sum of y's for high A, high B, low C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDMidEHighBlock3=sumAHighBHighCLowDMidEHighBlock3+y(i); % Sum of y's for high A, high B, low C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDMidEHighBlock4=sumAHighBHighCLowDMidEHighBlock4+y(i); % Sum of y's for high A, high B, low C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDMidEHighBlock5=sumAHighBHighCLowDMidEHighBlock5+y(i); % Sum of y's for high A, high B, low C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCLowDHighBlock1=sumAHighBHighCLowDHighBlock1+y(i); % Sum of y's for high A, high B, low C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCLowDHighBlock2=sumAHighBHighCLowDHighBlock2+y(i); % Sum of y's for high A, high B, low C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCLowDHighBlock3=sumAHighBHighCLowDHighBlock3+y(i); % Sum of y's for high A, high B, low C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCLowDHighBlock4=sumAHighBHighCLowDHighBlock4+y(i); % Sum of y's for high A, high B, low C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCLowDHighBlock5=sumAHighBHighCLowDHighBlock5+y(i); % Sum of y's for high A, high B, low C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDHighELowBlock1=sumAHighBHighCLowDHighELowBlock1+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDHighELowBlock2=sumAHighBHighCLowDHighELowBlock2+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDHighELowBlock3=sumAHighBHighCLowDHighELowBlock3+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDHighELowBlock4=sumAHighBHighCLowDHighELowBlock4+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDHighELowBlock5=sumAHighBHighCLowDHighELowBlock5+y(i); % Sum of y's for high A, high B, low C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDHighEMidBlock1=sumAHighBHighCLowDHighEMidBlock1+y(i); % Sum of y's for high A, high B, low C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDHighEMidBlock2=sumAHighBHighCLowDHighEMidBlock2+y(i); % Sum of y's for high A, high B, low C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDHighEMidBlock3=sumAHighBHighCLowDHighEMidBlock3+y(i); % Sum of y's for high A, high B, low C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDHighEMidBlock4=sumAHighBHighCLowDHighEMidBlock4+y(i); % Sum of y's for high A, high B, low C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDHighEMidBlock5=sumAHighBHighCLowDHighEMidBlock5+y(i); % Sum of y's for high A, high B, low C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCLowDHighEHighBlock1=sumAHighBHighCLowDHighEHighBlock1+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCLowDHighEHighBlock2=sumAHighBHighCLowDHighEHighBlock2+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCLowDHighEHighBlock3=sumAHighBHighCLowDHighEHighBlock3+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCLowDHighEHighBlock4=sumAHighBHighCLowDHighEHighBlock4+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCLowDHighEHighBlock5=sumAHighBHighCLowDHighEHighBlock5+y(i); % Sum of y's for high A, high B, low C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==0
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBHighCMidBlock1=sumAHighBHighCMidBlock1+y(i); % Sum of y's for high A, high B and mid C in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCMidBlock2=sumAHighBHighCMidBlock2+y(i); % Sum of y's for high A, high B and mid C in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCMidBlock3=sumAHighBHighCMidBlock3+y(i); % Sum of y's for high A, high B and mid C in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCMidBlock4=sumAHighBHighCMidBlock4+y(i); % Sum of y's for high A, high B and mid C in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCMidBlock5=sumAHighBHighCMidBlock5+y(i); % Sum of y's for high A, high B and mid C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCMidDLowBlock1=sumAHighBHighCMidDLowBlock1+y(i); % Sum of y's for high A, high B, mid C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCMidDLowBlock2=sumAHighBHighCMidDLowBlock2+y(i); % Sum of y's for high A, high B, mid C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCMidDLowBlock3=sumAHighBHighCMidDLowBlock3+y(i); % Sum of y's for high A, high B, mid C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCMidDLowBlock4=sumAHighBHighCMidDLowBlock4+y(i); % Sum of y's for high A, high B, mid C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCMidDLowBlock5=sumAHighBHighCMidDLowBlock5+y(i); % Sum of y's for high A, high B, mid C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCMidDLowELowBlock1=sumAHighBHighCMidDLowELowBlock1+y(i); % Sum of y's for high A, high B, mid C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCMidDLowELowBlock2=sumAHighBHighCMidDLowELowBlock2+y(i); % Sum of y's for high A, high B, mid C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCMidDLowELowBlock3=sumAHighBHighCMidDLowELowBlock3+y(i); % Sum of y's for high A, high B, mid C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCMidDLowELowBlock4=sumAHighBHighCMidDLowELowBlock4+y(i); % Sum of y's for high A, high B, mid C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCMidDLowELowBlock5=sumAHighBHighCMidDLowELowBlock5+y(i); % Sum of y's for high A, high B, mid C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCMidDLowEMidBlock1=sumAHighBHighCMidDLowEMidBlock1+y(i); % Sum of y's for high A, high B, mid C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCMidDLowEMidBlock2=sumAHighBHighCMidDLowEMidBlock2+y(i); % Sum of y's for high A, high B, mid C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCMidDLowEMidBlock3=sumAHighBHighCMidDLowEMidBlock3+y(i); % Sum of y's for high A, high B, mid C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCMidDLowEMidBlock4=sumAHighBHighCMidDLowEMidBlock4+y(i); % Sum of y's for high A, high B, mid C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCMidDLowEMidBlock5=sumAHighBHighCMidDLowEMidBlock5+y(i); % Sum of y's for high A, high B, mid C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCMidDLowEHighBlock1=sumAHighBHighCMidDLowEHighBlock1+y(i); % Sum of y's for high A, high B, mid C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCMidDLowEHighBlock2=sumAHighBHighCMidDLowEHighBlock2+y(i); % Sum of y's for high A, high B, mid C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCMidDLowEHighBlock3=sumAHighBHighCMidDLowEHighBlock3+y(i); % Sum of y's for high A, high B, mid C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCMidDLowEHighBlock4=sumAHighBHighCMidDLowEHighBlock4+y(i); % Sum of y's for high A, high B, mid C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCMidDLowEHighBlock5=sumAHighBHighCMidDLowEHighBlock5+y(i); % Sum of y's for high A, high B, mid C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCMidDMidBlock1=sumAHighBHighCMidDMidBlock1+y(i); % Sum of y's for high A, high B, mid C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCMidDMidBlock2=sumAHighBHighCMidDMidBlock2+y(i); % Sum of y's for high A, high B, mid C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCMidDMidBlock3=sumAHighBHighCMidDMidBlock3+y(i); % Sum of y's for high A, high B, mid C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCMidDMidBlock4=sumAHighBHighCMidDMidBlock4+y(i); % Sum of y's for high A, high B, mid C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCMidDMidBlock5=sumAHighBHighCMidDMidBlock5+y(i); % Sum of y's for high A, high B, mid C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDMidELowBlock1=sumAHighBHighCMidDMidELowBlock1+y(i); % Sum of y's for high A, high B, mid C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDMidELowBlock2=sumAHighBHighCMidDMidELowBlock2+y(i); % Sum of y's for high A, high B, mid C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDMidELowBlock3=sumAHighBHighCMidDMidELowBlock3+y(i); % Sum of y's for high A, high B, mid C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDMidELowBlock4=sumAHighBHighCMidDMidELowBlock4+y(i); % Sum of y's for high A, high B, mid C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDMidELowBlock5=sumAHighBHighCMidDMidELowBlock5+y(i); % Sum of y's for high A, high B, mid C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDMidEMidBlock1=sumAHighBHighCMidDMidEMidBlock1+y(i); % Sum of y's for high A, high B, mid C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDMidEMidBlock2=sumAHighBHighCMidDMidEMidBlock2+y(i); % Sum of y's for high A, high B, mid C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDMidEMidBlock3=sumAHighBHighCMidDMidEMidBlock3+y(i); % Sum of y's for high A, high B, mid C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDMidEMidBlock4=sumAHighBHighCMidDMidEMidBlock4+y(i); % Sum of y's for high A, high B, mid C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDMidEMidBlock5=sumAHighBHighCMidDMidEMidBlock5+y(i); % Sum of y's for high A, high B, mid C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDMidEHighBlock1=sumAHighBHighCMidDMidEHighBlock1+y(i); % Sum of y's for high A, high B, mid C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDMidEHighBlock2=sumAHighBHighCMidDMidEHighBlock2+y(i); % Sum of y's for high A, high B, mid C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDMidEHighBlock3=sumAHighBHighCMidDMidEHighBlock3+y(i); % Sum of y's for high A, high B, mid C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDMidEHighBlock4=sumAHighBHighCMidDMidEHighBlock4+y(i); % Sum of y's for high A, high B, mid C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDMidEHighBlock5=sumAHighBHighCMidDMidEHighBlock5+y(i); % Sum of y's for high A, high B, mid C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCMidDHighBlock1=sumAHighBHighCMidDHighBlock1+y(i); % Sum of y's for high A, high B, mid C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCMidDHighBlock2=sumAHighBHighCMidDHighBlock2+y(i); % Sum of y's for high A, high B, mid C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCMidDHighBlock3=sumAHighBHighCMidDHighBlock3+y(i); % Sum of y's for high A, high B, mid C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCMidDHighBlock4=sumAHighBHighCMidDHighBlock4+y(i); % Sum of y's for high A, high B, mid C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCMidDHighBlock5=sumAHighBHighCMidDHighBlock5+y(i); % Sum of y's for high A, high B, mid C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDHighELowBlock1=sumAHighBHighCMidDHighELowBlock1+y(i); % Sum of y's for high A, high B, mid C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDHighELowBlock2=sumAHighBHighCMidDHighELowBlock2+y(i); % Sum of y's for high A, high B, mid C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDHighELowBlock3=sumAHighBHighCMidDHighELowBlock3+y(i); % Sum of y's for high A, high B, mid C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDHighELowBlock4=sumAHighBHighCMidDHighELowBlock4+y(i); % Sum of y's for high A, high B, mid C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDHighELowBlock5=sumAHighBHighCMidDHighELowBlock5+y(i); % Sum of y's for high A, high B, mid C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDHighEMidBlock1=sumAHighBHighCMidDHighEMidBlock1+y(i); % Sum of y's for high A, high B, mid C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDHighEMidBlock2=sumAHighBHighCMidDHighEMidBlock2+y(i); % Sum of y's for high A, high B, mid C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDHighEMidBlock3=sumAHighBHighCMidDHighEMidBlock3+y(i); % Sum of y's for high A, high B, mid C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDHighEMidBlock4=sumAHighBHighCMidDHighEMidBlock4+y(i); % Sum of y's for high A, high B, mid C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDHighEMidBlock5=sumAHighBHighCMidDHighEMidBlock5+y(i); % Sum of y's for high A, high B, mid C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCMidDHighEHighBlock1=sumAHighBHighCMidDHighEHighBlock1+y(i); % Sum of y's for high A, high B, mid C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCMidDHighEHighBlock2=sumAHighBHighCMidDHighEHighBlock2+y(i); % Sum of y's for high A, high B, mid C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCMidDHighEHighBlock3=sumAHighBHighCMidDHighEHighBlock3+y(i); % Sum of y's for high A, high B, mid C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCMidDHighEHighBlock4=sumAHighBHighCMidDHighEHighBlock4+y(i); % Sum of y's for high A, high B, mid C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCMidDHighEHighBlock5=sumAHighBHighCMidDHighEHighBlock5+y(i); % Sum of y's for high A, high B, mid C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        elseif C(i)==1
                            if numFactors==3
                                if Block(i)==1
                                    sumAHighBHighCHighBlock1=sumAHighBHighCHighBlock1+y(i); % Sum of y's for high A, high B and high C in Block 1
                                elseif Block(i)==2
                                    sumAHighBHighCHighBlock2=sumAHighBHighCHighBlock2+y(i); % Sum of y's for high A, high B and high C in Block 2
                                elseif Block(i)==3
                                    sumAHighBHighCHighBlock3=sumAHighBHighCHighBlock3+y(i); % Sum of y's for high A, high B and high C in Block 3
                                elseif Block(i)==4
                                    sumAHighBHighCHighBlock4=sumAHighBHighCHighBlock4+y(i); % Sum of y's for high A, high B and high C in Block 4
                                elseif Block(i)==5
                                    sumAHighBHighCHighBlock5=sumAHighBHighCHighBlock5+y(i); % Sum of y's for high A, high B and high C in Block 5
                                end
                            end
                            if numFactors>3
                                if D(i)==-1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCHighDLowBlock1=sumAHighBHighCHighDLowBlock1+y(i); % Sum of y's for high A, high B, high C and low D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCHighDLowBlock2=sumAHighBHighCHighDLowBlock2+y(i); % Sum of y's for high A, high B, high C and low D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCHighDLowBlock3=sumAHighBHighCHighDLowBlock3+y(i); % Sum of y's for high A, high B, high C and low D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCHighDLowBlock4=sumAHighBHighCHighDLowBlock4+y(i); % Sum of y's for high A, high B, high C and low D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCHighDLowBlock5=sumAHighBHighCHighDLowBlock5+y(i); % Sum of y's for high A, high B, high C and low D in Block 5
                                        end
                                    end
                                    if numFactors>4
                                        if E(i)==-1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCHighDLowELowBlock1=sumAHighBHighCHighDLowELowBlock1+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCHighDLowELowBlock2=sumAHighBHighCHighDLowELowBlock2+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCHighDLowELowBlock3=sumAHighBHighCHighDLowELowBlock3+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCHighDLowELowBlock4=sumAHighBHighCHighDLowELowBlock4+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCHighDLowELowBlock5=sumAHighBHighCHighDLowELowBlock5+y(i); % Sum of y's for high A, high B, high C, low D and low E in Block 5
                                                end
                                            end
                                        elseif E(i)==0
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCHighDLowEMidBlock1=sumAHighBHighCHighDLowEMidBlock1+y(i); % Sum of y's for high A, high B, high C, low D and mid E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCHighDLowEMidBlock2=sumAHighBHighCHighDLowEMidBlock2+y(i); % Sum of y's for high A, high B, high C, low D and mid E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCHighDLowEMidBlock3=sumAHighBHighCHighDLowEMidBlock3+y(i); % Sum of y's for high A, high B, high C, low D and mid E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCHighDLowEMidBlock4=sumAHighBHighCHighDLowEMidBlock4+y(i); % Sum of y's for high A, high B, high C, low D and mid E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCHighDLowEMidBlock5=sumAHighBHighCHighDLowEMidBlock5+y(i); % Sum of y's for high A, high B, high C, low D and mid E in Block 5
                                                end
                                            end
                                        elseif E(i)==1
                                            if numFactors==5
                                                if Block(i)==1
                                                    sumAHighBHighCHighDLowEHighBlock1=sumAHighBHighCHighDLowEHighBlock1+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 1
                                                elseif Block(i)==2
                                                    sumAHighBHighCHighDLowEHighBlock2=sumAHighBHighCHighDLowEHighBlock2+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 2
                                                elseif Block(i)==3
                                                    sumAHighBHighCHighDLowEHighBlock3=sumAHighBHighCHighDLowEHighBlock3+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 3
                                                elseif Block(i)==4
                                                    sumAHighBHighCHighDLowEHighBlock4=sumAHighBHighCHighDLowEHighBlock4+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 4
                                                elseif Block(i)==5
                                                    sumAHighBHighCHighDLowEHighBlock5=sumAHighBHighCHighDLowEHighBlock5+y(i); % Sum of y's for high A, high B, high C, low D and high E in Block 5
                                                end
                                            end
                                        end
                                    end
                                elseif D(i)==0
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCHighDMidBlock1=sumAHighBHighCHighDMidBlock1+y(i); % Sum of y's for high A, high B, high C and mid D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCHighDMidBlock2=sumAHighBHighCHighDMidBlock2+y(i); % Sum of y's for high A, high B, high C and mid D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCHighDMidBlock3=sumAHighBHighCHighDMidBlock3+y(i); % Sum of y's for high A, high B, high C and mid D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCHighDMidBlock4=sumAHighBHighCHighDMidBlock4+y(i); % Sum of y's for high A, high B, high C and mid D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCHighDMidBlock5=sumAHighBHighCHighDMidBlock5+y(i); % Sum of y's for high A, high B, high C and mid D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDMidELowBlock1=sumAHighBHighCHighDMidELowBlock1+y(i); % Sum of y's for high A, high B, high C, mid D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDMidELowBlock2=sumAHighBHighCHighDMidELowBlock2+y(i); % Sum of y's for high A, high B, high C, mid D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDMidELowBlock3=sumAHighBHighCHighDMidELowBlock3+y(i); % Sum of y's for high A, high B, high C, mid D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDMidELowBlock4=sumAHighBHighCHighDMidELowBlock4+y(i); % Sum of y's for high A, high B, high C, mid D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDMidELowBlock5=sumAHighBHighCHighDMidELowBlock5+y(i); % Sum of y's for high A, high B, high C, mid D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDMidEMidBlock1=sumAHighBHighCHighDMidEMidBlock1+y(i); % Sum of y's for high A, high B, high C, mid D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDMidEMidBlock2=sumAHighBHighCHighDMidEMidBlock2+y(i); % Sum of y's for high A, high B, high C, mid D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDMidEMidBlock3=sumAHighBHighCHighDMidEMidBlock3+y(i); % Sum of y's for high A, high B, high C, mid D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDMidEMidBlock4=sumAHighBHighCHighDMidEMidBlock4+y(i); % Sum of y's for high A, high B, high C, mid D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDMidEMidBlock5=sumAHighBHighCHighDMidEMidBlock5+y(i); % Sum of y's for high A, high B, high C, mid D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDMidEHighBlock1=sumAHighBHighCHighDMidEHighBlock1+y(i); % Sum of y's for high A, high B, high C, mid D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDMidEHighBlock2=sumAHighBHighCHighDMidEHighBlock2+y(i); % Sum of y's for high A, high B, high C, mid D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDMidEHighBlock3=sumAHighBHighCHighDMidEHighBlock3+y(i); % Sum of y's for high A, high B, high C, mid D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDMidEHighBlock4=sumAHighBHighCHighDMidEHighBlock4+y(i); % Sum of y's for high A, high B, high C, mid D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDMidEHighBlock5=sumAHighBHighCHighDMidEHighBlock5+y(i); % Sum of y's for high A, high B, high C, mid D and high E in Block 5
                                            end
                                        end
                                    end
                                elseif D(i)==1
                                    if numFactors==4
                                        if Block(i)==1
                                            sumAHighBHighCHighDHighBlock1=sumAHighBHighCHighDHighBlock1+y(i); % Sum of y's for high A, high B, high C and high D in Block 1
                                        elseif Block(i)==2
                                            sumAHighBHighCHighDHighBlock2=sumAHighBHighCHighDHighBlock2+y(i); % Sum of y's for high A, high B, high C and high D in Block 2
                                        elseif Block(i)==3
                                            sumAHighBHighCHighDHighBlock3=sumAHighBHighCHighDHighBlock3+y(i); % Sum of y's for high A, high B, high C and high D in Block 3
                                        elseif Block(i)==4
                                            sumAHighBHighCHighDHighBlock4=sumAHighBHighCHighDHighBlock4+y(i); % Sum of y's for high A, high B, high C and high D in Block 4
                                        elseif Block(i)==5
                                            sumAHighBHighCHighDHighBlock5=sumAHighBHighCHighDHighBlock5+y(i); % Sum of y's for high A, high B, high C and high D in Block 5
                                        end
                                    end
                                    if E(i)==-1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDHighELowBlock1=sumAHighBHighCHighDHighELowBlock1+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDHighELowBlock2=sumAHighBHighCHighDHighELowBlock2+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDHighELowBlock3=sumAHighBHighCHighDHighELowBlock3+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDHighELowBlock4=sumAHighBHighCHighDHighELowBlock4+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDHighELowBlock5=sumAHighBHighCHighDHighELowBlock5+y(i); % Sum of y's for high A, high B, high C, high D and low E in Block 5
                                            end
                                        end
                                    elseif E(i)==0
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDHighEMidBlock1=sumAHighBHighCHighDHighEMidBlock1+y(i); % Sum of y's for high A, high B, high C, high D and mid E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDHighEMidBlock2=sumAHighBHighCHighDHighEMidBlock2+y(i); % Sum of y's for high A, high B, high C, high D and mid E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDHighEMidBlock3=sumAHighBHighCHighDHighEMidBlock3+y(i); % Sum of y's for high A, high B, high C, high D and mid E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDHighEMidBlock4=sumAHighBHighCHighDHighEMidBlock4+y(i); % Sum of y's for high A, high B, high C, high D and mid E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDHighEMidBlock5=sumAHighBHighCHighDHighEMidBlock5+y(i); % Sum of y's for high A, high B, high C, high D and mid E in Block 5
                                            end
                                        end
                                    elseif E(i)==1
                                        if numFactors==5
                                            if Block(i)==1
                                                sumAHighBHighCHighDHighEHighBlock1=sumAHighBHighCHighDHighEHighBlock1+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 1
                                            elseif Block(i)==2
                                                sumAHighBHighCHighDHighEHighBlock2=sumAHighBHighCHighDHighEHighBlock2+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 2
                                            elseif Block(i)==3
                                                sumAHighBHighCHighDHighEHighBlock3=sumAHighBHighCHighDHighEHighBlock3+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 3
                                            elseif Block(i)==4
                                                sumAHighBHighCHighDHighEHighBlock4=sumAHighBHighCHighDHighEHighBlock4+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 4
                                            elseif Block(i)==5
                                                sumAHighBHighCHighDHighEHighBlock5=sumAHighBHighCHighDHighEHighBlock5+y(i); % Sum of y's for high A, high B, high C, high D and high E in Block 5
                                            end
                                        end
                                    end
                                end
                            end
                        end 
                    end
                end
            end
            if numFactors>2
                if C(i)==-1
                    sumAHighCLow=sumAHighCLow+y(i); % Sum of y's for high A and low C
                elseif C(i)==0
                    sumAHighCMid=sumAHighCMid+y(i); % Sum of y's for high A and mid C
                elseif C(i)==1
                    sumAHighCHigh=sumAHighCHigh+y(i); % Sum of y's for high A and high C
                end
            end
            if numFactors>3
                if D(i)==-1
                    sumAHighDLow=sumAHighDLow+y(i); % Sum of y's for high A and low D
                elseif D(i)==0
                    sumAHighDMid=sumAHighDMid+y(i); % Sum of y's for high A and mid D
                elseif D(i)==1
                    sumAHighDHigh=sumAHighDHigh+y(i); % Sum of y's for high A and high D
                end
            end
            if numFactors>4
                if E(i)==-1
                    sumAHighELow=sumAHighELow+y(i); % Sum of y's for high A and low E
                elseif E(i)==0
                    sumAHighEMid=sumAHighEMid+y(i); % Sum of y's for high A and mid E
                elseif E(i)==1
                    sumAHighEHigh=sumAHighEHigh+y(i); % Sum of y's for high A and high E
                end
            end
        end
        if numFactors>1
            if B(i)==-1
                sumBLow=sumBLow+y(i); % Sum of y's for low B
                if numFactors>2
                    if C(i)==-1
                        sumBLowCLow=sumBLowCLow+y(i); % Sum of y's for low B and low C
                    elseif C(i)==0
                        sumBLowCMid=sumBLowCMid+y(i); % Sum of y's for low B and mid C
                    elseif C(i)==1
                        sumBLowCHigh=sumBLowCHigh+y(i); % Sum of y's for low B and high C
                    end
                end
                if numFactors>3
                    if D(i)==-1
                        sumBLowDLow=sumBLowDLow+y(i); % Sum of y's for low B and low D
                    elseif D(i)==0
                        sumBLowDMid=sumBLowDMid+y(i); % Sum of y's for low B and mid D
                    elseif D(i)==1
                        sumBLowDHigh=sumBLowDHigh+y(i); % Sum of y's for low B and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumBLowELow=sumBLowELow+y(i); % Sum of y's for low B and low E
                    elseif E(i)==0
                        sumBLowEMid=sumBLowEMid+y(i); % Sum of y's for low B and mid E
                    elseif E(i)==1
                        sumBLowEHigh=sumBLowEHigh+y(i); % Sum of y's for low B and high E
                    end 
                end
            elseif B(i)==0
                sumBMid=sumBMid+y(i); % Sum of y's for mid B
                if numFactors>2
                    if C(i)==-1
                        sumBMidCLow=sumBMidCLow+y(i); % Sum of y's for mid B and low C
                    elseif C(i)==0
                        sumBMidCMid=sumBMidCMid+y(i); % Sum of y's for mid B and mid C
                    elseif C(i)==1
                        sumBMidCHigh=sumBMidCHigh+y(i); % Sum of y's for mid B and high C
                    end
                end
                if numFactors>3
                    if D(i)==-1
                        sumBMidDLow=sumBMidDLow+y(i); % Sum of y's for mid B and low D
                    elseif D(i)==0
                        sumBMidDMid=sumBMidDMid+y(i); % Sum of y's for mid B and mid D
                    elseif D(i)==1
                        sumBMidDHigh=sumBMidDHigh+y(i); % Sum of y's for mid B and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumBMidELow=sumBMidELow+y(i); % Sum of y's for mid B and low E
                    elseif E(i)==0
                        sumBMidEMid=sumBMidEMid+y(i); % Sum of y's for mid B and mid E
                    elseif E(i)==1
                        sumBMidEHigh=sumBMidEHigh+y(i); % Sum of y's for mid B and high E
                    end 
                end
            elseif B(i)==1
                sumBHigh=sumBHigh+y(i); % Sum of y's for high B
                if numFactors>2
                    if C(i)==-1
                        sumBHighCLow=sumBHighCLow+y(i); % Sum of y's for high B and low C
                    elseif C(i)==0
                        sumBHighCMid=sumBHighCMid+y(i); % Sum of y's for high B and mid C
                    elseif C(i)==1
                        sumBHighCHigh=sumBHighCHigh+y(i); % Sum of y's for high B and high C
                    end
                end
                if numFactors>3
                    if D(i)==-1
                        sumBHighDLow=sumBHighDLow+y(i); % Sum of y's for high B and low D
                    elseif D(i)==0
                        sumBHighDMid=sumBHighDMid+y(i); % Sum of y's for high B and mid D
                    elseif D(i)==1
                        sumBHighDHigh=sumBHighDHigh+y(i); % Sum of y's for high B and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumBHighELow=sumBHighELow+y(i); % Sum of y's for high B and low E
                    elseif E(i)==0
                        sumBHighEMid=sumBHighEMid+y(i); % Sum of y's for high B and mid E
                    elseif E(i)==1
                        sumBHighEHigh=sumBHighEHigh+y(i); % Sum of y's for high B and high E
                    end 
                end
            end
        end
        if numFactors>2
            if C(i)==-1
                sumCLow=sumCLow+y(i); % Sum of y's for low C
                if numFactors>3
                    if D(i)==-1
                        sumCLowDLow=sumCLowDLow+y(i); % Sum of y's for low C and low D
                    elseif D(i)==0
                        sumCLowDMid=sumCLowDMid+y(i); % Sum of y's for low C and mid D
                    elseif D(i)==1
                        sumCLowDHigh=sumCLowDHigh+y(i); % Sum of y's for low C and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumCLowELow=sumCLowELow+y(i); % Sum of y's for low C and low E
                    elseif E(i)==0
                        sumCLowEMid=sumCLowEMid+y(i); % Sum of y's for low C and mid E
                    elseif E(i)==1
                        sumCLowEHigh=sumCLowEHigh+y(i); % Sum of y's for low C and high E
                    end
                end
            elseif C(i)==0
                sumCMid=sumCMid+y(i); % Sum of y's for mid C
                if numFactors>3
                    if D(i)==-1
                        sumCMidDLow=sumCMidDLow+y(i); % Sum of y's for mid C and low D
                    elseif D(i)==0
                        sumCMidDMid=sumCMidDMid+y(i); % Sum of y's for mid C and mid D
                    elseif D(i)==1
                        sumCMidDHigh=sumCMidDHigh+y(i); % Sum of y's for mid C and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumCMidELow=sumCMidELow+y(i); % Sum of y's for mid C and low E
                    elseif E(i)==0
                        sumCMidEMid=sumCMidEMid+y(i); % Sum of y's for mid C and mid E
                    elseif E(i)==1
                        sumCMidEHigh=sumCMidEHigh+y(i); % Sum of y's for mid C and high E
                    end
                end
            elseif C(i)==1
                sumCHigh=sumCHigh+y(i); % Sum of y's for high C
                if numFactors>3
                    if D(i)==-1
                        sumCHighDLow=sumCHighDLow+y(i); % Sum of y's for high C and low D
                    elseif D(i)==0
                        sumCHighDMid=sumCHighDMid+y(i); % Sum of y's for high C and mid D
                    elseif D(i)==1
                        sumCHighDHigh=sumCHighDHigh+y(i); % Sum of y's for high C and high D
                    end
                end
                if numFactors>4
                    if E(i)==-1
                        sumCHighELow=sumCHighELow+y(i); % Sum of y's for high C and low E
                    elseif E(i)==0
                        sumCHighEMid=sumCHighEMid+y(i); % Sum of y's for high C and mid E
                    elseif E(i)==1
                        sumCHighEHigh=sumCHighEHigh+y(i); % Sum of y's for high C and high E
                    end
                end
            end
        end
        if numFactors>3
            if D(i)==-1
                sumDLow=sumDLow+y(i); % Sum of y's for low D
                if numFactors>4
                    if E(i)==-1
                        sumDLowELow=sumDLowELow+y(i); % Sum of y's for low D and low E
                    elseif E(i)==0
                        sumDLowEMid=sumDLowEMid+y(i); % Sum of y's for low D and mid E
                    elseif E(i)==1
                        sumDLowEHigh=sumDLowEHigh+y(i); % Sum of y's for low D and high E
                    end
                end
            elseif D(i)==0
                sumDMid=sumDMid+y(i); % Sum of y's for mid D
                if numFactors>4
                    if E(i)==-1
                        sumDMidELow=sumDMidELow+y(i); % Sum of y's for mid D and low E
                    elseif E(i)==0
                        sumDMidEMid=sumDMidEMid+y(i); % Sum of y's for mid D and mid E
                    elseif E(i)==1
                        sumDMidEHigh=sumDMidEHigh+y(i); % Sum of y's for mid D and high E
                    end
                end
            elseif D(i)==1
                sumDHigh=sumDHigh+y(i); % Sum of y's for high D
                if numFactors>4
                    if E(i)==-1
                        sumDHighELow=sumDHighELow+y(i); % Sum of y's for high D and low E
                    elseif E(i)==0
                        sumDHighEMid=sumDHighEMid+y(i); % Sum of y's for high D and mid E
                    elseif E(i)==1
                        sumDHighEHigh=sumDHighEHigh+y(i); % Sum of y's for high D and high E
                    end
                end
            end
        end
        if numFactors>4
            if E(i)==-1
                sumELow=sumELow+y(i); % Sum of y's for low E
            elseif E(i)==0
                sumEMid=sumEMid+y(i); % Sum of y's for mid E
            elseif E(i)==1
                sumEHigh=sumEHigh+y(i); % Sum of y's for high E
            end
        end    

        if Block(i)==1
            sumBlock1=sumBlock1+y(i); % Sum of y's in block 1 
        elseif Block(i)==2
            sumBlock2=sumBlock2+y(i); % Sum of y's in block 2
        elseif Block(i)==3
            sumBlock3=sumBlock3+y(i); % Sum of y's in block 3
        elseif Block(i)==4
            sumBlock4=sumBlock4+y(i); % Sum of y's in block 4
        elseif Block(i)==5
            sumBlock5=sumBlock5+y(i); % Sum of y's in block 5
        end
   
    end

    ssA=(sumALow^2+sumAMid^2+sumAHigh^2)/(b*c*d*e*m*n) - avgGrandSS; % Sum of squares for A
    ssB=(sumBLow^2+sumBMid^2+sumBHigh^2)/(a*c*d*e*m*n) - avgGrandSS; % Sum of squares for B
    ssC=(sumCLow^2+sumCMid^2+sumCHigh^2)/(a*b*d*e*m*n) - avgGrandSS; % Sum of squares for C
    ssD=(sumDLow^2+sumDMid^2+sumDHigh^2)/(a*b*c*e*m*n) - avgGrandSS; % Sum of squares for D
    ssE=(sumELow^2+sumEMid^2+sumEHigh^2)/(a*b*c*d*m*n) - avgGrandSS; % Sum of squares for E

    ssAB=(sumALowBLow^2+sumALowBMid^2+sumALowBHigh^2+...
            sumAMidBLow^2+sumAMidBMid^2+sumAMidBHigh^2+...
            sumAHighBLow^2+sumAHighBMid^2+sumAHighBHigh^2)/(c*d*e*m*n)...
        - avgGrandSS - ssA - ssB; % Sum of squares for AB
    ssAC=(sumALowCLow^2+sumALowCMid^2+sumALowCHigh^2+...
            sumAMidCLow^2+sumAMidCMid^2+sumAMidCHigh^2+...
            sumAHighCLow^2+sumAHighCMid^2+sumAHighCHigh^2)/(b*d*e*m*n)...
        - avgGrandSS - ssA - ssC; % Sum of squares for AC
    ssAD=(sumALowDLow^2+sumALowDMid^2+sumALowDHigh^2+...
            sumAMidDLow^2+sumAMidDMid^2+sumAMidDHigh^2+...
            sumAHighDLow^2+sumAHighDMid^2+sumAHighDHigh^2)/(b*c*e*m*n)...
        - avgGrandSS - ssA - ssD; % Sum of squares for AD
    ssAE=(sumALowELow^2+sumALowEMid^2+sumALowEHigh^2+...
            sumAMidELow^2+sumAMidEMid^2+sumAMidEHigh^2+...
            sumAHighELow^2+sumAHighEMid^2+sumAHighEHigh^2)/(b*c*d*m*n)...
        - avgGrandSS - ssA - ssE; % Sum of squares for AE
    ssBC=(sumBLowCLow^2+sumBLowCMid^2+sumBLowCHigh^2+...
            sumBMidCLow^2+sumBMidCMid^2+sumBMidCHigh^2+...
            sumBHighCLow^2+sumBHighCMid^2+sumBHighCHigh^2)/(a*d*e*m*n)...
        - avgGrandSS - ssB - ssC; % Sum of squares for BC
    ssBD=(sumBLowDLow^2+sumBLowDMid^2+sumBLowDHigh^2+...
            sumBMidDLow^2+sumBMidDMid^2+sumBMidDHigh^2+...
            sumBHighDLow^2+sumBHighDMid^2+sumBHighDHigh^2)/(a*c*e*m*n)...
        - avgGrandSS - ssB - ssD; % Sum of squares for BD
    ssBE=(sumBLowELow^2+sumBLowEMid^2+sumBLowEHigh^2+...
            sumBMidELow^2+sumBMidEMid^2+sumBMidEHigh^2+...
            sumBHighELow^2+sumBHighEMid^2+sumBHighEHigh^2)/(a*c*d*m*n)...
        - avgGrandSS - ssB - ssE; % Sum of squares for BE
    ssCD=(sumCLowDLow^2+sumCLowDMid^2+sumCLowDHigh^2+...
            sumCMidDLow^2+sumCMidDMid^2+sumCMidDHigh^2+...
            sumCHighDLow^2+sumCHighDMid^2+sumCHighDHigh^2)/(a*b*e*m*n)...
        - avgGrandSS - ssC - ssD; % Sum of squares for CD
    ssCE=(sumCLowELow^2+sumCLowEMid^2+sumCLowEHigh^2+...
            sumCMidELow^2+sumCMidEMid^2+sumCMidEHigh^2+...
            sumCHighELow^2+sumCHighEMid^2+sumCHighEHigh^2)/(a*b*d*m*n)...
        - avgGrandSS - ssC - ssE; % Sum of squares for CE
    ssDE=(sumDLowELow^2+sumDLowEMid^2+sumDLowEHigh^2+...
            sumDMidELow^2+sumDMidEMid^2+sumDMidEHigh^2+...
            sumDHighELow^2+sumDHighEMid^2+sumDHighEHigh^2)/(a*b*c*m*n)...
        - avgGrandSS - ssD - ssE; % Sum of squares for DE

    ssBlocks=(sumBlock1^2+sumBlock2^2+sumBlock3^2+sumBlock4^2+sumBlock5^2)/(a*b*c*d*e*n)...
        - avgGrandSS; % Sum of squares for blocks

    ssTotal=(sumALowBlock1^2+sumALowBlock2^2+sumALowBlock3^2+...
        sumALowBlock4^2+sumALowBlock5^2+sumAMidBlock1^2+sumAMidBlock2^2+...
        sumAMidBlock3^2+sumAMidBlock4^2+sumAMidBlock5^2+sumAHighBlock1^2+...
        sumAHighBlock2^2+sumAHighBlock3^2+sumAHighBlock4^2+...
        sumAHighBlock5^2+sumALowBLowBlock1^2+sumALowBLowBlock2^2+...
        sumALowBLowBlock3^2+sumALowBLowBlock4^2+sumALowBLowBlock5^2+...
        sumALowBMidBlock1^2+sumALowBMidBlock2^2+sumALowBMidBlock3^2+...
        sumALowBMidBlock4^2+sumALowBMidBlock5^2+sumALowBHighBlock1^2+...
        sumALowBHighBlock2^2+sumALowBHighBlock3^2+sumALowBHighBlock4^2+...
        sumALowBHighBlock5^2+sumAMidBLowBlock1^2+sumAMidBLowBlock2^2+...
        sumAMidBLowBlock3^2+sumAMidBLowBlock4^2+sumAMidBLowBlock5^2+...
        sumAMidBMidBlock1^2+sumAMidBMidBlock2^2+sumAMidBMidBlock3^2+...
        sumAMidBMidBlock4^2+sumAMidBMidBlock5^2+sumAMidBHighBlock1^2+...
        sumAMidBHighBlock2^2+sumAMidBHighBlock3^2+sumAMidBHighBlock4^2+...
        sumAMidBHighBlock5^2+sumAHighBLowBlock1^2+sumAHighBLowBlock2^2+...
        sumAHighBLowBlock3^2+sumAHighBLowBlock4^2+sumAHighBLowBlock5^2+...
        sumAHighBMidBlock1^2+sumAHighBMidBlock2^2+sumAHighBMidBlock3^2+...
        sumAHighBMidBlock4^2+sumAHighBMidBlock5^2+sumAHighBHighBlock1^2+...
        sumAHighBHighBlock2^2+sumAHighBHighBlock3^2+sumAHighBHighBlock4^2+...
        sumAHighBHighBlock5^2+sumALowBLowCLowBlock1^2+...
        sumALowBLowCLowBlock2^2+sumALowBLowCLowBlock3^2+...
        sumALowBLowCLowBlock4^2+sumALowBLowCLowBlock5^2+...
        sumALowBLowCMidBlock1^2+sumALowBLowCMidBlock2^2+...
        sumALowBLowCMidBlock3^2+sumALowBLowCMidBlock4^2+...
        sumALowBLowCMidBlock5^2+sumALowBLowCHighBlock1^2+...
        sumALowBLowCHighBlock2^2+sumALowBLowCHighBlock3^2+...
        sumALowBLowCHighBlock4^2+sumALowBLowCHighBlock5^2+...
        sumALowBMidCLowBlock1^2+sumALowBMidCLowBlock2^2+...
        sumALowBMidCLowBlock3^2+sumALowBMidCLowBlock4^2+...
        sumALowBMidCLowBlock5^2+sumALowBMidCMidBlock1^2+...
        sumALowBMidCMidBlock2^2+sumALowBMidCMidBlock3^2+...
        sumALowBMidCMidBlock4^2+sumALowBMidCMidBlock5^2+...
        sumALowBMidCHighBlock1^2+sumALowBMidCHighBlock2^2+...
        sumALowBMidCHighBlock3^2+sumALowBMidCHighBlock4^2+...
        sumALowBMidCHighBlock5^2+sumALowBHighCLowBlock1^2+...
        sumALowBHighCLowBlock2^2+sumALowBHighCLowBlock3^2+...
        sumALowBHighCLowBlock4^2+sumALowBHighCLowBlock5^2+...
        sumALowBHighCMidBlock1^2+sumALowBHighCMidBlock2^2+...
        sumALowBHighCMidBlock3^2+sumALowBHighCMidBlock4^2+...
        sumALowBHighCMidBlock5^2+sumALowBHighCHighBlock1^2+...
        sumALowBHighCHighBlock2^2+sumALowBHighCHighBlock3^2+...
        sumALowBHighCHighBlock4^2+sumALowBHighCHighBlock5^2+...
        sumAMidBLowCLowBlock1^2+sumAMidBLowCLowBlock2^2+...
        sumAMidBLowCLowBlock3^2+sumAMidBLowCLowBlock4^2+...
        sumAMidBLowCLowBlock5^2+sumAMidBLowCMidBlock1^2+...
        sumAMidBLowCMidBlock2^2+sumAMidBLowCMidBlock3^2+...
        sumAMidBLowCMidBlock4^2+sumAMidBLowCMidBlock5^2+...
        sumAMidBLowCHighBlock1^2+sumAMidBLowCHighBlock2^2+...
        sumAMidBLowCHighBlock3^2+sumAMidBLowCHighBlock4^2+...
        sumAMidBLowCHighBlock5^2+sumAMidBMidCLowBlock1^2+...
        sumAMidBMidCLowBlock2^2+sumAMidBMidCLowBlock3^2+...
        sumAMidBMidCLowBlock4^2+sumAMidBMidCLowBlock5^2+...
        sumAMidBMidCMidBlock1^2+sumAMidBMidCMidBlock2^2+...
        sumAMidBMidCMidBlock3^2+sumAMidBMidCMidBlock4^2+...
        sumAMidBMidCMidBlock5^2+sumAMidBMidCHighBlock1^2+...
        sumAMidBMidCHighBlock2^2+sumAMidBMidCHighBlock3^2+...
        sumAMidBMidCHighBlock4^2+sumAMidBMidCHighBlock5^2+...
        sumAMidBHighCLowBlock1^2+sumAMidBHighCLowBlock2^2+...
        sumAMidBHighCLowBlock3^2+sumAMidBHighCLowBlock4^2+...
        sumAMidBHighCLowBlock5^2+sumAMidBHighCMidBlock1^2+...
        sumAMidBHighCMidBlock2^2+sumAMidBHighCMidBlock3^2+...
        sumAMidBHighCMidBlock4^2+sumAMidBHighCMidBlock5^2+...
        sumAMidBHighCHighBlock1^2+sumAMidBHighCHighBlock2^2+...
        sumAMidBHighCHighBlock3^2+sumAMidBHighCHighBlock4^2+...
        sumAMidBHighCHighBlock5^2+sumAHighBLowCLowBlock1^2+...
        sumAHighBLowCLowBlock2^2+sumAHighBLowCLowBlock3^2+...
        sumAHighBLowCLowBlock4^2+sumAHighBLowCLowBlock5^2+...
        sumAHighBLowCMidBlock1^2+sumAHighBLowCMidBlock2^2+...
        sumAHighBLowCMidBlock3^2+sumAHighBLowCMidBlock4^2+...
        sumAHighBLowCMidBlock5^2+sumAHighBLowCHighBlock1^2+...
        sumAHighBLowCHighBlock2^2+sumAHighBLowCHighBlock3^2+...
        sumAHighBLowCHighBlock4^2+sumAHighBLowCHighBlock5^2+...
        sumAHighBMidCLowBlock1^2+sumAHighBMidCLowBlock2^2+...
        sumAHighBMidCLowBlock3^2+sumAHighBMidCLowBlock4^2+...
        sumAHighBMidCLowBlock5^2+sumAHighBMidCMidBlock1^2+...
        sumAHighBMidCMidBlock2^2+sumAHighBMidCMidBlock3^2+...
        sumAHighBMidCMidBlock4^2+sumAHighBMidCMidBlock5^2+...
        sumAHighBMidCHighBlock1^2+sumAHighBMidCHighBlock2^2+...
        sumAHighBMidCHighBlock3^2+sumAHighBMidCHighBlock4^2+...
        sumAHighBMidCHighBlock5^2+sumAHighBHighCLowBlock1^2+...
        sumAHighBHighCLowBlock2^2+sumAHighBHighCLowBlock3^2+...
        sumAHighBHighCLowBlock4^2+sumAHighBHighCLowBlock5^2+...
        sumAHighBHighCMidBlock1^2+sumAHighBHighCMidBlock2^2+...
        sumAHighBHighCMidBlock3^2+sumAHighBHighCMidBlock4^2+...
        sumAHighBHighCMidBlock5^2+sumAHighBHighCHighBlock1^2+...
        sumAHighBHighCHighBlock2^2+sumAHighBHighCHighBlock3^2+...
        sumAHighBHighCHighBlock4^2+sumAHighBHighCHighBlock5^2+...
        sumALowBLowCLowDLowBlock1^2+sumALowBLowCLowDLowBlock2^2+...
        sumALowBLowCLowDLowBlock3^2+sumALowBLowCLowDLowBlock4^2+...
        sumALowBLowCLowDLowBlock5^2+sumALowBLowCLowDMidBlock1^2+...
        sumALowBLowCLowDMidBlock2^2+sumALowBLowCLowDMidBlock3^2+...
        sumALowBLowCLowDMidBlock4^2+sumALowBLowCLowDMidBlock5^2+...
        sumALowBLowCLowDHighBlock1^2+sumALowBLowCLowDHighBlock2^2+...
        sumALowBLowCLowDHighBlock3^2+sumALowBLowCLowDHighBlock4^2+...
        sumALowBLowCLowDHighBlock5^2+sumALowBLowCMidDLowBlock1^2+...
        sumALowBLowCMidDLowBlock2^2+sumALowBLowCMidDLowBlock3^2+...
        sumALowBLowCMidDLowBlock4^2+sumALowBLowCMidDLowBlock5^2+...
        sumALowBLowCMidDMidBlock1^2+sumALowBLowCMidDMidBlock2^2+...
        sumALowBLowCMidDMidBlock3^2+sumALowBLowCMidDMidBlock4^2+...
        sumALowBLowCMidDMidBlock5^2+sumALowBLowCMidDHighBlock1^2+...
        sumALowBLowCMidDHighBlock2^2+sumALowBLowCMidDHighBlock3^2+...
        sumALowBLowCMidDHighBlock4^2+sumALowBLowCMidDHighBlock5^2+...
        sumALowBLowCHighDLowBlock1^2+sumALowBLowCHighDLowBlock2^2+...
        sumALowBLowCHighDLowBlock3^2+sumALowBLowCHighDLowBlock4^2+...
        sumALowBLowCHighDLowBlock5^2+sumALowBLowCHighDMidBlock1^2+...
        sumALowBLowCHighDMidBlock2^2+sumALowBLowCHighDMidBlock3^2+...
        sumALowBLowCHighDMidBlock4^2+sumALowBLowCHighDMidBlock5^2+...
        sumALowBLowCHighDHighBlock1^2+sumALowBLowCHighDHighBlock2^2+...
        sumALowBLowCHighDHighBlock3^2+sumALowBLowCHighDHighBlock4^2+...
        sumALowBLowCHighDHighBlock5^2+sumALowBMidCLowDLowBlock1^2+...
        sumALowBMidCLowDLowBlock2^2+sumALowBMidCLowDLowBlock3^2+...
        sumALowBMidCLowDLowBlock4^2+sumALowBMidCLowDLowBlock5^2+...
        sumALowBMidCLowDMidBlock1^2+sumALowBMidCLowDMidBlock2^2+...
        sumALowBMidCLowDMidBlock3^2+sumALowBMidCLowDMidBlock4^2+...
        sumALowBMidCLowDMidBlock5^2+sumALowBMidCLowDHighBlock1^2+...
        sumALowBMidCLowDHighBlock2^2+sumALowBMidCLowDHighBlock3^2+...
        sumALowBMidCLowDHighBlock4^2+sumALowBMidCLowDHighBlock5^2+...
        sumALowBMidCMidDLowBlock1^2+sumALowBMidCMidDLowBlock2^2+...
        sumALowBMidCMidDLowBlock3^2+sumALowBMidCMidDLowBlock4^2+...
        sumALowBMidCMidDLowBlock5^2+sumALowBMidCMidDMidBlock1^2+...
        sumALowBMidCMidDMidBlock2^2+sumALowBMidCMidDMidBlock3^2+...
        sumALowBMidCMidDMidBlock4^2+sumALowBMidCMidDMidBlock5^2+...
        sumALowBMidCMidDHighBlock1^2+sumALowBMidCMidDHighBlock2^2+...
        sumALowBMidCMidDHighBlock3^2+sumALowBMidCMidDHighBlock4^2+...
        sumALowBMidCMidDHighBlock5^2+sumALowBMidCHighDLowBlock1^2+...
        sumALowBMidCHighDLowBlock2^2+sumALowBMidCHighDLowBlock3^2+...
        sumALowBMidCHighDLowBlock4^2+sumALowBMidCHighDLowBlock5^2+...
        sumALowBMidCHighDMidBlock1^2+sumALowBMidCHighDMidBlock2^2+...
        sumALowBMidCHighDMidBlock3^2+sumALowBMidCHighDMidBlock4^2+...
        sumALowBMidCHighDMidBlock5^2+sumALowBMidCHighDHighBlock1^2+...
        sumALowBMidCHighDHighBlock2^2+sumALowBMidCHighDHighBlock3^2+...
        sumALowBMidCHighDHighBlock4^2+sumALowBMidCHighDHighBlock5^2+...
        sumALowBHighCLowDLowBlock1^2+sumALowBHighCLowDLowBlock2^2+...
        sumALowBHighCLowDLowBlock3^2+sumALowBHighCLowDLowBlock4^2+...
        sumALowBHighCLowDLowBlock5^2+sumALowBHighCLowDMidBlock1^2+...
        sumALowBHighCLowDMidBlock2^2+sumALowBHighCLowDMidBlock3^2+...
        sumALowBHighCLowDMidBlock4^2+sumALowBHighCLowDMidBlock5^2+...
        sumALowBHighCLowDHighBlock1^2+sumALowBHighCLowDHighBlock2^2+...
        sumALowBHighCLowDHighBlock3^2+sumALowBHighCLowDHighBlock4^2+...
        sumALowBHighCLowDHighBlock5^2+sumALowBHighCMidDLowBlock1^2+...
        sumALowBHighCMidDLowBlock2^2+sumALowBHighCMidDLowBlock3^2+...
        sumALowBHighCMidDLowBlock4^2+sumALowBHighCMidDLowBlock5^2+...
        sumALowBHighCMidDMidBlock1^2+sumALowBHighCMidDMidBlock2^2+...
        sumALowBHighCMidDMidBlock3^2+sumALowBHighCMidDMidBlock4^2+...
        sumALowBHighCMidDMidBlock5^2+sumALowBHighCMidDHighBlock1^2+...
        sumALowBHighCMidDHighBlock2^2+sumALowBHighCMidDHighBlock3^2+...
        sumALowBHighCMidDHighBlock4^2+sumALowBHighCMidDHighBlock5^2+...
        sumALowBHighCHighDLowBlock1^2+sumALowBHighCHighDLowBlock2^2+...
        sumALowBHighCHighDLowBlock3^2+sumALowBHighCHighDLowBlock4^2+...
        sumALowBHighCHighDLowBlock5^2+sumALowBHighCHighDMidBlock1^2+...
        sumALowBHighCHighDMidBlock2^2+sumALowBHighCHighDMidBlock3^2+...
        sumALowBHighCHighDMidBlock4^2+sumALowBHighCHighDMidBlock5^2+...
        sumALowBHighCHighDHighBlock1^2+sumALowBHighCHighDHighBlock2^2+...
        sumALowBHighCHighDHighBlock3^2+sumALowBHighCHighDHighBlock4^2+...
        sumALowBHighCHighDHighBlock5^2+sumAMidBLowCLowDLowBlock1^2+...
        sumAMidBLowCLowDLowBlock2^2+sumAMidBLowCLowDLowBlock3^2+...
        sumAMidBLowCLowDLowBlock4^2+sumAMidBLowCLowDLowBlock5^2+...
        sumAMidBLowCLowDMidBlock1^2+sumAMidBLowCLowDMidBlock2^2+...
        sumAMidBLowCLowDMidBlock3^2+sumAMidBLowCLowDMidBlock4^2+...
        sumAMidBLowCLowDMidBlock5^2+sumAMidBLowCLowDHighBlock1^2+...
        sumAMidBLowCLowDHighBlock2^2+sumAMidBLowCLowDHighBlock3^2+...
        sumAMidBLowCLowDHighBlock4^2+sumAMidBLowCLowDHighBlock5^2+...
        sumAMidBLowCMidDLowBlock1^2+sumAMidBLowCMidDLowBlock2^2+...
        sumAMidBLowCMidDLowBlock3^2+sumAMidBLowCMidDLowBlock4^2+...
        sumAMidBLowCMidDLowBlock5^2+sumAMidBLowCMidDMidBlock1^2+...
        sumAMidBLowCMidDMidBlock2^2+sumAMidBLowCMidDMidBlock3^2+...
        sumAMidBLowCMidDMidBlock4^2+sumAMidBLowCMidDMidBlock5^2+...
        sumAMidBLowCMidDHighBlock1^2+sumAMidBLowCMidDHighBlock2^2+...
        sumAMidBLowCMidDHighBlock3^2+sumAMidBLowCMidDHighBlock4^2+...
        sumAMidBLowCMidDHighBlock5^2+sumAMidBLowCHighDLowBlock1^2+...
        sumAMidBLowCHighDLowBlock2^2+sumAMidBLowCHighDLowBlock3^2+...
        sumAMidBLowCHighDLowBlock4^2+sumAMidBLowCHighDLowBlock5^2+...
        sumAMidBLowCHighDMidBlock1^2+sumAMidBLowCHighDMidBlock2^2+...
        sumAMidBLowCHighDMidBlock3^2+sumAMidBLowCHighDMidBlock4^2+...
        sumAMidBLowCHighDMidBlock5^2+sumAMidBLowCHighDHighBlock1^2+...
        sumAMidBLowCHighDHighBlock2^2+sumAMidBLowCHighDHighBlock3^2+...
        sumAMidBLowCHighDHighBlock4^2+sumAMidBLowCHighDHighBlock5^2+...
        sumAMidBMidCLowDLowBlock1^2+sumAMidBMidCLowDLowBlock2^2+...
        sumAMidBMidCLowDLowBlock3^2+sumAMidBMidCLowDLowBlock4^2+...
        sumAMidBMidCLowDLowBlock5^2+sumAMidBMidCLowDMidBlock1^2+...
        sumAMidBMidCLowDMidBlock2^2+sumAMidBMidCLowDMidBlock3^2+...
        sumAMidBMidCLowDMidBlock4^2+sumAMidBMidCLowDMidBlock5^2+...
        sumAMidBMidCLowDHighBlock1^2+sumAMidBMidCLowDHighBlock2^2+...
        sumAMidBMidCLowDHighBlock3^2+sumAMidBMidCLowDHighBlock4^2+...
        sumAMidBMidCLowDHighBlock5^2+sumAMidBMidCMidDLowBlock1^2+...
        sumAMidBMidCMidDLowBlock2^2+sumAMidBMidCMidDLowBlock3^2+...
        sumAMidBMidCMidDLowBlock4^2+sumAMidBMidCMidDLowBlock5^2+...
        sumAMidBMidCMidDMidBlock1^2+sumAMidBMidCMidDMidBlock2^2+...
        sumAMidBMidCMidDMidBlock3^2+sumAMidBMidCMidDMidBlock4^2+...
        sumAMidBMidCMidDMidBlock5^2+sumAMidBMidCMidDHighBlock1^2+...
        sumAMidBMidCMidDHighBlock2^2+sumAMidBMidCMidDHighBlock3^2+...
        sumAMidBMidCMidDHighBlock4^2+sumAMidBMidCMidDHighBlock5^2+...
        sumAMidBMidCHighDLowBlock1^2+sumAMidBMidCHighDLowBlock2^2+...
        sumAMidBMidCHighDLowBlock3^2+sumAMidBMidCHighDLowBlock4^2+...
        sumAMidBMidCHighDLowBlock5^2+sumAMidBMidCHighDMidBlock1^2+...
        sumAMidBMidCHighDMidBlock2^2+sumAMidBMidCHighDMidBlock3^2+...
        sumAMidBMidCHighDMidBlock4^2+sumAMidBMidCHighDMidBlock5^2+...
        sumAMidBMidCHighDHighBlock1^2+sumAMidBMidCHighDHighBlock2^2+...
        sumAMidBMidCHighDHighBlock3^2+sumAMidBMidCHighDHighBlock4^2+...
        sumAMidBMidCHighDHighBlock5^2+sumAMidBHighCLowDLowBlock1^2+...
        sumAMidBHighCLowDLowBlock2^2+sumAMidBHighCLowDLowBlock3^2+...
        sumAMidBHighCLowDLowBlock4^2+sumAMidBHighCLowDLowBlock5^2+...
        sumAMidBHighCLowDMidBlock1^2+sumAMidBHighCLowDMidBlock2^2+...
        sumAMidBHighCLowDMidBlock3^2+sumAMidBHighCLowDMidBlock4^2+...
        sumAMidBHighCLowDMidBlock5^2+sumAMidBHighCLowDHighBlock1^2+...
        sumAMidBHighCLowDHighBlock2^2+sumAMidBHighCLowDHighBlock3^2+...
        sumAMidBHighCLowDHighBlock4^2+sumAMidBHighCLowDHighBlock5^2+...
        sumAMidBHighCMidDLowBlock1^2+sumAMidBHighCMidDLowBlock2^2+...
        sumAMidBHighCMidDLowBlock3^2+sumAMidBHighCMidDLowBlock4^2+...
        sumAMidBHighCMidDLowBlock5^2+sumAMidBHighCMidDMidBlock1^2+...
        sumAMidBHighCMidDMidBlock2^2+sumAMidBHighCMidDMidBlock3^2+...
        sumAMidBHighCMidDMidBlock4^2+sumAMidBHighCMidDMidBlock5^2+...
        sumAMidBHighCMidDHighBlock1^2+sumAMidBHighCMidDHighBlock2^2+...
        sumAMidBHighCMidDHighBlock3^2+sumAMidBHighCMidDHighBlock4^2+...
        sumAMidBHighCMidDHighBlock5^2+sumAMidBHighCHighDLowBlock1^2+...
        sumAMidBHighCHighDLowBlock2^2+sumAMidBHighCHighDLowBlock3^2+...
        sumAMidBHighCHighDLowBlock4^2+sumAMidBHighCHighDLowBlock5^2+...
        sumAMidBHighCHighDMidBlock1^2+sumAMidBHighCHighDMidBlock2^2+...
        sumAMidBHighCHighDMidBlock3^2+sumAMidBHighCHighDMidBlock4^2+...
        sumAMidBHighCHighDMidBlock5^2+sumAMidBHighCHighDHighBlock1^2+...
        sumAMidBHighCHighDHighBlock2^2+sumAMidBHighCHighDHighBlock3^2+...
        sumAMidBHighCHighDHighBlock4^2+sumAMidBHighCHighDHighBlock5^2+...
        sumAHighBLowCLowDLowBlock1^2+sumAHighBLowCLowDLowBlock2^2+...
        sumAHighBLowCLowDLowBlock3^2+sumAHighBLowCLowDLowBlock4^2+...
        sumAHighBLowCLowDLowBlock5^2+sumAHighBLowCLowDMidBlock1^2+...
        sumAHighBLowCLowDMidBlock2^2+sumAHighBLowCLowDMidBlock3^2+...
        sumAHighBLowCLowDMidBlock4^2+sumAHighBLowCLowDMidBlock5^2+...
        sumAHighBLowCLowDHighBlock1^2+sumAHighBLowCLowDHighBlock2^2+...
        sumAHighBLowCLowDHighBlock3^2+sumAHighBLowCLowDHighBlock4^2+...
        sumAHighBLowCLowDHighBlock5^2+sumAHighBLowCMidDLowBlock1^2+...
        sumAHighBLowCMidDLowBlock2^2+sumAHighBLowCMidDLowBlock3^2+...
        sumAHighBLowCMidDLowBlock4^2+sumAHighBLowCMidDLowBlock5^2+...
        sumAHighBLowCMidDMidBlock1^2+sumAHighBLowCMidDMidBlock2^2+...
        sumAHighBLowCMidDMidBlock3^2+sumAHighBLowCMidDMidBlock4^2+...
        sumAHighBLowCMidDMidBlock5^2+sumAHighBLowCMidDHighBlock1^2+...
        sumAHighBLowCMidDHighBlock2^2+sumAHighBLowCMidDHighBlock3^2+...
        sumAHighBLowCMidDHighBlock4^2+sumAHighBLowCMidDHighBlock5^2+...
        sumAHighBLowCHighDLowBlock1^2+sumAHighBLowCHighDLowBlock2^2+...
        sumAHighBLowCHighDLowBlock3^2+sumAHighBLowCHighDLowBlock4^2+...
        sumAHighBLowCHighDLowBlock5^2+sumAHighBLowCHighDMidBlock1^2+...
        sumAHighBLowCHighDMidBlock2^2+sumAHighBLowCHighDMidBlock3^2+...
        sumAHighBLowCHighDMidBlock4^2+sumAHighBLowCHighDMidBlock5^2+...
        sumAHighBLowCHighDHighBlock1^2+sumAHighBLowCHighDHighBlock2^2+...
        sumAHighBLowCHighDHighBlock3^2+sumAHighBLowCHighDHighBlock4^2+...
        sumAHighBLowCHighDHighBlock5^2+sumAHighBMidCLowDLowBlock1^2+...
        sumAHighBMidCLowDLowBlock2^2+sumAHighBMidCLowDLowBlock3^2+...
        sumAHighBMidCLowDLowBlock4^2+sumAHighBMidCLowDLowBlock5^2+...
        sumAHighBMidCLowDMidBlock1^2+sumAHighBMidCLowDMidBlock2^2+...
        sumAHighBMidCLowDMidBlock3^2+sumAHighBMidCLowDMidBlock4^2+...
        sumAHighBMidCLowDMidBlock5^2+sumAHighBMidCLowDHighBlock1^2+...
        sumAHighBMidCLowDHighBlock2^2+sumAHighBMidCLowDHighBlock3^2+...
        sumAHighBMidCLowDHighBlock4^2+sumAHighBMidCLowDHighBlock5^2+...
        sumAHighBMidCMidDLowBlock1^2+sumAHighBMidCMidDLowBlock2^2+...
        sumAHighBMidCMidDLowBlock3^2+sumAHighBMidCMidDLowBlock4^2+...
        sumAHighBMidCMidDLowBlock5^2+sumAHighBMidCMidDMidBlock1^2+...
        sumAHighBMidCMidDMidBlock2^2+sumAHighBMidCMidDMidBlock3^2+...
        sumAHighBMidCMidDMidBlock4^2+sumAHighBMidCMidDMidBlock5^2+...
        sumAHighBMidCMidDHighBlock1^2+sumAHighBMidCMidDHighBlock2^2+...
        sumAHighBMidCMidDHighBlock3^2+sumAHighBMidCMidDHighBlock4^2+...
        sumAHighBMidCMidDHighBlock5^2+sumAHighBMidCHighDLowBlock1^2+...
        sumAHighBMidCHighDLowBlock2^2+sumAHighBMidCHighDLowBlock3^2+...
        sumAHighBMidCHighDLowBlock4^2+sumAHighBMidCHighDLowBlock5^2+...
        sumAHighBMidCHighDMidBlock1^2+sumAHighBMidCHighDMidBlock2^2+...
        sumAHighBMidCHighDMidBlock3^2+sumAHighBMidCHighDMidBlock4^2+...
        sumAHighBMidCHighDMidBlock5^2+sumAHighBMidCHighDHighBlock1^2+...
        sumAHighBMidCHighDHighBlock2^2+sumAHighBMidCHighDHighBlock3^2+...
        sumAHighBMidCHighDHighBlock4^2+sumAHighBMidCHighDHighBlock5^2+...
        sumAHighBHighCLowDLowBlock1^2+sumAHighBHighCLowDLowBlock2^2+...
        sumAHighBHighCLowDLowBlock3^2+sumAHighBHighCLowDLowBlock4^2+...
        sumAHighBHighCLowDLowBlock5^2+sumAHighBHighCLowDMidBlock1^2+...
        sumAHighBHighCLowDMidBlock2^2+sumAHighBHighCLowDMidBlock3^2+...
        sumAHighBHighCLowDMidBlock4^2+sumAHighBHighCLowDMidBlock5^2+...
        sumAHighBHighCLowDHighBlock1^2+sumAHighBHighCLowDHighBlock2^2+...
        sumAHighBHighCLowDHighBlock3^2+sumAHighBHighCLowDHighBlock4^2+...
        sumAHighBHighCLowDHighBlock5^2+sumAHighBHighCMidDLowBlock1^2+...
        sumAHighBHighCMidDLowBlock2^2+sumAHighBHighCMidDLowBlock3^2+...
        sumAHighBHighCMidDLowBlock4^2+sumAHighBHighCMidDLowBlock5^2+...
        sumAHighBHighCMidDMidBlock1^2+sumAHighBHighCMidDMidBlock2^2+...
        sumAHighBHighCMidDMidBlock3^2+sumAHighBHighCMidDMidBlock4^2+...
        sumAHighBHighCMidDMidBlock5^2+sumAHighBHighCMidDHighBlock1^2+...
        sumAHighBHighCMidDHighBlock2^2+sumAHighBHighCMidDHighBlock3^2+...
        sumAHighBHighCMidDHighBlock4^2+sumAHighBHighCMidDHighBlock5^2+...
        sumAHighBHighCHighDLowBlock1^2+sumAHighBHighCHighDLowBlock2^2+...
        sumAHighBHighCHighDLowBlock3^2+sumAHighBHighCHighDLowBlock4^2+...
        sumAHighBHighCHighDLowBlock5^2+sumAHighBHighCHighDMidBlock1^2+...
        sumAHighBHighCHighDMidBlock2^2+sumAHighBHighCHighDMidBlock3^2+...
        sumAHighBHighCHighDMidBlock4^2+sumAHighBHighCHighDMidBlock5^2+...
        sumAHighBHighCHighDHighBlock1^2+sumAHighBHighCHighDHighBlock2^2+...
        sumAHighBHighCHighDHighBlock3^2+sumAHighBHighCHighDHighBlock4^2+...
        sumAHighBHighCHighDHighBlock5^2+sumALowBLowCLowDLowELowBlock1^2+...
        sumALowBLowCLowDLowELowBlock2^2+sumALowBLowCLowDLowELowBlock3^2+...
        sumALowBLowCLowDLowELowBlock4^2+sumALowBLowCLowDLowELowBlock5^2+...
        sumALowBLowCLowDLowEMidBlock1^2+sumALowBLowCLowDLowEMidBlock2^2+...
        sumALowBLowCLowDLowEMidBlock3^2+sumALowBLowCLowDLowEMidBlock4^2+...
        sumALowBLowCLowDLowEMidBlock5^2+sumALowBLowCLowDLowEHighBlock1^2+...
        sumALowBLowCLowDLowEHighBlock2^2+sumALowBLowCLowDLowEHighBlock3^2+...
        sumALowBLowCLowDLowEHighBlock4^2+sumALowBLowCLowDLowEHighBlock5^2+...
        sumALowBLowCLowDMidELowBlock1^2+sumALowBLowCLowDMidELowBlock2^2+...
        sumALowBLowCLowDMidELowBlock3^2+sumALowBLowCLowDMidELowBlock4^2+...
        sumALowBLowCLowDMidELowBlock5^2+sumALowBLowCLowDMidEMidBlock1^2+...
        sumALowBLowCLowDMidEMidBlock2^2+sumALowBLowCLowDMidEMidBlock3^2+...
        sumALowBLowCLowDMidEMidBlock4^2+sumALowBLowCLowDMidEMidBlock5^2+...
        sumALowBLowCLowDMidEHighBlock1^2+sumALowBLowCLowDMidEHighBlock2^2+...
        sumALowBLowCLowDMidEHighBlock3^2+sumALowBLowCLowDMidEHighBlock4^2+...
        sumALowBLowCLowDMidEHighBlock5^2+sumALowBLowCLowDHighELowBlock1^2+...
        sumALowBLowCLowDHighELowBlock2^2+sumALowBLowCLowDHighELowBlock3^2+...
        sumALowBLowCLowDHighELowBlock4^2+sumALowBLowCLowDHighELowBlock5^2+...
        sumALowBLowCLowDHighEMidBlock1^2+sumALowBLowCLowDHighEMidBlock2^2+...
        sumALowBLowCLowDHighEMidBlock3^2+sumALowBLowCLowDHighEMidBlock4^2+...
        sumALowBLowCLowDHighEMidBlock5^2+sumALowBLowCLowDHighEHighBlock1^2+...
        sumALowBLowCLowDHighEHighBlock2^2+sumALowBLowCLowDHighEHighBlock3^2+...
        sumALowBLowCLowDHighEHighBlock4^2+sumALowBLowCLowDHighEHighBlock5^2+...
        sumALowBLowCMidDLowELowBlock1^2+sumALowBLowCMidDLowELowBlock2^2+...
        sumALowBLowCMidDLowELowBlock3^2+sumALowBLowCMidDLowELowBlock4^2+...
        sumALowBLowCMidDLowELowBlock5^2+sumALowBLowCMidDLowEMidBlock1^2+...
        sumALowBLowCMidDLowEMidBlock2^2+sumALowBLowCMidDLowEMidBlock3^2+...
        sumALowBLowCMidDLowEMidBlock4^2+sumALowBLowCMidDLowEMidBlock5^2+...
        sumALowBLowCMidDLowEHighBlock1^2+sumALowBLowCMidDLowEHighBlock2^2+...
        sumALowBLowCMidDLowEHighBlock3^2+sumALowBLowCMidDLowEHighBlock4^2+...
        sumALowBLowCMidDLowEHighBlock5^2+sumALowBLowCMidDMidELowBlock1^2+...
        sumALowBLowCMidDMidELowBlock2^2+sumALowBLowCMidDMidELowBlock3^2+...
        sumALowBLowCMidDMidELowBlock4^2+sumALowBLowCMidDMidELowBlock5^2+...
        sumALowBLowCMidDMidEMidBlock1^2+sumALowBLowCMidDMidEMidBlock2^2+...
        sumALowBLowCMidDMidEMidBlock3^2+sumALowBLowCMidDMidEMidBlock4^2+...
        sumALowBLowCMidDMidEMidBlock5^2+sumALowBLowCMidDMidEHighBlock1^2+...
        sumALowBLowCMidDMidEHighBlock2^2+sumALowBLowCMidDMidEHighBlock3^2+...
        sumALowBLowCMidDMidEHighBlock4^2+sumALowBLowCMidDMidEHighBlock5^2+...
        sumALowBLowCMidDHighELowBlock1^2+sumALowBLowCMidDHighELowBlock2^2+...
        sumALowBLowCMidDHighELowBlock3^2+sumALowBLowCMidDHighELowBlock4^2+...
        sumALowBLowCMidDHighELowBlock5^2+sumALowBLowCMidDHighEMidBlock1^2+...
        sumALowBLowCMidDHighEMidBlock2^2+sumALowBLowCMidDHighEMidBlock3^2+...
        sumALowBLowCMidDHighEMidBlock4^2+sumALowBLowCMidDHighEMidBlock5^2+...
        sumALowBLowCMidDHighEHighBlock1^2+sumALowBLowCMidDHighEHighBlock2^2+...
        sumALowBLowCMidDHighEHighBlock3^2+sumALowBLowCMidDHighEHighBlock4^2+...
        sumALowBLowCMidDHighEHighBlock5^2+sumALowBLowCHighDLowELowBlock1^2+...
        sumALowBLowCHighDLowELowBlock2^2+sumALowBLowCHighDLowELowBlock3^2+...
        sumALowBLowCHighDLowELowBlock4^2+sumALowBLowCHighDLowELowBlock5^2+...
        sumALowBLowCHighDLowEMidBlock1^2+sumALowBLowCHighDLowEMidBlock2^2+...
        sumALowBLowCHighDLowEMidBlock3^2+sumALowBLowCHighDLowEMidBlock4^2+...
        sumALowBLowCHighDLowEMidBlock5^2+sumALowBLowCHighDLowEHighBlock1^2+...
        sumALowBLowCHighDLowEHighBlock2^2+sumALowBLowCHighDLowEHighBlock3^2+...
        sumALowBLowCHighDLowEHighBlock4^2+sumALowBLowCHighDLowEHighBlock5^2+...
        sumALowBLowCHighDMidELowBlock1^2+sumALowBLowCHighDMidELowBlock2^2+...
        sumALowBLowCHighDMidELowBlock3^2+sumALowBLowCHighDMidELowBlock4^2+...
        sumALowBLowCHighDMidELowBlock5^2+sumALowBLowCHighDMidEMidBlock1^2+...
        sumALowBLowCHighDMidEMidBlock2^2+sumALowBLowCHighDMidEMidBlock3^2+...
        sumALowBLowCHighDMidEMidBlock4^2+sumALowBLowCHighDMidEMidBlock5^2+...
        sumALowBLowCHighDMidEHighBlock1^2+sumALowBLowCHighDMidEHighBlock2^2+...
        sumALowBLowCHighDMidEHighBlock3^2+sumALowBLowCHighDMidEHighBlock4^2+...
        sumALowBLowCHighDMidEHighBlock5^2+sumALowBLowCHighDHighELowBlock1^2+...
        sumALowBLowCHighDHighELowBlock2^2+sumALowBLowCHighDHighELowBlock3^2+...
        sumALowBLowCHighDHighELowBlock4^2+sumALowBLowCHighDHighELowBlock5^2+...
        sumALowBLowCHighDHighEMidBlock1^2+sumALowBLowCHighDHighEMidBlock2^2+...
        sumALowBLowCHighDHighEMidBlock3^2+sumALowBLowCHighDHighEMidBlock4^2+...
        sumALowBLowCHighDHighEMidBlock5^2+sumALowBLowCHighDHighEHighBlock1^2+...
        sumALowBLowCHighDHighEHighBlock2^2+sumALowBLowCHighDHighEHighBlock3^2+...
        sumALowBLowCHighDHighEHighBlock4^2+sumALowBLowCHighDHighEHighBlock5^2+...
        sumALowBMidCLowDLowELowBlock1^2+sumALowBMidCLowDLowELowBlock2^2+...
        sumALowBMidCLowDLowELowBlock3^2+sumALowBMidCLowDLowELowBlock4^2+...
        sumALowBMidCLowDLowELowBlock5^2+sumALowBMidCLowDLowEMidBlock1^2+...
        sumALowBMidCLowDLowEMidBlock2^2+sumALowBMidCLowDLowEMidBlock3^2+...
        sumALowBMidCLowDLowEMidBlock4^2+sumALowBMidCLowDLowEMidBlock5^2+...
        sumALowBMidCLowDLowEHighBlock1^2+sumALowBMidCLowDLowEHighBlock2^2+...
        sumALowBMidCLowDLowEHighBlock3^2+sumALowBMidCLowDLowEHighBlock4^2+...
        sumALowBMidCLowDLowEHighBlock5^2+sumALowBMidCLowDMidELowBlock1^2+...
        sumALowBMidCLowDMidELowBlock2^2+sumALowBMidCLowDMidELowBlock3^2+...
        sumALowBMidCLowDMidELowBlock4^2+sumALowBMidCLowDMidELowBlock5^2+...
        sumALowBMidCLowDMidEMidBlock1^2+sumALowBMidCLowDMidEMidBlock2^2+...
        sumALowBMidCLowDMidEMidBlock3^2+sumALowBMidCLowDMidEMidBlock4^2+...
        sumALowBMidCLowDMidEMidBlock5^2+sumALowBMidCLowDMidEHighBlock1^2+...
        sumALowBMidCLowDMidEHighBlock2^2+sumALowBMidCLowDMidEHighBlock3^2+...
        sumALowBMidCLowDMidEHighBlock4^2+sumALowBMidCLowDMidEHighBlock5^2+...
        sumALowBMidCLowDHighELowBlock1^2+sumALowBMidCLowDHighELowBlock2^2+...
        sumALowBMidCLowDHighELowBlock3^2+sumALowBMidCLowDHighELowBlock4^2+...
        sumALowBMidCLowDHighELowBlock5^2+sumALowBMidCLowDHighEMidBlock1^2+...
        sumALowBMidCLowDHighEMidBlock2^2+sumALowBMidCLowDHighEMidBlock3^2+...
        sumALowBMidCLowDHighEMidBlock4^2+sumALowBMidCLowDHighEMidBlock5^2+...
        sumALowBMidCLowDHighEHighBlock1^2+sumALowBMidCLowDHighEHighBlock2^2+...
        sumALowBMidCLowDHighEHighBlock3^2+sumALowBMidCLowDHighEHighBlock4^2+...
        sumALowBMidCLowDHighEHighBlock5^2+sumALowBMidCMidDLowELowBlock1^2+...
        sumALowBMidCMidDLowELowBlock2^2+sumALowBMidCMidDLowELowBlock3^2+...
        sumALowBMidCMidDLowELowBlock4^2+sumALowBMidCMidDLowELowBlock5^2+...
        sumALowBMidCMidDLowEMidBlock1^2+sumALowBMidCMidDLowEMidBlock2^2+...
        sumALowBMidCMidDLowEMidBlock3^2+sumALowBMidCMidDLowEMidBlock4^2+...
        sumALowBMidCMidDLowEMidBlock5^2+sumALowBMidCMidDLowEHighBlock1^2+...
        sumALowBMidCMidDLowEHighBlock2^2+sumALowBMidCMidDLowEHighBlock3^2+...
        sumALowBMidCMidDLowEHighBlock4^2+sumALowBMidCMidDLowEHighBlock5^2+...
        sumALowBMidCMidDMidELowBlock1^2+sumALowBMidCMidDMidELowBlock2^2+...
        sumALowBMidCMidDMidELowBlock3^2+sumALowBMidCMidDMidELowBlock4^2+...
        sumALowBMidCMidDMidELowBlock5^2+sumALowBMidCMidDMidEMidBlock1^2+...
        sumALowBMidCMidDMidEMidBlock2^2+sumALowBMidCMidDMidEMidBlock3^2+...
        sumALowBMidCMidDMidEMidBlock4^2+sumALowBMidCMidDMidEMidBlock5^2+...
        sumALowBMidCMidDMidEHighBlock1^2+sumALowBMidCMidDMidEHighBlock2^2+...
        sumALowBMidCMidDMidEHighBlock3^2+sumALowBMidCMidDMidEHighBlock4^2+...
        sumALowBMidCMidDMidEHighBlock5^2+sumALowBMidCMidDHighELowBlock1^2+...
        sumALowBMidCMidDHighELowBlock2^2+sumALowBMidCMidDHighELowBlock3^2+...
        sumALowBMidCMidDHighELowBlock4^2+sumALowBMidCMidDHighELowBlock5^2+...
        sumALowBMidCMidDHighEMidBlock1^2+sumALowBMidCMidDHighEMidBlock2^2+...
        sumALowBMidCMidDHighEMidBlock3^2+sumALowBMidCMidDHighEMidBlock4^2+...
        sumALowBMidCMidDHighEMidBlock5^2+sumALowBMidCMidDHighEHighBlock1^2+...
        sumALowBMidCMidDHighEHighBlock2^2+sumALowBMidCMidDHighEHighBlock3^2+...
        sumALowBMidCMidDHighEHighBlock4^2+sumALowBMidCMidDHighEHighBlock5^2+...
        sumALowBMidCHighDLowELowBlock1^2+sumALowBMidCHighDLowELowBlock2^2+...
        sumALowBMidCHighDLowELowBlock3^2+sumALowBMidCHighDLowELowBlock4^2+...
        sumALowBMidCHighDLowELowBlock5^2+sumALowBMidCHighDLowEMidBlock1^2+...
        sumALowBMidCHighDLowEMidBlock2^2+sumALowBMidCHighDLowEMidBlock3^2+...
        sumALowBMidCHighDLowEMidBlock4^2+sumALowBMidCHighDLowEMidBlock5^2+...
        sumALowBMidCHighDLowEHighBlock1^2+sumALowBMidCHighDLowEHighBlock2^2+...
        sumALowBMidCHighDLowEHighBlock3^2+sumALowBMidCHighDLowEHighBlock4^2+...
        sumALowBMidCHighDLowEHighBlock5^2+sumALowBMidCHighDMidELowBlock1^2+...
        sumALowBMidCHighDMidELowBlock2^2+sumALowBMidCHighDMidELowBlock3^2+...
        sumALowBMidCHighDMidELowBlock4^2+sumALowBMidCHighDMidELowBlock5^2+...
        sumALowBMidCHighDMidEMidBlock1^2+sumALowBMidCHighDMidEMidBlock2^2+...
        sumALowBMidCHighDMidEMidBlock3^2+sumALowBMidCHighDMidEMidBlock4^2+...
        sumALowBMidCHighDMidEMidBlock5^2+sumALowBMidCHighDMidEHighBlock1^2+...
        sumALowBMidCHighDMidEHighBlock2^2+sumALowBMidCHighDMidEHighBlock3^2+...
        sumALowBMidCHighDMidEHighBlock4^2+sumALowBMidCHighDMidEHighBlock5^2+...
        sumALowBMidCHighDHighELowBlock1^2+sumALowBMidCHighDHighELowBlock2^2+...
        sumALowBMidCHighDHighELowBlock3^2+sumALowBMidCHighDHighELowBlock4^2+...
        sumALowBMidCHighDHighELowBlock5^2+sumALowBMidCHighDHighEMidBlock1^2+...
        sumALowBMidCHighDHighEMidBlock2^2+sumALowBMidCHighDHighEMidBlock3^2+...
        sumALowBMidCHighDHighEMidBlock4^2+sumALowBMidCHighDHighEMidBlock5^2+...
        sumALowBMidCHighDHighEHighBlock1^2+sumALowBMidCHighDHighEHighBlock2^2+...
        sumALowBMidCHighDHighEHighBlock3^2+sumALowBMidCHighDHighEHighBlock4^2+...
        sumALowBMidCHighDHighEHighBlock5^2+sumALowBHighCLowDLowELowBlock1^2+...
        sumALowBHighCLowDLowELowBlock2^2+sumALowBHighCLowDLowELowBlock3^2+...
        sumALowBHighCLowDLowELowBlock4^2+sumALowBHighCLowDLowELowBlock5^2+...
        sumALowBHighCLowDLowEMidBlock1^2+sumALowBHighCLowDLowEMidBlock2^2+...
        sumALowBHighCLowDLowEMidBlock3^2+sumALowBHighCLowDLowEMidBlock4^2+...
        sumALowBHighCLowDLowEMidBlock5^2+sumALowBHighCLowDLowEHighBlock1^2+...
        sumALowBHighCLowDLowEHighBlock2^2+sumALowBHighCLowDLowEHighBlock3^2+...
        sumALowBHighCLowDLowEHighBlock4^2+sumALowBHighCLowDLowEHighBlock5^2+...
        sumALowBHighCLowDMidELowBlock1^2+sumALowBHighCLowDMidELowBlock2^2+...
        sumALowBHighCLowDMidELowBlock3^2+sumALowBHighCLowDMidELowBlock4^2+...
        sumALowBHighCLowDMidELowBlock5^2+sumALowBHighCLowDMidEMidBlock1^2+...
        sumALowBHighCLowDMidEMidBlock2^2+sumALowBHighCLowDMidEMidBlock3^2+...
        sumALowBHighCLowDMidEMidBlock4^2+sumALowBHighCLowDMidEMidBlock5^2+...
        sumALowBHighCLowDMidEHighBlock1^2+sumALowBHighCLowDMidEHighBlock2^2+...
        sumALowBHighCLowDMidEHighBlock3^2+sumALowBHighCLowDMidEHighBlock4^2+...
        sumALowBHighCLowDMidEHighBlock5^2+sumALowBHighCLowDHighELowBlock1^2+...
        sumALowBHighCLowDHighELowBlock2^2+sumALowBHighCLowDHighELowBlock3^2+...
        sumALowBHighCLowDHighELowBlock4^2+sumALowBHighCLowDHighELowBlock5^2+...
        sumALowBHighCLowDHighEMidBlock1^2+sumALowBHighCLowDHighEMidBlock2^2+...
        sumALowBHighCLowDHighEMidBlock3^2+sumALowBHighCLowDHighEMidBlock4^2+...
        sumALowBHighCLowDHighEMidBlock5^2+sumALowBHighCLowDHighEHighBlock1^2+...
        sumALowBHighCLowDHighEHighBlock2^2+sumALowBHighCLowDHighEHighBlock3^2+...
        sumALowBHighCLowDHighEHighBlock4^2+sumALowBHighCLowDHighEHighBlock5^2+...
        sumALowBHighCMidDLowELowBlock1^2+sumALowBHighCMidDLowELowBlock2^2+...
        sumALowBHighCMidDLowELowBlock3^2+sumALowBHighCMidDLowELowBlock4^2+...
        sumALowBHighCMidDLowELowBlock5^2+sumALowBHighCMidDLowEMidBlock1^2+...
        sumALowBHighCMidDLowEMidBlock2^2+sumALowBHighCMidDLowEMidBlock3^2+...
        sumALowBHighCMidDLowEMidBlock4^2+sumALowBHighCMidDLowEMidBlock5^2+...
        sumALowBHighCMidDLowEHighBlock1^2+sumALowBHighCMidDLowEHighBlock2^2+...
        sumALowBHighCMidDLowEHighBlock3^2+sumALowBHighCMidDLowEHighBlock4^2+...
        sumALowBHighCMidDLowEHighBlock5^2+sumALowBHighCMidDMidELowBlock1^2+...
        sumALowBHighCMidDMidELowBlock2^2+sumALowBHighCMidDMidELowBlock3^2+...
        sumALowBHighCMidDMidELowBlock4^2+sumALowBHighCMidDMidELowBlock5^2+...
        sumALowBHighCMidDMidEMidBlock1^2+sumALowBHighCMidDMidEMidBlock2^2+...
        sumALowBHighCMidDMidEMidBlock3^2+sumALowBHighCMidDMidEMidBlock4^2+...
        sumALowBHighCMidDMidEMidBlock5^2+sumALowBHighCMidDMidEHighBlock1^2+...
        sumALowBHighCMidDMidEHighBlock2^2+sumALowBHighCMidDMidEHighBlock3^2+...
        sumALowBHighCMidDMidEHighBlock4^2+sumALowBHighCMidDMidEHighBlock5^2+...
        sumALowBHighCMidDHighELowBlock1^2+sumALowBHighCMidDHighELowBlock2^2+...
        sumALowBHighCMidDHighELowBlock3^2+sumALowBHighCMidDHighELowBlock4^2+...
        sumALowBHighCMidDHighELowBlock5^2+sumALowBHighCMidDHighEMidBlock1^2+...
        sumALowBHighCMidDHighEMidBlock2^2+sumALowBHighCMidDHighEMidBlock3^2+...
        sumALowBHighCMidDHighEMidBlock4^2+sumALowBHighCMidDHighEMidBlock5^2+...
        sumALowBHighCMidDHighEHighBlock1^2+sumALowBHighCMidDHighEHighBlock2^2+...
        sumALowBHighCMidDHighEHighBlock3^2+sumALowBHighCMidDHighEHighBlock4^2+...
        sumALowBHighCMidDHighEHighBlock5^2+sumALowBHighCHighDLowELowBlock1^2+...
        sumALowBHighCHighDLowELowBlock2^2+sumALowBHighCHighDLowELowBlock3^2+...
        sumALowBHighCHighDLowELowBlock4^2+sumALowBHighCHighDLowELowBlock5^2+...
        sumALowBHighCHighDLowEMidBlock1^2+sumALowBHighCHighDLowEMidBlock2^2+...
        sumALowBHighCHighDLowEMidBlock3^2+sumALowBHighCHighDLowEMidBlock4^2+...
        sumALowBHighCHighDLowEMidBlock5^2+sumALowBHighCHighDLowEHighBlock1^2+...
        sumALowBHighCHighDLowEHighBlock2^2+sumALowBHighCHighDLowEHighBlock3^2+...
        sumALowBHighCHighDLowEHighBlock4^2+sumALowBHighCHighDLowEHighBlock5^2+...
        sumALowBHighCHighDMidELowBlock1^2+sumALowBHighCHighDMidELowBlock2^2+...
        sumALowBHighCHighDMidELowBlock3^2+sumALowBHighCHighDMidELowBlock4^2+...
        sumALowBHighCHighDMidELowBlock5^2+sumALowBHighCHighDMidEMidBlock1^2+...
        sumALowBHighCHighDMidEMidBlock2^2+sumALowBHighCHighDMidEMidBlock3^2+...
        sumALowBHighCHighDMidEMidBlock4^2+sumALowBHighCHighDMidEMidBlock5^2+...
        sumALowBHighCHighDMidEHighBlock1^2+sumALowBHighCHighDMidEHighBlock2^2+...
        sumALowBHighCHighDMidEHighBlock3^2+sumALowBHighCHighDMidEHighBlock4^2+...
        sumALowBHighCHighDMidEHighBlock5^2+sumALowBHighCHighDHighELowBlock1^2+...
        sumALowBHighCHighDHighELowBlock2^2+sumALowBHighCHighDHighELowBlock3^2+...
        sumALowBHighCHighDHighELowBlock4^2+sumALowBHighCHighDHighELowBlock5^2+...
        sumALowBHighCHighDHighEMidBlock1^2+sumALowBHighCHighDHighEMidBlock2^2+...
        sumALowBHighCHighDHighEMidBlock3^2+sumALowBHighCHighDHighEMidBlock4^2+...
        sumALowBHighCHighDHighEMidBlock5^2+sumALowBHighCHighDHighEHighBlock1^2+...
        sumALowBHighCHighDHighEHighBlock2^2+sumALowBHighCHighDHighEHighBlock3^2+...
        sumALowBHighCHighDHighEHighBlock4^2+sumALowBHighCHighDHighEHighBlock5^2+...
        sumAMidBLowCLowDLowELowBlock1^2+sumAMidBLowCLowDLowELowBlock2^2+...
        sumAMidBLowCLowDLowELowBlock3^2+sumAMidBLowCLowDLowELowBlock4^2+...
        sumAMidBLowCLowDLowELowBlock5^2+sumAMidBLowCLowDLowEMidBlock1^2+...
        sumAMidBLowCLowDLowEMidBlock2^2+sumAMidBLowCLowDLowEMidBlock3^2+...
        sumAMidBLowCLowDLowEMidBlock4^2+sumAMidBLowCLowDLowEMidBlock5^2+...
        sumAMidBLowCLowDLowEHighBlock1^2+sumAMidBLowCLowDLowEHighBlock2^2+...
        sumAMidBLowCLowDLowEHighBlock3^2+sumAMidBLowCLowDLowEHighBlock4^2+...
        sumAMidBLowCLowDLowEHighBlock5^2+sumAMidBLowCLowDMidELowBlock1^2+...
        sumAMidBLowCLowDMidELowBlock2^2+sumAMidBLowCLowDMidELowBlock3^2+...
        sumAMidBLowCLowDMidELowBlock4^2+sumAMidBLowCLowDMidELowBlock5^2+...
        sumAMidBLowCLowDMidEMidBlock1^2+sumAMidBLowCLowDMidEMidBlock2^2+...
        sumAMidBLowCLowDMidEMidBlock3^2+sumAMidBLowCLowDMidEMidBlock4^2+...
        sumAMidBLowCLowDMidEMidBlock5^2+sumAMidBLowCLowDMidEHighBlock1^2+...
        sumAMidBLowCLowDMidEHighBlock2^2+sumAMidBLowCLowDMidEHighBlock3^2+...
        sumAMidBLowCLowDMidEHighBlock4^2+sumAMidBLowCLowDMidEHighBlock5^2+...
        sumAMidBLowCLowDHighELowBlock1^2+sumAMidBLowCLowDHighELowBlock2^2+...
        sumAMidBLowCLowDHighELowBlock3^2+sumAMidBLowCLowDHighELowBlock4^2+...
        sumAMidBLowCLowDHighELowBlock5^2+sumAMidBLowCLowDHighEMidBlock1^2+...
        sumAMidBLowCLowDHighEMidBlock2^2+sumAMidBLowCLowDHighEMidBlock3^2+...
        sumAMidBLowCLowDHighEMidBlock4^2+sumAMidBLowCLowDHighEMidBlock5^2+...
        sumAMidBLowCLowDHighEHighBlock1^2+sumAMidBLowCLowDHighEHighBlock2^2+...
        sumAMidBLowCLowDHighEHighBlock3^2+sumAMidBLowCLowDHighEHighBlock4^2+...
        sumAMidBLowCLowDHighEHighBlock5^2+sumAMidBLowCMidDLowELowBlock1^2+...
        sumAMidBLowCMidDLowELowBlock2^2+sumAMidBLowCMidDLowELowBlock3^2+...
        sumAMidBLowCMidDLowELowBlock4^2+sumAMidBLowCMidDLowELowBlock5^2+...
        sumAMidBLowCMidDLowEMidBlock1^2+sumAMidBLowCMidDLowEMidBlock2^2+...
        sumAMidBLowCMidDLowEMidBlock3^2+sumAMidBLowCMidDLowEMidBlock4^2+...
        sumAMidBLowCMidDLowEMidBlock5^2+sumAMidBLowCMidDLowEHighBlock1^2+...
        sumAMidBLowCMidDLowEHighBlock2^2+sumAMidBLowCMidDLowEHighBlock3^2+...
        sumAMidBLowCMidDLowEHighBlock4^2+sumAMidBLowCMidDLowEHighBlock5^2+...
        sumAMidBLowCMidDMidELowBlock1^2+sumAMidBLowCMidDMidELowBlock2^2+...
        sumAMidBLowCMidDMidELowBlock3^2+sumAMidBLowCMidDMidELowBlock4^2+...
        sumAMidBLowCMidDMidELowBlock5^2+sumAMidBLowCMidDMidEMidBlock1^2+...
        sumAMidBLowCMidDMidEMidBlock2^2+sumAMidBLowCMidDMidEMidBlock3^2+...
        sumAMidBLowCMidDMidEMidBlock4^2+sumAMidBLowCMidDMidEMidBlock5^2+...
        sumAMidBLowCMidDMidEHighBlock1^2+sumAMidBLowCMidDMidEHighBlock2^2+...
        sumAMidBLowCMidDMidEHighBlock3^2+sumAMidBLowCMidDMidEHighBlock4^2+...
        sumAMidBLowCMidDMidEHighBlock5^2+sumAMidBLowCMidDHighELowBlock1^2+...
        sumAMidBLowCMidDHighELowBlock2^2+sumAMidBLowCMidDHighELowBlock3^2+...
        sumAMidBLowCMidDHighELowBlock4^2+sumAMidBLowCMidDHighELowBlock5^2+...
        sumAMidBLowCMidDHighEMidBlock1^2+sumAMidBLowCMidDHighEMidBlock2^2+...
        sumAMidBLowCMidDHighEMidBlock3^2+sumAMidBLowCMidDHighEMidBlock4^2+...
        sumAMidBLowCMidDHighEMidBlock5^2+sumAMidBLowCMidDHighEHighBlock1^2+...
        sumAMidBLowCMidDHighEHighBlock2^2+sumAMidBLowCMidDHighEHighBlock3^2+...
        sumAMidBLowCMidDHighEHighBlock4^2+sumAMidBLowCMidDHighEHighBlock5^2+...
        sumAMidBLowCHighDLowELowBlock1^2+sumAMidBLowCHighDLowELowBlock2^2+...
        sumAMidBLowCHighDLowELowBlock3^2+sumAMidBLowCHighDLowELowBlock4^2+...
        sumAMidBLowCHighDLowELowBlock5^2+sumAMidBLowCHighDLowEMidBlock1^2+...
        sumAMidBLowCHighDLowEMidBlock2^2+sumAMidBLowCHighDLowEMidBlock3^2+...
        sumAMidBLowCHighDLowEMidBlock4^2+sumAMidBLowCHighDLowEMidBlock5^2+...
        sumAMidBLowCHighDLowEHighBlock1^2+sumAMidBLowCHighDLowEHighBlock2^2+...
        sumAMidBLowCHighDLowEHighBlock3^2+sumAMidBLowCHighDLowEHighBlock4^2+...
        sumAMidBLowCHighDLowEHighBlock5^2+sumAMidBLowCHighDMidELowBlock1^2+...
        sumAMidBLowCHighDMidELowBlock2^2+sumAMidBLowCHighDMidELowBlock3^2+...
        sumAMidBLowCHighDMidELowBlock4^2+sumAMidBLowCHighDMidELowBlock5^2+...
        sumAMidBLowCHighDMidEMidBlock1^2+sumAMidBLowCHighDMidEMidBlock2^2+...
        sumAMidBLowCHighDMidEMidBlock3^2+sumAMidBLowCHighDMidEMidBlock4^2+...
        sumAMidBLowCHighDMidEMidBlock5^2+sumAMidBLowCHighDMidEHighBlock1^2+...
        sumAMidBLowCHighDMidEHighBlock2^2+sumAMidBLowCHighDMidEHighBlock3^2+...
        sumAMidBLowCHighDMidEHighBlock4^2+sumAMidBLowCHighDMidEHighBlock5^2+...
        sumAMidBLowCHighDHighELowBlock1^2+sumAMidBLowCHighDHighELowBlock2^2+...
        sumAMidBLowCHighDHighELowBlock3^2+sumAMidBLowCHighDHighELowBlock4^2+...
        sumAMidBLowCHighDHighELowBlock5^2+sumAMidBLowCHighDHighEMidBlock1^2+...
        sumAMidBLowCHighDHighEMidBlock2^2+sumAMidBLowCHighDHighEMidBlock3^2+...
        sumAMidBLowCHighDHighEMidBlock4^2+sumAMidBLowCHighDHighEMidBlock5^2+...
        sumAMidBLowCHighDHighEHighBlock1^2+sumAMidBLowCHighDHighEHighBlock2^2+...
        sumAMidBLowCHighDHighEHighBlock3^2+sumAMidBLowCHighDHighEHighBlock4^2+...
        sumAMidBLowCHighDHighEHighBlock5^2+sumAMidBMidCLowDLowELowBlock1^2+...
        sumAMidBMidCLowDLowELowBlock2^2+sumAMidBMidCLowDLowELowBlock3^2+...
        sumAMidBMidCLowDLowELowBlock4^2+sumAMidBMidCLowDLowELowBlock5^2+...
        sumAMidBMidCLowDLowEMidBlock1^2+sumAMidBMidCLowDLowEMidBlock2^2+...
        sumAMidBMidCLowDLowEMidBlock3^2+sumAMidBMidCLowDLowEMidBlock4^2+...
        sumAMidBMidCLowDLowEMidBlock5^2+sumAMidBMidCLowDLowEHighBlock1^2+...
        sumAMidBMidCLowDLowEHighBlock2^2+sumAMidBMidCLowDLowEHighBlock3^2+...
        sumAMidBMidCLowDLowEHighBlock4^2+sumAMidBMidCLowDLowEHighBlock5^2+...
        sumAMidBMidCLowDMidELowBlock1^2+sumAMidBMidCLowDMidELowBlock2^2+...
        sumAMidBMidCLowDMidELowBlock3^2+sumAMidBMidCLowDMidELowBlock4^2+...
        sumAMidBMidCLowDMidELowBlock5^2+sumAMidBMidCLowDMidEMidBlock1^2+...
        sumAMidBMidCLowDMidEMidBlock2^2+sumAMidBMidCLowDMidEMidBlock3^2+...
        sumAMidBMidCLowDMidEMidBlock4^2+sumAMidBMidCLowDMidEMidBlock5^2+...
        sumAMidBMidCLowDMidEHighBlock1^2+sumAMidBMidCLowDMidEHighBlock2^2+...
        sumAMidBMidCLowDMidEHighBlock3^2+sumAMidBMidCLowDMidEHighBlock4^2+...
        sumAMidBMidCLowDMidEHighBlock5^2+sumAMidBMidCLowDHighELowBlock1^2+...
        sumAMidBMidCLowDHighELowBlock2^2+sumAMidBMidCLowDHighELowBlock3^2+...
        sumAMidBMidCLowDHighELowBlock4^2+sumAMidBMidCLowDHighELowBlock5^2+...
        sumAMidBMidCLowDHighEMidBlock1^2+sumAMidBMidCLowDHighEMidBlock2^2+...
        sumAMidBMidCLowDHighEMidBlock3^2+sumAMidBMidCLowDHighEMidBlock4^2+...
        sumAMidBMidCLowDHighEMidBlock5^2+sumAMidBMidCLowDHighEHighBlock1^2+...
        sumAMidBMidCLowDHighEHighBlock2^2+sumAMidBMidCLowDHighEHighBlock3^2+...
        sumAMidBMidCLowDHighEHighBlock4^2+sumAMidBMidCLowDHighEHighBlock5^2+...
        sumAMidBMidCMidDLowELowBlock1^2+sumAMidBMidCMidDLowELowBlock2^2+...
        sumAMidBMidCMidDLowELowBlock3^2+sumAMidBMidCMidDLowELowBlock4^2+...
        sumAMidBMidCMidDLowELowBlock5^2+sumAMidBMidCMidDLowEMidBlock1^2+...
        sumAMidBMidCMidDLowEMidBlock2^2+sumAMidBMidCMidDLowEMidBlock3^2+...
        sumAMidBMidCMidDLowEMidBlock4^2+sumAMidBMidCMidDLowEMidBlock5^2+...
        sumAMidBMidCMidDLowEHighBlock1^2+sumAMidBMidCMidDLowEHighBlock2^2+...
        sumAMidBMidCMidDLowEHighBlock3^2+sumAMidBMidCMidDLowEHighBlock4^2+...
        sumAMidBMidCMidDLowEHighBlock5^2+sumAMidBMidCMidDMidELowBlock1^2+...
        sumAMidBMidCMidDMidELowBlock2^2+sumAMidBMidCMidDMidELowBlock3^2+...
        sumAMidBMidCMidDMidELowBlock4^2+sumAMidBMidCMidDMidELowBlock5^2+...
        sumAMidBMidCMidDMidEMidBlock1^2+sumAMidBMidCMidDMidEMidBlock2^2+...
        sumAMidBMidCMidDMidEMidBlock3^2+sumAMidBMidCMidDMidEMidBlock4^2+...
        sumAMidBMidCMidDMidEMidBlock5^2+sumAMidBMidCMidDMidEHighBlock1^2+...
        sumAMidBMidCMidDMidEHighBlock2^2+sumAMidBMidCMidDMidEHighBlock3^2+...
        sumAMidBMidCMidDMidEHighBlock4^2+sumAMidBMidCMidDMidEHighBlock5^2+...
        sumAMidBMidCMidDHighELowBlock1^2+sumAMidBMidCMidDHighELowBlock2^2+...
        sumAMidBMidCMidDHighELowBlock3^2+sumAMidBMidCMidDHighELowBlock4^2+...
        sumAMidBMidCMidDHighELowBlock5^2+sumAMidBMidCMidDHighEMidBlock1^2+...
        sumAMidBMidCMidDHighEMidBlock2^2+sumAMidBMidCMidDHighEMidBlock3^2+...
        sumAMidBMidCMidDHighEMidBlock4^2+sumAMidBMidCMidDHighEMidBlock5^2+...
        sumAMidBMidCMidDHighEHighBlock1^2+sumAMidBMidCMidDHighEHighBlock2^2+...
        sumAMidBMidCMidDHighEHighBlock3^2+sumAMidBMidCMidDHighEHighBlock4^2+...
        sumAMidBMidCMidDHighEHighBlock5^2+sumAMidBMidCHighDLowELowBlock1^2+...
        sumAMidBMidCHighDLowELowBlock2^2+sumAMidBMidCHighDLowELowBlock3^2+...
        sumAMidBMidCHighDLowELowBlock4^2+sumAMidBMidCHighDLowELowBlock5^2+...
        sumAMidBMidCHighDLowEMidBlock1^2+sumAMidBMidCHighDLowEMidBlock2^2+...
        sumAMidBMidCHighDLowEMidBlock3^2+sumAMidBMidCHighDLowEMidBlock4^2+...
        sumAMidBMidCHighDLowEMidBlock5^2+sumAMidBMidCHighDLowEHighBlock1^2+...
        sumAMidBMidCHighDLowEHighBlock2^2+sumAMidBMidCHighDLowEHighBlock3^2+...
        sumAMidBMidCHighDLowEHighBlock4^2+sumAMidBMidCHighDLowEHighBlock5^2+...
        sumAMidBMidCHighDMidELowBlock1^2+sumAMidBMidCHighDMidELowBlock2^2+...
        sumAMidBMidCHighDMidELowBlock3^2+sumAMidBMidCHighDMidELowBlock4^2+...
        sumAMidBMidCHighDMidELowBlock5^2+sumAMidBMidCHighDMidEMidBlock1^2+...
        sumAMidBMidCHighDMidEMidBlock2^2+sumAMidBMidCHighDMidEMidBlock3^2+...
        sumAMidBMidCHighDMidEMidBlock4^2+sumAMidBMidCHighDMidEMidBlock5^2+...
        sumAMidBMidCHighDMidEHighBlock1^2+sumAMidBMidCHighDMidEHighBlock2^2+...
        sumAMidBMidCHighDMidEHighBlock3^2+sumAMidBMidCHighDMidEHighBlock4^2+...
        sumAMidBMidCHighDMidEHighBlock5^2+sumAMidBMidCHighDHighELowBlock1^2+...
        sumAMidBMidCHighDHighELowBlock2^2+sumAMidBMidCHighDHighELowBlock3^2+...
        sumAMidBMidCHighDHighELowBlock4^2+sumAMidBMidCHighDHighELowBlock5^2+...
        sumAMidBMidCHighDHighEMidBlock1^2+sumAMidBMidCHighDHighEMidBlock2^2+...
        sumAMidBMidCHighDHighEMidBlock3^2+sumAMidBMidCHighDHighEMidBlock4^2+...
        sumAMidBMidCHighDHighEMidBlock5^2+sumAMidBMidCHighDHighEHighBlock1^2+...
        sumAMidBMidCHighDHighEHighBlock2^2+sumAMidBMidCHighDHighEHighBlock3^2+...
        sumAMidBMidCHighDHighEHighBlock4^2+sumAMidBMidCHighDHighEHighBlock5^2+...
        sumAMidBHighCLowDLowELowBlock1^2+sumAMidBHighCLowDLowELowBlock2^2+...
        sumAMidBHighCLowDLowELowBlock3^2+sumAMidBHighCLowDLowELowBlock4^2+...
        sumAMidBHighCLowDLowELowBlock5^2+sumAMidBHighCLowDLowEMidBlock1^2+...
        sumAMidBHighCLowDLowEMidBlock2^2+sumAMidBHighCLowDLowEMidBlock3^2+...
        sumAMidBHighCLowDLowEMidBlock4^2+sumAMidBHighCLowDLowEMidBlock5^2+...
        sumAMidBHighCLowDLowEHighBlock1^2+sumAMidBHighCLowDLowEHighBlock2^2+...
        sumAMidBHighCLowDLowEHighBlock3^2+sumAMidBHighCLowDLowEHighBlock4^2+...
        sumAMidBHighCLowDLowEHighBlock5^2+sumAMidBHighCLowDMidELowBlock1^2+...
        sumAMidBHighCLowDMidELowBlock2^2+sumAMidBHighCLowDMidELowBlock3^2+...
        sumAMidBHighCLowDMidELowBlock4^2+sumAMidBHighCLowDMidELowBlock5^2+...
        sumAMidBHighCLowDMidEMidBlock1^2+sumAMidBHighCLowDMidEMidBlock2^2+...
        sumAMidBHighCLowDMidEMidBlock3^2+sumAMidBHighCLowDMidEMidBlock4^2+...
        sumAMidBHighCLowDMidEMidBlock5^2+sumAMidBHighCLowDMidEHighBlock1^2+...
        sumAMidBHighCLowDMidEHighBlock2^2+sumAMidBHighCLowDMidEHighBlock3^2+...
        sumAMidBHighCLowDMidEHighBlock4^2+sumAMidBHighCLowDMidEHighBlock5^2+...
        sumAMidBHighCLowDHighELowBlock1^2+sumAMidBHighCLowDHighELowBlock2^2+...
        sumAMidBHighCLowDHighELowBlock3^2+sumAMidBHighCLowDHighELowBlock4^2+...
        sumAMidBHighCLowDHighELowBlock5^2+sumAMidBHighCLowDHighEMidBlock1^2+...
        sumAMidBHighCLowDHighEMidBlock2^2+sumAMidBHighCLowDHighEMidBlock3^2+...
        sumAMidBHighCLowDHighEMidBlock4^2+sumAMidBHighCLowDHighEMidBlock5^2+...
        sumAMidBHighCLowDHighEHighBlock1^2+sumAMidBHighCLowDHighEHighBlock2^2+...
        sumAMidBHighCLowDHighEHighBlock3^2+sumAMidBHighCLowDHighEHighBlock4^2+...
        sumAMidBHighCLowDHighEHighBlock5^2+sumAMidBHighCMidDLowELowBlock1^2+...
        sumAMidBHighCMidDLowELowBlock2^2+sumAMidBHighCMidDLowELowBlock3^2+...
        sumAMidBHighCMidDLowELowBlock4^2+sumAMidBHighCMidDLowELowBlock5^2+...
        sumAMidBHighCMidDLowEMidBlock1^2+sumAMidBHighCMidDLowEMidBlock2^2+...
        sumAMidBHighCMidDLowEMidBlock3^2+sumAMidBHighCMidDLowEMidBlock4^2+...
        sumAMidBHighCMidDLowEMidBlock5^2+sumAMidBHighCMidDLowEHighBlock1^2+...
        sumAMidBHighCMidDLowEHighBlock2^2+sumAMidBHighCMidDLowEHighBlock3^2+...
        sumAMidBHighCMidDLowEHighBlock4^2+sumAMidBHighCMidDLowEHighBlock5^2+...
        sumAMidBHighCMidDMidELowBlock1^2+sumAMidBHighCMidDMidELowBlock2^2+...
        sumAMidBHighCMidDMidELowBlock3^2+sumAMidBHighCMidDMidELowBlock4^2+...
        sumAMidBHighCMidDMidELowBlock5^2+sumAMidBHighCMidDMidEMidBlock1^2+...
        sumAMidBHighCMidDMidEMidBlock2^2+sumAMidBHighCMidDMidEMidBlock3^2+...
        sumAMidBHighCMidDMidEMidBlock4^2+sumAMidBHighCMidDMidEMidBlock5^2+...
        sumAMidBHighCMidDMidEHighBlock1^2+sumAMidBHighCMidDMidEHighBlock2^2+...
        sumAMidBHighCMidDMidEHighBlock3^2+sumAMidBHighCMidDMidEHighBlock4^2+...
        sumAMidBHighCMidDMidEHighBlock5^2+sumAMidBHighCMidDHighELowBlock1^2+...
        sumAMidBHighCMidDHighELowBlock2^2+sumAMidBHighCMidDHighELowBlock3^2+...
        sumAMidBHighCMidDHighELowBlock4^2+sumAMidBHighCMidDHighELowBlock5^2+...
        sumAMidBHighCMidDHighEMidBlock1^2+sumAMidBHighCMidDHighEMidBlock2^2+...
        sumAMidBHighCMidDHighEMidBlock3^2+sumAMidBHighCMidDHighEMidBlock4^2+...
        sumAMidBHighCMidDHighEMidBlock5^2+sumAMidBHighCMidDHighEHighBlock1^2+...
        sumAMidBHighCMidDHighEHighBlock2^2+sumAMidBHighCMidDHighEHighBlock3^2+...
        sumAMidBHighCMidDHighEHighBlock4^2+sumAMidBHighCMidDHighEHighBlock5^2+...
        sumAMidBHighCHighDLowELowBlock1^2+sumAMidBHighCHighDLowELowBlock2^2+...
        sumAMidBHighCHighDLowELowBlock3^2+sumAMidBHighCHighDLowELowBlock4^2+...
        sumAMidBHighCHighDLowELowBlock5^2+sumAMidBHighCHighDLowEMidBlock1^2+...
        sumAMidBHighCHighDLowEMidBlock2^2+sumAMidBHighCHighDLowEMidBlock3^2+...
        sumAMidBHighCHighDLowEMidBlock4^2+sumAMidBHighCHighDLowEMidBlock5^2+...
        sumAMidBHighCHighDLowEHighBlock1^2+sumAMidBHighCHighDLowEHighBlock2^2+...
        sumAMidBHighCHighDLowEHighBlock3^2+sumAMidBHighCHighDLowEHighBlock4^2+...
        sumAMidBHighCHighDLowEHighBlock5^2+sumAMidBHighCHighDMidELowBlock1^2+...
        sumAMidBHighCHighDMidELowBlock2^2+sumAMidBHighCHighDMidELowBlock3^2+...
        sumAMidBHighCHighDMidELowBlock4^2+sumAMidBHighCHighDMidELowBlock5^2+...
        sumAMidBHighCHighDMidEMidBlock1^2+sumAMidBHighCHighDMidEMidBlock2^2+...
        sumAMidBHighCHighDMidEMidBlock3^2+sumAMidBHighCHighDMidEMidBlock4^2+...
        sumAMidBHighCHighDMidEMidBlock5^2+sumAMidBHighCHighDMidEHighBlock1^2+...
        sumAMidBHighCHighDMidEHighBlock2^2+sumAMidBHighCHighDMidEHighBlock3^2+...
        sumAMidBHighCHighDMidEHighBlock4^2+sumAMidBHighCHighDMidEHighBlock5^2+...
        sumAMidBHighCHighDHighELowBlock1^2+sumAMidBHighCHighDHighELowBlock2^2+...
        sumAMidBHighCHighDHighELowBlock3^2+sumAMidBHighCHighDHighELowBlock4^2+...
        sumAMidBHighCHighDHighELowBlock5^2+sumAMidBHighCHighDHighEMidBlock1^2+...
        sumAMidBHighCHighDHighEMidBlock2^2+sumAMidBHighCHighDHighEMidBlock3^2+...
        sumAMidBHighCHighDHighEMidBlock4^2+sumAMidBHighCHighDHighEMidBlock5^2+...
        sumAMidBHighCHighDHighEHighBlock1^2+sumAMidBHighCHighDHighEHighBlock2^2+...
        sumAMidBHighCHighDHighEHighBlock3^2+sumAMidBHighCHighDHighEHighBlock4^2+...
        sumAMidBHighCHighDHighEHighBlock5^2+sumAHighBLowCLowDLowELowBlock1^2+...
        sumAHighBLowCLowDLowELowBlock2^2+sumAHighBLowCLowDLowELowBlock3^2+...
        sumAHighBLowCLowDLowELowBlock4^2+sumAHighBLowCLowDLowELowBlock5^2+...
        sumAHighBLowCLowDLowEMidBlock1^2+sumAHighBLowCLowDLowEMidBlock2^2+...
        sumAHighBLowCLowDLowEMidBlock3^2+sumAHighBLowCLowDLowEMidBlock4^2+...
        sumAHighBLowCLowDLowEMidBlock5^2+sumAHighBLowCLowDLowEHighBlock1^2+...
        sumAHighBLowCLowDLowEHighBlock2^2+sumAHighBLowCLowDLowEHighBlock3^2+...
        sumAHighBLowCLowDLowEHighBlock4^2+sumAHighBLowCLowDLowEHighBlock5^2+...
        sumAHighBLowCLowDMidELowBlock1^2+sumAHighBLowCLowDMidELowBlock2^2+...
        sumAHighBLowCLowDMidELowBlock3^2+sumAHighBLowCLowDMidELowBlock4^2+...
        sumAHighBLowCLowDMidELowBlock5^2+sumAHighBLowCLowDMidEMidBlock1^2+...
        sumAHighBLowCLowDMidEMidBlock2^2+sumAHighBLowCLowDMidEMidBlock3^2+...
        sumAHighBLowCLowDMidEMidBlock4^2+sumAHighBLowCLowDMidEMidBlock5^2+...
        sumAHighBLowCLowDMidEHighBlock1^2+sumAHighBLowCLowDMidEHighBlock2^2+...
        sumAHighBLowCLowDMidEHighBlock3^2+sumAHighBLowCLowDMidEHighBlock4^2+...
        sumAHighBLowCLowDMidEHighBlock5^2+sumAHighBLowCLowDHighELowBlock1^2+...
        sumAHighBLowCLowDHighELowBlock2^2+sumAHighBLowCLowDHighELowBlock3^2+...
        sumAHighBLowCLowDHighELowBlock4^2+sumAHighBLowCLowDHighELowBlock5^2+...
        sumAHighBLowCLowDHighEMidBlock1^2+sumAHighBLowCLowDHighEMidBlock2^2+...
        sumAHighBLowCLowDHighEMidBlock3^2+sumAHighBLowCLowDHighEMidBlock4^2+...
        sumAHighBLowCLowDHighEMidBlock5^2+sumAHighBLowCLowDHighEHighBlock1^2+...
        sumAHighBLowCLowDHighEHighBlock2^2+sumAHighBLowCLowDHighEHighBlock3^2+...
        sumAHighBLowCLowDHighEHighBlock4^2+sumAHighBLowCLowDHighEHighBlock5^2+...
        sumAHighBLowCMidDLowELowBlock1^2+sumAHighBLowCMidDLowELowBlock2^2+...
        sumAHighBLowCMidDLowELowBlock3^2+sumAHighBLowCMidDLowELowBlock4^2+...
        sumAHighBLowCMidDLowELowBlock5^2+sumAHighBLowCMidDLowEMidBlock1^2+...
        sumAHighBLowCMidDLowEMidBlock2^2+sumAHighBLowCMidDLowEMidBlock3^2+...
        sumAHighBLowCMidDLowEMidBlock4^2+sumAHighBLowCMidDLowEMidBlock5^2+...
        sumAHighBLowCMidDLowEHighBlock1^2+sumAHighBLowCMidDLowEHighBlock2^2+...
        sumAHighBLowCMidDLowEHighBlock3^2+sumAHighBLowCMidDLowEHighBlock4^2+...
        sumAHighBLowCMidDLowEHighBlock5^2+sumAHighBLowCMidDMidELowBlock1^2+...
        sumAHighBLowCMidDMidELowBlock2^2+sumAHighBLowCMidDMidELowBlock3^2+...
        sumAHighBLowCMidDMidELowBlock4^2+sumAHighBLowCMidDMidELowBlock5^2+...
        sumAHighBLowCMidDMidEMidBlock1^2+sumAHighBLowCMidDMidEMidBlock2^2+...
        sumAHighBLowCMidDMidEMidBlock3^2+sumAHighBLowCMidDMidEMidBlock4^2+...
        sumAHighBLowCMidDMidEMidBlock5^2+sumAHighBLowCMidDMidEHighBlock1^2+...
        sumAHighBLowCMidDMidEHighBlock2^2+sumAHighBLowCMidDMidEHighBlock3^2+...
        sumAHighBLowCMidDMidEHighBlock4^2+sumAHighBLowCMidDMidEHighBlock5^2+...
        sumAHighBLowCMidDHighELowBlock1^2+sumAHighBLowCMidDHighELowBlock2^2+...
        sumAHighBLowCMidDHighELowBlock3^2+sumAHighBLowCMidDHighELowBlock4^2+...
        sumAHighBLowCMidDHighELowBlock5^2+sumAHighBLowCMidDHighEMidBlock1^2+...
        sumAHighBLowCMidDHighEMidBlock2^2+sumAHighBLowCMidDHighEMidBlock3^2+...
        sumAHighBLowCMidDHighEMidBlock4^2+sumAHighBLowCMidDHighEMidBlock5^2+...
        sumAHighBLowCMidDHighEHighBlock1^2+sumAHighBLowCMidDHighEHighBlock2^2+...
        sumAHighBLowCMidDHighEHighBlock3^2+sumAHighBLowCMidDHighEHighBlock4^2+...
        sumAHighBLowCMidDHighEHighBlock5^2+sumAHighBLowCHighDLowELowBlock1^2+...
        sumAHighBLowCHighDLowELowBlock2^2+sumAHighBLowCHighDLowELowBlock3^2+...
        sumAHighBLowCHighDLowELowBlock4^2+sumAHighBLowCHighDLowELowBlock5^2+...
        sumAHighBLowCHighDLowEMidBlock1^2+sumAHighBLowCHighDLowEMidBlock2^2+...
        sumAHighBLowCHighDLowEMidBlock3^2+sumAHighBLowCHighDLowEMidBlock4^2+...
        sumAHighBLowCHighDLowEMidBlock5^2+sumAHighBLowCHighDLowEHighBlock1^2+...
        sumAHighBLowCHighDLowEHighBlock2^2+sumAHighBLowCHighDLowEHighBlock3^2+...
        sumAHighBLowCHighDLowEHighBlock4^2+sumAHighBLowCHighDLowEHighBlock5^2+...
        sumAHighBLowCHighDMidELowBlock1^2+sumAHighBLowCHighDMidELowBlock2^2+...
        sumAHighBLowCHighDMidELowBlock3^2+sumAHighBLowCHighDMidELowBlock4^2+...
        sumAHighBLowCHighDMidELowBlock5^2+sumAHighBLowCHighDMidEMidBlock1^2+...
        sumAHighBLowCHighDMidEMidBlock2^2+sumAHighBLowCHighDMidEMidBlock3^2+...
        sumAHighBLowCHighDMidEMidBlock4^2+sumAHighBLowCHighDMidEMidBlock5^2+...
        sumAHighBLowCHighDMidEHighBlock1^2+sumAHighBLowCHighDMidEHighBlock2^2+...
        sumAHighBLowCHighDMidEHighBlock3^2+sumAHighBLowCHighDMidEHighBlock4^2+...
        sumAHighBLowCHighDMidEHighBlock5^2+sumAHighBLowCHighDHighELowBlock1^2+...
        sumAHighBLowCHighDHighELowBlock2^2+sumAHighBLowCHighDHighELowBlock3^2+...
        sumAHighBLowCHighDHighELowBlock4^2+sumAHighBLowCHighDHighELowBlock5^2+...
        sumAHighBLowCHighDHighEMidBlock1^2+sumAHighBLowCHighDHighEMidBlock2^2+...
        sumAHighBLowCHighDHighEMidBlock3^2+sumAHighBLowCHighDHighEMidBlock4^2+...
        sumAHighBLowCHighDHighEMidBlock5^2+sumAHighBLowCHighDHighEHighBlock1^2+...
        sumAHighBLowCHighDHighEHighBlock2^2+sumAHighBLowCHighDHighEHighBlock3^2+...
        sumAHighBLowCHighDHighEHighBlock4^2+sumAHighBLowCHighDHighEHighBlock5^2+...
        sumAHighBMidCLowDLowELowBlock1^2+sumAHighBMidCLowDLowELowBlock2^2+...
        sumAHighBMidCLowDLowELowBlock3^2+sumAHighBMidCLowDLowELowBlock4^2+...
        sumAHighBMidCLowDLowELowBlock5^2+sumAHighBMidCLowDLowEMidBlock1^2+...
        sumAHighBMidCLowDLowEMidBlock2^2+sumAHighBMidCLowDLowEMidBlock3^2+...
        sumAHighBMidCLowDLowEMidBlock4^2+sumAHighBMidCLowDLowEMidBlock5^2+...
        sumAHighBMidCLowDLowEHighBlock1^2+sumAHighBMidCLowDLowEHighBlock2^2+...
        sumAHighBMidCLowDLowEHighBlock3^2+sumAHighBMidCLowDLowEHighBlock4^2+...
        sumAHighBMidCLowDLowEHighBlock5^2+sumAHighBMidCLowDMidELowBlock1^2+...
        sumAHighBMidCLowDMidELowBlock2^2+sumAHighBMidCLowDMidELowBlock3^2+...
        sumAHighBMidCLowDMidELowBlock4^2+sumAHighBMidCLowDMidELowBlock5^2+...
        sumAHighBMidCLowDMidEMidBlock1^2+sumAHighBMidCLowDMidEMidBlock2^2+...
        sumAHighBMidCLowDMidEMidBlock3^2+sumAHighBMidCLowDMidEMidBlock4^2+...
        sumAHighBMidCLowDMidEMidBlock5^2+sumAHighBMidCLowDMidEHighBlock1^2+...
        sumAHighBMidCLowDMidEHighBlock2^2+sumAHighBMidCLowDMidEHighBlock3^2+...
        sumAHighBMidCLowDMidEHighBlock4^2+sumAHighBMidCLowDMidEHighBlock5^2+...
        sumAHighBMidCLowDHighELowBlock1^2+sumAHighBMidCLowDHighELowBlock2^2+...
        sumAHighBMidCLowDHighELowBlock3^2+sumAHighBMidCLowDHighELowBlock4^2+...
        sumAHighBMidCLowDHighELowBlock5^2+sumAHighBMidCLowDHighEMidBlock1^2+...
        sumAHighBMidCLowDHighEMidBlock2^2+sumAHighBMidCLowDHighEMidBlock3^2+...
        sumAHighBMidCLowDHighEHighBlock1^2+sumAHighBMidCLowDHighEHighBlock2^2+...
        sumAHighBMidCLowDHighEHighBlock3^2+sumAHighBMidCLowDHighEHighBlock4^2+...
        sumAHighBMidCLowDHighEHighBlock5^2+sumAHighBMidCMidDLowELowBlock1^2+...
        sumAHighBMidCMidDLowELowBlock2^2+sumAHighBMidCMidDLowELowBlock3^2+...
        sumAHighBMidCMidDLowELowBlock4^2+sumAHighBMidCMidDLowELowBlock5^2+...
        sumAHighBMidCMidDLowEMidBlock1^2+sumAHighBMidCMidDLowEMidBlock2^2+...
        sumAHighBMidCMidDLowEMidBlock3^2+sumAHighBMidCMidDLowEMidBlock4^2+...
        sumAHighBMidCMidDLowEMidBlock5^2+sumAHighBMidCMidDLowEHighBlock1^2+...
        sumAHighBMidCMidDLowEHighBlock2^2+sumAHighBMidCMidDLowEHighBlock3^2+...
        sumAHighBMidCMidDLowEHighBlock4^2+sumAHighBMidCMidDLowEHighBlock5^2+...
        sumAHighBMidCMidDMidELowBlock1^2+sumAHighBMidCMidDMidELowBlock2^2+...
        sumAHighBMidCMidDMidELowBlock3^2+sumAHighBMidCMidDMidELowBlock4^2+...
        sumAHighBMidCMidDMidELowBlock5^2+sumAHighBMidCMidDMidEMidBlock1^2+...
        sumAHighBMidCMidDMidEMidBlock2^2+sumAHighBMidCMidDMidEMidBlock3^2+...
        sumAHighBMidCMidDMidEMidBlock4^2+sumAHighBMidCMidDMidEMidBlock5^2+...
        sumAHighBMidCMidDMidEHighBlock1^2+sumAHighBMidCMidDMidEHighBlock2^2+...
        sumAHighBMidCMidDMidEHighBlock3^2+sumAHighBMidCMidDMidEHighBlock4^2+...
        sumAHighBMidCMidDMidEHighBlock5^2+sumAHighBMidCMidDHighELowBlock1^2+...
        sumAHighBMidCMidDHighELowBlock2^2+sumAHighBMidCMidDHighELowBlock3^2+...
        sumAHighBMidCMidDHighELowBlock4^2+sumAHighBMidCMidDHighELowBlock5^2+...
        sumAHighBMidCMidDHighEMidBlock1^2+sumAHighBMidCMidDHighEMidBlock2^2+...
        sumAHighBMidCMidDHighEMidBlock3^2+sumAHighBMidCMidDHighEMidBlock4^2+...
        sumAHighBMidCMidDHighEMidBlock5^2+sumAHighBMidCMidDHighEHighBlock1^2+...
        sumAHighBMidCMidDHighEHighBlock2^2+sumAHighBMidCMidDHighEHighBlock3^2+...
        sumAHighBMidCMidDHighEHighBlock4^2+sumAHighBMidCMidDHighEHighBlock5^2+...
        sumAHighBMidCHighDLowELowBlock1^2+sumAHighBMidCHighDLowELowBlock2^2+...
        sumAHighBMidCHighDLowELowBlock3^2+sumAHighBMidCHighDLowELowBlock4^2+...
        sumAHighBMidCHighDLowELowBlock5^2+sumAHighBMidCHighDLowEMidBlock1^2+...
        sumAHighBMidCHighDLowEMidBlock2^2+sumAHighBMidCHighDLowEMidBlock3^2+...
        sumAHighBMidCHighDLowEMidBlock4^2+sumAHighBMidCHighDLowEMidBlock5^2+...
        sumAHighBMidCHighDLowEHighBlock1^2+sumAHighBMidCHighDLowEHighBlock2^2+...
        sumAHighBMidCHighDLowEHighBlock3^2+sumAHighBMidCHighDLowEHighBlock4^2+...
        sumAHighBMidCHighDLowEHighBlock5^2+sumAHighBMidCHighDMidELowBlock1^2+...
        sumAHighBMidCHighDMidELowBlock2^2+sumAHighBMidCHighDMidELowBlock3^2+...
        sumAHighBMidCHighDMidELowBlock4^2+sumAHighBMidCHighDMidELowBlock5^2+...
        sumAHighBMidCHighDMidEMidBlock1^2+sumAHighBMidCHighDMidEMidBlock2^2+...
        sumAHighBMidCHighDMidEMidBlock3^2+sumAHighBMidCHighDMidEMidBlock4^2+...
        sumAHighBMidCHighDMidEMidBlock5^2+sumAHighBMidCHighDMidEHighBlock1^2+...
        sumAHighBMidCHighDMidEHighBlock2^2+sumAHighBMidCHighDMidEHighBlock3^2+...
        sumAHighBMidCHighDMidEHighBlock4^2+sumAHighBMidCHighDMidEHighBlock5^2+...
        sumAHighBMidCHighDHighELowBlock1^2+sumAHighBMidCHighDHighELowBlock2^2+...
        sumAHighBMidCHighDHighELowBlock3^2+sumAHighBMidCHighDHighELowBlock4^2+...
        sumAHighBMidCHighDHighELowBlock5^2+sumAHighBMidCHighDHighEMidBlock1^2+...
        sumAHighBMidCHighDHighEMidBlock2^2+sumAHighBMidCHighDHighEMidBlock3^2+...
        sumAHighBMidCHighDHighEMidBlock4^2+sumAHighBMidCHighDHighEMidBlock5^2+...
        sumAHighBMidCHighDHighEHighBlock1^2+sumAHighBMidCHighDHighEHighBlock2^2+...
        sumAHighBMidCHighDHighEHighBlock3^2+sumAHighBMidCHighDHighEHighBlock4^2+...
        sumAHighBMidCHighDHighEHighBlock5^2+sumAHighBHighCLowDLowELowBlock1^2+...
        sumAHighBHighCLowDLowELowBlock2^2+sumAHighBHighCLowDLowELowBlock3^2+...
        sumAHighBHighCLowDLowELowBlock4^2+sumAHighBHighCLowDLowELowBlock5^2+...
        sumAHighBHighCLowDLowEMidBlock1^2+sumAHighBHighCLowDLowEMidBlock2^2+...
        sumAHighBHighCLowDLowEMidBlock3^2+sumAHighBHighCLowDLowEMidBlock4^2+...
        sumAHighBHighCLowDLowEMidBlock5^2+sumAHighBHighCLowDLowEHighBlock1^2+...
        sumAHighBHighCLowDLowEHighBlock2^2+sumAHighBHighCLowDLowEHighBlock3^2+...
        sumAHighBHighCLowDLowEHighBlock4^2+sumAHighBHighCLowDLowEHighBlock5^2+...
        sumAHighBHighCLowDMidELowBlock1^2+sumAHighBHighCLowDMidELowBlock2^2+...
        sumAHighBHighCLowDMidELowBlock3^2+sumAHighBHighCLowDMidELowBlock4^2+...
        sumAHighBHighCLowDMidELowBlock5^2+sumAHighBHighCLowDMidEMidBlock1^2+...
        sumAHighBHighCLowDMidEMidBlock2^2+sumAHighBHighCLowDMidEMidBlock3^2+...
        sumAHighBHighCLowDMidEMidBlock4^2+sumAHighBHighCLowDMidEMidBlock5^2+...
        sumAHighBHighCLowDMidEHighBlock1^2+sumAHighBHighCLowDMidEHighBlock2^2+...
        sumAHighBHighCLowDMidEHighBlock3^2+sumAHighBHighCLowDMidEHighBlock4^2+...
        sumAHighBHighCLowDMidEHighBlock5^2+sumAHighBHighCLowDHighELowBlock1^2+...
        sumAHighBHighCLowDHighELowBlock2^2+sumAHighBHighCLowDHighELowBlock3^2+...
        sumAHighBHighCLowDHighELowBlock4^2+sumAHighBHighCLowDHighELowBlock5^2+...
        sumAHighBHighCLowDHighEMidBlock1^2+sumAHighBHighCLowDHighEMidBlock2^2+...
        sumAHighBHighCLowDHighEMidBlock3^2+sumAHighBHighCLowDHighEMidBlock4^2+...
        sumAHighBHighCLowDHighEMidBlock5^2+sumAHighBHighCLowDHighEHighBlock1^2+...
        sumAHighBHighCLowDHighEHighBlock2^2+sumAHighBHighCLowDHighEHighBlock3^2+...
        sumAHighBHighCLowDHighEHighBlock4^2+sumAHighBHighCLowDHighEHighBlock5^2+...
        sumAHighBHighCMidDLowELowBlock1^2+sumAHighBHighCMidDLowELowBlock2^2+...
        sumAHighBHighCMidDLowELowBlock3^2+sumAHighBHighCMidDLowELowBlock4^2+...
        sumAHighBHighCMidDLowELowBlock5^2+sumAHighBHighCMidDLowEMidBlock1^2+...
        sumAHighBHighCMidDLowEMidBlock2^2+sumAHighBHighCMidDLowEMidBlock3^2+...
        sumAHighBHighCMidDLowEMidBlock4^2+sumAHighBHighCMidDLowEMidBlock5^2+...
        sumAHighBHighCMidDLowEHighBlock1^2+sumAHighBHighCMidDLowEHighBlock2^2+...
        sumAHighBHighCMidDLowEHighBlock3^2+sumAHighBHighCMidDLowEHighBlock4^2+...
        sumAHighBHighCMidDLowEHighBlock5^2+sumAHighBHighCMidDMidELowBlock1^2+...
        sumAHighBHighCMidDMidELowBlock2^2+sumAHighBHighCMidDMidELowBlock3^2+...
        sumAHighBHighCMidDMidELowBlock4^2+sumAHighBHighCMidDMidELowBlock5^2+...
        sumAHighBHighCMidDMidEMidBlock1^2+sumAHighBHighCMidDMidEMidBlock2^2+...
        sumAHighBHighCMidDMidEMidBlock3^2+sumAHighBHighCMidDMidEMidBlock4^2+...
        sumAHighBHighCMidDMidEMidBlock5^2+sumAHighBHighCMidDMidEHighBlock1^2+...
        sumAHighBHighCMidDMidEHighBlock2^2+sumAHighBHighCMidDMidEHighBlock3^2+...
        sumAHighBHighCMidDMidEHighBlock4^2+sumAHighBHighCMidDMidEHighBlock5^2+...
        sumAHighBHighCMidDHighELowBlock1^2+sumAHighBHighCMidDHighELowBlock2^2+...
        sumAHighBHighCMidDHighELowBlock3^2+sumAHighBHighCMidDHighELowBlock4^2+...
        sumAHighBHighCMidDHighELowBlock5^2+sumAHighBHighCMidDHighEMidBlock1^2+...
        sumAHighBHighCMidDHighEMidBlock2^2+sumAHighBHighCMidDHighEMidBlock3^2+...
        sumAHighBHighCMidDHighEMidBlock4^2+sumAHighBHighCMidDHighEMidBlock5^2+...
        sumAHighBHighCMidDHighEHighBlock1^2+sumAHighBHighCMidDHighEHighBlock2^2+...
        sumAHighBHighCMidDHighEHighBlock3^2+sumAHighBHighCMidDHighEHighBlock4^2+...
        sumAHighBHighCMidDHighEHighBlock5^2+sumAHighBHighCHighDLowELowBlock1^2+...
        sumAHighBHighCHighDLowELowBlock2^2+sumAHighBHighCHighDLowELowBlock3^2+...
        sumAHighBHighCHighDLowELowBlock4^2+sumAHighBHighCHighDLowELowBlock5^2+...
        sumAHighBHighCHighDLowEMidBlock1^2+sumAHighBHighCHighDLowEMidBlock2^2+...
        sumAHighBHighCHighDLowEMidBlock3^2+sumAHighBHighCHighDLowEMidBlock4^2+...
        sumAHighBHighCHighDLowEMidBlock5^2+sumAHighBHighCHighDLowEHighBlock1^2+...
        sumAHighBHighCHighDLowEHighBlock2^2+sumAHighBHighCHighDLowEHighBlock3^2+...
        sumAHighBHighCHighDLowEHighBlock4^2+sumAHighBHighCHighDLowEHighBlock5^2+...
        sumAHighBHighCHighDMidELowBlock1^2+sumAHighBHighCHighDMidELowBlock2^2+...
        sumAHighBHighCHighDMidELowBlock3^2+sumAHighBHighCHighDMidELowBlock4^2+...
        sumAHighBHighCHighDMidELowBlock5^2+sumAHighBHighCHighDMidEMidBlock1^2+...
        sumAHighBHighCHighDMidEMidBlock2^2+sumAHighBHighCHighDMidEMidBlock3^2+...
        sumAHighBHighCHighDMidEMidBlock4^2+sumAHighBHighCHighDMidEMidBlock5^2+...
        sumAHighBHighCHighDMidEHighBlock1^2+sumAHighBHighCHighDMidEHighBlock2^2+...
        sumAHighBHighCHighDMidEHighBlock3^2+sumAHighBHighCHighDMidEHighBlock4^2+...
        sumAHighBHighCHighDMidEHighBlock5^2+sumAHighBHighCHighDHighELowBlock1^2+...
        sumAHighBHighCHighDHighELowBlock2^2+sumAHighBHighCHighDHighELowBlock3^2+...
        sumAHighBHighCHighDHighELowBlock4^2+sumAHighBHighCHighDHighELowBlock5^2+...
        sumAHighBHighCHighDHighEMidBlock1^2+sumAHighBHighCHighDHighEMidBlock2^2+...
        sumAHighBHighCHighDHighEMidBlock3^2+sumAHighBHighCHighDHighEMidBlock4^2+...
        sumAHighBHighCHighDHighEMidBlock5^2+sumAHighBHighCHighDHighEHighBlock1^2+...
        sumAHighBHighCHighDHighEHighBlock2^2+sumAHighBHighCHighDHighEHighBlock3^2+...
        sumAHighBHighCHighDHighEHighBlock4^2+sumAHighBHighCHighDHighEHighBlock5^2)...
        - avgGrandSS; % Total sum of squares 
    
    if numFactors==1
        ssError=ssTotal-ssA-ssBlocks; % Error sum of squares
    elseif numFactors==2
        ssError=ssTotal-ssA-ssB-ssAB-ssBlocks; 
    elseif numFactors==3
        ssError=ssTotal-ssA-ssB-ssC-ssAB-ssAC-ssBC-ssBlocks; 
    elseif numFactors==4
        ssError=ssTotal-ssA-ssB-ssC-ssD-ssAB-ssAC-ssAD-ssBC-ssBD-ssCD-ssBlocks;
    elseif numFactors==5
        ssError=ssTotal-ssA-ssB-ssC-ssD-ssE-ssAB-ssAC-ssAD-ssAE-ssBC-ssBD-ssBE...
        -ssCD-ssCE-ssDE-ssBlocks;
    end
    
    dofA=a-1; dofB=b-1; dofC=c-1; dofD=d-1; dofE=e-1;
    dofAB=(a-1)*(b-1); dofAC=(a-1)*(c-1); dofAD=(a-1)*(d-1); dofAE=(a-1)*(e-1);
    dofBC=(b-1)*(c-1); dofBD=(b-1)*(d-1); dofBE=(b-1)*(e-1);
    dofCD=(c-1)*(d-1); dofCE=(c-1)*(e-1); dofDE=(d-1)*(e-1);
    dofBlocks=m-1;
    dofTotal=numRuns-1; 
    dofError=dofTotal-dofA-dofB-dofC-dofD-dofE-dofAB-dofAC-dofAD-dofAE...
        -dofBC-dofBD-dofBE-dofCD-dofCE-dofDE-dofBlocks;

    msA=ssA/dofA; msB=ssB/dofB; msC=ssC/dofC; msD=ssD/dofD; msE=ssE/dofE;
    msAB=ssAB/dofAB; msAC=ssAC/dofAC; msAD=ssAD/dofAD; msAE=ssAE/dofAE;
    msBC=ssBC/dofBC; msBD=ssBD/dofBD; msBE=ssBE/dofBE;
    msCD=ssCD/dofCD; msCE=ssCE/dofCE; msDE=ssDE/dofDE;
    msBlocks=ssBlocks/dofBlocks;
    msError=ssError/dofError; msTotal=ssTotal/dofTotal;

    fA=msA/msError; fB=msB/msError; fC=msC/msError; fD=msD/msError; fE=msE/msError;
    fAB=msAB/msError; fAC=msAC/msError; fAD=msAD/msError; fAE=msAE/msError;
    fBC=msBC/msError; fBD=msBD/msError; fBE=msBE/msError;
    fCD=msCD/msError; fCE=msCE/msError; fDE=msDE/msError;
    fBlocks=msBlocks/msError;
        
    UA=sqrt(ssA/dofTotal); UB=sqrt(ssB/dofTotal); UC=sqrt(ssC/dofTotal);
    UD=sqrt(ssD/dofTotal); UE=sqrt(ssE/dofTotal);
    UAB=sqrt(ssAB/dofTotal); UAC=sqrt(ssAC/dofTotal); 
    UAD=sqrt(ssAD/dofTotal); UAE=sqrt(ssAE/dofTotal);
    UBC=sqrt(ssBC/dofTotal); UBD=sqrt(ssBD/dofTotal); UBE=sqrt(ssBE/dofTotal);
    UCD=sqrt(ssCD/dofTotal); UCE=sqrt(ssCE/dofTotal); UDE=sqrt(ssDE/dofTotal);
    UBlocks=sqrt(ssBlocks/dofTotal); 
    UError=sqrt(ssError/dofTotal); UTotal=sqrt(msTotal);
    
    if numBlocks>1
        if numFactors==1
            anovaTable={'Source','SS','dof','MS','F','U';...
                        'A',ssA,dofA,msA,fA,UA;...
                        'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                        'Error',ssError,dofError,msError,NaN,UError;...
                        'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==2
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==3
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==4
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==5
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'E',ssE,dofE,msE,fE,UE;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'AE',ssAE,dofAE,msAE,fAE,UAE;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'BE',ssBE,dofBE,msBE,fBE,UBE;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'CE',ssCE,dofCE,msCE,fCE,UCE;...
                    'DE',ssDE,dofDE,msDE,fDE,UDE;...
                    'Block',ssBlocks,dofBlocks,msBlocks,fBlocks,UBlocks;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        end
        
    elseif numBlocks==1
        if numFactors==2
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==3
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==4
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        elseif numFactors==5
            anovaTable={'Source','SS','dof','MS','F','U';...
                    'A',ssA,dofA,msA,fA,UA;...
                    'B',ssB,dofB,msB,fB,UB;...
                    'C',ssC,dofC,msC,fC,UC;...
                    'D',ssD,dofD,msD,fD,UD;...
                    'E',ssE,dofE,msE,fE,UE;...
                    'AB',ssAB,dofAB,msAB,fAB,UAB;...
                    'AC',ssAC,dofAC,msAC,fAC,UAC;...
                    'AD',ssAD,dofAD,msAD,fAD,UAD;...
                    'AE',ssAE,dofAE,msAE,fAE,UAE;...
                    'BC',ssBC,dofBC,msBC,fBC,UBC;...
                    'BD',ssBD,dofBD,msBD,fBD,UBD;...
                    'BE',ssBE,dofBE,msBE,fBE,UBE;...
                    'CD',ssCD,dofCD,msCD,fCD,UCD;...
                    'CE',ssCE,dofCE,msCE,fCE,UCE;...
                    'DE',ssDE,dofDE,msDE,fDE,UDE;...
                    'Error',ssError,dofError,msError,NaN,UError;...
                    'Total',ssTotal,dofTotal,msTotal,NaN,UTotal};
        end
    end

end